var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { StartInstancesCommand, waitUntilInstanceRunning, } from '@aws-sdk/client-ec2';
import { COMMON_WAITER_CONFIG } from '../common/waiter-config.js';
import { handleWaiterError } from '../common/waiter-error.js';
import { ec2Client } from './ec2-client.js';
export function startEc2Instance({ instanceId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        yield ec2Client.send(new StartInstancesCommand({
            InstanceIds: [instanceId],
        }));
        yield handleWaiterError(() => __awaiter(this, void 0, void 0, function* () {
            return yield waitUntilInstanceRunning(Object.assign(Object.assign({}, COMMON_WAITER_CONFIG), { client: ec2Client.client }), {
                InstanceIds: [instanceId],
            });
        }));
    });
}
//# sourceMappingURL=start-ec2-instance.js.map