var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { CreateTagsCommand } from '@aws-sdk/client-ec2';
import { ec2Client } from './ec2-client.js';
export function upsertTags({ resourceIds, tags, }) {
    return __awaiter(this, void 0, void 0, function* () {
        if (resourceIds.length === 0 || tags.length === 0) {
            return;
        }
        yield ec2Client.send(new CreateTagsCommand({
            Resources: resourceIds,
            Tags: tags.map(tag => ({ Key: tag.key, Value: tag.value })),
        }));
    });
}
//# sourceMappingURL=upsert-tags.js.map