var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { waitUntilInstanceRunning, waitUntilInstanceStopped, } from '@aws-sdk/client-ec2';
import { COMMON_WAITER_CONFIG } from '../common/waiter-config.js';
import { handleWaiterError } from '../common/waiter-error.js';
import { ec2Client } from './ec2-client.js';
export function waitEc2InstanceIsRunning({ instanceId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        yield handleWaiterError(() => __awaiter(this, void 0, void 0, function* () {
            return yield waitUntilInstanceRunning(Object.assign(Object.assign({}, COMMON_WAITER_CONFIG), { client: ec2Client.client }), { InstanceIds: [instanceId] });
        }));
    });
}
export function waitEc2InstanceIsStopped({ instanceId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        yield handleWaiterError(() => __awaiter(this, void 0, void 0, function* () {
            return yield waitUntilInstanceStopped(Object.assign(Object.assign({}, COMMON_WAITER_CONFIG), { client: ec2Client.client }), { InstanceIds: [instanceId] });
        }));
    });
}
//# sourceMappingURL=wait-ec2-instance.js.map