var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { DeleteRoleCommand, DeleteRolePolicyCommand, DetachRolePolicyCommand, } from '@aws-sdk/client-iam';
import { getIamRoleAttachedPolicies, getIamRolePolicies, } from './get-iam-role.js';
import { iamClient } from './iam-client.js';
export function deleteIamRole({ roleName, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const policyNames = yield getIamRolePolicies({ roleName });
        yield Promise.all(policyNames.map((policyName) => __awaiter(this, void 0, void 0, function* () {
            return yield iamClient.send(new DeleteRolePolicyCommand({
                RoleName: roleName,
                PolicyName: policyName,
            }));
        })));
        const attachedPolicies = yield getIamRoleAttachedPolicies({ roleName });
        yield Promise.all(attachedPolicies.map((policy) => __awaiter(this, void 0, void 0, function* () {
            return yield iamClient.send(new DetachRolePolicyCommand({
                RoleName: roleName,
                PolicyArn: policy.arn,
            }));
        })));
        yield iamClient.send(new DeleteRoleCommand({
            RoleName: roleName,
        }));
    });
}
//# sourceMappingURL=delete-iam-role.js.map