var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { DeleteInstanceProfileCommand, RemoveRoleFromInstanceProfileCommand, } from '@aws-sdk/client-iam';
import { getInstanceProfile } from './get-instance-profiles.js';
import { iamClient } from './iam-client.js';
export function deleteInstanceProfile({ name, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const instanceProfile = yield getInstanceProfile({ name });
        if (!instanceProfile) {
            throw new Error('Instance profile not found');
        }
        yield Promise.all(instanceProfile.roles.map((role) => __awaiter(this, void 0, void 0, function* () {
            return yield iamClient.send(new RemoveRoleFromInstanceProfileCommand({
                InstanceProfileName: name,
                RoleName: role.name,
            }));
        })));
        yield iamClient.send(new DeleteInstanceProfileCommand({
            InstanceProfileName: name,
        }));
    });
}
//# sourceMappingURL=delete-instance-profile.js.map