var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { ListAttachedRolePoliciesCommand, ListRolePoliciesCommand, ListRolesCommand, } from '@aws-sdk/client-iam';
import { iamClient } from './iam-client.js';
import { parseRoleAttachedPolicyResponse, parseRoleResponse, } from './parse-iam-response.js';
export function getIamRoles({ path, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const { Roles } = yield iamClient.send(new ListRolesCommand({
            PathPrefix: path,
        }));
        if (!Roles) {
            throw new Error(`Invalid response from AWS.`);
        }
        return Roles.map(role => parseRoleResponse(role));
    });
}
export function getIamRolePolicies({ roleName, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const { PolicyNames } = yield iamClient.send(new ListRolePoliciesCommand({
            RoleName: roleName,
        }));
        if (!PolicyNames) {
            throw new Error(`Invalid response from AWS.`);
        }
        return PolicyNames;
    });
}
export function getIamRoleAttachedPolicies({ roleName, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const { AttachedPolicies } = yield iamClient.send(new ListAttachedRolePoliciesCommand({
            RoleName: roleName,
        }));
        if (!AttachedPolicies) {
            throw new Error(`Invalid response from AWS.`);
        }
        return AttachedPolicies.map(policy => parseRoleAttachedPolicyResponse(policy));
    });
}
//# sourceMappingURL=get-iam-role.js.map