var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { GetInstanceProfileCommand, ListInstanceProfilesCommand, } from '@aws-sdk/client-iam';
import { iamClient } from './iam-client.js';
import { parseIamInstanceProfileResponse } from './parse-iam-response.js';
export function getInstanceProfiles({ path, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const { InstanceProfiles } = yield iamClient.send(new ListInstanceProfilesCommand({
            PathPrefix: path,
        }));
        if (!InstanceProfiles) {
            throw new Error(`Invalid response from AWS.`);
        }
        return InstanceProfiles.map(profile => parseIamInstanceProfileResponse(profile));
    });
}
export function getInstanceProfile({ name, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const { InstanceProfile } = yield iamClient.send(new GetInstanceProfileCommand({
            InstanceProfileName: name,
        }));
        if (!InstanceProfile) {
            return;
        }
        return parseIamInstanceProfileResponse(InstanceProfile);
    });
}
//# sourceMappingURL=get-instance-profiles.js.map