import { z } from 'zod';
const RoleParser = z
    .object({
    RoleName: z.string(),
})
    .transform(response => ({ name: response.RoleName }));
export const parseRoleResponse = RoleParser.parse;
export const parseRoleAttachedPolicyResponse = z
    .object({
    PolicyName: z.string(),
    PolicyArn: z.string(),
})
    .transform(response => ({
    name: response.PolicyName,
    arn: response.PolicyArn,
})).parse;
export const parseIamInstanceProfileResponse = z
    .object({
    InstanceProfileName: z.string(),
    Arn: z.string(),
    Roles: z.array(RoleParser),
})
    .transform(response => ({
    name: response.InstanceProfileName,
    arn: response.Arn,
    roles: response.Roles,
})).parse;
//# sourceMappingURL=parse-iam-response.js.map