var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { cli } from '#src/common/cli.js';
import { fmt } from '#src/common/fmt.js';
import { OperationError } from '../../error/operation-error.js';
export function handleOperation(operationName, handler, detailProviders = []) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            cli.progressStart(fmt.capitalize(operationName));
            return yield handler();
        }
        catch (error) {
            throw OperationError.fromError({
                operationName,
                error,
                detailProviders,
            });
        }
        finally {
            cli.progressStop();
        }
    });
}
//# sourceMappingURL=handle-operation.js.map