var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getVpcs } from '#src/aws/ec2/get-vpcs.js';
import { cli } from '#src/common/cli.js';
import { fmt } from '#src/common/fmt.js';
import { EarlyExitError } from '../../error/early-exit-error.js';
import { handleOperation } from './handle-operation.js';
export function promptForCustomTargetVpc() {
    return __awaiter(this, void 0, void 0, function* () {
        const vpcs = yield handleOperation('Retrieving VPCs', () => __awaiter(this, void 0, void 0, function* () { return yield getVpcs(); }));
        if (vpcs.length === 0) {
            throw new EarlyExitError(`No VPCs found in your account`);
        }
        const { vpcId } = yield cli.prompt({
            type: 'list',
            name: 'vpcId',
            message: 'Select target VPC',
            choices: vpcs.map(vpc => ({
                name: fmt.resourceName(vpc),
                value: vpc.id,
            })),
        });
        return vpcId;
    });
}
//# sourceMappingURL=prompt-for-custom-target-vpc.js.map