var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { assertTargetIsInitialized } from './assert-target-is-initialized.js';
import { ensureBastionRunning } from './ensure-bastion-running.js';
import { getBastion } from './get-bastion.js';
import { selectConnectTarget } from './select-connect-target.js';
import { selectPort } from './select-port.js';
import { startPortForwarding } from './start-port-forwarding.js';
export function handleConnect(input) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const target = yield selectConnectTarget(input.target);
        const localPort = (_a = input.localPort) !== null && _a !== void 0 ? _a : (yield selectPort('Local port number'));
        yield assertTargetIsInitialized({ target });
        const bastion = yield getBastion({ target });
        yield ensureBastionRunning({ bastion });
        yield startPortForwarding({
            bastionInstanceId: bastion.instance.id,
            target,
            localPort,
        });
    });
}
//# sourceMappingURL=connect.js.map