var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { cli } from '#src/common/cli.js';
export function selectPort(message) {
    return __awaiter(this, void 0, void 0, function* () {
        const { localPort } = yield cli.prompt({
            type: 'input',
            name: 'localPort',
            message,
            validate: validatePort,
        });
        return localPort;
    });
}
function validatePort(input) {
    const inputNumber = Number(input);
    if (Number.isNaN(inputNumber) || inputNumber < 1 || inputNumber > 65535) {
        return 'Invalid port number';
    }
    return true;
}
//# sourceMappingURL=select-port.js.map