var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { cli } from '#src/common/cli.js';
import { isRequiredInputComplete, isAdvancedInputComplete, } from '../init-command-input.js';
import { selectInstanceType } from './select-instance-type.js';
import { selectTags } from './select-tags.js';
export function selectAdvancedInput(input) {
    return __awaiter(this, void 0, void 0, function* () {
        // If the required input is complete, Basti must skip any other interactive
        // input and proceed to execution immediately.
        if (isRequiredInputComplete(input) || isAdvancedInputComplete(input)) {
            return input;
        }
        const { proceedToAdvancedOptions } = yield cli.prompt({
            type: 'confirm',
            name: 'proceedToAdvancedOptions',
            message: 'Proceed to advanced options?',
            default: false,
        });
        if (!proceedToAdvancedOptions) {
            return input;
        }
        const instanceType = yield selectInstanceType(input.instanceType);
        const tags = yield selectTags(input.tags);
        return {
            instanceType,
            tags,
        };
    });
}
//# sourceMappingURL=select-advanced-input.js.map