var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as bastionOps from '#src/bastion/get-bastion.js';
import { cli } from '#src/common/cli.js';
import { handleOperation } from '../common/handle-operation.js';
export function getBastion({ vpcId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const bastion = yield handleOperation('Checking for an existing bastion', () => __awaiter(this, void 0, void 0, function* () { return yield bastionOps.getBastion({ vpcId }); }));
        if (bastion) {
            cli.progressSuccess(`Bastion already exists: ${bastion.id}`);
        }
        return bastion;
    });
}
//# sourceMappingURL=get-bastion.js.map