var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { allowTargetAccess } from './allow-target-access.js';
import { assertTargetIsNotInitialized } from './assert-target-is-not-initiated.js';
import { createBastion } from './create-bastion.js';
import { getBastion } from './get-bastion.js';
import { getTargetVpc } from './get-target-vpc.js';
import { selectBastionSubnetId } from './select-bastion-subnet.js';
import { selectInitTarget } from './select-init-target.js';
import { selectAdvancedInput } from './advanced-input/select-advanced-input.js';
export function handleInit(input) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const target = yield selectInitTarget(input.target);
        const targetVpcId = yield getTargetVpc(target);
        const bastionSubnet = yield selectBastionSubnetId({
            vpcId: targetVpcId,
            bastionSubnetInput: input.bastionSubnet,
        });
        const advancedInput = yield selectAdvancedInput(input);
        yield assertTargetIsNotInitialized({ target });
        const bastion = (_a = (yield getBastion({ vpcId: targetVpcId }))) !== null && _a !== void 0 ? _a : (yield createBastion({
            vpcId: targetVpcId,
            subnetId: bastionSubnet,
            instanceType: advancedInput.instanceType,
            tags: advancedInput.tags,
        }));
        yield allowTargetAccess({ target, bastion, tags: advancedInput.tags });
    });
}
//# sourceMappingURL=init.js.map