var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { createInitTarget } from '#src/target/create-init-target.js';
import { promptForCustomTargetVpc } from '../common/prompt-for-custom-target-vpc.js';
import { promptForAwsTarget } from '../common/prompt-for-aws-target.js';
import { handleOperation } from '../common/handle-operation.js';
import { hydrateAwsTarget } from '../common/hydrate-aws-target.js';
export function selectInitTarget(dehydratedInput) {
    return __awaiter(this, void 0, void 0, function* () {
        const targetInput = dehydratedInput
            ? yield handleOperation('Retrieving specified target', () => __awaiter(this, void 0, void 0, function* () { return yield hydrateInput(dehydratedInput); }))
            : yield promptForTarget();
        return createInitTarget(targetInput);
    });
}
function hydrateInput(targetInput) {
    return __awaiter(this, void 0, void 0, function* () {
        if ('customTargetVpcId' in targetInput) {
            return {
                custom: {
                    vpcId: targetInput.customTargetVpcId,
                },
            };
        }
        return yield hydrateAwsTarget(targetInput);
    });
}
function promptForTarget() {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        return (_a = (yield promptForAwsTarget('init'))) !== null && _a !== void 0 ? _a : (yield promptForCustomTarget());
    });
}
function promptForCustomTarget() {
    return __awaiter(this, void 0, void 0, function* () {
        const vpcId = yield promptForCustomTargetVpc();
        return { custom: { vpcId } };
    });
}
//# sourceMappingURL=select-init-target.js.map