import { getTagsFromOptions } from './tags/get-tags-from-options.js';
export function getInitCommandInputFromOptions(options) {
    return {
        target: isRdsInstanceOptions(options)
            ? {
                rdsInstanceId: options.rdsInstance,
            }
            : isRdsClusterOptions(options)
                ? {
                    rdsClusterId: options.rdsCluster,
                }
                : isElasticacheRedisClusterOptions(options)
                    ? {
                        elasticacheRedisClusterId: options.elasticacheRedisCluster,
                    }
                    : isElasticacheMemcachedClusterOptions(options)
                        ? {
                            elasticacheMemcachedClusterId: options.elasticacheMemcachedCluster,
                        }
                        : isCustomTargetOptions(options)
                            ? {
                                customTargetVpcId: options.customTargetVpc,
                            }
                            : undefined,
        bastionSubnet: options.bastionSubnet,
        tags: getTagsFromOptions(options),
        instanceType: options.bastionInstanceType,
    };
}
export function getConnectCommandInputFromOptions(options) {
    return {
        target: isRdsInstanceOptions(options)
            ? {
                rdsInstanceId: options.rdsInstance,
            }
            : isRdsClusterOptions(options)
                ? {
                    rdsClusterId: options.rdsCluster,
                }
                : isElasticacheRedisClusterOptions(options)
                    ? {
                        elasticacheRedisClusterId: options.elasticacheRedisCluster,
                    }
                    : isElasticacheRedisNodeOptions(options)
                        ? {
                            elasticacheRedisNodeId: options.elasticacheRedisNode,
                        }
                        : isElasticacheMemcachedClusterOptions(options)
                            ? {
                                elasticacheMemcachedClusterId: options.elasticacheMemcachedCluster,
                            }
                            : isElasticacheMemcachedNodeOptions(options)
                                ? {
                                    elasticacheMemcachedNodeId: options.elasticacheMemcachedNode,
                                }
                                : isCustomTargetOptions(options)
                                    ? {
                                        customTargetVpcId: options.customTargetVpc,
                                        customTargetHost: options.customTargetHost,
                                        customTargetPort: options.customTargetPort,
                                    }
                                    : undefined,
        localPort: options.localPort,
    };
}
export function getCleanupCommandInputFromOptions(options) {
    return {
        confirm: options.confirm,
    };
}
function isRdsInstanceOptions(options) {
    return 'rdsInstance' in options;
}
function isRdsClusterOptions(options) {
    return 'rdsCluster' in options;
}
function isElasticacheRedisClusterOptions(options) {
    return 'elasticacheRedisCluster' in options;
}
function isElasticacheRedisNodeOptions(options) {
    return 'elasticacheRedisNode' in options;
}
function isElasticacheMemcachedClusterOptions(options) {
    return 'elasticacheMemcachedCluster' in options;
}
function isElasticacheMemcachedNodeOptions(options) {
    return 'elasticacheMemcachedNode' in options;
}
function isCustomTargetOptions(options) {
    return 'customTargetVpc' in options;
}
//# sourceMappingURL=get-command-input.js.map