import { OperationError } from '#src/cli/error/operation-error.js';
export function getTagFromOption(tagOption) {
    const parts = tagOption.split('=');
    if (parts.length !== 2) {
        throw OperationError.fromErrorMessage({
            operationName: 'Parsing tags',
            message: `Each tag should be a key-value pair separated by an equal sign.`,
        });
    }
    const [key, value] = parts;
    return { key, value };
}
//# sourceMappingURL=get-tag-from-option.js.map