import chalk from 'chalk';
export class Fmt {
    reset(message) {
        return chalk.reset(message);
    }
    important(message) {
        return chalk.bgGreen.bold(` ${message} `);
    }
    value(message) {
        return chalk.cyan(message);
    }
    resourceName({ id, name }) {
        return name !== undefined ? `${id} - ${name}` : id;
    }
    list(items, indent = 0) {
        const prefix = this.getListItemPrefix(indent);
        return prefix + items.join('\n' + prefix);
    }
    code(message) {
        return chalk.gray.italic(`\`${message}\``);
    }
    green(message) {
        return chalk.green(message);
    }
    red(message) {
        return chalk.red(message);
    }
    yellow(message) {
        return chalk.yellow(message);
    }
    blue(message) {
        return chalk.blue(message);
    }
    gray(message) {
        return chalk.gray(message);
    }
    capitalize(message) {
        return message.charAt(0).toUpperCase() + message.slice(1);
    }
    lower(message) {
        return message.charAt(0).toLowerCase() + message.slice(1);
    }
    getListItemPrefix(indent) {
        return ' '.repeat(indent).concat('• ');
    }
}
export const fmt = new Fmt();
//# sourceMappingURL=fmt.js.map