var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { upsertTags } from '../aws/ec2/upsert-tags.js';
import { BASTION_INSTANCE_IN_USE_TAG_NAME } from '../bastion/bastion.js';
export function startBastionUsageMarker({ bastionInstanceId, hooks, }) {
    void markBastionUsage(bastionInstanceId);
    const interval = setInterval(() => {
        void markBastionUsage(bastionInstanceId, hooks);
    }, 60000);
    return () => clearInterval(interval);
}
function markBastionUsage(bastionInstanceId, hooks) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield upsertTags({
                resourceIds: [bastionInstanceId],
                tags: [
                    {
                        key: BASTION_INSTANCE_IN_USE_TAG_NAME,
                        value: new Date().toISOString(),
                    },
                ],
            });
        }
        catch (error) {
            (_a = hooks === null || hooks === void 0 ? void 0 : hooks.onMarkingError) === null || _a === void 0 ? void 0 : _a.call(hooks, error);
        }
    });
}
//# sourceMappingURL=start-bastion-usage-marker.js.map