var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { modifyDbInstance } from '#src/aws/rds/modify-db-instance.js';
import { InitTargetBase } from '../init-target.js';
export class DbInstanceInitTarget extends InitTargetBase {
    constructor({ dbInstance }) {
        super();
        this.dbInstance = dbInstance;
    }
    getId() {
        return this.dbInstance.identifier;
    }
    getVpcId() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.dbInstance.vpcId;
        });
    }
    getTargetPort() {
        return this.dbInstance.port;
    }
    getSecurityGroupIds() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.dbInstance.securityGroupIds;
        });
    }
    attachSecurityGroup(securityGroupId) {
        return __awaiter(this, void 0, void 0, function* () {
            this.dbInstance = yield modifyDbInstance({
                identifier: this.dbInstance.identifier,
                securityGroupIds: [...this.dbInstance.securityGroupIds, securityGroupId],
            });
        });
    }
}
//# sourceMappingURL=db-instance-init-target.js.map