"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElastiCache = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const AddTagsToResourceCommand_1 = require("./commands/AddTagsToResourceCommand");
const AuthorizeCacheSecurityGroupIngressCommand_1 = require("./commands/AuthorizeCacheSecurityGroupIngressCommand");
const BatchApplyUpdateActionCommand_1 = require("./commands/BatchApplyUpdateActionCommand");
const BatchStopUpdateActionCommand_1 = require("./commands/BatchStopUpdateActionCommand");
const CompleteMigrationCommand_1 = require("./commands/CompleteMigrationCommand");
const CopySnapshotCommand_1 = require("./commands/CopySnapshotCommand");
const CreateCacheClusterCommand_1 = require("./commands/CreateCacheClusterCommand");
const CreateCacheParameterGroupCommand_1 = require("./commands/CreateCacheParameterGroupCommand");
const CreateCacheSecurityGroupCommand_1 = require("./commands/CreateCacheSecurityGroupCommand");
const CreateCacheSubnetGroupCommand_1 = require("./commands/CreateCacheSubnetGroupCommand");
const CreateGlobalReplicationGroupCommand_1 = require("./commands/CreateGlobalReplicationGroupCommand");
const CreateReplicationGroupCommand_1 = require("./commands/CreateReplicationGroupCommand");
const CreateSnapshotCommand_1 = require("./commands/CreateSnapshotCommand");
const CreateUserCommand_1 = require("./commands/CreateUserCommand");
const CreateUserGroupCommand_1 = require("./commands/CreateUserGroupCommand");
const DecreaseNodeGroupsInGlobalReplicationGroupCommand_1 = require("./commands/DecreaseNodeGroupsInGlobalReplicationGroupCommand");
const DecreaseReplicaCountCommand_1 = require("./commands/DecreaseReplicaCountCommand");
const DeleteCacheClusterCommand_1 = require("./commands/DeleteCacheClusterCommand");
const DeleteCacheParameterGroupCommand_1 = require("./commands/DeleteCacheParameterGroupCommand");
const DeleteCacheSecurityGroupCommand_1 = require("./commands/DeleteCacheSecurityGroupCommand");
const DeleteCacheSubnetGroupCommand_1 = require("./commands/DeleteCacheSubnetGroupCommand");
const DeleteGlobalReplicationGroupCommand_1 = require("./commands/DeleteGlobalReplicationGroupCommand");
const DeleteReplicationGroupCommand_1 = require("./commands/DeleteReplicationGroupCommand");
const DeleteSnapshotCommand_1 = require("./commands/DeleteSnapshotCommand");
const DeleteUserCommand_1 = require("./commands/DeleteUserCommand");
const DeleteUserGroupCommand_1 = require("./commands/DeleteUserGroupCommand");
const DescribeCacheClustersCommand_1 = require("./commands/DescribeCacheClustersCommand");
const DescribeCacheEngineVersionsCommand_1 = require("./commands/DescribeCacheEngineVersionsCommand");
const DescribeCacheParameterGroupsCommand_1 = require("./commands/DescribeCacheParameterGroupsCommand");
const DescribeCacheParametersCommand_1 = require("./commands/DescribeCacheParametersCommand");
const DescribeCacheSecurityGroupsCommand_1 = require("./commands/DescribeCacheSecurityGroupsCommand");
const DescribeCacheSubnetGroupsCommand_1 = require("./commands/DescribeCacheSubnetGroupsCommand");
const DescribeEngineDefaultParametersCommand_1 = require("./commands/DescribeEngineDefaultParametersCommand");
const DescribeEventsCommand_1 = require("./commands/DescribeEventsCommand");
const DescribeGlobalReplicationGroupsCommand_1 = require("./commands/DescribeGlobalReplicationGroupsCommand");
const DescribeReplicationGroupsCommand_1 = require("./commands/DescribeReplicationGroupsCommand");
const DescribeReservedCacheNodesCommand_1 = require("./commands/DescribeReservedCacheNodesCommand");
const DescribeReservedCacheNodesOfferingsCommand_1 = require("./commands/DescribeReservedCacheNodesOfferingsCommand");
const DescribeServiceUpdatesCommand_1 = require("./commands/DescribeServiceUpdatesCommand");
const DescribeSnapshotsCommand_1 = require("./commands/DescribeSnapshotsCommand");
const DescribeUpdateActionsCommand_1 = require("./commands/DescribeUpdateActionsCommand");
const DescribeUserGroupsCommand_1 = require("./commands/DescribeUserGroupsCommand");
const DescribeUsersCommand_1 = require("./commands/DescribeUsersCommand");
const DisassociateGlobalReplicationGroupCommand_1 = require("./commands/DisassociateGlobalReplicationGroupCommand");
const FailoverGlobalReplicationGroupCommand_1 = require("./commands/FailoverGlobalReplicationGroupCommand");
const IncreaseNodeGroupsInGlobalReplicationGroupCommand_1 = require("./commands/IncreaseNodeGroupsInGlobalReplicationGroupCommand");
const IncreaseReplicaCountCommand_1 = require("./commands/IncreaseReplicaCountCommand");
const ListAllowedNodeTypeModificationsCommand_1 = require("./commands/ListAllowedNodeTypeModificationsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ModifyCacheClusterCommand_1 = require("./commands/ModifyCacheClusterCommand");
const ModifyCacheParameterGroupCommand_1 = require("./commands/ModifyCacheParameterGroupCommand");
const ModifyCacheSubnetGroupCommand_1 = require("./commands/ModifyCacheSubnetGroupCommand");
const ModifyGlobalReplicationGroupCommand_1 = require("./commands/ModifyGlobalReplicationGroupCommand");
const ModifyReplicationGroupCommand_1 = require("./commands/ModifyReplicationGroupCommand");
const ModifyReplicationGroupShardConfigurationCommand_1 = require("./commands/ModifyReplicationGroupShardConfigurationCommand");
const ModifyUserCommand_1 = require("./commands/ModifyUserCommand");
const ModifyUserGroupCommand_1 = require("./commands/ModifyUserGroupCommand");
const PurchaseReservedCacheNodesOfferingCommand_1 = require("./commands/PurchaseReservedCacheNodesOfferingCommand");
const RebalanceSlotsInGlobalReplicationGroupCommand_1 = require("./commands/RebalanceSlotsInGlobalReplicationGroupCommand");
const RebootCacheClusterCommand_1 = require("./commands/RebootCacheClusterCommand");
const RemoveTagsFromResourceCommand_1 = require("./commands/RemoveTagsFromResourceCommand");
const ResetCacheParameterGroupCommand_1 = require("./commands/ResetCacheParameterGroupCommand");
const RevokeCacheSecurityGroupIngressCommand_1 = require("./commands/RevokeCacheSecurityGroupIngressCommand");
const StartMigrationCommand_1 = require("./commands/StartMigrationCommand");
const TestFailoverCommand_1 = require("./commands/TestFailoverCommand");
const TestMigrationCommand_1 = require("./commands/TestMigrationCommand");
const ElastiCacheClient_1 = require("./ElastiCacheClient");
const commands = {
    AddTagsToResourceCommand: AddTagsToResourceCommand_1.AddTagsToResourceCommand,
    AuthorizeCacheSecurityGroupIngressCommand: AuthorizeCacheSecurityGroupIngressCommand_1.AuthorizeCacheSecurityGroupIngressCommand,
    BatchApplyUpdateActionCommand: BatchApplyUpdateActionCommand_1.BatchApplyUpdateActionCommand,
    BatchStopUpdateActionCommand: BatchStopUpdateActionCommand_1.BatchStopUpdateActionCommand,
    CompleteMigrationCommand: CompleteMigrationCommand_1.CompleteMigrationCommand,
    CopySnapshotCommand: CopySnapshotCommand_1.CopySnapshotCommand,
    CreateCacheClusterCommand: CreateCacheClusterCommand_1.CreateCacheClusterCommand,
    CreateCacheParameterGroupCommand: CreateCacheParameterGroupCommand_1.CreateCacheParameterGroupCommand,
    CreateCacheSecurityGroupCommand: CreateCacheSecurityGroupCommand_1.CreateCacheSecurityGroupCommand,
    CreateCacheSubnetGroupCommand: CreateCacheSubnetGroupCommand_1.CreateCacheSubnetGroupCommand,
    CreateGlobalReplicationGroupCommand: CreateGlobalReplicationGroupCommand_1.CreateGlobalReplicationGroupCommand,
    CreateReplicationGroupCommand: CreateReplicationGroupCommand_1.CreateReplicationGroupCommand,
    CreateSnapshotCommand: CreateSnapshotCommand_1.CreateSnapshotCommand,
    CreateUserCommand: CreateUserCommand_1.CreateUserCommand,
    CreateUserGroupCommand: CreateUserGroupCommand_1.CreateUserGroupCommand,
    DecreaseNodeGroupsInGlobalReplicationGroupCommand: DecreaseNodeGroupsInGlobalReplicationGroupCommand_1.DecreaseNodeGroupsInGlobalReplicationGroupCommand,
    DecreaseReplicaCountCommand: DecreaseReplicaCountCommand_1.DecreaseReplicaCountCommand,
    DeleteCacheClusterCommand: DeleteCacheClusterCommand_1.DeleteCacheClusterCommand,
    DeleteCacheParameterGroupCommand: DeleteCacheParameterGroupCommand_1.DeleteCacheParameterGroupCommand,
    DeleteCacheSecurityGroupCommand: DeleteCacheSecurityGroupCommand_1.DeleteCacheSecurityGroupCommand,
    DeleteCacheSubnetGroupCommand: DeleteCacheSubnetGroupCommand_1.DeleteCacheSubnetGroupCommand,
    DeleteGlobalReplicationGroupCommand: DeleteGlobalReplicationGroupCommand_1.DeleteGlobalReplicationGroupCommand,
    DeleteReplicationGroupCommand: DeleteReplicationGroupCommand_1.DeleteReplicationGroupCommand,
    DeleteSnapshotCommand: DeleteSnapshotCommand_1.DeleteSnapshotCommand,
    DeleteUserCommand: DeleteUserCommand_1.DeleteUserCommand,
    DeleteUserGroupCommand: DeleteUserGroupCommand_1.DeleteUserGroupCommand,
    DescribeCacheClustersCommand: DescribeCacheClustersCommand_1.DescribeCacheClustersCommand,
    DescribeCacheEngineVersionsCommand: DescribeCacheEngineVersionsCommand_1.DescribeCacheEngineVersionsCommand,
    DescribeCacheParameterGroupsCommand: DescribeCacheParameterGroupsCommand_1.DescribeCacheParameterGroupsCommand,
    DescribeCacheParametersCommand: DescribeCacheParametersCommand_1.DescribeCacheParametersCommand,
    DescribeCacheSecurityGroupsCommand: DescribeCacheSecurityGroupsCommand_1.DescribeCacheSecurityGroupsCommand,
    DescribeCacheSubnetGroupsCommand: DescribeCacheSubnetGroupsCommand_1.DescribeCacheSubnetGroupsCommand,
    DescribeEngineDefaultParametersCommand: DescribeEngineDefaultParametersCommand_1.DescribeEngineDefaultParametersCommand,
    DescribeEventsCommand: DescribeEventsCommand_1.DescribeEventsCommand,
    DescribeGlobalReplicationGroupsCommand: DescribeGlobalReplicationGroupsCommand_1.DescribeGlobalReplicationGroupsCommand,
    DescribeReplicationGroupsCommand: DescribeReplicationGroupsCommand_1.DescribeReplicationGroupsCommand,
    DescribeReservedCacheNodesCommand: DescribeReservedCacheNodesCommand_1.DescribeReservedCacheNodesCommand,
    DescribeReservedCacheNodesOfferingsCommand: DescribeReservedCacheNodesOfferingsCommand_1.DescribeReservedCacheNodesOfferingsCommand,
    DescribeServiceUpdatesCommand: DescribeServiceUpdatesCommand_1.DescribeServiceUpdatesCommand,
    DescribeSnapshotsCommand: DescribeSnapshotsCommand_1.DescribeSnapshotsCommand,
    DescribeUpdateActionsCommand: DescribeUpdateActionsCommand_1.DescribeUpdateActionsCommand,
    DescribeUserGroupsCommand: DescribeUserGroupsCommand_1.DescribeUserGroupsCommand,
    DescribeUsersCommand: DescribeUsersCommand_1.DescribeUsersCommand,
    DisassociateGlobalReplicationGroupCommand: DisassociateGlobalReplicationGroupCommand_1.DisassociateGlobalReplicationGroupCommand,
    FailoverGlobalReplicationGroupCommand: FailoverGlobalReplicationGroupCommand_1.FailoverGlobalReplicationGroupCommand,
    IncreaseNodeGroupsInGlobalReplicationGroupCommand: IncreaseNodeGroupsInGlobalReplicationGroupCommand_1.IncreaseNodeGroupsInGlobalReplicationGroupCommand,
    IncreaseReplicaCountCommand: IncreaseReplicaCountCommand_1.IncreaseReplicaCountCommand,
    ListAllowedNodeTypeModificationsCommand: ListAllowedNodeTypeModificationsCommand_1.ListAllowedNodeTypeModificationsCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    ModifyCacheClusterCommand: ModifyCacheClusterCommand_1.ModifyCacheClusterCommand,
    ModifyCacheParameterGroupCommand: ModifyCacheParameterGroupCommand_1.ModifyCacheParameterGroupCommand,
    ModifyCacheSubnetGroupCommand: ModifyCacheSubnetGroupCommand_1.ModifyCacheSubnetGroupCommand,
    ModifyGlobalReplicationGroupCommand: ModifyGlobalReplicationGroupCommand_1.ModifyGlobalReplicationGroupCommand,
    ModifyReplicationGroupCommand: ModifyReplicationGroupCommand_1.ModifyReplicationGroupCommand,
    ModifyReplicationGroupShardConfigurationCommand: ModifyReplicationGroupShardConfigurationCommand_1.ModifyReplicationGroupShardConfigurationCommand,
    ModifyUserCommand: ModifyUserCommand_1.ModifyUserCommand,
    ModifyUserGroupCommand: ModifyUserGroupCommand_1.ModifyUserGroupCommand,
    PurchaseReservedCacheNodesOfferingCommand: PurchaseReservedCacheNodesOfferingCommand_1.PurchaseReservedCacheNodesOfferingCommand,
    RebalanceSlotsInGlobalReplicationGroupCommand: RebalanceSlotsInGlobalReplicationGroupCommand_1.RebalanceSlotsInGlobalReplicationGroupCommand,
    RebootCacheClusterCommand: RebootCacheClusterCommand_1.RebootCacheClusterCommand,
    RemoveTagsFromResourceCommand: RemoveTagsFromResourceCommand_1.RemoveTagsFromResourceCommand,
    ResetCacheParameterGroupCommand: ResetCacheParameterGroupCommand_1.ResetCacheParameterGroupCommand,
    RevokeCacheSecurityGroupIngressCommand: RevokeCacheSecurityGroupIngressCommand_1.RevokeCacheSecurityGroupIngressCommand,
    StartMigrationCommand: StartMigrationCommand_1.StartMigrationCommand,
    TestFailoverCommand: TestFailoverCommand_1.TestFailoverCommand,
    TestMigrationCommand: TestMigrationCommand_1.TestMigrationCommand,
};
class ElastiCache extends ElastiCacheClient_1.ElastiCacheClient {
}
exports.ElastiCache = ElastiCache;
(0, smithy_client_1.createAggregatedClient)(commands, ElastiCache);
