"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateDescribeCacheSecurityGroups = void 0;
const DescribeCacheSecurityGroupsCommand_1 = require("../commands/DescribeCacheSecurityGroupsCommand");
const ElastiCacheClient_1 = require("../ElastiCacheClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new DescribeCacheSecurityGroupsCommand_1.DescribeCacheSecurityGroupsCommand(input), ...args);
};
async function* paginateDescribeCacheSecurityGroups(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.Marker = token;
        input["MaxRecords"] = config.pageSize;
        if (config.client instanceof ElastiCacheClient_1.ElastiCacheClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected ElastiCache | ElastiCacheClient");
        }
        yield page;
        const prevToken = token;
        token = page.Marker;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateDescribeCacheSecurityGroups = paginateDescribeCacheSecurityGroups;
