"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilCacheClusterDeleted = exports.waitForCacheClusterDeleted = void 0;
const util_waiter_1 = require("@smithy/util-waiter");
const DescribeCacheClustersCommand_1 = require("../commands/DescribeCacheClustersCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeCacheClustersCommand_1.DescribeCacheClustersCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            let allStringEq_5 = returnComparator().length > 0;
            for (const element_4 of returnComparator()) {
                allStringEq_5 = allStringEq_5 && element_4 == "deleted";
            }
            if (allStringEq_5) {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "available") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "creating") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "incompatible-network") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "modifying") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "restore-failed") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.CacheClusters);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.CacheClusterStatus;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "snapshotting") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
        if (exception.name && exception.name == "CacheClusterNotFound") {
            return { state: util_waiter_1.WaiterState.SUCCESS, reason };
        }
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForCacheClusterDeleted = async (params, input) => {
    const serviceDefaults = { minDelay: 15, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForCacheClusterDeleted = waitForCacheClusterDeleted;
const waitUntilCacheClusterDeleted = async (params, input) => {
    const serviceDefaults = { minDelay: 15, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilCacheClusterDeleted = waitUntilCacheClusterDeleted;
