import { createAggregatedClient } from "@smithy/smithy-client";
import { AddTagsToResourceCommand, } from "./commands/AddTagsToResourceCommand";
import { AuthorizeCacheSecurityGroupIngressCommand, } from "./commands/AuthorizeCacheSecurityGroupIngressCommand";
import { BatchApplyUpdateActionCommand, } from "./commands/BatchApplyUpdateActionCommand";
import { BatchStopUpdateActionCommand, } from "./commands/BatchStopUpdateActionCommand";
import { CompleteMigrationCommand, } from "./commands/CompleteMigrationCommand";
import { CopySnapshotCommand, } from "./commands/CopySnapshotCommand";
import { CreateCacheClusterCommand, } from "./commands/CreateCacheClusterCommand";
import { CreateCacheParameterGroupCommand, } from "./commands/CreateCacheParameterGroupCommand";
import { CreateCacheSecurityGroupCommand, } from "./commands/CreateCacheSecurityGroupCommand";
import { CreateCacheSubnetGroupCommand, } from "./commands/CreateCacheSubnetGroupCommand";
import { CreateGlobalReplicationGroupCommand, } from "./commands/CreateGlobalReplicationGroupCommand";
import { CreateReplicationGroupCommand, } from "./commands/CreateReplicationGroupCommand";
import { CreateSnapshotCommand, } from "./commands/CreateSnapshotCommand";
import { CreateUserCommand } from "./commands/CreateUserCommand";
import { CreateUserGroupCommand, } from "./commands/CreateUserGroupCommand";
import { DecreaseNodeGroupsInGlobalReplicationGroupCommand, } from "./commands/DecreaseNodeGroupsInGlobalReplicationGroupCommand";
import { DecreaseReplicaCountCommand, } from "./commands/DecreaseReplicaCountCommand";
import { DeleteCacheClusterCommand, } from "./commands/DeleteCacheClusterCommand";
import { DeleteCacheParameterGroupCommand, } from "./commands/DeleteCacheParameterGroupCommand";
import { DeleteCacheSecurityGroupCommand, } from "./commands/DeleteCacheSecurityGroupCommand";
import { DeleteCacheSubnetGroupCommand, } from "./commands/DeleteCacheSubnetGroupCommand";
import { DeleteGlobalReplicationGroupCommand, } from "./commands/DeleteGlobalReplicationGroupCommand";
import { DeleteReplicationGroupCommand, } from "./commands/DeleteReplicationGroupCommand";
import { DeleteSnapshotCommand, } from "./commands/DeleteSnapshotCommand";
import { DeleteUserCommand } from "./commands/DeleteUserCommand";
import { DeleteUserGroupCommand, } from "./commands/DeleteUserGroupCommand";
import { DescribeCacheClustersCommand, } from "./commands/DescribeCacheClustersCommand";
import { DescribeCacheEngineVersionsCommand, } from "./commands/DescribeCacheEngineVersionsCommand";
import { DescribeCacheParameterGroupsCommand, } from "./commands/DescribeCacheParameterGroupsCommand";
import { DescribeCacheParametersCommand, } from "./commands/DescribeCacheParametersCommand";
import { DescribeCacheSecurityGroupsCommand, } from "./commands/DescribeCacheSecurityGroupsCommand";
import { DescribeCacheSubnetGroupsCommand, } from "./commands/DescribeCacheSubnetGroupsCommand";
import { DescribeEngineDefaultParametersCommand, } from "./commands/DescribeEngineDefaultParametersCommand";
import { DescribeEventsCommand, } from "./commands/DescribeEventsCommand";
import { DescribeGlobalReplicationGroupsCommand, } from "./commands/DescribeGlobalReplicationGroupsCommand";
import { DescribeReplicationGroupsCommand, } from "./commands/DescribeReplicationGroupsCommand";
import { DescribeReservedCacheNodesCommand, } from "./commands/DescribeReservedCacheNodesCommand";
import { DescribeReservedCacheNodesOfferingsCommand, } from "./commands/DescribeReservedCacheNodesOfferingsCommand";
import { DescribeServiceUpdatesCommand, } from "./commands/DescribeServiceUpdatesCommand";
import { DescribeSnapshotsCommand, } from "./commands/DescribeSnapshotsCommand";
import { DescribeUpdateActionsCommand, } from "./commands/DescribeUpdateActionsCommand";
import { DescribeUserGroupsCommand, } from "./commands/DescribeUserGroupsCommand";
import { DescribeUsersCommand, } from "./commands/DescribeUsersCommand";
import { DisassociateGlobalReplicationGroupCommand, } from "./commands/DisassociateGlobalReplicationGroupCommand";
import { FailoverGlobalReplicationGroupCommand, } from "./commands/FailoverGlobalReplicationGroupCommand";
import { IncreaseNodeGroupsInGlobalReplicationGroupCommand, } from "./commands/IncreaseNodeGroupsInGlobalReplicationGroupCommand";
import { IncreaseReplicaCountCommand, } from "./commands/IncreaseReplicaCountCommand";
import { ListAllowedNodeTypeModificationsCommand, } from "./commands/ListAllowedNodeTypeModificationsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ModifyCacheClusterCommand, } from "./commands/ModifyCacheClusterCommand";
import { ModifyCacheParameterGroupCommand, } from "./commands/ModifyCacheParameterGroupCommand";
import { ModifyCacheSubnetGroupCommand, } from "./commands/ModifyCacheSubnetGroupCommand";
import { ModifyGlobalReplicationGroupCommand, } from "./commands/ModifyGlobalReplicationGroupCommand";
import { ModifyReplicationGroupCommand, } from "./commands/ModifyReplicationGroupCommand";
import { ModifyReplicationGroupShardConfigurationCommand, } from "./commands/ModifyReplicationGroupShardConfigurationCommand";
import { ModifyUserCommand } from "./commands/ModifyUserCommand";
import { ModifyUserGroupCommand, } from "./commands/ModifyUserGroupCommand";
import { PurchaseReservedCacheNodesOfferingCommand, } from "./commands/PurchaseReservedCacheNodesOfferingCommand";
import { RebalanceSlotsInGlobalReplicationGroupCommand, } from "./commands/RebalanceSlotsInGlobalReplicationGroupCommand";
import { RebootCacheClusterCommand, } from "./commands/RebootCacheClusterCommand";
import { RemoveTagsFromResourceCommand, } from "./commands/RemoveTagsFromResourceCommand";
import { ResetCacheParameterGroupCommand, } from "./commands/ResetCacheParameterGroupCommand";
import { RevokeCacheSecurityGroupIngressCommand, } from "./commands/RevokeCacheSecurityGroupIngressCommand";
import { StartMigrationCommand, } from "./commands/StartMigrationCommand";
import { TestFailoverCommand, } from "./commands/TestFailoverCommand";
import { TestMigrationCommand, } from "./commands/TestMigrationCommand";
import { ElastiCacheClient } from "./ElastiCacheClient";
const commands = {
    AddTagsToResourceCommand,
    AuthorizeCacheSecurityGroupIngressCommand,
    BatchApplyUpdateActionCommand,
    BatchStopUpdateActionCommand,
    CompleteMigrationCommand,
    CopySnapshotCommand,
    CreateCacheClusterCommand,
    CreateCacheParameterGroupCommand,
    CreateCacheSecurityGroupCommand,
    CreateCacheSubnetGroupCommand,
    CreateGlobalReplicationGroupCommand,
    CreateReplicationGroupCommand,
    CreateSnapshotCommand,
    CreateUserCommand,
    CreateUserGroupCommand,
    DecreaseNodeGroupsInGlobalReplicationGroupCommand,
    DecreaseReplicaCountCommand,
    DeleteCacheClusterCommand,
    DeleteCacheParameterGroupCommand,
    DeleteCacheSecurityGroupCommand,
    DeleteCacheSubnetGroupCommand,
    DeleteGlobalReplicationGroupCommand,
    DeleteReplicationGroupCommand,
    DeleteSnapshotCommand,
    DeleteUserCommand,
    DeleteUserGroupCommand,
    DescribeCacheClustersCommand,
    DescribeCacheEngineVersionsCommand,
    DescribeCacheParameterGroupsCommand,
    DescribeCacheParametersCommand,
    DescribeCacheSecurityGroupsCommand,
    DescribeCacheSubnetGroupsCommand,
    DescribeEngineDefaultParametersCommand,
    DescribeEventsCommand,
    DescribeGlobalReplicationGroupsCommand,
    DescribeReplicationGroupsCommand,
    DescribeReservedCacheNodesCommand,
    DescribeReservedCacheNodesOfferingsCommand,
    DescribeServiceUpdatesCommand,
    DescribeSnapshotsCommand,
    DescribeUpdateActionsCommand,
    DescribeUserGroupsCommand,
    DescribeUsersCommand,
    DisassociateGlobalReplicationGroupCommand,
    FailoverGlobalReplicationGroupCommand,
    IncreaseNodeGroupsInGlobalReplicationGroupCommand,
    IncreaseReplicaCountCommand,
    ListAllowedNodeTypeModificationsCommand,
    ListTagsForResourceCommand,
    ModifyCacheClusterCommand,
    ModifyCacheParameterGroupCommand,
    ModifyCacheSubnetGroupCommand,
    ModifyGlobalReplicationGroupCommand,
    ModifyReplicationGroupCommand,
    ModifyReplicationGroupShardConfigurationCommand,
    ModifyUserCommand,
    ModifyUserGroupCommand,
    PurchaseReservedCacheNodesOfferingCommand,
    RebalanceSlotsInGlobalReplicationGroupCommand,
    RebootCacheClusterCommand,
    RemoveTagsFromResourceCommand,
    ResetCacheParameterGroupCommand,
    RevokeCacheSecurityGroupIngressCommand,
    StartMigrationCommand,
    TestFailoverCommand,
    TestMigrationCommand,
};
export class ElastiCache extends ElastiCacheClient {
}
createAggregatedClient(commands, ElastiCache);
