import { DescribeReplicationGroupsCommand, } from "../commands/DescribeReplicationGroupsCommand";
import { ElastiCacheClient } from "../ElastiCacheClient";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new DescribeReplicationGroupsCommand(input), ...args);
};
export async function* paginateDescribeReplicationGroups(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.Marker = token;
        input["MaxRecords"] = config.pageSize;
        if (config.client instanceof ElastiCacheClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected ElastiCache | ElastiCacheClient");
        }
        yield page;
        const prevToken = token;
        token = page.Marker;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
