import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AddTagsToResourceCommandInput, AddTagsToResourceCommandOutput } from "../commands/AddTagsToResourceCommand";
import { AuthorizeCacheSecurityGroupIngressCommandInput, AuthorizeCacheSecurityGroupIngressCommandOutput } from "../commands/AuthorizeCacheSecurityGroupIngressCommand";
import { BatchApplyUpdateActionCommandInput, BatchApplyUpdateActionCommandOutput } from "../commands/BatchApplyUpdateActionCommand";
import { BatchStopUpdateActionCommandInput, BatchStopUpdateActionCommandOutput } from "../commands/BatchStopUpdateActionCommand";
import { CompleteMigrationCommandInput, CompleteMigrationCommandOutput } from "../commands/CompleteMigrationCommand";
import { CopySnapshotCommandInput, CopySnapshotCommandOutput } from "../commands/CopySnapshotCommand";
import { CreateCacheClusterCommandInput, CreateCacheClusterCommandOutput } from "../commands/CreateCacheClusterCommand";
import { CreateCacheParameterGroupCommandInput, CreateCacheParameterGroupCommandOutput } from "../commands/CreateCacheParameterGroupCommand";
import { CreateCacheSecurityGroupCommandInput, CreateCacheSecurityGroupCommandOutput } from "../commands/CreateCacheSecurityGroupCommand";
import { CreateCacheSubnetGroupCommandInput, CreateCacheSubnetGroupCommandOutput } from "../commands/CreateCacheSubnetGroupCommand";
import { CreateGlobalReplicationGroupCommandInput, CreateGlobalReplicationGroupCommandOutput } from "../commands/CreateGlobalReplicationGroupCommand";
import { CreateReplicationGroupCommandInput, CreateReplicationGroupCommandOutput } from "../commands/CreateReplicationGroupCommand";
import { CreateSnapshotCommandInput, CreateSnapshotCommandOutput } from "../commands/CreateSnapshotCommand";
import { CreateUserCommandInput, CreateUserCommandOutput } from "../commands/CreateUserCommand";
import { CreateUserGroupCommandInput, CreateUserGroupCommandOutput } from "../commands/CreateUserGroupCommand";
import { DecreaseNodeGroupsInGlobalReplicationGroupCommandInput, DecreaseNodeGroupsInGlobalReplicationGroupCommandOutput } from "../commands/DecreaseNodeGroupsInGlobalReplicationGroupCommand";
import { DecreaseReplicaCountCommandInput, DecreaseReplicaCountCommandOutput } from "../commands/DecreaseReplicaCountCommand";
import { DeleteCacheClusterCommandInput, DeleteCacheClusterCommandOutput } from "../commands/DeleteCacheClusterCommand";
import { DeleteCacheParameterGroupCommandInput, DeleteCacheParameterGroupCommandOutput } from "../commands/DeleteCacheParameterGroupCommand";
import { DeleteCacheSecurityGroupCommandInput, DeleteCacheSecurityGroupCommandOutput } from "../commands/DeleteCacheSecurityGroupCommand";
import { DeleteCacheSubnetGroupCommandInput, DeleteCacheSubnetGroupCommandOutput } from "../commands/DeleteCacheSubnetGroupCommand";
import { DeleteGlobalReplicationGroupCommandInput, DeleteGlobalReplicationGroupCommandOutput } from "../commands/DeleteGlobalReplicationGroupCommand";
import { DeleteReplicationGroupCommandInput, DeleteReplicationGroupCommandOutput } from "../commands/DeleteReplicationGroupCommand";
import { DeleteSnapshotCommandInput, DeleteSnapshotCommandOutput } from "../commands/DeleteSnapshotCommand";
import { DeleteUserCommandInput, DeleteUserCommandOutput } from "../commands/DeleteUserCommand";
import { DeleteUserGroupCommandInput, DeleteUserGroupCommandOutput } from "../commands/DeleteUserGroupCommand";
import { DescribeCacheClustersCommandInput, DescribeCacheClustersCommandOutput } from "../commands/DescribeCacheClustersCommand";
import { DescribeCacheEngineVersionsCommandInput, DescribeCacheEngineVersionsCommandOutput } from "../commands/DescribeCacheEngineVersionsCommand";
import { DescribeCacheParameterGroupsCommandInput, DescribeCacheParameterGroupsCommandOutput } from "../commands/DescribeCacheParameterGroupsCommand";
import { DescribeCacheParametersCommandInput, DescribeCacheParametersCommandOutput } from "../commands/DescribeCacheParametersCommand";
import { DescribeCacheSecurityGroupsCommandInput, DescribeCacheSecurityGroupsCommandOutput } from "../commands/DescribeCacheSecurityGroupsCommand";
import { DescribeCacheSubnetGroupsCommandInput, DescribeCacheSubnetGroupsCommandOutput } from "../commands/DescribeCacheSubnetGroupsCommand";
import { DescribeEngineDefaultParametersCommandInput, DescribeEngineDefaultParametersCommandOutput } from "../commands/DescribeEngineDefaultParametersCommand";
import { DescribeEventsCommandInput, DescribeEventsCommandOutput } from "../commands/DescribeEventsCommand";
import { DescribeGlobalReplicationGroupsCommandInput, DescribeGlobalReplicationGroupsCommandOutput } from "../commands/DescribeGlobalReplicationGroupsCommand";
import { DescribeReplicationGroupsCommandInput, DescribeReplicationGroupsCommandOutput } from "../commands/DescribeReplicationGroupsCommand";
import { DescribeReservedCacheNodesCommandInput, DescribeReservedCacheNodesCommandOutput } from "../commands/DescribeReservedCacheNodesCommand";
import { DescribeReservedCacheNodesOfferingsCommandInput, DescribeReservedCacheNodesOfferingsCommandOutput } from "../commands/DescribeReservedCacheNodesOfferingsCommand";
import { DescribeServiceUpdatesCommandInput, DescribeServiceUpdatesCommandOutput } from "../commands/DescribeServiceUpdatesCommand";
import { DescribeSnapshotsCommandInput, DescribeSnapshotsCommandOutput } from "../commands/DescribeSnapshotsCommand";
import { DescribeUpdateActionsCommandInput, DescribeUpdateActionsCommandOutput } from "../commands/DescribeUpdateActionsCommand";
import { DescribeUserGroupsCommandInput, DescribeUserGroupsCommandOutput } from "../commands/DescribeUserGroupsCommand";
import { DescribeUsersCommandInput, DescribeUsersCommandOutput } from "../commands/DescribeUsersCommand";
import { DisassociateGlobalReplicationGroupCommandInput, DisassociateGlobalReplicationGroupCommandOutput } from "../commands/DisassociateGlobalReplicationGroupCommand";
import { FailoverGlobalReplicationGroupCommandInput, FailoverGlobalReplicationGroupCommandOutput } from "../commands/FailoverGlobalReplicationGroupCommand";
import { IncreaseNodeGroupsInGlobalReplicationGroupCommandInput, IncreaseNodeGroupsInGlobalReplicationGroupCommandOutput } from "../commands/IncreaseNodeGroupsInGlobalReplicationGroupCommand";
import { IncreaseReplicaCountCommandInput, IncreaseReplicaCountCommandOutput } from "../commands/IncreaseReplicaCountCommand";
import { ListAllowedNodeTypeModificationsCommandInput, ListAllowedNodeTypeModificationsCommandOutput } from "../commands/ListAllowedNodeTypeModificationsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ModifyCacheClusterCommandInput, ModifyCacheClusterCommandOutput } from "../commands/ModifyCacheClusterCommand";
import { ModifyCacheParameterGroupCommandInput, ModifyCacheParameterGroupCommandOutput } from "../commands/ModifyCacheParameterGroupCommand";
import { ModifyCacheSubnetGroupCommandInput, ModifyCacheSubnetGroupCommandOutput } from "../commands/ModifyCacheSubnetGroupCommand";
import { ModifyGlobalReplicationGroupCommandInput, ModifyGlobalReplicationGroupCommandOutput } from "../commands/ModifyGlobalReplicationGroupCommand";
import { ModifyReplicationGroupCommandInput, ModifyReplicationGroupCommandOutput } from "../commands/ModifyReplicationGroupCommand";
import { ModifyReplicationGroupShardConfigurationCommandInput, ModifyReplicationGroupShardConfigurationCommandOutput } from "../commands/ModifyReplicationGroupShardConfigurationCommand";
import { ModifyUserCommandInput, ModifyUserCommandOutput } from "../commands/ModifyUserCommand";
import { ModifyUserGroupCommandInput, ModifyUserGroupCommandOutput } from "../commands/ModifyUserGroupCommand";
import { PurchaseReservedCacheNodesOfferingCommandInput, PurchaseReservedCacheNodesOfferingCommandOutput } from "../commands/PurchaseReservedCacheNodesOfferingCommand";
import { RebalanceSlotsInGlobalReplicationGroupCommandInput, RebalanceSlotsInGlobalReplicationGroupCommandOutput } from "../commands/RebalanceSlotsInGlobalReplicationGroupCommand";
import { RebootCacheClusterCommandInput, RebootCacheClusterCommandOutput } from "../commands/RebootCacheClusterCommand";
import { RemoveTagsFromResourceCommandInput, RemoveTagsFromResourceCommandOutput } from "../commands/RemoveTagsFromResourceCommand";
import { ResetCacheParameterGroupCommandInput, ResetCacheParameterGroupCommandOutput } from "../commands/ResetCacheParameterGroupCommand";
import { RevokeCacheSecurityGroupIngressCommandInput, RevokeCacheSecurityGroupIngressCommandOutput } from "../commands/RevokeCacheSecurityGroupIngressCommand";
import { StartMigrationCommandInput, StartMigrationCommandOutput } from "../commands/StartMigrationCommand";
import { TestFailoverCommandInput, TestFailoverCommandOutput } from "../commands/TestFailoverCommand";
import { TestMigrationCommandInput, TestMigrationCommandOutput } from "../commands/TestMigrationCommand";
/**
 * serializeAws_queryAddTagsToResourceCommand
 */
export declare const se_AddTagsToResourceCommand: (input: AddTagsToResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryAuthorizeCacheSecurityGroupIngressCommand
 */
export declare const se_AuthorizeCacheSecurityGroupIngressCommand: (input: AuthorizeCacheSecurityGroupIngressCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryBatchApplyUpdateActionCommand
 */
export declare const se_BatchApplyUpdateActionCommand: (input: BatchApplyUpdateActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryBatchStopUpdateActionCommand
 */
export declare const se_BatchStopUpdateActionCommand: (input: BatchStopUpdateActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCompleteMigrationCommand
 */
export declare const se_CompleteMigrationCommand: (input: CompleteMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCopySnapshotCommand
 */
export declare const se_CopySnapshotCommand: (input: CopySnapshotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateCacheClusterCommand
 */
export declare const se_CreateCacheClusterCommand: (input: CreateCacheClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateCacheParameterGroupCommand
 */
export declare const se_CreateCacheParameterGroupCommand: (input: CreateCacheParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateCacheSecurityGroupCommand
 */
export declare const se_CreateCacheSecurityGroupCommand: (input: CreateCacheSecurityGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateCacheSubnetGroupCommand
 */
export declare const se_CreateCacheSubnetGroupCommand: (input: CreateCacheSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateGlobalReplicationGroupCommand
 */
export declare const se_CreateGlobalReplicationGroupCommand: (input: CreateGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateReplicationGroupCommand
 */
export declare const se_CreateReplicationGroupCommand: (input: CreateReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateSnapshotCommand
 */
export declare const se_CreateSnapshotCommand: (input: CreateSnapshotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateUserCommand
 */
export declare const se_CreateUserCommand: (input: CreateUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryCreateUserGroupCommand
 */
export declare const se_CreateUserGroupCommand: (input: CreateUserGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDecreaseNodeGroupsInGlobalReplicationGroupCommand
 */
export declare const se_DecreaseNodeGroupsInGlobalReplicationGroupCommand: (input: DecreaseNodeGroupsInGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDecreaseReplicaCountCommand
 */
export declare const se_DecreaseReplicaCountCommand: (input: DecreaseReplicaCountCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteCacheClusterCommand
 */
export declare const se_DeleteCacheClusterCommand: (input: DeleteCacheClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteCacheParameterGroupCommand
 */
export declare const se_DeleteCacheParameterGroupCommand: (input: DeleteCacheParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteCacheSecurityGroupCommand
 */
export declare const se_DeleteCacheSecurityGroupCommand: (input: DeleteCacheSecurityGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteCacheSubnetGroupCommand
 */
export declare const se_DeleteCacheSubnetGroupCommand: (input: DeleteCacheSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteGlobalReplicationGroupCommand
 */
export declare const se_DeleteGlobalReplicationGroupCommand: (input: DeleteGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteReplicationGroupCommand
 */
export declare const se_DeleteReplicationGroupCommand: (input: DeleteReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteSnapshotCommand
 */
export declare const se_DeleteSnapshotCommand: (input: DeleteSnapshotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteUserCommand
 */
export declare const se_DeleteUserCommand: (input: DeleteUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDeleteUserGroupCommand
 */
export declare const se_DeleteUserGroupCommand: (input: DeleteUserGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCacheClustersCommand
 */
export declare const se_DescribeCacheClustersCommand: (input: DescribeCacheClustersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCacheEngineVersionsCommand
 */
export declare const se_DescribeCacheEngineVersionsCommand: (input: DescribeCacheEngineVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCacheParameterGroupsCommand
 */
export declare const se_DescribeCacheParameterGroupsCommand: (input: DescribeCacheParameterGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCacheParametersCommand
 */
export declare const se_DescribeCacheParametersCommand: (input: DescribeCacheParametersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCacheSecurityGroupsCommand
 */
export declare const se_DescribeCacheSecurityGroupsCommand: (input: DescribeCacheSecurityGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeCacheSubnetGroupsCommand
 */
export declare const se_DescribeCacheSubnetGroupsCommand: (input: DescribeCacheSubnetGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeEngineDefaultParametersCommand
 */
export declare const se_DescribeEngineDefaultParametersCommand: (input: DescribeEngineDefaultParametersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeEventsCommand
 */
export declare const se_DescribeEventsCommand: (input: DescribeEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeGlobalReplicationGroupsCommand
 */
export declare const se_DescribeGlobalReplicationGroupsCommand: (input: DescribeGlobalReplicationGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeReplicationGroupsCommand
 */
export declare const se_DescribeReplicationGroupsCommand: (input: DescribeReplicationGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeReservedCacheNodesCommand
 */
export declare const se_DescribeReservedCacheNodesCommand: (input: DescribeReservedCacheNodesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeReservedCacheNodesOfferingsCommand
 */
export declare const se_DescribeReservedCacheNodesOfferingsCommand: (input: DescribeReservedCacheNodesOfferingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeServiceUpdatesCommand
 */
export declare const se_DescribeServiceUpdatesCommand: (input: DescribeServiceUpdatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeSnapshotsCommand
 */
export declare const se_DescribeSnapshotsCommand: (input: DescribeSnapshotsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeUpdateActionsCommand
 */
export declare const se_DescribeUpdateActionsCommand: (input: DescribeUpdateActionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeUserGroupsCommand
 */
export declare const se_DescribeUserGroupsCommand: (input: DescribeUserGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDescribeUsersCommand
 */
export declare const se_DescribeUsersCommand: (input: DescribeUsersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryDisassociateGlobalReplicationGroupCommand
 */
export declare const se_DisassociateGlobalReplicationGroupCommand: (input: DisassociateGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryFailoverGlobalReplicationGroupCommand
 */
export declare const se_FailoverGlobalReplicationGroupCommand: (input: FailoverGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryIncreaseNodeGroupsInGlobalReplicationGroupCommand
 */
export declare const se_IncreaseNodeGroupsInGlobalReplicationGroupCommand: (input: IncreaseNodeGroupsInGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryIncreaseReplicaCountCommand
 */
export declare const se_IncreaseReplicaCountCommand: (input: IncreaseReplicaCountCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryListAllowedNodeTypeModificationsCommand
 */
export declare const se_ListAllowedNodeTypeModificationsCommand: (input: ListAllowedNodeTypeModificationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyCacheClusterCommand
 */
export declare const se_ModifyCacheClusterCommand: (input: ModifyCacheClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyCacheParameterGroupCommand
 */
export declare const se_ModifyCacheParameterGroupCommand: (input: ModifyCacheParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyCacheSubnetGroupCommand
 */
export declare const se_ModifyCacheSubnetGroupCommand: (input: ModifyCacheSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyGlobalReplicationGroupCommand
 */
export declare const se_ModifyGlobalReplicationGroupCommand: (input: ModifyGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyReplicationGroupCommand
 */
export declare const se_ModifyReplicationGroupCommand: (input: ModifyReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyReplicationGroupShardConfigurationCommand
 */
export declare const se_ModifyReplicationGroupShardConfigurationCommand: (input: ModifyReplicationGroupShardConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyUserCommand
 */
export declare const se_ModifyUserCommand: (input: ModifyUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryModifyUserGroupCommand
 */
export declare const se_ModifyUserGroupCommand: (input: ModifyUserGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryPurchaseReservedCacheNodesOfferingCommand
 */
export declare const se_PurchaseReservedCacheNodesOfferingCommand: (input: PurchaseReservedCacheNodesOfferingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRebalanceSlotsInGlobalReplicationGroupCommand
 */
export declare const se_RebalanceSlotsInGlobalReplicationGroupCommand: (input: RebalanceSlotsInGlobalReplicationGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRebootCacheClusterCommand
 */
export declare const se_RebootCacheClusterCommand: (input: RebootCacheClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRemoveTagsFromResourceCommand
 */
export declare const se_RemoveTagsFromResourceCommand: (input: RemoveTagsFromResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryResetCacheParameterGroupCommand
 */
export declare const se_ResetCacheParameterGroupCommand: (input: ResetCacheParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryRevokeCacheSecurityGroupIngressCommand
 */
export declare const se_RevokeCacheSecurityGroupIngressCommand: (input: RevokeCacheSecurityGroupIngressCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryStartMigrationCommand
 */
export declare const se_StartMigrationCommand: (input: StartMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryTestFailoverCommand
 */
export declare const se_TestFailoverCommand: (input: TestFailoverCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_queryTestMigrationCommand
 */
export declare const se_TestMigrationCommand: (input: TestMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_queryAddTagsToResourceCommand
 */
export declare const de_AddTagsToResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddTagsToResourceCommandOutput>;
/**
 * deserializeAws_queryAuthorizeCacheSecurityGroupIngressCommand
 */
export declare const de_AuthorizeCacheSecurityGroupIngressCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AuthorizeCacheSecurityGroupIngressCommandOutput>;
/**
 * deserializeAws_queryBatchApplyUpdateActionCommand
 */
export declare const de_BatchApplyUpdateActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchApplyUpdateActionCommandOutput>;
/**
 * deserializeAws_queryBatchStopUpdateActionCommand
 */
export declare const de_BatchStopUpdateActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchStopUpdateActionCommandOutput>;
/**
 * deserializeAws_queryCompleteMigrationCommand
 */
export declare const de_CompleteMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CompleteMigrationCommandOutput>;
/**
 * deserializeAws_queryCopySnapshotCommand
 */
export declare const de_CopySnapshotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CopySnapshotCommandOutput>;
/**
 * deserializeAws_queryCreateCacheClusterCommand
 */
export declare const de_CreateCacheClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCacheClusterCommandOutput>;
/**
 * deserializeAws_queryCreateCacheParameterGroupCommand
 */
export declare const de_CreateCacheParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCacheParameterGroupCommandOutput>;
/**
 * deserializeAws_queryCreateCacheSecurityGroupCommand
 */
export declare const de_CreateCacheSecurityGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCacheSecurityGroupCommandOutput>;
/**
 * deserializeAws_queryCreateCacheSubnetGroupCommand
 */
export declare const de_CreateCacheSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCacheSubnetGroupCommandOutput>;
/**
 * deserializeAws_queryCreateGlobalReplicationGroupCommand
 */
export declare const de_CreateGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryCreateReplicationGroupCommand
 */
export declare const de_CreateReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryCreateSnapshotCommand
 */
export declare const de_CreateSnapshotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSnapshotCommandOutput>;
/**
 * deserializeAws_queryCreateUserCommand
 */
export declare const de_CreateUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateUserCommandOutput>;
/**
 * deserializeAws_queryCreateUserGroupCommand
 */
export declare const de_CreateUserGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateUserGroupCommandOutput>;
/**
 * deserializeAws_queryDecreaseNodeGroupsInGlobalReplicationGroupCommand
 */
export declare const de_DecreaseNodeGroupsInGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DecreaseNodeGroupsInGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryDecreaseReplicaCountCommand
 */
export declare const de_DecreaseReplicaCountCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DecreaseReplicaCountCommandOutput>;
/**
 * deserializeAws_queryDeleteCacheClusterCommand
 */
export declare const de_DeleteCacheClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCacheClusterCommandOutput>;
/**
 * deserializeAws_queryDeleteCacheParameterGroupCommand
 */
export declare const de_DeleteCacheParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCacheParameterGroupCommandOutput>;
/**
 * deserializeAws_queryDeleteCacheSecurityGroupCommand
 */
export declare const de_DeleteCacheSecurityGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCacheSecurityGroupCommandOutput>;
/**
 * deserializeAws_queryDeleteCacheSubnetGroupCommand
 */
export declare const de_DeleteCacheSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCacheSubnetGroupCommandOutput>;
/**
 * deserializeAws_queryDeleteGlobalReplicationGroupCommand
 */
export declare const de_DeleteGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryDeleteReplicationGroupCommand
 */
export declare const de_DeleteReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryDeleteSnapshotCommand
 */
export declare const de_DeleteSnapshotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSnapshotCommandOutput>;
/**
 * deserializeAws_queryDeleteUserCommand
 */
export declare const de_DeleteUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteUserCommandOutput>;
/**
 * deserializeAws_queryDeleteUserGroupCommand
 */
export declare const de_DeleteUserGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteUserGroupCommandOutput>;
/**
 * deserializeAws_queryDescribeCacheClustersCommand
 */
export declare const de_DescribeCacheClustersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCacheClustersCommandOutput>;
/**
 * deserializeAws_queryDescribeCacheEngineVersionsCommand
 */
export declare const de_DescribeCacheEngineVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCacheEngineVersionsCommandOutput>;
/**
 * deserializeAws_queryDescribeCacheParameterGroupsCommand
 */
export declare const de_DescribeCacheParameterGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCacheParameterGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeCacheParametersCommand
 */
export declare const de_DescribeCacheParametersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCacheParametersCommandOutput>;
/**
 * deserializeAws_queryDescribeCacheSecurityGroupsCommand
 */
export declare const de_DescribeCacheSecurityGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCacheSecurityGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeCacheSubnetGroupsCommand
 */
export declare const de_DescribeCacheSubnetGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCacheSubnetGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeEngineDefaultParametersCommand
 */
export declare const de_DescribeEngineDefaultParametersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEngineDefaultParametersCommandOutput>;
/**
 * deserializeAws_queryDescribeEventsCommand
 */
export declare const de_DescribeEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEventsCommandOutput>;
/**
 * deserializeAws_queryDescribeGlobalReplicationGroupsCommand
 */
export declare const de_DescribeGlobalReplicationGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeGlobalReplicationGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeReplicationGroupsCommand
 */
export declare const de_DescribeReplicationGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeReservedCacheNodesCommand
 */
export declare const de_DescribeReservedCacheNodesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReservedCacheNodesCommandOutput>;
/**
 * deserializeAws_queryDescribeReservedCacheNodesOfferingsCommand
 */
export declare const de_DescribeReservedCacheNodesOfferingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReservedCacheNodesOfferingsCommandOutput>;
/**
 * deserializeAws_queryDescribeServiceUpdatesCommand
 */
export declare const de_DescribeServiceUpdatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeServiceUpdatesCommandOutput>;
/**
 * deserializeAws_queryDescribeSnapshotsCommand
 */
export declare const de_DescribeSnapshotsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeSnapshotsCommandOutput>;
/**
 * deserializeAws_queryDescribeUpdateActionsCommand
 */
export declare const de_DescribeUpdateActionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUpdateActionsCommandOutput>;
/**
 * deserializeAws_queryDescribeUserGroupsCommand
 */
export declare const de_DescribeUserGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUserGroupsCommandOutput>;
/**
 * deserializeAws_queryDescribeUsersCommand
 */
export declare const de_DescribeUsersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUsersCommandOutput>;
/**
 * deserializeAws_queryDisassociateGlobalReplicationGroupCommand
 */
export declare const de_DisassociateGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryFailoverGlobalReplicationGroupCommand
 */
export declare const de_FailoverGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<FailoverGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryIncreaseNodeGroupsInGlobalReplicationGroupCommand
 */
export declare const de_IncreaseNodeGroupsInGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<IncreaseNodeGroupsInGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryIncreaseReplicaCountCommand
 */
export declare const de_IncreaseReplicaCountCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<IncreaseReplicaCountCommandOutput>;
/**
 * deserializeAws_queryListAllowedNodeTypeModificationsCommand
 */
export declare const de_ListAllowedNodeTypeModificationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAllowedNodeTypeModificationsCommandOutput>;
/**
 * deserializeAws_queryListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_queryModifyCacheClusterCommand
 */
export declare const de_ModifyCacheClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyCacheClusterCommandOutput>;
/**
 * deserializeAws_queryModifyCacheParameterGroupCommand
 */
export declare const de_ModifyCacheParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyCacheParameterGroupCommandOutput>;
/**
 * deserializeAws_queryModifyCacheSubnetGroupCommand
 */
export declare const de_ModifyCacheSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyCacheSubnetGroupCommandOutput>;
/**
 * deserializeAws_queryModifyGlobalReplicationGroupCommand
 */
export declare const de_ModifyGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryModifyReplicationGroupCommand
 */
export declare const de_ModifyReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryModifyReplicationGroupShardConfigurationCommand
 */
export declare const de_ModifyReplicationGroupShardConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyReplicationGroupShardConfigurationCommandOutput>;
/**
 * deserializeAws_queryModifyUserCommand
 */
export declare const de_ModifyUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyUserCommandOutput>;
/**
 * deserializeAws_queryModifyUserGroupCommand
 */
export declare const de_ModifyUserGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyUserGroupCommandOutput>;
/**
 * deserializeAws_queryPurchaseReservedCacheNodesOfferingCommand
 */
export declare const de_PurchaseReservedCacheNodesOfferingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PurchaseReservedCacheNodesOfferingCommandOutput>;
/**
 * deserializeAws_queryRebalanceSlotsInGlobalReplicationGroupCommand
 */
export declare const de_RebalanceSlotsInGlobalReplicationGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RebalanceSlotsInGlobalReplicationGroupCommandOutput>;
/**
 * deserializeAws_queryRebootCacheClusterCommand
 */
export declare const de_RebootCacheClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RebootCacheClusterCommandOutput>;
/**
 * deserializeAws_queryRemoveTagsFromResourceCommand
 */
export declare const de_RemoveTagsFromResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RemoveTagsFromResourceCommandOutput>;
/**
 * deserializeAws_queryResetCacheParameterGroupCommand
 */
export declare const de_ResetCacheParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ResetCacheParameterGroupCommandOutput>;
/**
 * deserializeAws_queryRevokeCacheSecurityGroupIngressCommand
 */
export declare const de_RevokeCacheSecurityGroupIngressCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RevokeCacheSecurityGroupIngressCommandOutput>;
/**
 * deserializeAws_queryStartMigrationCommand
 */
export declare const de_StartMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMigrationCommandOutput>;
/**
 * deserializeAws_queryTestFailoverCommand
 */
export declare const de_TestFailoverCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TestFailoverCommandOutput>;
/**
 * deserializeAws_queryTestMigrationCommand
 */
export declare const de_TestMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TestMigrationCommandOutput>;
