import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  AuthorizeCacheSecurityGroupIngressMessage,
  AuthorizeCacheSecurityGroupIngressResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AuthorizeCacheSecurityGroupIngressCommandInput
  extends AuthorizeCacheSecurityGroupIngressMessage {}
export interface AuthorizeCacheSecurityGroupIngressCommandOutput
  extends AuthorizeCacheSecurityGroupIngressResult,
    __MetadataBearer {}
export declare class AuthorizeCacheSecurityGroupIngressCommand extends $Command<
  AuthorizeCacheSecurityGroupIngressCommandInput,
  AuthorizeCacheSecurityGroupIngressCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: AuthorizeCacheSecurityGroupIngressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AuthorizeCacheSecurityGroupIngressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AuthorizeCacheSecurityGroupIngressCommandInput,
    AuthorizeCacheSecurityGroupIngressCommandOutput
  >;
  private serialize;
  private deserialize;
}
