import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  BatchApplyUpdateActionMessage,
  UpdateActionResultsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchApplyUpdateActionCommandInput
  extends BatchApplyUpdateActionMessage {}
export interface BatchApplyUpdateActionCommandOutput
  extends UpdateActionResultsMessage,
    __MetadataBearer {}
export declare class BatchApplyUpdateActionCommand extends $Command<
  BatchApplyUpdateActionCommandInput,
  BatchApplyUpdateActionCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: BatchApplyUpdateActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchApplyUpdateActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchApplyUpdateActionCommandInput,
    BatchApplyUpdateActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
