import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  BatchStopUpdateActionMessage,
  UpdateActionResultsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchStopUpdateActionCommandInput
  extends BatchStopUpdateActionMessage {}
export interface BatchStopUpdateActionCommandOutput
  extends UpdateActionResultsMessage,
    __MetadataBearer {}
export declare class BatchStopUpdateActionCommand extends $Command<
  BatchStopUpdateActionCommandInput,
  BatchStopUpdateActionCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: BatchStopUpdateActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchStopUpdateActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchStopUpdateActionCommandInput,
    BatchStopUpdateActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
