import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateCacheParameterGroupMessage,
  CreateCacheParameterGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateCacheParameterGroupCommandInput
  extends CreateCacheParameterGroupMessage {}
export interface CreateCacheParameterGroupCommandOutput
  extends CreateCacheParameterGroupResult,
    __MetadataBearer {}
export declare class CreateCacheParameterGroupCommand extends $Command<
  CreateCacheParameterGroupCommandInput,
  CreateCacheParameterGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: CreateCacheParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCacheParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCacheParameterGroupCommandInput,
    CreateCacheParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
