import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateCacheSecurityGroupMessage,
  CreateCacheSecurityGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateCacheSecurityGroupCommandInput
  extends CreateCacheSecurityGroupMessage {}
export interface CreateCacheSecurityGroupCommandOutput
  extends CreateCacheSecurityGroupResult,
    __MetadataBearer {}
export declare class CreateCacheSecurityGroupCommand extends $Command<
  CreateCacheSecurityGroupCommandInput,
  CreateCacheSecurityGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: CreateCacheSecurityGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCacheSecurityGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCacheSecurityGroupCommandInput,
    CreateCacheSecurityGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
