import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateCacheSubnetGroupMessage,
  CreateCacheSubnetGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateCacheSubnetGroupCommandInput
  extends CreateCacheSubnetGroupMessage {}
export interface CreateCacheSubnetGroupCommandOutput
  extends CreateCacheSubnetGroupResult,
    __MetadataBearer {}
export declare class CreateCacheSubnetGroupCommand extends $Command<
  CreateCacheSubnetGroupCommandInput,
  CreateCacheSubnetGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: CreateCacheSubnetGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCacheSubnetGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCacheSubnetGroupCommandInput,
    CreateCacheSubnetGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
