import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateGlobalReplicationGroupMessage,
  CreateGlobalReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateGlobalReplicationGroupCommandInput
  extends CreateGlobalReplicationGroupMessage {}
export interface CreateGlobalReplicationGroupCommandOutput
  extends CreateGlobalReplicationGroupResult,
    __MetadataBearer {}
export declare class CreateGlobalReplicationGroupCommand extends $Command<
  CreateGlobalReplicationGroupCommandInput,
  CreateGlobalReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: CreateGlobalReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateGlobalReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateGlobalReplicationGroupCommandInput,
    CreateGlobalReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
