import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CreateReplicationGroupMessage,
  CreateReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateReplicationGroupCommandInput
  extends CreateReplicationGroupMessage {}
export interface CreateReplicationGroupCommandOutput
  extends CreateReplicationGroupResult,
    __MetadataBearer {}
export declare class CreateReplicationGroupCommand extends $Command<
  CreateReplicationGroupCommandInput,
  CreateReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: CreateReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateReplicationGroupCommandInput,
    CreateReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
