import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import { CreateUserMessage, User } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateUserCommandInput extends CreateUserMessage {}
export interface CreateUserCommandOutput extends User, __MetadataBearer {}
export declare class CreateUserCommand extends $Command<
  CreateUserCommandInput,
  CreateUserCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: CreateUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateUserCommandInput, CreateUserCommandOutput>;
  private serialize;
  private deserialize;
}
