import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DecreaseReplicaCountMessage,
  DecreaseReplicaCountResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DecreaseReplicaCountCommandInput
  extends DecreaseReplicaCountMessage {}
export interface DecreaseReplicaCountCommandOutput
  extends DecreaseReplicaCountResult,
    __MetadataBearer {}
export declare class DecreaseReplicaCountCommand extends $Command<
  DecreaseReplicaCountCommandInput,
  DecreaseReplicaCountCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DecreaseReplicaCountCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DecreaseReplicaCountCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DecreaseReplicaCountCommandInput,
    DecreaseReplicaCountCommandOutput
  >;
  private serialize;
  private deserialize;
}
