import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import { DeleteCacheParameterGroupMessage } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteCacheParameterGroupCommandInput
  extends DeleteCacheParameterGroupMessage {}
export interface DeleteCacheParameterGroupCommandOutput
  extends __MetadataBearer {}
export declare class DeleteCacheParameterGroupCommand extends $Command<
  DeleteCacheParameterGroupCommandInput,
  DeleteCacheParameterGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DeleteCacheParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCacheParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCacheParameterGroupCommandInput,
    DeleteCacheParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
