import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import { DeleteCacheSecurityGroupMessage } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteCacheSecurityGroupCommandInput
  extends DeleteCacheSecurityGroupMessage {}
export interface DeleteCacheSecurityGroupCommandOutput
  extends __MetadataBearer {}
export declare class DeleteCacheSecurityGroupCommand extends $Command<
  DeleteCacheSecurityGroupCommandInput,
  DeleteCacheSecurityGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DeleteCacheSecurityGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCacheSecurityGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCacheSecurityGroupCommandInput,
    DeleteCacheSecurityGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
