import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import { DeleteCacheSubnetGroupMessage } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteCacheSubnetGroupCommandInput
  extends DeleteCacheSubnetGroupMessage {}
export interface DeleteCacheSubnetGroupCommandOutput extends __MetadataBearer {}
export declare class DeleteCacheSubnetGroupCommand extends $Command<
  DeleteCacheSubnetGroupCommandInput,
  DeleteCacheSubnetGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DeleteCacheSubnetGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCacheSubnetGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCacheSubnetGroupCommandInput,
    DeleteCacheSubnetGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
