import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DeleteGlobalReplicationGroupMessage,
  DeleteGlobalReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteGlobalReplicationGroupCommandInput
  extends DeleteGlobalReplicationGroupMessage {}
export interface DeleteGlobalReplicationGroupCommandOutput
  extends DeleteGlobalReplicationGroupResult,
    __MetadataBearer {}
export declare class DeleteGlobalReplicationGroupCommand extends $Command<
  DeleteGlobalReplicationGroupCommandInput,
  DeleteGlobalReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DeleteGlobalReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteGlobalReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteGlobalReplicationGroupCommandInput,
    DeleteGlobalReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
