import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DeleteReplicationGroupMessage,
  DeleteReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteReplicationGroupCommandInput
  extends DeleteReplicationGroupMessage {}
export interface DeleteReplicationGroupCommandOutput
  extends DeleteReplicationGroupResult,
    __MetadataBearer {}
export declare class DeleteReplicationGroupCommand extends $Command<
  DeleteReplicationGroupCommandInput,
  DeleteReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DeleteReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteReplicationGroupCommandInput,
    DeleteReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
