import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DeleteSnapshotMessage,
  DeleteSnapshotResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteSnapshotCommandInput extends DeleteSnapshotMessage {}
export interface DeleteSnapshotCommandOutput
  extends DeleteSnapshotResult,
    __MetadataBearer {}
export declare class DeleteSnapshotCommand extends $Command<
  DeleteSnapshotCommandInput,
  DeleteSnapshotCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DeleteSnapshotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteSnapshotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteSnapshotCommandInput, DeleteSnapshotCommandOutput>;
  private serialize;
  private deserialize;
}
