import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheClusterMessage,
  DescribeCacheClustersMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCacheClustersCommandInput
  extends DescribeCacheClustersMessage {}
export interface DescribeCacheClustersCommandOutput
  extends CacheClusterMessage,
    __MetadataBearer {}
export declare class DescribeCacheClustersCommand extends $Command<
  DescribeCacheClustersCommandInput,
  DescribeCacheClustersCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeCacheClustersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCacheClustersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCacheClustersCommandInput,
    DescribeCacheClustersCommandOutput
  >;
  private serialize;
  private deserialize;
}
