import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheEngineVersionMessage,
  DescribeCacheEngineVersionsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCacheEngineVersionsCommandInput
  extends DescribeCacheEngineVersionsMessage {}
export interface DescribeCacheEngineVersionsCommandOutput
  extends CacheEngineVersionMessage,
    __MetadataBearer {}
export declare class DescribeCacheEngineVersionsCommand extends $Command<
  DescribeCacheEngineVersionsCommandInput,
  DescribeCacheEngineVersionsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeCacheEngineVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCacheEngineVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCacheEngineVersionsCommandInput,
    DescribeCacheEngineVersionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
