import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheParameterGroupsMessage,
  DescribeCacheParameterGroupsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCacheParameterGroupsCommandInput
  extends DescribeCacheParameterGroupsMessage {}
export interface DescribeCacheParameterGroupsCommandOutput
  extends CacheParameterGroupsMessage,
    __MetadataBearer {}
export declare class DescribeCacheParameterGroupsCommand extends $Command<
  DescribeCacheParameterGroupsCommandInput,
  DescribeCacheParameterGroupsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeCacheParameterGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCacheParameterGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCacheParameterGroupsCommandInput,
    DescribeCacheParameterGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
