import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheParameterGroupDetails,
  DescribeCacheParametersMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCacheParametersCommandInput
  extends DescribeCacheParametersMessage {}
export interface DescribeCacheParametersCommandOutput
  extends CacheParameterGroupDetails,
    __MetadataBearer {}
export declare class DescribeCacheParametersCommand extends $Command<
  DescribeCacheParametersCommandInput,
  DescribeCacheParametersCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeCacheParametersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCacheParametersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCacheParametersCommandInput,
    DescribeCacheParametersCommandOutput
  >;
  private serialize;
  private deserialize;
}
