import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheSecurityGroupMessage,
  DescribeCacheSecurityGroupsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCacheSecurityGroupsCommandInput
  extends DescribeCacheSecurityGroupsMessage {}
export interface DescribeCacheSecurityGroupsCommandOutput
  extends CacheSecurityGroupMessage,
    __MetadataBearer {}
export declare class DescribeCacheSecurityGroupsCommand extends $Command<
  DescribeCacheSecurityGroupsCommandInput,
  DescribeCacheSecurityGroupsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeCacheSecurityGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCacheSecurityGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCacheSecurityGroupsCommandInput,
    DescribeCacheSecurityGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
