import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheSubnetGroupMessage,
  DescribeCacheSubnetGroupsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeCacheSubnetGroupsCommandInput
  extends DescribeCacheSubnetGroupsMessage {}
export interface DescribeCacheSubnetGroupsCommandOutput
  extends CacheSubnetGroupMessage,
    __MetadataBearer {}
export declare class DescribeCacheSubnetGroupsCommand extends $Command<
  DescribeCacheSubnetGroupsCommandInput,
  DescribeCacheSubnetGroupsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeCacheSubnetGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCacheSubnetGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCacheSubnetGroupsCommandInput,
    DescribeCacheSubnetGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
