import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DescribeGlobalReplicationGroupsMessage,
  DescribeGlobalReplicationGroupsResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeGlobalReplicationGroupsCommandInput
  extends DescribeGlobalReplicationGroupsMessage {}
export interface DescribeGlobalReplicationGroupsCommandOutput
  extends DescribeGlobalReplicationGroupsResult,
    __MetadataBearer {}
export declare class DescribeGlobalReplicationGroupsCommand extends $Command<
  DescribeGlobalReplicationGroupsCommandInput,
  DescribeGlobalReplicationGroupsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeGlobalReplicationGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeGlobalReplicationGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeGlobalReplicationGroupsCommandInput,
    DescribeGlobalReplicationGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
