import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DescribeReplicationGroupsMessage,
  ReplicationGroupMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeReplicationGroupsCommandInput
  extends DescribeReplicationGroupsMessage {}
export interface DescribeReplicationGroupsCommandOutput
  extends ReplicationGroupMessage,
    __MetadataBearer {}
export declare class DescribeReplicationGroupsCommand extends $Command<
  DescribeReplicationGroupsCommandInput,
  DescribeReplicationGroupsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeReplicationGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeReplicationGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeReplicationGroupsCommandInput,
    DescribeReplicationGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
