import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DescribeReservedCacheNodesMessage,
  ReservedCacheNodeMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeReservedCacheNodesCommandInput
  extends DescribeReservedCacheNodesMessage {}
export interface DescribeReservedCacheNodesCommandOutput
  extends ReservedCacheNodeMessage,
    __MetadataBearer {}
export declare class DescribeReservedCacheNodesCommand extends $Command<
  DescribeReservedCacheNodesCommandInput,
  DescribeReservedCacheNodesCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeReservedCacheNodesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeReservedCacheNodesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeReservedCacheNodesCommandInput,
    DescribeReservedCacheNodesCommandOutput
  >;
  private serialize;
  private deserialize;
}
