import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DescribeServiceUpdatesMessage,
  ServiceUpdatesMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeServiceUpdatesCommandInput
  extends DescribeServiceUpdatesMessage {}
export interface DescribeServiceUpdatesCommandOutput
  extends ServiceUpdatesMessage,
    __MetadataBearer {}
export declare class DescribeServiceUpdatesCommand extends $Command<
  DescribeServiceUpdatesCommandInput,
  DescribeServiceUpdatesCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeServiceUpdatesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeServiceUpdatesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeServiceUpdatesCommandInput,
    DescribeServiceUpdatesCommandOutput
  >;
  private serialize;
  private deserialize;
}
