import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  DescribeUpdateActionsMessage,
  UpdateActionsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeUpdateActionsCommandInput
  extends DescribeUpdateActionsMessage {}
export interface DescribeUpdateActionsCommandOutput
  extends UpdateActionsMessage,
    __MetadataBearer {}
export declare class DescribeUpdateActionsCommand extends $Command<
  DescribeUpdateActionsCommandInput,
  DescribeUpdateActionsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: DescribeUpdateActionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeUpdateActionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeUpdateActionsCommandInput,
    DescribeUpdateActionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
