import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  FailoverGlobalReplicationGroupMessage,
  FailoverGlobalReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface FailoverGlobalReplicationGroupCommandInput
  extends FailoverGlobalReplicationGroupMessage {}
export interface FailoverGlobalReplicationGroupCommandOutput
  extends FailoverGlobalReplicationGroupResult,
    __MetadataBearer {}
export declare class FailoverGlobalReplicationGroupCommand extends $Command<
  FailoverGlobalReplicationGroupCommandInput,
  FailoverGlobalReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: FailoverGlobalReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: FailoverGlobalReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    FailoverGlobalReplicationGroupCommandInput,
    FailoverGlobalReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
