import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  IncreaseReplicaCountMessage,
  IncreaseReplicaCountResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface IncreaseReplicaCountCommandInput
  extends IncreaseReplicaCountMessage {}
export interface IncreaseReplicaCountCommandOutput
  extends IncreaseReplicaCountResult,
    __MetadataBearer {}
export declare class IncreaseReplicaCountCommand extends $Command<
  IncreaseReplicaCountCommandInput,
  IncreaseReplicaCountCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: IncreaseReplicaCountCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: IncreaseReplicaCountCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    IncreaseReplicaCountCommandInput,
    IncreaseReplicaCountCommandOutput
  >;
  private serialize;
  private deserialize;
}
