import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  AllowedNodeTypeModificationsMessage,
  ListAllowedNodeTypeModificationsMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListAllowedNodeTypeModificationsCommandInput
  extends ListAllowedNodeTypeModificationsMessage {}
export interface ListAllowedNodeTypeModificationsCommandOutput
  extends AllowedNodeTypeModificationsMessage,
    __MetadataBearer {}
export declare class ListAllowedNodeTypeModificationsCommand extends $Command<
  ListAllowedNodeTypeModificationsCommandInput,
  ListAllowedNodeTypeModificationsCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: ListAllowedNodeTypeModificationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAllowedNodeTypeModificationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAllowedNodeTypeModificationsCommandInput,
    ListAllowedNodeTypeModificationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
