import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheParameterGroupNameMessage,
  ModifyCacheParameterGroupMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ModifyCacheParameterGroupCommandInput
  extends ModifyCacheParameterGroupMessage {}
export interface ModifyCacheParameterGroupCommandOutput
  extends CacheParameterGroupNameMessage,
    __MetadataBearer {}
export declare class ModifyCacheParameterGroupCommand extends $Command<
  ModifyCacheParameterGroupCommandInput,
  ModifyCacheParameterGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: ModifyCacheParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyCacheParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyCacheParameterGroupCommandInput,
    ModifyCacheParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
