import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  ModifyCacheSubnetGroupMessage,
  ModifyCacheSubnetGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ModifyCacheSubnetGroupCommandInput
  extends ModifyCacheSubnetGroupMessage {}
export interface ModifyCacheSubnetGroupCommandOutput
  extends ModifyCacheSubnetGroupResult,
    __MetadataBearer {}
export declare class ModifyCacheSubnetGroupCommand extends $Command<
  ModifyCacheSubnetGroupCommandInput,
  ModifyCacheSubnetGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: ModifyCacheSubnetGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyCacheSubnetGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyCacheSubnetGroupCommandInput,
    ModifyCacheSubnetGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
