import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  ModifyReplicationGroupMessage,
  ModifyReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ModifyReplicationGroupCommandInput
  extends ModifyReplicationGroupMessage {}
export interface ModifyReplicationGroupCommandOutput
  extends ModifyReplicationGroupResult,
    __MetadataBearer {}
export declare class ModifyReplicationGroupCommand extends $Command<
  ModifyReplicationGroupCommandInput,
  ModifyReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: ModifyReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyReplicationGroupCommandInput,
    ModifyReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
