import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  RebalanceSlotsInGlobalReplicationGroupMessage,
  RebalanceSlotsInGlobalReplicationGroupResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RebalanceSlotsInGlobalReplicationGroupCommandInput
  extends RebalanceSlotsInGlobalReplicationGroupMessage {}
export interface RebalanceSlotsInGlobalReplicationGroupCommandOutput
  extends RebalanceSlotsInGlobalReplicationGroupResult,
    __MetadataBearer {}
export declare class RebalanceSlotsInGlobalReplicationGroupCommand extends $Command<
  RebalanceSlotsInGlobalReplicationGroupCommandInput,
  RebalanceSlotsInGlobalReplicationGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: RebalanceSlotsInGlobalReplicationGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RebalanceSlotsInGlobalReplicationGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RebalanceSlotsInGlobalReplicationGroupCommandInput,
    RebalanceSlotsInGlobalReplicationGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
