import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  RemoveTagsFromResourceMessage,
  TagListMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RemoveTagsFromResourceCommandInput
  extends RemoveTagsFromResourceMessage {}
export interface RemoveTagsFromResourceCommandOutput
  extends TagListMessage,
    __MetadataBearer {}
export declare class RemoveTagsFromResourceCommand extends $Command<
  RemoveTagsFromResourceCommandInput,
  RemoveTagsFromResourceCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: RemoveTagsFromResourceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RemoveTagsFromResourceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RemoveTagsFromResourceCommandInput,
    RemoveTagsFromResourceCommandOutput
  >;
  private serialize;
  private deserialize;
}
