import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  CacheParameterGroupNameMessage,
  ResetCacheParameterGroupMessage,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ResetCacheParameterGroupCommandInput
  extends ResetCacheParameterGroupMessage {}
export interface ResetCacheParameterGroupCommandOutput
  extends CacheParameterGroupNameMessage,
    __MetadataBearer {}
export declare class ResetCacheParameterGroupCommand extends $Command<
  ResetCacheParameterGroupCommandInput,
  ResetCacheParameterGroupCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: ResetCacheParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ResetCacheParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ResetCacheParameterGroupCommandInput,
    ResetCacheParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
