import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  RevokeCacheSecurityGroupIngressMessage,
  RevokeCacheSecurityGroupIngressResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RevokeCacheSecurityGroupIngressCommandInput
  extends RevokeCacheSecurityGroupIngressMessage {}
export interface RevokeCacheSecurityGroupIngressCommandOutput
  extends RevokeCacheSecurityGroupIngressResult,
    __MetadataBearer {}
export declare class RevokeCacheSecurityGroupIngressCommand extends $Command<
  RevokeCacheSecurityGroupIngressCommandInput,
  RevokeCacheSecurityGroupIngressCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: RevokeCacheSecurityGroupIngressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RevokeCacheSecurityGroupIngressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RevokeCacheSecurityGroupIngressCommandInput,
    RevokeCacheSecurityGroupIngressCommandOutput
  >;
  private serialize;
  private deserialize;
}
