import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ElastiCacheClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ElastiCacheClient";
import {
  TestMigrationMessage,
  TestMigrationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface TestMigrationCommandInput extends TestMigrationMessage {}
export interface TestMigrationCommandOutput
  extends TestMigrationResponse,
    __MetadataBearer {}
export declare class TestMigrationCommand extends $Command<
  TestMigrationCommandInput,
  TestMigrationCommandOutput,
  ElastiCacheClientResolvedConfig
> {
  readonly input: TestMigrationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TestMigrationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ElastiCacheClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TestMigrationCommandInput, TestMigrationCommandOutput>;
  private serialize;
  private deserialize;
}
