import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AddTagsToResourceCommandInput,
  AddTagsToResourceCommandOutput,
} from "../commands/AddTagsToResourceCommand";
import {
  AuthorizeCacheSecurityGroupIngressCommandInput,
  AuthorizeCacheSecurityGroupIngressCommandOutput,
} from "../commands/AuthorizeCacheSecurityGroupIngressCommand";
import {
  BatchApplyUpdateActionCommandInput,
  BatchApplyUpdateActionCommandOutput,
} from "../commands/BatchApplyUpdateActionCommand";
import {
  BatchStopUpdateActionCommandInput,
  BatchStopUpdateActionCommandOutput,
} from "../commands/BatchStopUpdateActionCommand";
import {
  CompleteMigrationCommandInput,
  CompleteMigrationCommandOutput,
} from "../commands/CompleteMigrationCommand";
import {
  CopySnapshotCommandInput,
  CopySnapshotCommandOutput,
} from "../commands/CopySnapshotCommand";
import {
  CreateCacheClusterCommandInput,
  CreateCacheClusterCommandOutput,
} from "../commands/CreateCacheClusterCommand";
import {
  CreateCacheParameterGroupCommandInput,
  CreateCacheParameterGroupCommandOutput,
} from "../commands/CreateCacheParameterGroupCommand";
import {
  CreateCacheSecurityGroupCommandInput,
  CreateCacheSecurityGroupCommandOutput,
} from "../commands/CreateCacheSecurityGroupCommand";
import {
  CreateCacheSubnetGroupCommandInput,
  CreateCacheSubnetGroupCommandOutput,
} from "../commands/CreateCacheSubnetGroupCommand";
import {
  CreateGlobalReplicationGroupCommandInput,
  CreateGlobalReplicationGroupCommandOutput,
} from "../commands/CreateGlobalReplicationGroupCommand";
import {
  CreateReplicationGroupCommandInput,
  CreateReplicationGroupCommandOutput,
} from "../commands/CreateReplicationGroupCommand";
import {
  CreateSnapshotCommandInput,
  CreateSnapshotCommandOutput,
} from "../commands/CreateSnapshotCommand";
import {
  CreateUserCommandInput,
  CreateUserCommandOutput,
} from "../commands/CreateUserCommand";
import {
  CreateUserGroupCommandInput,
  CreateUserGroupCommandOutput,
} from "../commands/CreateUserGroupCommand";
import {
  DecreaseNodeGroupsInGlobalReplicationGroupCommandInput,
  DecreaseNodeGroupsInGlobalReplicationGroupCommandOutput,
} from "../commands/DecreaseNodeGroupsInGlobalReplicationGroupCommand";
import {
  DecreaseReplicaCountCommandInput,
  DecreaseReplicaCountCommandOutput,
} from "../commands/DecreaseReplicaCountCommand";
import {
  DeleteCacheClusterCommandInput,
  DeleteCacheClusterCommandOutput,
} from "../commands/DeleteCacheClusterCommand";
import {
  DeleteCacheParameterGroupCommandInput,
  DeleteCacheParameterGroupCommandOutput,
} from "../commands/DeleteCacheParameterGroupCommand";
import {
  DeleteCacheSecurityGroupCommandInput,
  DeleteCacheSecurityGroupCommandOutput,
} from "../commands/DeleteCacheSecurityGroupCommand";
import {
  DeleteCacheSubnetGroupCommandInput,
  DeleteCacheSubnetGroupCommandOutput,
} from "../commands/DeleteCacheSubnetGroupCommand";
import {
  DeleteGlobalReplicationGroupCommandInput,
  DeleteGlobalReplicationGroupCommandOutput,
} from "../commands/DeleteGlobalReplicationGroupCommand";
import {
  DeleteReplicationGroupCommandInput,
  DeleteReplicationGroupCommandOutput,
} from "../commands/DeleteReplicationGroupCommand";
import {
  DeleteSnapshotCommandInput,
  DeleteSnapshotCommandOutput,
} from "../commands/DeleteSnapshotCommand";
import {
  DeleteUserCommandInput,
  DeleteUserCommandOutput,
} from "../commands/DeleteUserCommand";
import {
  DeleteUserGroupCommandInput,
  DeleteUserGroupCommandOutput,
} from "../commands/DeleteUserGroupCommand";
import {
  DescribeCacheClustersCommandInput,
  DescribeCacheClustersCommandOutput,
} from "../commands/DescribeCacheClustersCommand";
import {
  DescribeCacheEngineVersionsCommandInput,
  DescribeCacheEngineVersionsCommandOutput,
} from "../commands/DescribeCacheEngineVersionsCommand";
import {
  DescribeCacheParameterGroupsCommandInput,
  DescribeCacheParameterGroupsCommandOutput,
} from "../commands/DescribeCacheParameterGroupsCommand";
import {
  DescribeCacheParametersCommandInput,
  DescribeCacheParametersCommandOutput,
} from "../commands/DescribeCacheParametersCommand";
import {
  DescribeCacheSecurityGroupsCommandInput,
  DescribeCacheSecurityGroupsCommandOutput,
} from "../commands/DescribeCacheSecurityGroupsCommand";
import {
  DescribeCacheSubnetGroupsCommandInput,
  DescribeCacheSubnetGroupsCommandOutput,
} from "../commands/DescribeCacheSubnetGroupsCommand";
import {
  DescribeEngineDefaultParametersCommandInput,
  DescribeEngineDefaultParametersCommandOutput,
} from "../commands/DescribeEngineDefaultParametersCommand";
import {
  DescribeEventsCommandInput,
  DescribeEventsCommandOutput,
} from "../commands/DescribeEventsCommand";
import {
  DescribeGlobalReplicationGroupsCommandInput,
  DescribeGlobalReplicationGroupsCommandOutput,
} from "../commands/DescribeGlobalReplicationGroupsCommand";
import {
  DescribeReplicationGroupsCommandInput,
  DescribeReplicationGroupsCommandOutput,
} from "../commands/DescribeReplicationGroupsCommand";
import {
  DescribeReservedCacheNodesCommandInput,
  DescribeReservedCacheNodesCommandOutput,
} from "../commands/DescribeReservedCacheNodesCommand";
import {
  DescribeReservedCacheNodesOfferingsCommandInput,
  DescribeReservedCacheNodesOfferingsCommandOutput,
} from "../commands/DescribeReservedCacheNodesOfferingsCommand";
import {
  DescribeServiceUpdatesCommandInput,
  DescribeServiceUpdatesCommandOutput,
} from "../commands/DescribeServiceUpdatesCommand";
import {
  DescribeSnapshotsCommandInput,
  DescribeSnapshotsCommandOutput,
} from "../commands/DescribeSnapshotsCommand";
import {
  DescribeUpdateActionsCommandInput,
  DescribeUpdateActionsCommandOutput,
} from "../commands/DescribeUpdateActionsCommand";
import {
  DescribeUserGroupsCommandInput,
  DescribeUserGroupsCommandOutput,
} from "../commands/DescribeUserGroupsCommand";
import {
  DescribeUsersCommandInput,
  DescribeUsersCommandOutput,
} from "../commands/DescribeUsersCommand";
import {
  DisassociateGlobalReplicationGroupCommandInput,
  DisassociateGlobalReplicationGroupCommandOutput,
} from "../commands/DisassociateGlobalReplicationGroupCommand";
import {
  FailoverGlobalReplicationGroupCommandInput,
  FailoverGlobalReplicationGroupCommandOutput,
} from "../commands/FailoverGlobalReplicationGroupCommand";
import {
  IncreaseNodeGroupsInGlobalReplicationGroupCommandInput,
  IncreaseNodeGroupsInGlobalReplicationGroupCommandOutput,
} from "../commands/IncreaseNodeGroupsInGlobalReplicationGroupCommand";
import {
  IncreaseReplicaCountCommandInput,
  IncreaseReplicaCountCommandOutput,
} from "../commands/IncreaseReplicaCountCommand";
import {
  ListAllowedNodeTypeModificationsCommandInput,
  ListAllowedNodeTypeModificationsCommandOutput,
} from "../commands/ListAllowedNodeTypeModificationsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ModifyCacheClusterCommandInput,
  ModifyCacheClusterCommandOutput,
} from "../commands/ModifyCacheClusterCommand";
import {
  ModifyCacheParameterGroupCommandInput,
  ModifyCacheParameterGroupCommandOutput,
} from "../commands/ModifyCacheParameterGroupCommand";
import {
  ModifyCacheSubnetGroupCommandInput,
  ModifyCacheSubnetGroupCommandOutput,
} from "../commands/ModifyCacheSubnetGroupCommand";
import {
  ModifyGlobalReplicationGroupCommandInput,
  ModifyGlobalReplicationGroupCommandOutput,
} from "../commands/ModifyGlobalReplicationGroupCommand";
import {
  ModifyReplicationGroupCommandInput,
  ModifyReplicationGroupCommandOutput,
} from "../commands/ModifyReplicationGroupCommand";
import {
  ModifyReplicationGroupShardConfigurationCommandInput,
  ModifyReplicationGroupShardConfigurationCommandOutput,
} from "../commands/ModifyReplicationGroupShardConfigurationCommand";
import {
  ModifyUserCommandInput,
  ModifyUserCommandOutput,
} from "../commands/ModifyUserCommand";
import {
  ModifyUserGroupCommandInput,
  ModifyUserGroupCommandOutput,
} from "../commands/ModifyUserGroupCommand";
import {
  PurchaseReservedCacheNodesOfferingCommandInput,
  PurchaseReservedCacheNodesOfferingCommandOutput,
} from "../commands/PurchaseReservedCacheNodesOfferingCommand";
import {
  RebalanceSlotsInGlobalReplicationGroupCommandInput,
  RebalanceSlotsInGlobalReplicationGroupCommandOutput,
} from "../commands/RebalanceSlotsInGlobalReplicationGroupCommand";
import {
  RebootCacheClusterCommandInput,
  RebootCacheClusterCommandOutput,
} from "../commands/RebootCacheClusterCommand";
import {
  RemoveTagsFromResourceCommandInput,
  RemoveTagsFromResourceCommandOutput,
} from "../commands/RemoveTagsFromResourceCommand";
import {
  ResetCacheParameterGroupCommandInput,
  ResetCacheParameterGroupCommandOutput,
} from "../commands/ResetCacheParameterGroupCommand";
import {
  RevokeCacheSecurityGroupIngressCommandInput,
  RevokeCacheSecurityGroupIngressCommandOutput,
} from "../commands/RevokeCacheSecurityGroupIngressCommand";
import {
  StartMigrationCommandInput,
  StartMigrationCommandOutput,
} from "../commands/StartMigrationCommand";
import {
  TestFailoverCommandInput,
  TestFailoverCommandOutput,
} from "../commands/TestFailoverCommand";
import {
  TestMigrationCommandInput,
  TestMigrationCommandOutput,
} from "../commands/TestMigrationCommand";
export declare const se_AddTagsToResourceCommand: (
  input: AddTagsToResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AuthorizeCacheSecurityGroupIngressCommand: (
  input: AuthorizeCacheSecurityGroupIngressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchApplyUpdateActionCommand: (
  input: BatchApplyUpdateActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchStopUpdateActionCommand: (
  input: BatchStopUpdateActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CompleteMigrationCommand: (
  input: CompleteMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CopySnapshotCommand: (
  input: CopySnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCacheClusterCommand: (
  input: CreateCacheClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCacheParameterGroupCommand: (
  input: CreateCacheParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCacheSecurityGroupCommand: (
  input: CreateCacheSecurityGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCacheSubnetGroupCommand: (
  input: CreateCacheSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateGlobalReplicationGroupCommand: (
  input: CreateGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateReplicationGroupCommand: (
  input: CreateReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSnapshotCommand: (
  input: CreateSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUserCommand: (
  input: CreateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUserGroupCommand: (
  input: CreateUserGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DecreaseNodeGroupsInGlobalReplicationGroupCommand: (
  input: DecreaseNodeGroupsInGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DecreaseReplicaCountCommand: (
  input: DecreaseReplicaCountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCacheClusterCommand: (
  input: DeleteCacheClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCacheParameterGroupCommand: (
  input: DeleteCacheParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCacheSecurityGroupCommand: (
  input: DeleteCacheSecurityGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCacheSubnetGroupCommand: (
  input: DeleteCacheSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteGlobalReplicationGroupCommand: (
  input: DeleteGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteReplicationGroupCommand: (
  input: DeleteReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSnapshotCommand: (
  input: DeleteSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteUserCommand: (
  input: DeleteUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteUserGroupCommand: (
  input: DeleteUserGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCacheClustersCommand: (
  input: DescribeCacheClustersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCacheEngineVersionsCommand: (
  input: DescribeCacheEngineVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCacheParameterGroupsCommand: (
  input: DescribeCacheParameterGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCacheParametersCommand: (
  input: DescribeCacheParametersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCacheSecurityGroupsCommand: (
  input: DescribeCacheSecurityGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCacheSubnetGroupsCommand: (
  input: DescribeCacheSubnetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEngineDefaultParametersCommand: (
  input: DescribeEngineDefaultParametersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEventsCommand: (
  input: DescribeEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeGlobalReplicationGroupsCommand: (
  input: DescribeGlobalReplicationGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationGroupsCommand: (
  input: DescribeReplicationGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReservedCacheNodesCommand: (
  input: DescribeReservedCacheNodesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReservedCacheNodesOfferingsCommand: (
  input: DescribeReservedCacheNodesOfferingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeServiceUpdatesCommand: (
  input: DescribeServiceUpdatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSnapshotsCommand: (
  input: DescribeSnapshotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeUpdateActionsCommand: (
  input: DescribeUpdateActionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeUserGroupsCommand: (
  input: DescribeUserGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeUsersCommand: (
  input: DescribeUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateGlobalReplicationGroupCommand: (
  input: DisassociateGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_FailoverGlobalReplicationGroupCommand: (
  input: FailoverGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_IncreaseNodeGroupsInGlobalReplicationGroupCommand: (
  input: IncreaseNodeGroupsInGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_IncreaseReplicaCountCommand: (
  input: IncreaseReplicaCountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAllowedNodeTypeModificationsCommand: (
  input: ListAllowedNodeTypeModificationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyCacheClusterCommand: (
  input: ModifyCacheClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyCacheParameterGroupCommand: (
  input: ModifyCacheParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyCacheSubnetGroupCommand: (
  input: ModifyCacheSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyGlobalReplicationGroupCommand: (
  input: ModifyGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyReplicationGroupCommand: (
  input: ModifyReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyReplicationGroupShardConfigurationCommand: (
  input: ModifyReplicationGroupShardConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyUserCommand: (
  input: ModifyUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyUserGroupCommand: (
  input: ModifyUserGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PurchaseReservedCacheNodesOfferingCommand: (
  input: PurchaseReservedCacheNodesOfferingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RebalanceSlotsInGlobalReplicationGroupCommand: (
  input: RebalanceSlotsInGlobalReplicationGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RebootCacheClusterCommand: (
  input: RebootCacheClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RemoveTagsFromResourceCommand: (
  input: RemoveTagsFromResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ResetCacheParameterGroupCommand: (
  input: ResetCacheParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RevokeCacheSecurityGroupIngressCommand: (
  input: RevokeCacheSecurityGroupIngressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMigrationCommand: (
  input: StartMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestFailoverCommand: (
  input: TestFailoverCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestMigrationCommand: (
  input: TestMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AddTagsToResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddTagsToResourceCommandOutput>;
export declare const de_AuthorizeCacheSecurityGroupIngressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AuthorizeCacheSecurityGroupIngressCommandOutput>;
export declare const de_BatchApplyUpdateActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchApplyUpdateActionCommandOutput>;
export declare const de_BatchStopUpdateActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchStopUpdateActionCommandOutput>;
export declare const de_CompleteMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CompleteMigrationCommandOutput>;
export declare const de_CopySnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopySnapshotCommandOutput>;
export declare const de_CreateCacheClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCacheClusterCommandOutput>;
export declare const de_CreateCacheParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCacheParameterGroupCommandOutput>;
export declare const de_CreateCacheSecurityGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCacheSecurityGroupCommandOutput>;
export declare const de_CreateCacheSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCacheSubnetGroupCommandOutput>;
export declare const de_CreateGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateGlobalReplicationGroupCommandOutput>;
export declare const de_CreateReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateReplicationGroupCommandOutput>;
export declare const de_CreateSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSnapshotCommandOutput>;
export declare const de_CreateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUserCommandOutput>;
export declare const de_CreateUserGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUserGroupCommandOutput>;
export declare const de_DecreaseNodeGroupsInGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DecreaseNodeGroupsInGlobalReplicationGroupCommandOutput>;
export declare const de_DecreaseReplicaCountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DecreaseReplicaCountCommandOutput>;
export declare const de_DeleteCacheClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCacheClusterCommandOutput>;
export declare const de_DeleteCacheParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCacheParameterGroupCommandOutput>;
export declare const de_DeleteCacheSecurityGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCacheSecurityGroupCommandOutput>;
export declare const de_DeleteCacheSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCacheSubnetGroupCommandOutput>;
export declare const de_DeleteGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGlobalReplicationGroupCommandOutput>;
export declare const de_DeleteReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteReplicationGroupCommandOutput>;
export declare const de_DeleteSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSnapshotCommandOutput>;
export declare const de_DeleteUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserCommandOutput>;
export declare const de_DeleteUserGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserGroupCommandOutput>;
export declare const de_DescribeCacheClustersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCacheClustersCommandOutput>;
export declare const de_DescribeCacheEngineVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCacheEngineVersionsCommandOutput>;
export declare const de_DescribeCacheParameterGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCacheParameterGroupsCommandOutput>;
export declare const de_DescribeCacheParametersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCacheParametersCommandOutput>;
export declare const de_DescribeCacheSecurityGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCacheSecurityGroupsCommandOutput>;
export declare const de_DescribeCacheSubnetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCacheSubnetGroupsCommandOutput>;
export declare const de_DescribeEngineDefaultParametersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEngineDefaultParametersCommandOutput>;
export declare const de_DescribeEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventsCommandOutput>;
export declare const de_DescribeGlobalReplicationGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeGlobalReplicationGroupsCommandOutput>;
export declare const de_DescribeReplicationGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationGroupsCommandOutput>;
export declare const de_DescribeReservedCacheNodesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReservedCacheNodesCommandOutput>;
export declare const de_DescribeReservedCacheNodesOfferingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReservedCacheNodesOfferingsCommandOutput>;
export declare const de_DescribeServiceUpdatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeServiceUpdatesCommandOutput>;
export declare const de_DescribeSnapshotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSnapshotsCommandOutput>;
export declare const de_DescribeUpdateActionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeUpdateActionsCommandOutput>;
export declare const de_DescribeUserGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeUserGroupsCommandOutput>;
export declare const de_DescribeUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeUsersCommandOutput>;
export declare const de_DisassociateGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateGlobalReplicationGroupCommandOutput>;
export declare const de_FailoverGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<FailoverGlobalReplicationGroupCommandOutput>;
export declare const de_IncreaseNodeGroupsInGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<IncreaseNodeGroupsInGlobalReplicationGroupCommandOutput>;
export declare const de_IncreaseReplicaCountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<IncreaseReplicaCountCommandOutput>;
export declare const de_ListAllowedNodeTypeModificationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAllowedNodeTypeModificationsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ModifyCacheClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyCacheClusterCommandOutput>;
export declare const de_ModifyCacheParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyCacheParameterGroupCommandOutput>;
export declare const de_ModifyCacheSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyCacheSubnetGroupCommandOutput>;
export declare const de_ModifyGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyGlobalReplicationGroupCommandOutput>;
export declare const de_ModifyReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyReplicationGroupCommandOutput>;
export declare const de_ModifyReplicationGroupShardConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyReplicationGroupShardConfigurationCommandOutput>;
export declare const de_ModifyUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyUserCommandOutput>;
export declare const de_ModifyUserGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyUserGroupCommandOutput>;
export declare const de_PurchaseReservedCacheNodesOfferingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PurchaseReservedCacheNodesOfferingCommandOutput>;
export declare const de_RebalanceSlotsInGlobalReplicationGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RebalanceSlotsInGlobalReplicationGroupCommandOutput>;
export declare const de_RebootCacheClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RebootCacheClusterCommandOutput>;
export declare const de_RemoveTagsFromResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveTagsFromResourceCommandOutput>;
export declare const de_ResetCacheParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResetCacheParameterGroupCommandOutput>;
export declare const de_RevokeCacheSecurityGroupIngressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RevokeCacheSecurityGroupIngressCommandOutput>;
export declare const de_StartMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMigrationCommandOutput>;
export declare const de_TestFailoverCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestFailoverCommandOutput>;
export declare const de_TestMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestMigrationCommandOutput>;
