import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeReplicationGroupsCommandInput } from "../commands/DescribeReplicationGroupsCommand";
import { ElastiCacheClient } from "../ElastiCacheClient";
/**
 * Wait until ElastiCache replication group is available.
 *  @deprecated Use waitUntilReplicationGroupAvailable instead. waitForReplicationGroupAvailable does not throw error in non-success cases.
 */
export declare const waitForReplicationGroupAvailable: (params: WaiterConfiguration<ElastiCacheClient>, input: DescribeReplicationGroupsCommandInput) => Promise<WaiterResult>;
/**
 * Wait until ElastiCache replication group is available.
 *  @param params - Waiter configuration options.
 *  @param input - The input to DescribeReplicationGroupsCommand for polling.
 */
export declare const waitUntilReplicationGroupAvailable: (params: WaiterConfiguration<ElastiCacheClient>, input: DescribeReplicationGroupsCommandInput) => Promise<WaiterResult>;
