import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeReplicationGroupsCommandInput } from "../commands/DescribeReplicationGroupsCommand";
import { ElastiCacheClient } from "../ElastiCacheClient";
/**
 * Wait until ElastiCache replication group is deleted.
 *  @deprecated Use waitUntilReplicationGroupDeleted instead. waitForReplicationGroupDeleted does not throw error in non-success cases.
 */
export declare const waitForReplicationGroupDeleted: (params: WaiterConfiguration<ElastiCacheClient>, input: DescribeReplicationGroupsCommandInput) => Promise<WaiterResult>;
/**
 * Wait until ElastiCache replication group is deleted.
 *  @param params - Waiter configuration options.
 *  @param input - The input to DescribeReplicationGroupsCommand for polling.
 */
export declare const waitUntilReplicationGroupDeleted: (params: WaiterConfiguration<ElastiCacheClient>, input: DescribeReplicationGroupsCommandInput) => Promise<WaiterResult>;
