import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  CreateSAMLProviderRequest,
  CreateSAMLProviderResponse,
} from "../models/models_0";
export interface CreateSAMLProviderCommandInput
  extends CreateSAMLProviderRequest {}
export interface CreateSAMLProviderCommandOutput
  extends CreateSAMLProviderResponse,
    __MetadataBearer {}
export declare class CreateSAMLProviderCommand extends $Command<
  CreateSAMLProviderCommandInput,
  CreateSAMLProviderCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: CreateSAMLProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateSAMLProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateSAMLProviderCommandInput, CreateSAMLProviderCommandOutput>;
  private serialize;
  private deserialize;
}
