import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  CreateServiceLinkedRoleRequest,
  CreateServiceLinkedRoleResponse,
} from "../models/models_0";
export interface CreateServiceLinkedRoleCommandInput
  extends CreateServiceLinkedRoleRequest {}
export interface CreateServiceLinkedRoleCommandOutput
  extends CreateServiceLinkedRoleResponse,
    __MetadataBearer {}
export declare class CreateServiceLinkedRoleCommand extends $Command<
  CreateServiceLinkedRoleCommandInput,
  CreateServiceLinkedRoleCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: CreateServiceLinkedRoleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateServiceLinkedRoleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateServiceLinkedRoleCommandInput,
    CreateServiceLinkedRoleCommandOutput
  >;
  private serialize;
  private deserialize;
}
