import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  CreateVirtualMFADeviceRequest,
  CreateVirtualMFADeviceResponse,
} from "../models/models_0";
export interface CreateVirtualMFADeviceCommandInput
  extends CreateVirtualMFADeviceRequest {}
export interface CreateVirtualMFADeviceCommandOutput
  extends CreateVirtualMFADeviceResponse,
    __MetadataBearer {}
export declare class CreateVirtualMFADeviceCommand extends $Command<
  CreateVirtualMFADeviceCommandInput,
  CreateVirtualMFADeviceCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: CreateVirtualMFADeviceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVirtualMFADeviceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateVirtualMFADeviceCommandInput,
    CreateVirtualMFADeviceCommandOutput
  >;
  private serialize;
  private deserialize;
}
