import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  DeleteServiceLinkedRoleRequest,
  DeleteServiceLinkedRoleResponse,
} from "../models/models_0";
export interface DeleteServiceLinkedRoleCommandInput
  extends DeleteServiceLinkedRoleRequest {}
export interface DeleteServiceLinkedRoleCommandOutput
  extends DeleteServiceLinkedRoleResponse,
    __MetadataBearer {}
export declare class DeleteServiceLinkedRoleCommand extends $Command<
  DeleteServiceLinkedRoleCommandInput,
  DeleteServiceLinkedRoleCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: DeleteServiceLinkedRoleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteServiceLinkedRoleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteServiceLinkedRoleCommandInput,
    DeleteServiceLinkedRoleCommandOutput
  >;
  private serialize;
  private deserialize;
}
