import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { DeleteUserPermissionsBoundaryRequest } from "../models/models_0";
export interface DeleteUserPermissionsBoundaryCommandInput
  extends DeleteUserPermissionsBoundaryRequest {}
export interface DeleteUserPermissionsBoundaryCommandOutput
  extends __MetadataBearer {}
export declare class DeleteUserPermissionsBoundaryCommand extends $Command<
  DeleteUserPermissionsBoundaryCommandInput,
  DeleteUserPermissionsBoundaryCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: DeleteUserPermissionsBoundaryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteUserPermissionsBoundaryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteUserPermissionsBoundaryCommandInput,
    DeleteUserPermissionsBoundaryCommandOutput
  >;
  private serialize;
  private deserialize;
}
