import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { DetachRolePolicyRequest } from "../models/models_0";
export interface DetachRolePolicyCommandInput extends DetachRolePolicyRequest {}
export interface DetachRolePolicyCommandOutput extends __MetadataBearer {}
export declare class DetachRolePolicyCommand extends $Command<
  DetachRolePolicyCommandInput,
  DetachRolePolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: DetachRolePolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachRolePolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DetachRolePolicyCommandInput, DetachRolePolicyCommandOutput>;
  private serialize;
  private deserialize;
}
