import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { GetGroupRequest, GetGroupResponse } from "../models/models_0";
export interface GetGroupCommandInput extends GetGroupRequest {}
export interface GetGroupCommandOutput
  extends GetGroupResponse,
    __MetadataBearer {}
export declare class GetGroupCommand extends $Command<
  GetGroupCommandInput,
  GetGroupCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: GetGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetGroupCommandInput, GetGroupCommandOutput>;
  private serialize;
  private deserialize;
}
