import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  GetGroupPolicyRequest,
  GetGroupPolicyResponse,
} from "../models/models_0";
export interface GetGroupPolicyCommandInput extends GetGroupPolicyRequest {}
export interface GetGroupPolicyCommandOutput
  extends GetGroupPolicyResponse,
    __MetadataBearer {}
export declare class GetGroupPolicyCommand extends $Command<
  GetGroupPolicyCommandInput,
  GetGroupPolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: GetGroupPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetGroupPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetGroupPolicyCommandInput, GetGroupPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
