import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  ListAttachedUserPoliciesRequest,
  ListAttachedUserPoliciesResponse,
} from "../models/models_0";
export interface ListAttachedUserPoliciesCommandInput
  extends ListAttachedUserPoliciesRequest {}
export interface ListAttachedUserPoliciesCommandOutput
  extends ListAttachedUserPoliciesResponse,
    __MetadataBearer {}
export declare class ListAttachedUserPoliciesCommand extends $Command<
  ListAttachedUserPoliciesCommandInput,
  ListAttachedUserPoliciesCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: ListAttachedUserPoliciesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAttachedUserPoliciesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAttachedUserPoliciesCommandInput,
    ListAttachedUserPoliciesCommandOutput
  >;
  private serialize;
  private deserialize;
}
