import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  ListMFADeviceTagsRequest,
  ListMFADeviceTagsResponse,
} from "../models/models_0";
export interface ListMFADeviceTagsCommandInput
  extends ListMFADeviceTagsRequest {}
export interface ListMFADeviceTagsCommandOutput
  extends ListMFADeviceTagsResponse,
    __MetadataBearer {}
export declare class ListMFADeviceTagsCommand extends $Command<
  ListMFADeviceTagsCommandInput,
  ListMFADeviceTagsCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: ListMFADeviceTagsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListMFADeviceTagsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListMFADeviceTagsCommandInput, ListMFADeviceTagsCommandOutput>;
  private serialize;
  private deserialize;
}
