import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { ListRolesRequest, ListRolesResponse } from "../models/models_0";
export interface ListRolesCommandInput extends ListRolesRequest {}
export interface ListRolesCommandOutput
  extends ListRolesResponse,
    __MetadataBearer {}
export declare class ListRolesCommand extends $Command<
  ListRolesCommandInput,
  ListRolesCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: ListRolesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListRolesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListRolesCommandInput, ListRolesCommandOutput>;
  private serialize;
  private deserialize;
}
