import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  ListServerCertificateTagsRequest,
  ListServerCertificateTagsResponse,
} from "../models/models_0";
export interface ListServerCertificateTagsCommandInput
  extends ListServerCertificateTagsRequest {}
export interface ListServerCertificateTagsCommandOutput
  extends ListServerCertificateTagsResponse,
    __MetadataBearer {}
export declare class ListServerCertificateTagsCommand extends $Command<
  ListServerCertificateTagsCommandInput,
  ListServerCertificateTagsCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: ListServerCertificateTagsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListServerCertificateTagsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListServerCertificateTagsCommandInput,
    ListServerCertificateTagsCommandOutput
  >;
  private serialize;
  private deserialize;
}
