import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  ListVirtualMFADevicesRequest,
  ListVirtualMFADevicesResponse,
} from "../models/models_0";
export interface ListVirtualMFADevicesCommandInput
  extends ListVirtualMFADevicesRequest {}
export interface ListVirtualMFADevicesCommandOutput
  extends ListVirtualMFADevicesResponse,
    __MetadataBearer {}
export declare class ListVirtualMFADevicesCommand extends $Command<
  ListVirtualMFADevicesCommandInput,
  ListVirtualMFADevicesCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: ListVirtualMFADevicesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListVirtualMFADevicesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListVirtualMFADevicesCommandInput,
    ListVirtualMFADevicesCommandOutput
  >;
  private serialize;
  private deserialize;
}
