import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { PutGroupPolicyRequest } from "../models/models_0";
export interface PutGroupPolicyCommandInput extends PutGroupPolicyRequest {}
export interface PutGroupPolicyCommandOutput extends __MetadataBearer {}
export declare class PutGroupPolicyCommand extends $Command<
  PutGroupPolicyCommandInput,
  PutGroupPolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: PutGroupPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutGroupPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<PutGroupPolicyCommandInput, PutGroupPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
