import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { PutRolePermissionsBoundaryRequest } from "../models/models_0";
export interface PutRolePermissionsBoundaryCommandInput
  extends PutRolePermissionsBoundaryRequest {}
export interface PutRolePermissionsBoundaryCommandOutput
  extends __MetadataBearer {}
export declare class PutRolePermissionsBoundaryCommand extends $Command<
  PutRolePermissionsBoundaryCommandInput,
  PutRolePermissionsBoundaryCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: PutRolePermissionsBoundaryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutRolePermissionsBoundaryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutRolePermissionsBoundaryCommandInput,
    PutRolePermissionsBoundaryCommandOutput
  >;
  private serialize;
  private deserialize;
}
