import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { PutUserPermissionsBoundaryRequest } from "../models/models_0";
export interface PutUserPermissionsBoundaryCommandInput
  extends PutUserPermissionsBoundaryRequest {}
export interface PutUserPermissionsBoundaryCommandOutput
  extends __MetadataBearer {}
export declare class PutUserPermissionsBoundaryCommand extends $Command<
  PutUserPermissionsBoundaryCommandInput,
  PutUserPermissionsBoundaryCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: PutUserPermissionsBoundaryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutUserPermissionsBoundaryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutUserPermissionsBoundaryCommandInput,
    PutUserPermissionsBoundaryCommandOutput
  >;
  private serialize;
  private deserialize;
}
