import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { SetSecurityTokenServicePreferencesRequest } from "../models/models_0";
export interface SetSecurityTokenServicePreferencesCommandInput
  extends SetSecurityTokenServicePreferencesRequest {}
export interface SetSecurityTokenServicePreferencesCommandOutput
  extends __MetadataBearer {}
export declare class SetSecurityTokenServicePreferencesCommand extends $Command<
  SetSecurityTokenServicePreferencesCommandInput,
  SetSecurityTokenServicePreferencesCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: SetSecurityTokenServicePreferencesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SetSecurityTokenServicePreferencesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SetSecurityTokenServicePreferencesCommandInput,
    SetSecurityTokenServicePreferencesCommandOutput
  >;
  private serialize;
  private deserialize;
}
