import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  SimulatePolicyResponse,
  SimulatePrincipalPolicyRequest,
} from "../models/models_0";
export interface SimulatePrincipalPolicyCommandInput
  extends SimulatePrincipalPolicyRequest {}
export interface SimulatePrincipalPolicyCommandOutput
  extends SimulatePolicyResponse,
    __MetadataBearer {}
export declare class SimulatePrincipalPolicyCommand extends $Command<
  SimulatePrincipalPolicyCommandInput,
  SimulatePrincipalPolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: SimulatePrincipalPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SimulatePrincipalPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SimulatePrincipalPolicyCommandInput,
    SimulatePrincipalPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
