import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagInstanceProfileRequest } from "../models/models_0";
export interface TagInstanceProfileCommandInput
  extends TagInstanceProfileRequest {}
export interface TagInstanceProfileCommandOutput extends __MetadataBearer {}
export declare class TagInstanceProfileCommand extends $Command<
  TagInstanceProfileCommandInput,
  TagInstanceProfileCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagInstanceProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagInstanceProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TagInstanceProfileCommandInput, TagInstanceProfileCommandOutput>;
  private serialize;
  private deserialize;
}
