import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagMFADeviceRequest } from "../models/models_0";
export interface TagMFADeviceCommandInput extends TagMFADeviceRequest {}
export interface TagMFADeviceCommandOutput extends __MetadataBearer {}
export declare class TagMFADeviceCommand extends $Command<
  TagMFADeviceCommandInput,
  TagMFADeviceCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagMFADeviceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagMFADeviceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TagMFADeviceCommandInput, TagMFADeviceCommandOutput>;
  private serialize;
  private deserialize;
}
