import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagOpenIDConnectProviderRequest } from "../models/models_0";
export interface TagOpenIDConnectProviderCommandInput
  extends TagOpenIDConnectProviderRequest {}
export interface TagOpenIDConnectProviderCommandOutput
  extends __MetadataBearer {}
export declare class TagOpenIDConnectProviderCommand extends $Command<
  TagOpenIDConnectProviderCommandInput,
  TagOpenIDConnectProviderCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagOpenIDConnectProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagOpenIDConnectProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    TagOpenIDConnectProviderCommandInput,
    TagOpenIDConnectProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
