import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagPolicyRequest } from "../models/models_0";
export interface TagPolicyCommandInput extends TagPolicyRequest {}
export interface TagPolicyCommandOutput extends __MetadataBearer {}
export declare class TagPolicyCommand extends $Command<
  TagPolicyCommandInput,
  TagPolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TagPolicyCommandInput, TagPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
