import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagRoleRequest } from "../models/models_0";
export interface TagRoleCommandInput extends TagRoleRequest {}
export interface TagRoleCommandOutput extends __MetadataBearer {}
export declare class TagRoleCommand extends $Command<
  TagRoleCommandInput,
  TagRoleCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagRoleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagRoleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TagRoleCommandInput, TagRoleCommandOutput>;
  private serialize;
  private deserialize;
}
