import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagSAMLProviderRequest } from "../models/models_0";
export interface TagSAMLProviderCommandInput extends TagSAMLProviderRequest {}
export interface TagSAMLProviderCommandOutput extends __MetadataBearer {}
export declare class TagSAMLProviderCommand extends $Command<
  TagSAMLProviderCommandInput,
  TagSAMLProviderCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagSAMLProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagSAMLProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TagSAMLProviderCommandInput, TagSAMLProviderCommandOutput>;
  private serialize;
  private deserialize;
}
