import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { TagUserRequest } from "../models/models_0";
export interface TagUserCommandInput extends TagUserRequest {}
export interface TagUserCommandOutput extends __MetadataBearer {}
export declare class TagUserCommand extends $Command<
  TagUserCommandInput,
  TagUserCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: TagUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TagUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<TagUserCommandInput, TagUserCommandOutput>;
  private serialize;
  private deserialize;
}
