import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagInstanceProfileRequest } from "../models/models_0";
export interface UntagInstanceProfileCommandInput
  extends UntagInstanceProfileRequest {}
export interface UntagInstanceProfileCommandOutput extends __MetadataBearer {}
export declare class UntagInstanceProfileCommand extends $Command<
  UntagInstanceProfileCommandInput,
  UntagInstanceProfileCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagInstanceProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagInstanceProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UntagInstanceProfileCommandInput,
    UntagInstanceProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
