import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagMFADeviceRequest } from "../models/models_0";
export interface UntagMFADeviceCommandInput extends UntagMFADeviceRequest {}
export interface UntagMFADeviceCommandOutput extends __MetadataBearer {}
export declare class UntagMFADeviceCommand extends $Command<
  UntagMFADeviceCommandInput,
  UntagMFADeviceCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagMFADeviceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagMFADeviceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UntagMFADeviceCommandInput, UntagMFADeviceCommandOutput>;
  private serialize;
  private deserialize;
}
