import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagOpenIDConnectProviderRequest } from "../models/models_0";
export interface UntagOpenIDConnectProviderCommandInput
  extends UntagOpenIDConnectProviderRequest {}
export interface UntagOpenIDConnectProviderCommandOutput
  extends __MetadataBearer {}
export declare class UntagOpenIDConnectProviderCommand extends $Command<
  UntagOpenIDConnectProviderCommandInput,
  UntagOpenIDConnectProviderCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagOpenIDConnectProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagOpenIDConnectProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UntagOpenIDConnectProviderCommandInput,
    UntagOpenIDConnectProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
