import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagPolicyRequest } from "../models/models_1";
export interface UntagPolicyCommandInput extends UntagPolicyRequest {}
export interface UntagPolicyCommandOutput extends __MetadataBearer {}
export declare class UntagPolicyCommand extends $Command<
  UntagPolicyCommandInput,
  UntagPolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UntagPolicyCommandInput, UntagPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
