import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagRoleRequest } from "../models/models_1";
export interface UntagRoleCommandInput extends UntagRoleRequest {}
export interface UntagRoleCommandOutput extends __MetadataBearer {}
export declare class UntagRoleCommand extends $Command<
  UntagRoleCommandInput,
  UntagRoleCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagRoleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagRoleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UntagRoleCommandInput, UntagRoleCommandOutput>;
  private serialize;
  private deserialize;
}
