import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagSAMLProviderRequest } from "../models/models_1";
export interface UntagSAMLProviderCommandInput
  extends UntagSAMLProviderRequest {}
export interface UntagSAMLProviderCommandOutput extends __MetadataBearer {}
export declare class UntagSAMLProviderCommand extends $Command<
  UntagSAMLProviderCommandInput,
  UntagSAMLProviderCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagSAMLProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagSAMLProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UntagSAMLProviderCommandInput, UntagSAMLProviderCommandOutput>;
  private serialize;
  private deserialize;
}
