import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagServerCertificateRequest } from "../models/models_1";
export interface UntagServerCertificateCommandInput
  extends UntagServerCertificateRequest {}
export interface UntagServerCertificateCommandOutput extends __MetadataBearer {}
export declare class UntagServerCertificateCommand extends $Command<
  UntagServerCertificateCommandInput,
  UntagServerCertificateCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagServerCertificateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagServerCertificateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UntagServerCertificateCommandInput,
    UntagServerCertificateCommandOutput
  >;
  private serialize;
  private deserialize;
}
