import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UntagUserRequest } from "../models/models_1";
export interface UntagUserCommandInput extends UntagUserRequest {}
export interface UntagUserCommandOutput extends __MetadataBearer {}
export declare class UntagUserCommand extends $Command<
  UntagUserCommandInput,
  UntagUserCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UntagUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UntagUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UntagUserCommandInput, UntagUserCommandOutput>;
  private serialize;
  private deserialize;
}
