import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UpdateAccountPasswordPolicyRequest } from "../models/models_1";
export interface UpdateAccountPasswordPolicyCommandInput
  extends UpdateAccountPasswordPolicyRequest {}
export interface UpdateAccountPasswordPolicyCommandOutput
  extends __MetadataBearer {}
export declare class UpdateAccountPasswordPolicyCommand extends $Command<
  UpdateAccountPasswordPolicyCommandInput,
  UpdateAccountPasswordPolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UpdateAccountPasswordPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAccountPasswordPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAccountPasswordPolicyCommandInput,
    UpdateAccountPasswordPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
