import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UpdateAssumeRolePolicyRequest } from "../models/models_1";
export interface UpdateAssumeRolePolicyCommandInput
  extends UpdateAssumeRolePolicyRequest {}
export interface UpdateAssumeRolePolicyCommandOutput extends __MetadataBearer {}
export declare class UpdateAssumeRolePolicyCommand extends $Command<
  UpdateAssumeRolePolicyCommandInput,
  UpdateAssumeRolePolicyCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UpdateAssumeRolePolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAssumeRolePolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAssumeRolePolicyCommandInput,
    UpdateAssumeRolePolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
