import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  UpdateRoleDescriptionRequest,
  UpdateRoleDescriptionResponse,
} from "../models/models_1";
export interface UpdateRoleDescriptionCommandInput
  extends UpdateRoleDescriptionRequest {}
export interface UpdateRoleDescriptionCommandOutput
  extends UpdateRoleDescriptionResponse,
    __MetadataBearer {}
export declare class UpdateRoleDescriptionCommand extends $Command<
  UpdateRoleDescriptionCommandInput,
  UpdateRoleDescriptionCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UpdateRoleDescriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateRoleDescriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateRoleDescriptionCommandInput,
    UpdateRoleDescriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
