import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import {
  UpdateSAMLProviderRequest,
  UpdateSAMLProviderResponse,
} from "../models/models_1";
export interface UpdateSAMLProviderCommandInput
  extends UpdateSAMLProviderRequest {}
export interface UpdateSAMLProviderCommandOutput
  extends UpdateSAMLProviderResponse,
    __MetadataBearer {}
export declare class UpdateSAMLProviderCommand extends $Command<
  UpdateSAMLProviderCommandInput,
  UpdateSAMLProviderCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UpdateSAMLProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateSAMLProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateSAMLProviderCommandInput, UpdateSAMLProviderCommandOutput>;
  private serialize;
  private deserialize;
}
