import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  IAMClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IAMClient";
import { UpdateServiceSpecificCredentialRequest } from "../models/models_1";
export interface UpdateServiceSpecificCredentialCommandInput
  extends UpdateServiceSpecificCredentialRequest {}
export interface UpdateServiceSpecificCredentialCommandOutput
  extends __MetadataBearer {}
export declare class UpdateServiceSpecificCredentialCommand extends $Command<
  UpdateServiceSpecificCredentialCommandInput,
  UpdateServiceSpecificCredentialCommandOutput,
  IAMClientResolvedConfig
> {
  readonly input: UpdateServiceSpecificCredentialCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateServiceSpecificCredentialCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IAMClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateServiceSpecificCredentialCommandInput,
    UpdateServiceSpecificCredentialCommandOutput
  >;
  private serialize;
  private deserialize;
}
