import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import {
  AddClientIDToOpenIDConnectProviderCommandInput,
  AddClientIDToOpenIDConnectProviderCommandOutput,
} from "../commands/AddClientIDToOpenIDConnectProviderCommand";
import {
  AddRoleToInstanceProfileCommandInput,
  AddRoleToInstanceProfileCommandOutput,
} from "../commands/AddRoleToInstanceProfileCommand";
import {
  AddUserToGroupCommandInput,
  AddUserToGroupCommandOutput,
} from "../commands/AddUserToGroupCommand";
import {
  AttachGroupPolicyCommandInput,
  AttachGroupPolicyCommandOutput,
} from "../commands/AttachGroupPolicyCommand";
import {
  AttachRolePolicyCommandInput,
  AttachRolePolicyCommandOutput,
} from "../commands/AttachRolePolicyCommand";
import {
  AttachUserPolicyCommandInput,
  AttachUserPolicyCommandOutput,
} from "../commands/AttachUserPolicyCommand";
import {
  ChangePasswordCommandInput,
  ChangePasswordCommandOutput,
} from "../commands/ChangePasswordCommand";
import {
  CreateAccessKeyCommandInput,
  CreateAccessKeyCommandOutput,
} from "../commands/CreateAccessKeyCommand";
import {
  CreateAccountAliasCommandInput,
  CreateAccountAliasCommandOutput,
} from "../commands/CreateAccountAliasCommand";
import {
  CreateGroupCommandInput,
  CreateGroupCommandOutput,
} from "../commands/CreateGroupCommand";
import {
  CreateInstanceProfileCommandInput,
  CreateInstanceProfileCommandOutput,
} from "../commands/CreateInstanceProfileCommand";
import {
  CreateLoginProfileCommandInput,
  CreateLoginProfileCommandOutput,
} from "../commands/CreateLoginProfileCommand";
import {
  CreateOpenIDConnectProviderCommandInput,
  CreateOpenIDConnectProviderCommandOutput,
} from "../commands/CreateOpenIDConnectProviderCommand";
import {
  CreatePolicyCommandInput,
  CreatePolicyCommandOutput,
} from "../commands/CreatePolicyCommand";
import {
  CreatePolicyVersionCommandInput,
  CreatePolicyVersionCommandOutput,
} from "../commands/CreatePolicyVersionCommand";
import {
  CreateRoleCommandInput,
  CreateRoleCommandOutput,
} from "../commands/CreateRoleCommand";
import {
  CreateSAMLProviderCommandInput,
  CreateSAMLProviderCommandOutput,
} from "../commands/CreateSAMLProviderCommand";
import {
  CreateServiceLinkedRoleCommandInput,
  CreateServiceLinkedRoleCommandOutput,
} from "../commands/CreateServiceLinkedRoleCommand";
import {
  CreateServiceSpecificCredentialCommandInput,
  CreateServiceSpecificCredentialCommandOutput,
} from "../commands/CreateServiceSpecificCredentialCommand";
import {
  CreateUserCommandInput,
  CreateUserCommandOutput,
} from "../commands/CreateUserCommand";
import {
  CreateVirtualMFADeviceCommandInput,
  CreateVirtualMFADeviceCommandOutput,
} from "../commands/CreateVirtualMFADeviceCommand";
import {
  DeactivateMFADeviceCommandInput,
  DeactivateMFADeviceCommandOutput,
} from "../commands/DeactivateMFADeviceCommand";
import {
  DeleteAccessKeyCommandInput,
  DeleteAccessKeyCommandOutput,
} from "../commands/DeleteAccessKeyCommand";
import {
  DeleteAccountAliasCommandInput,
  DeleteAccountAliasCommandOutput,
} from "../commands/DeleteAccountAliasCommand";
import {
  DeleteAccountPasswordPolicyCommandInput,
  DeleteAccountPasswordPolicyCommandOutput,
} from "../commands/DeleteAccountPasswordPolicyCommand";
import {
  DeleteGroupCommandInput,
  DeleteGroupCommandOutput,
} from "../commands/DeleteGroupCommand";
import {
  DeleteGroupPolicyCommandInput,
  DeleteGroupPolicyCommandOutput,
} from "../commands/DeleteGroupPolicyCommand";
import {
  DeleteInstanceProfileCommandInput,
  DeleteInstanceProfileCommandOutput,
} from "../commands/DeleteInstanceProfileCommand";
import {
  DeleteLoginProfileCommandInput,
  DeleteLoginProfileCommandOutput,
} from "../commands/DeleteLoginProfileCommand";
import {
  DeleteOpenIDConnectProviderCommandInput,
  DeleteOpenIDConnectProviderCommandOutput,
} from "../commands/DeleteOpenIDConnectProviderCommand";
import {
  DeletePolicyCommandInput,
  DeletePolicyCommandOutput,
} from "../commands/DeletePolicyCommand";
import {
  DeletePolicyVersionCommandInput,
  DeletePolicyVersionCommandOutput,
} from "../commands/DeletePolicyVersionCommand";
import {
  DeleteRoleCommandInput,
  DeleteRoleCommandOutput,
} from "../commands/DeleteRoleCommand";
import {
  DeleteRolePermissionsBoundaryCommandInput,
  DeleteRolePermissionsBoundaryCommandOutput,
} from "../commands/DeleteRolePermissionsBoundaryCommand";
import {
  DeleteRolePolicyCommandInput,
  DeleteRolePolicyCommandOutput,
} from "../commands/DeleteRolePolicyCommand";
import {
  DeleteSAMLProviderCommandInput,
  DeleteSAMLProviderCommandOutput,
} from "../commands/DeleteSAMLProviderCommand";
import {
  DeleteServerCertificateCommandInput,
  DeleteServerCertificateCommandOutput,
} from "../commands/DeleteServerCertificateCommand";
import {
  DeleteServiceLinkedRoleCommandInput,
  DeleteServiceLinkedRoleCommandOutput,
} from "../commands/DeleteServiceLinkedRoleCommand";
import {
  DeleteServiceSpecificCredentialCommandInput,
  DeleteServiceSpecificCredentialCommandOutput,
} from "../commands/DeleteServiceSpecificCredentialCommand";
import {
  DeleteSigningCertificateCommandInput,
  DeleteSigningCertificateCommandOutput,
} from "../commands/DeleteSigningCertificateCommand";
import {
  DeleteSSHPublicKeyCommandInput,
  DeleteSSHPublicKeyCommandOutput,
} from "../commands/DeleteSSHPublicKeyCommand";
import {
  DeleteUserCommandInput,
  DeleteUserCommandOutput,
} from "../commands/DeleteUserCommand";
import {
  DeleteUserPermissionsBoundaryCommandInput,
  DeleteUserPermissionsBoundaryCommandOutput,
} from "../commands/DeleteUserPermissionsBoundaryCommand";
import {
  DeleteUserPolicyCommandInput,
  DeleteUserPolicyCommandOutput,
} from "../commands/DeleteUserPolicyCommand";
import {
  DeleteVirtualMFADeviceCommandInput,
  DeleteVirtualMFADeviceCommandOutput,
} from "../commands/DeleteVirtualMFADeviceCommand";
import {
  DetachGroupPolicyCommandInput,
  DetachGroupPolicyCommandOutput,
} from "../commands/DetachGroupPolicyCommand";
import {
  DetachRolePolicyCommandInput,
  DetachRolePolicyCommandOutput,
} from "../commands/DetachRolePolicyCommand";
import {
  DetachUserPolicyCommandInput,
  DetachUserPolicyCommandOutput,
} from "../commands/DetachUserPolicyCommand";
import {
  EnableMFADeviceCommandInput,
  EnableMFADeviceCommandOutput,
} from "../commands/EnableMFADeviceCommand";
import {
  GenerateCredentialReportCommandInput,
  GenerateCredentialReportCommandOutput,
} from "../commands/GenerateCredentialReportCommand";
import {
  GenerateOrganizationsAccessReportCommandInput,
  GenerateOrganizationsAccessReportCommandOutput,
} from "../commands/GenerateOrganizationsAccessReportCommand";
import {
  GenerateServiceLastAccessedDetailsCommandInput,
  GenerateServiceLastAccessedDetailsCommandOutput,
} from "../commands/GenerateServiceLastAccessedDetailsCommand";
import {
  GetAccessKeyLastUsedCommandInput,
  GetAccessKeyLastUsedCommandOutput,
} from "../commands/GetAccessKeyLastUsedCommand";
import {
  GetAccountAuthorizationDetailsCommandInput,
  GetAccountAuthorizationDetailsCommandOutput,
} from "../commands/GetAccountAuthorizationDetailsCommand";
import {
  GetAccountPasswordPolicyCommandInput,
  GetAccountPasswordPolicyCommandOutput,
} from "../commands/GetAccountPasswordPolicyCommand";
import {
  GetAccountSummaryCommandInput,
  GetAccountSummaryCommandOutput,
} from "../commands/GetAccountSummaryCommand";
import {
  GetContextKeysForCustomPolicyCommandInput,
  GetContextKeysForCustomPolicyCommandOutput,
} from "../commands/GetContextKeysForCustomPolicyCommand";
import {
  GetContextKeysForPrincipalPolicyCommandInput,
  GetContextKeysForPrincipalPolicyCommandOutput,
} from "../commands/GetContextKeysForPrincipalPolicyCommand";
import {
  GetCredentialReportCommandInput,
  GetCredentialReportCommandOutput,
} from "../commands/GetCredentialReportCommand";
import {
  GetGroupCommandInput,
  GetGroupCommandOutput,
} from "../commands/GetGroupCommand";
import {
  GetGroupPolicyCommandInput,
  GetGroupPolicyCommandOutput,
} from "../commands/GetGroupPolicyCommand";
import {
  GetInstanceProfileCommandInput,
  GetInstanceProfileCommandOutput,
} from "../commands/GetInstanceProfileCommand";
import {
  GetLoginProfileCommandInput,
  GetLoginProfileCommandOutput,
} from "../commands/GetLoginProfileCommand";
import {
  GetOpenIDConnectProviderCommandInput,
  GetOpenIDConnectProviderCommandOutput,
} from "../commands/GetOpenIDConnectProviderCommand";
import {
  GetOrganizationsAccessReportCommandInput,
  GetOrganizationsAccessReportCommandOutput,
} from "../commands/GetOrganizationsAccessReportCommand";
import {
  GetPolicyCommandInput,
  GetPolicyCommandOutput,
} from "../commands/GetPolicyCommand";
import {
  GetPolicyVersionCommandInput,
  GetPolicyVersionCommandOutput,
} from "../commands/GetPolicyVersionCommand";
import {
  GetRoleCommandInput,
  GetRoleCommandOutput,
} from "../commands/GetRoleCommand";
import {
  GetRolePolicyCommandInput,
  GetRolePolicyCommandOutput,
} from "../commands/GetRolePolicyCommand";
import {
  GetSAMLProviderCommandInput,
  GetSAMLProviderCommandOutput,
} from "../commands/GetSAMLProviderCommand";
import {
  GetServerCertificateCommandInput,
  GetServerCertificateCommandOutput,
} from "../commands/GetServerCertificateCommand";
import {
  GetServiceLastAccessedDetailsCommandInput,
  GetServiceLastAccessedDetailsCommandOutput,
} from "../commands/GetServiceLastAccessedDetailsCommand";
import {
  GetServiceLastAccessedDetailsWithEntitiesCommandInput,
  GetServiceLastAccessedDetailsWithEntitiesCommandOutput,
} from "../commands/GetServiceLastAccessedDetailsWithEntitiesCommand";
import {
  GetServiceLinkedRoleDeletionStatusCommandInput,
  GetServiceLinkedRoleDeletionStatusCommandOutput,
} from "../commands/GetServiceLinkedRoleDeletionStatusCommand";
import {
  GetSSHPublicKeyCommandInput,
  GetSSHPublicKeyCommandOutput,
} from "../commands/GetSSHPublicKeyCommand";
import {
  GetUserCommandInput,
  GetUserCommandOutput,
} from "../commands/GetUserCommand";
import {
  GetUserPolicyCommandInput,
  GetUserPolicyCommandOutput,
} from "../commands/GetUserPolicyCommand";
import {
  ListAccessKeysCommandInput,
  ListAccessKeysCommandOutput,
} from "../commands/ListAccessKeysCommand";
import {
  ListAccountAliasesCommandInput,
  ListAccountAliasesCommandOutput,
} from "../commands/ListAccountAliasesCommand";
import {
  ListAttachedGroupPoliciesCommandInput,
  ListAttachedGroupPoliciesCommandOutput,
} from "../commands/ListAttachedGroupPoliciesCommand";
import {
  ListAttachedRolePoliciesCommandInput,
  ListAttachedRolePoliciesCommandOutput,
} from "../commands/ListAttachedRolePoliciesCommand";
import {
  ListAttachedUserPoliciesCommandInput,
  ListAttachedUserPoliciesCommandOutput,
} from "../commands/ListAttachedUserPoliciesCommand";
import {
  ListEntitiesForPolicyCommandInput,
  ListEntitiesForPolicyCommandOutput,
} from "../commands/ListEntitiesForPolicyCommand";
import {
  ListGroupPoliciesCommandInput,
  ListGroupPoliciesCommandOutput,
} from "../commands/ListGroupPoliciesCommand";
import {
  ListGroupsCommandInput,
  ListGroupsCommandOutput,
} from "../commands/ListGroupsCommand";
import {
  ListGroupsForUserCommandInput,
  ListGroupsForUserCommandOutput,
} from "../commands/ListGroupsForUserCommand";
import {
  ListInstanceProfilesCommandInput,
  ListInstanceProfilesCommandOutput,
} from "../commands/ListInstanceProfilesCommand";
import {
  ListInstanceProfilesForRoleCommandInput,
  ListInstanceProfilesForRoleCommandOutput,
} from "../commands/ListInstanceProfilesForRoleCommand";
import {
  ListInstanceProfileTagsCommandInput,
  ListInstanceProfileTagsCommandOutput,
} from "../commands/ListInstanceProfileTagsCommand";
import {
  ListMFADevicesCommandInput,
  ListMFADevicesCommandOutput,
} from "../commands/ListMFADevicesCommand";
import {
  ListMFADeviceTagsCommandInput,
  ListMFADeviceTagsCommandOutput,
} from "../commands/ListMFADeviceTagsCommand";
import {
  ListOpenIDConnectProvidersCommandInput,
  ListOpenIDConnectProvidersCommandOutput,
} from "../commands/ListOpenIDConnectProvidersCommand";
import {
  ListOpenIDConnectProviderTagsCommandInput,
  ListOpenIDConnectProviderTagsCommandOutput,
} from "../commands/ListOpenIDConnectProviderTagsCommand";
import {
  ListPoliciesCommandInput,
  ListPoliciesCommandOutput,
} from "../commands/ListPoliciesCommand";
import {
  ListPoliciesGrantingServiceAccessCommandInput,
  ListPoliciesGrantingServiceAccessCommandOutput,
} from "../commands/ListPoliciesGrantingServiceAccessCommand";
import {
  ListPolicyTagsCommandInput,
  ListPolicyTagsCommandOutput,
} from "../commands/ListPolicyTagsCommand";
import {
  ListPolicyVersionsCommandInput,
  ListPolicyVersionsCommandOutput,
} from "../commands/ListPolicyVersionsCommand";
import {
  ListRolePoliciesCommandInput,
  ListRolePoliciesCommandOutput,
} from "../commands/ListRolePoliciesCommand";
import {
  ListRolesCommandInput,
  ListRolesCommandOutput,
} from "../commands/ListRolesCommand";
import {
  ListRoleTagsCommandInput,
  ListRoleTagsCommandOutput,
} from "../commands/ListRoleTagsCommand";
import {
  ListSAMLProvidersCommandInput,
  ListSAMLProvidersCommandOutput,
} from "../commands/ListSAMLProvidersCommand";
import {
  ListSAMLProviderTagsCommandInput,
  ListSAMLProviderTagsCommandOutput,
} from "../commands/ListSAMLProviderTagsCommand";
import {
  ListServerCertificatesCommandInput,
  ListServerCertificatesCommandOutput,
} from "../commands/ListServerCertificatesCommand";
import {
  ListServerCertificateTagsCommandInput,
  ListServerCertificateTagsCommandOutput,
} from "../commands/ListServerCertificateTagsCommand";
import {
  ListServiceSpecificCredentialsCommandInput,
  ListServiceSpecificCredentialsCommandOutput,
} from "../commands/ListServiceSpecificCredentialsCommand";
import {
  ListSigningCertificatesCommandInput,
  ListSigningCertificatesCommandOutput,
} from "../commands/ListSigningCertificatesCommand";
import {
  ListSSHPublicKeysCommandInput,
  ListSSHPublicKeysCommandOutput,
} from "../commands/ListSSHPublicKeysCommand";
import {
  ListUserPoliciesCommandInput,
  ListUserPoliciesCommandOutput,
} from "../commands/ListUserPoliciesCommand";
import {
  ListUsersCommandInput,
  ListUsersCommandOutput,
} from "../commands/ListUsersCommand";
import {
  ListUserTagsCommandInput,
  ListUserTagsCommandOutput,
} from "../commands/ListUserTagsCommand";
import {
  ListVirtualMFADevicesCommandInput,
  ListVirtualMFADevicesCommandOutput,
} from "../commands/ListVirtualMFADevicesCommand";
import {
  PutGroupPolicyCommandInput,
  PutGroupPolicyCommandOutput,
} from "../commands/PutGroupPolicyCommand";
import {
  PutRolePermissionsBoundaryCommandInput,
  PutRolePermissionsBoundaryCommandOutput,
} from "../commands/PutRolePermissionsBoundaryCommand";
import {
  PutRolePolicyCommandInput,
  PutRolePolicyCommandOutput,
} from "../commands/PutRolePolicyCommand";
import {
  PutUserPermissionsBoundaryCommandInput,
  PutUserPermissionsBoundaryCommandOutput,
} from "../commands/PutUserPermissionsBoundaryCommand";
import {
  PutUserPolicyCommandInput,
  PutUserPolicyCommandOutput,
} from "../commands/PutUserPolicyCommand";
import {
  RemoveClientIDFromOpenIDConnectProviderCommandInput,
  RemoveClientIDFromOpenIDConnectProviderCommandOutput,
} from "../commands/RemoveClientIDFromOpenIDConnectProviderCommand";
import {
  RemoveRoleFromInstanceProfileCommandInput,
  RemoveRoleFromInstanceProfileCommandOutput,
} from "../commands/RemoveRoleFromInstanceProfileCommand";
import {
  RemoveUserFromGroupCommandInput,
  RemoveUserFromGroupCommandOutput,
} from "../commands/RemoveUserFromGroupCommand";
import {
  ResetServiceSpecificCredentialCommandInput,
  ResetServiceSpecificCredentialCommandOutput,
} from "../commands/ResetServiceSpecificCredentialCommand";
import {
  ResyncMFADeviceCommandInput,
  ResyncMFADeviceCommandOutput,
} from "../commands/ResyncMFADeviceCommand";
import {
  SetDefaultPolicyVersionCommandInput,
  SetDefaultPolicyVersionCommandOutput,
} from "../commands/SetDefaultPolicyVersionCommand";
import {
  SetSecurityTokenServicePreferencesCommandInput,
  SetSecurityTokenServicePreferencesCommandOutput,
} from "../commands/SetSecurityTokenServicePreferencesCommand";
import {
  SimulateCustomPolicyCommandInput,
  SimulateCustomPolicyCommandOutput,
} from "../commands/SimulateCustomPolicyCommand";
import {
  SimulatePrincipalPolicyCommandInput,
  SimulatePrincipalPolicyCommandOutput,
} from "../commands/SimulatePrincipalPolicyCommand";
import {
  TagInstanceProfileCommandInput,
  TagInstanceProfileCommandOutput,
} from "../commands/TagInstanceProfileCommand";
import {
  TagMFADeviceCommandInput,
  TagMFADeviceCommandOutput,
} from "../commands/TagMFADeviceCommand";
import {
  TagOpenIDConnectProviderCommandInput,
  TagOpenIDConnectProviderCommandOutput,
} from "../commands/TagOpenIDConnectProviderCommand";
import {
  TagPolicyCommandInput,
  TagPolicyCommandOutput,
} from "../commands/TagPolicyCommand";
import {
  TagRoleCommandInput,
  TagRoleCommandOutput,
} from "../commands/TagRoleCommand";
import {
  TagSAMLProviderCommandInput,
  TagSAMLProviderCommandOutput,
} from "../commands/TagSAMLProviderCommand";
import {
  TagServerCertificateCommandInput,
  TagServerCertificateCommandOutput,
} from "../commands/TagServerCertificateCommand";
import {
  TagUserCommandInput,
  TagUserCommandOutput,
} from "../commands/TagUserCommand";
import {
  UntagInstanceProfileCommandInput,
  UntagInstanceProfileCommandOutput,
} from "../commands/UntagInstanceProfileCommand";
import {
  UntagMFADeviceCommandInput,
  UntagMFADeviceCommandOutput,
} from "../commands/UntagMFADeviceCommand";
import {
  UntagOpenIDConnectProviderCommandInput,
  UntagOpenIDConnectProviderCommandOutput,
} from "../commands/UntagOpenIDConnectProviderCommand";
import {
  UntagPolicyCommandInput,
  UntagPolicyCommandOutput,
} from "../commands/UntagPolicyCommand";
import {
  UntagRoleCommandInput,
  UntagRoleCommandOutput,
} from "../commands/UntagRoleCommand";
import {
  UntagSAMLProviderCommandInput,
  UntagSAMLProviderCommandOutput,
} from "../commands/UntagSAMLProviderCommand";
import {
  UntagServerCertificateCommandInput,
  UntagServerCertificateCommandOutput,
} from "../commands/UntagServerCertificateCommand";
import {
  UntagUserCommandInput,
  UntagUserCommandOutput,
} from "../commands/UntagUserCommand";
import {
  UpdateAccessKeyCommandInput,
  UpdateAccessKeyCommandOutput,
} from "../commands/UpdateAccessKeyCommand";
import {
  UpdateAccountPasswordPolicyCommandInput,
  UpdateAccountPasswordPolicyCommandOutput,
} from "../commands/UpdateAccountPasswordPolicyCommand";
import {
  UpdateAssumeRolePolicyCommandInput,
  UpdateAssumeRolePolicyCommandOutput,
} from "../commands/UpdateAssumeRolePolicyCommand";
import {
  UpdateGroupCommandInput,
  UpdateGroupCommandOutput,
} from "../commands/UpdateGroupCommand";
import {
  UpdateLoginProfileCommandInput,
  UpdateLoginProfileCommandOutput,
} from "../commands/UpdateLoginProfileCommand";
import {
  UpdateOpenIDConnectProviderThumbprintCommandInput,
  UpdateOpenIDConnectProviderThumbprintCommandOutput,
} from "../commands/UpdateOpenIDConnectProviderThumbprintCommand";
import {
  UpdateRoleCommandInput,
  UpdateRoleCommandOutput,
} from "../commands/UpdateRoleCommand";
import {
  UpdateRoleDescriptionCommandInput,
  UpdateRoleDescriptionCommandOutput,
} from "../commands/UpdateRoleDescriptionCommand";
import {
  UpdateSAMLProviderCommandInput,
  UpdateSAMLProviderCommandOutput,
} from "../commands/UpdateSAMLProviderCommand";
import {
  UpdateServerCertificateCommandInput,
  UpdateServerCertificateCommandOutput,
} from "../commands/UpdateServerCertificateCommand";
import {
  UpdateServiceSpecificCredentialCommandInput,
  UpdateServiceSpecificCredentialCommandOutput,
} from "../commands/UpdateServiceSpecificCredentialCommand";
import {
  UpdateSigningCertificateCommandInput,
  UpdateSigningCertificateCommandOutput,
} from "../commands/UpdateSigningCertificateCommand";
import {
  UpdateSSHPublicKeyCommandInput,
  UpdateSSHPublicKeyCommandOutput,
} from "../commands/UpdateSSHPublicKeyCommand";
import {
  UpdateUserCommandInput,
  UpdateUserCommandOutput,
} from "../commands/UpdateUserCommand";
import {
  UploadServerCertificateCommandInput,
  UploadServerCertificateCommandOutput,
} from "../commands/UploadServerCertificateCommand";
import {
  UploadSigningCertificateCommandInput,
  UploadSigningCertificateCommandOutput,
} from "../commands/UploadSigningCertificateCommand";
import {
  UploadSSHPublicKeyCommandInput,
  UploadSSHPublicKeyCommandOutput,
} from "../commands/UploadSSHPublicKeyCommand";
export declare const serializeAws_queryAddClientIDToOpenIDConnectProviderCommand: (
  input: AddClientIDToOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAddRoleToInstanceProfileCommand: (
  input: AddRoleToInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAddUserToGroupCommand: (
  input: AddUserToGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAttachGroupPolicyCommand: (
  input: AttachGroupPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAttachRolePolicyCommand: (
  input: AttachRolePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAttachUserPolicyCommand: (
  input: AttachUserPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryChangePasswordCommand: (
  input: ChangePasswordCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateAccessKeyCommand: (
  input: CreateAccessKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateAccountAliasCommand: (
  input: CreateAccountAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateGroupCommand: (
  input: CreateGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateInstanceProfileCommand: (
  input: CreateInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateLoginProfileCommand: (
  input: CreateLoginProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateOpenIDConnectProviderCommand: (
  input: CreateOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreatePolicyCommand: (
  input: CreatePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreatePolicyVersionCommand: (
  input: CreatePolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateRoleCommand: (
  input: CreateRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateSAMLProviderCommand: (
  input: CreateSAMLProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateServiceLinkedRoleCommand: (
  input: CreateServiceLinkedRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateServiceSpecificCredentialCommand: (
  input: CreateServiceSpecificCredentialCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateUserCommand: (
  input: CreateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateVirtualMFADeviceCommand: (
  input: CreateVirtualMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeactivateMFADeviceCommand: (
  input: DeactivateMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteAccessKeyCommand: (
  input: DeleteAccessKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteAccountAliasCommand: (
  input: DeleteAccountAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteAccountPasswordPolicyCommand: (
  input: DeleteAccountPasswordPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteGroupCommand: (
  input: DeleteGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteGroupPolicyCommand: (
  input: DeleteGroupPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteInstanceProfileCommand: (
  input: DeleteInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteLoginProfileCommand: (
  input: DeleteLoginProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteOpenIDConnectProviderCommand: (
  input: DeleteOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeletePolicyCommand: (
  input: DeletePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeletePolicyVersionCommand: (
  input: DeletePolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteRoleCommand: (
  input: DeleteRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteRolePermissionsBoundaryCommand: (
  input: DeleteRolePermissionsBoundaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteRolePolicyCommand: (
  input: DeleteRolePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteSAMLProviderCommand: (
  input: DeleteSAMLProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteServerCertificateCommand: (
  input: DeleteServerCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteServiceLinkedRoleCommand: (
  input: DeleteServiceLinkedRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteServiceSpecificCredentialCommand: (
  input: DeleteServiceSpecificCredentialCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteSigningCertificateCommand: (
  input: DeleteSigningCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteSSHPublicKeyCommand: (
  input: DeleteSSHPublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteUserCommand: (
  input: DeleteUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteUserPermissionsBoundaryCommand: (
  input: DeleteUserPermissionsBoundaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteUserPolicyCommand: (
  input: DeleteUserPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteVirtualMFADeviceCommand: (
  input: DeleteVirtualMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDetachGroupPolicyCommand: (
  input: DetachGroupPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDetachRolePolicyCommand: (
  input: DetachRolePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDetachUserPolicyCommand: (
  input: DetachUserPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryEnableMFADeviceCommand: (
  input: EnableMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGenerateCredentialReportCommand: (
  input: GenerateCredentialReportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGenerateOrganizationsAccessReportCommand: (
  input: GenerateOrganizationsAccessReportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGenerateServiceLastAccessedDetailsCommand: (
  input: GenerateServiceLastAccessedDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetAccessKeyLastUsedCommand: (
  input: GetAccessKeyLastUsedCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetAccountAuthorizationDetailsCommand: (
  input: GetAccountAuthorizationDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetAccountPasswordPolicyCommand: (
  input: GetAccountPasswordPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetAccountSummaryCommand: (
  input: GetAccountSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetContextKeysForCustomPolicyCommand: (
  input: GetContextKeysForCustomPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetContextKeysForPrincipalPolicyCommand: (
  input: GetContextKeysForPrincipalPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetCredentialReportCommand: (
  input: GetCredentialReportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetGroupCommand: (
  input: GetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetGroupPolicyCommand: (
  input: GetGroupPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetInstanceProfileCommand: (
  input: GetInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetLoginProfileCommand: (
  input: GetLoginProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetOpenIDConnectProviderCommand: (
  input: GetOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetOrganizationsAccessReportCommand: (
  input: GetOrganizationsAccessReportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetPolicyCommand: (
  input: GetPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetPolicyVersionCommand: (
  input: GetPolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetRoleCommand: (
  input: GetRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetRolePolicyCommand: (
  input: GetRolePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetSAMLProviderCommand: (
  input: GetSAMLProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetServerCertificateCommand: (
  input: GetServerCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetServiceLastAccessedDetailsCommand: (
  input: GetServiceLastAccessedDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetServiceLastAccessedDetailsWithEntitiesCommand: (
  input: GetServiceLastAccessedDetailsWithEntitiesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetServiceLinkedRoleDeletionStatusCommand: (
  input: GetServiceLinkedRoleDeletionStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetSSHPublicKeyCommand: (
  input: GetSSHPublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetUserCommand: (
  input: GetUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetUserPolicyCommand: (
  input: GetUserPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListAccessKeysCommand: (
  input: ListAccessKeysCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListAccountAliasesCommand: (
  input: ListAccountAliasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListAttachedGroupPoliciesCommand: (
  input: ListAttachedGroupPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListAttachedRolePoliciesCommand: (
  input: ListAttachedRolePoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListAttachedUserPoliciesCommand: (
  input: ListAttachedUserPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListEntitiesForPolicyCommand: (
  input: ListEntitiesForPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListGroupPoliciesCommand: (
  input: ListGroupPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListGroupsCommand: (
  input: ListGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListGroupsForUserCommand: (
  input: ListGroupsForUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListInstanceProfilesCommand: (
  input: ListInstanceProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListInstanceProfilesForRoleCommand: (
  input: ListInstanceProfilesForRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListInstanceProfileTagsCommand: (
  input: ListInstanceProfileTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListMFADevicesCommand: (
  input: ListMFADevicesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListMFADeviceTagsCommand: (
  input: ListMFADeviceTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListOpenIDConnectProvidersCommand: (
  input: ListOpenIDConnectProvidersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListOpenIDConnectProviderTagsCommand: (
  input: ListOpenIDConnectProviderTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListPoliciesCommand: (
  input: ListPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListPoliciesGrantingServiceAccessCommand: (
  input: ListPoliciesGrantingServiceAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListPolicyTagsCommand: (
  input: ListPolicyTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListPolicyVersionsCommand: (
  input: ListPolicyVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListRolePoliciesCommand: (
  input: ListRolePoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListRolesCommand: (
  input: ListRolesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListRoleTagsCommand: (
  input: ListRoleTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSAMLProvidersCommand: (
  input: ListSAMLProvidersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSAMLProviderTagsCommand: (
  input: ListSAMLProviderTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListServerCertificatesCommand: (
  input: ListServerCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListServerCertificateTagsCommand: (
  input: ListServerCertificateTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListServiceSpecificCredentialsCommand: (
  input: ListServiceSpecificCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSigningCertificatesCommand: (
  input: ListSigningCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSSHPublicKeysCommand: (
  input: ListSSHPublicKeysCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListUserPoliciesCommand: (
  input: ListUserPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListUsersCommand: (
  input: ListUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListUserTagsCommand: (
  input: ListUserTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListVirtualMFADevicesCommand: (
  input: ListVirtualMFADevicesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPutGroupPolicyCommand: (
  input: PutGroupPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPutRolePermissionsBoundaryCommand: (
  input: PutRolePermissionsBoundaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPutRolePolicyCommand: (
  input: PutRolePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPutUserPermissionsBoundaryCommand: (
  input: PutUserPermissionsBoundaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPutUserPolicyCommand: (
  input: PutUserPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveClientIDFromOpenIDConnectProviderCommand: (
  input: RemoveClientIDFromOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveRoleFromInstanceProfileCommand: (
  input: RemoveRoleFromInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveUserFromGroupCommand: (
  input: RemoveUserFromGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryResetServiceSpecificCredentialCommand: (
  input: ResetServiceSpecificCredentialCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryResyncMFADeviceCommand: (
  input: ResyncMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_querySetDefaultPolicyVersionCommand: (
  input: SetDefaultPolicyVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_querySetSecurityTokenServicePreferencesCommand: (
  input: SetSecurityTokenServicePreferencesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_querySimulateCustomPolicyCommand: (
  input: SimulateCustomPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_querySimulatePrincipalPolicyCommand: (
  input: SimulatePrincipalPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagInstanceProfileCommand: (
  input: TagInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagMFADeviceCommand: (
  input: TagMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagOpenIDConnectProviderCommand: (
  input: TagOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagPolicyCommand: (
  input: TagPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagRoleCommand: (
  input: TagRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagSAMLProviderCommand: (
  input: TagSAMLProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagServerCertificateCommand: (
  input: TagServerCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagUserCommand: (
  input: TagUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagInstanceProfileCommand: (
  input: UntagInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagMFADeviceCommand: (
  input: UntagMFADeviceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagOpenIDConnectProviderCommand: (
  input: UntagOpenIDConnectProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagPolicyCommand: (
  input: UntagPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagRoleCommand: (
  input: UntagRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagSAMLProviderCommand: (
  input: UntagSAMLProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagServerCertificateCommand: (
  input: UntagServerCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagUserCommand: (
  input: UntagUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateAccessKeyCommand: (
  input: UpdateAccessKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateAccountPasswordPolicyCommand: (
  input: UpdateAccountPasswordPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateAssumeRolePolicyCommand: (
  input: UpdateAssumeRolePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateGroupCommand: (
  input: UpdateGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateLoginProfileCommand: (
  input: UpdateLoginProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateOpenIDConnectProviderThumbprintCommand: (
  input: UpdateOpenIDConnectProviderThumbprintCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateRoleCommand: (
  input: UpdateRoleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateRoleDescriptionCommand: (
  input: UpdateRoleDescriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateSAMLProviderCommand: (
  input: UpdateSAMLProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateServerCertificateCommand: (
  input: UpdateServerCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateServiceSpecificCredentialCommand: (
  input: UpdateServiceSpecificCredentialCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateSigningCertificateCommand: (
  input: UpdateSigningCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateSSHPublicKeyCommand: (
  input: UpdateSSHPublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUpdateUserCommand: (
  input: UpdateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUploadServerCertificateCommand: (
  input: UploadServerCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUploadSigningCertificateCommand: (
  input: UploadSigningCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryUploadSSHPublicKeyCommand: (
  input: UploadSSHPublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const deserializeAws_queryAddClientIDToOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddClientIDToOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryAddRoleToInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddRoleToInstanceProfileCommandOutput>;
export declare const deserializeAws_queryAddUserToGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddUserToGroupCommandOutput>;
export declare const deserializeAws_queryAttachGroupPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachGroupPolicyCommandOutput>;
export declare const deserializeAws_queryAttachRolePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachRolePolicyCommandOutput>;
export declare const deserializeAws_queryAttachUserPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachUserPolicyCommandOutput>;
export declare const deserializeAws_queryChangePasswordCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ChangePasswordCommandOutput>;
export declare const deserializeAws_queryCreateAccessKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAccessKeyCommandOutput>;
export declare const deserializeAws_queryCreateAccountAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAccountAliasCommandOutput>;
export declare const deserializeAws_queryCreateGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateGroupCommandOutput>;
export declare const deserializeAws_queryCreateInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateInstanceProfileCommandOutput>;
export declare const deserializeAws_queryCreateLoginProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateLoginProfileCommandOutput>;
export declare const deserializeAws_queryCreateOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryCreatePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePolicyCommandOutput>;
export declare const deserializeAws_queryCreatePolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePolicyVersionCommandOutput>;
export declare const deserializeAws_queryCreateRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRoleCommandOutput>;
export declare const deserializeAws_queryCreateSAMLProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSAMLProviderCommandOutput>;
export declare const deserializeAws_queryCreateServiceLinkedRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateServiceLinkedRoleCommandOutput>;
export declare const deserializeAws_queryCreateServiceSpecificCredentialCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateServiceSpecificCredentialCommandOutput>;
export declare const deserializeAws_queryCreateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUserCommandOutput>;
export declare const deserializeAws_queryCreateVirtualMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVirtualMFADeviceCommandOutput>;
export declare const deserializeAws_queryDeactivateMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeactivateMFADeviceCommandOutput>;
export declare const deserializeAws_queryDeleteAccessKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAccessKeyCommandOutput>;
export declare const deserializeAws_queryDeleteAccountAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAccountAliasCommandOutput>;
export declare const deserializeAws_queryDeleteAccountPasswordPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAccountPasswordPolicyCommandOutput>;
export declare const deserializeAws_queryDeleteGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGroupCommandOutput>;
export declare const deserializeAws_queryDeleteGroupPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGroupPolicyCommandOutput>;
export declare const deserializeAws_queryDeleteInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteInstanceProfileCommandOutput>;
export declare const deserializeAws_queryDeleteLoginProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteLoginProfileCommandOutput>;
export declare const deserializeAws_queryDeleteOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryDeletePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePolicyCommandOutput>;
export declare const deserializeAws_queryDeletePolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePolicyVersionCommandOutput>;
export declare const deserializeAws_queryDeleteRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRoleCommandOutput>;
export declare const deserializeAws_queryDeleteRolePermissionsBoundaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRolePermissionsBoundaryCommandOutput>;
export declare const deserializeAws_queryDeleteRolePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRolePolicyCommandOutput>;
export declare const deserializeAws_queryDeleteSAMLProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSAMLProviderCommandOutput>;
export declare const deserializeAws_queryDeleteServerCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteServerCertificateCommandOutput>;
export declare const deserializeAws_queryDeleteServiceLinkedRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteServiceLinkedRoleCommandOutput>;
export declare const deserializeAws_queryDeleteServiceSpecificCredentialCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteServiceSpecificCredentialCommandOutput>;
export declare const deserializeAws_queryDeleteSigningCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSigningCertificateCommandOutput>;
export declare const deserializeAws_queryDeleteSSHPublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSSHPublicKeyCommandOutput>;
export declare const deserializeAws_queryDeleteUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserCommandOutput>;
export declare const deserializeAws_queryDeleteUserPermissionsBoundaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserPermissionsBoundaryCommandOutput>;
export declare const deserializeAws_queryDeleteUserPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteUserPolicyCommandOutput>;
export declare const deserializeAws_queryDeleteVirtualMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVirtualMFADeviceCommandOutput>;
export declare const deserializeAws_queryDetachGroupPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachGroupPolicyCommandOutput>;
export declare const deserializeAws_queryDetachRolePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachRolePolicyCommandOutput>;
export declare const deserializeAws_queryDetachUserPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachUserPolicyCommandOutput>;
export declare const deserializeAws_queryEnableMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<EnableMFADeviceCommandOutput>;
export declare const deserializeAws_queryGenerateCredentialReportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GenerateCredentialReportCommandOutput>;
export declare const deserializeAws_queryGenerateOrganizationsAccessReportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GenerateOrganizationsAccessReportCommandOutput>;
export declare const deserializeAws_queryGenerateServiceLastAccessedDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GenerateServiceLastAccessedDetailsCommandOutput>;
export declare const deserializeAws_queryGetAccessKeyLastUsedCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAccessKeyLastUsedCommandOutput>;
export declare const deserializeAws_queryGetAccountAuthorizationDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAccountAuthorizationDetailsCommandOutput>;
export declare const deserializeAws_queryGetAccountPasswordPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAccountPasswordPolicyCommandOutput>;
export declare const deserializeAws_queryGetAccountSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAccountSummaryCommandOutput>;
export declare const deserializeAws_queryGetContextKeysForCustomPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetContextKeysForCustomPolicyCommandOutput>;
export declare const deserializeAws_queryGetContextKeysForPrincipalPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetContextKeysForPrincipalPolicyCommandOutput>;
export declare const deserializeAws_queryGetCredentialReportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCredentialReportCommandOutput>;
export declare const deserializeAws_queryGetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetGroupCommandOutput>;
export declare const deserializeAws_queryGetGroupPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetGroupPolicyCommandOutput>;
export declare const deserializeAws_queryGetInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetInstanceProfileCommandOutput>;
export declare const deserializeAws_queryGetLoginProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetLoginProfileCommandOutput>;
export declare const deserializeAws_queryGetOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryGetOrganizationsAccessReportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOrganizationsAccessReportCommandOutput>;
export declare const deserializeAws_queryGetPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPolicyCommandOutput>;
export declare const deserializeAws_queryGetPolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPolicyVersionCommandOutput>;
export declare const deserializeAws_queryGetRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRoleCommandOutput>;
export declare const deserializeAws_queryGetRolePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRolePolicyCommandOutput>;
export declare const deserializeAws_queryGetSAMLProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSAMLProviderCommandOutput>;
export declare const deserializeAws_queryGetServerCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetServerCertificateCommandOutput>;
export declare const deserializeAws_queryGetServiceLastAccessedDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetServiceLastAccessedDetailsCommandOutput>;
export declare const deserializeAws_queryGetServiceLastAccessedDetailsWithEntitiesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetServiceLastAccessedDetailsWithEntitiesCommandOutput>;
export declare const deserializeAws_queryGetServiceLinkedRoleDeletionStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetServiceLinkedRoleDeletionStatusCommandOutput>;
export declare const deserializeAws_queryGetSSHPublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSSHPublicKeyCommandOutput>;
export declare const deserializeAws_queryGetUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUserCommandOutput>;
export declare const deserializeAws_queryGetUserPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUserPolicyCommandOutput>;
export declare const deserializeAws_queryListAccessKeysCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAccessKeysCommandOutput>;
export declare const deserializeAws_queryListAccountAliasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAccountAliasesCommandOutput>;
export declare const deserializeAws_queryListAttachedGroupPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttachedGroupPoliciesCommandOutput>;
export declare const deserializeAws_queryListAttachedRolePoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttachedRolePoliciesCommandOutput>;
export declare const deserializeAws_queryListAttachedUserPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttachedUserPoliciesCommandOutput>;
export declare const deserializeAws_queryListEntitiesForPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListEntitiesForPolicyCommandOutput>;
export declare const deserializeAws_queryListGroupPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGroupPoliciesCommandOutput>;
export declare const deserializeAws_queryListGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGroupsCommandOutput>;
export declare const deserializeAws_queryListGroupsForUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGroupsForUserCommandOutput>;
export declare const deserializeAws_queryListInstanceProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstanceProfilesCommandOutput>;
export declare const deserializeAws_queryListInstanceProfilesForRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstanceProfilesForRoleCommandOutput>;
export declare const deserializeAws_queryListInstanceProfileTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstanceProfileTagsCommandOutput>;
export declare const deserializeAws_queryListMFADevicesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMFADevicesCommandOutput>;
export declare const deserializeAws_queryListMFADeviceTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMFADeviceTagsCommandOutput>;
export declare const deserializeAws_queryListOpenIDConnectProvidersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOpenIDConnectProvidersCommandOutput>;
export declare const deserializeAws_queryListOpenIDConnectProviderTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOpenIDConnectProviderTagsCommandOutput>;
export declare const deserializeAws_queryListPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPoliciesCommandOutput>;
export declare const deserializeAws_queryListPoliciesGrantingServiceAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPoliciesGrantingServiceAccessCommandOutput>;
export declare const deserializeAws_queryListPolicyTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPolicyTagsCommandOutput>;
export declare const deserializeAws_queryListPolicyVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPolicyVersionsCommandOutput>;
export declare const deserializeAws_queryListRolePoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRolePoliciesCommandOutput>;
export declare const deserializeAws_queryListRolesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRolesCommandOutput>;
export declare const deserializeAws_queryListRoleTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRoleTagsCommandOutput>;
export declare const deserializeAws_queryListSAMLProvidersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSAMLProvidersCommandOutput>;
export declare const deserializeAws_queryListSAMLProviderTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSAMLProviderTagsCommandOutput>;
export declare const deserializeAws_queryListServerCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListServerCertificatesCommandOutput>;
export declare const deserializeAws_queryListServerCertificateTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListServerCertificateTagsCommandOutput>;
export declare const deserializeAws_queryListServiceSpecificCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListServiceSpecificCredentialsCommandOutput>;
export declare const deserializeAws_queryListSigningCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSigningCertificatesCommandOutput>;
export declare const deserializeAws_queryListSSHPublicKeysCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSSHPublicKeysCommandOutput>;
export declare const deserializeAws_queryListUserPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUserPoliciesCommandOutput>;
export declare const deserializeAws_queryListUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUsersCommandOutput>;
export declare const deserializeAws_queryListUserTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUserTagsCommandOutput>;
export declare const deserializeAws_queryListVirtualMFADevicesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVirtualMFADevicesCommandOutput>;
export declare const deserializeAws_queryPutGroupPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutGroupPolicyCommandOutput>;
export declare const deserializeAws_queryPutRolePermissionsBoundaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRolePermissionsBoundaryCommandOutput>;
export declare const deserializeAws_queryPutRolePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRolePolicyCommandOutput>;
export declare const deserializeAws_queryPutUserPermissionsBoundaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutUserPermissionsBoundaryCommandOutput>;
export declare const deserializeAws_queryPutUserPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutUserPolicyCommandOutput>;
export declare const deserializeAws_queryRemoveClientIDFromOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveClientIDFromOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryRemoveRoleFromInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveRoleFromInstanceProfileCommandOutput>;
export declare const deserializeAws_queryRemoveUserFromGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveUserFromGroupCommandOutput>;
export declare const deserializeAws_queryResetServiceSpecificCredentialCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResetServiceSpecificCredentialCommandOutput>;
export declare const deserializeAws_queryResyncMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResyncMFADeviceCommandOutput>;
export declare const deserializeAws_querySetDefaultPolicyVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetDefaultPolicyVersionCommandOutput>;
export declare const deserializeAws_querySetSecurityTokenServicePreferencesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetSecurityTokenServicePreferencesCommandOutput>;
export declare const deserializeAws_querySimulateCustomPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SimulateCustomPolicyCommandOutput>;
export declare const deserializeAws_querySimulatePrincipalPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SimulatePrincipalPolicyCommandOutput>;
export declare const deserializeAws_queryTagInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagInstanceProfileCommandOutput>;
export declare const deserializeAws_queryTagMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagMFADeviceCommandOutput>;
export declare const deserializeAws_queryTagOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryTagPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagPolicyCommandOutput>;
export declare const deserializeAws_queryTagRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagRoleCommandOutput>;
export declare const deserializeAws_queryTagSAMLProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagSAMLProviderCommandOutput>;
export declare const deserializeAws_queryTagServerCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagServerCertificateCommandOutput>;
export declare const deserializeAws_queryTagUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagUserCommandOutput>;
export declare const deserializeAws_queryUntagInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagInstanceProfileCommandOutput>;
export declare const deserializeAws_queryUntagMFADeviceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagMFADeviceCommandOutput>;
export declare const deserializeAws_queryUntagOpenIDConnectProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagOpenIDConnectProviderCommandOutput>;
export declare const deserializeAws_queryUntagPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagPolicyCommandOutput>;
export declare const deserializeAws_queryUntagRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagRoleCommandOutput>;
export declare const deserializeAws_queryUntagSAMLProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagSAMLProviderCommandOutput>;
export declare const deserializeAws_queryUntagServerCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagServerCertificateCommandOutput>;
export declare const deserializeAws_queryUntagUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagUserCommandOutput>;
export declare const deserializeAws_queryUpdateAccessKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAccessKeyCommandOutput>;
export declare const deserializeAws_queryUpdateAccountPasswordPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAccountPasswordPolicyCommandOutput>;
export declare const deserializeAws_queryUpdateAssumeRolePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAssumeRolePolicyCommandOutput>;
export declare const deserializeAws_queryUpdateGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateGroupCommandOutput>;
export declare const deserializeAws_queryUpdateLoginProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateLoginProfileCommandOutput>;
export declare const deserializeAws_queryUpdateOpenIDConnectProviderThumbprintCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateOpenIDConnectProviderThumbprintCommandOutput>;
export declare const deserializeAws_queryUpdateRoleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoleCommandOutput>;
export declare const deserializeAws_queryUpdateRoleDescriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoleDescriptionCommandOutput>;
export declare const deserializeAws_queryUpdateSAMLProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSAMLProviderCommandOutput>;
export declare const deserializeAws_queryUpdateServerCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateServerCertificateCommandOutput>;
export declare const deserializeAws_queryUpdateServiceSpecificCredentialCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateServiceSpecificCredentialCommandOutput>;
export declare const deserializeAws_queryUpdateSigningCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSigningCertificateCommandOutput>;
export declare const deserializeAws_queryUpdateSSHPublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSSHPublicKeyCommandOutput>;
export declare const deserializeAws_queryUpdateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserCommandOutput>;
export declare const deserializeAws_queryUploadServerCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UploadServerCertificateCommandOutput>;
export declare const deserializeAws_queryUploadSigningCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UploadSigningCertificateCommandOutput>;
export declare const deserializeAws_queryUploadSSHPublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UploadSSHPublicKeyCommandOutput>;
