"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StartDBInstanceAutomatedBackupsReplicationCommand = void 0;
const middleware_endpoint_1 = require("@aws-sdk/middleware-endpoint");
const middleware_sdk_rds_1 = require("@aws-sdk/middleware-sdk-rds");
const middleware_serde_1 = require("@aws-sdk/middleware-serde");
const smithy_client_1 = require("@aws-sdk/smithy-client");
const models_1_1 = require("../models/models_1");
const Aws_query_1 = require("../protocols/Aws_query");
class StartDBInstanceAutomatedBackupsReplicationCommand extends smithy_client_1.Command {
    constructor(input) {
        super();
        this.input = input;
    }
    static getEndpointParameterInstructions() {
        return {
            UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
            Endpoint: { type: "builtInParams", name: "endpoint" },
            Region: { type: "builtInParams", name: "region" },
            UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" },
        };
    }
    resolveMiddleware(clientStack, configuration, options) {
        this.middlewareStack.use((0, middleware_serde_1.getSerdePlugin)(configuration, this.serialize, this.deserialize));
        this.middlewareStack.use((0, middleware_endpoint_1.getEndpointPlugin)(configuration, StartDBInstanceAutomatedBackupsReplicationCommand.getEndpointParameterInstructions()));
        this.middlewareStack.use((0, middleware_sdk_rds_1.getCrossRegionPresignedUrlPlugin)(configuration));
        const stack = clientStack.concat(this.middlewareStack);
        const { logger } = configuration;
        const clientName = "RDSClient";
        const commandName = "StartDBInstanceAutomatedBackupsReplicationCommand";
        const handlerExecutionContext = {
            logger,
            clientName,
            commandName,
            inputFilterSensitiveLog: models_1_1.StartDBInstanceAutomatedBackupsReplicationMessageFilterSensitiveLog,
            outputFilterSensitiveLog: models_1_1.StartDBInstanceAutomatedBackupsReplicationResultFilterSensitiveLog,
        };
        const { requestHandler } = configuration;
        return stack.resolve((request) => requestHandler.handle(request.request, options || {}), handlerExecutionContext);
    }
    serialize(input, context) {
        return (0, Aws_query_1.serializeAws_queryStartDBInstanceAutomatedBackupsReplicationCommand)(input, context);
    }
    deserialize(output, context) {
        return (0, Aws_query_1.deserializeAws_queryStartDBInstanceAutomatedBackupsReplicationCommand)(output, context);
    }
}
exports.StartDBInstanceAutomatedBackupsReplicationCommand = StartDBInstanceAutomatedBackupsReplicationCommand;
