import { getEndpointPlugin } from "@aws-sdk/middleware-endpoint";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeDBProxyEndpointsRequestFilterSensitiveLog } from "../models/models_0";
import { DescribeDBProxyEndpointsResponseFilterSensitiveLog, } from "../models/models_1";
import { deserializeAws_queryDescribeDBProxyEndpointsCommand, serializeAws_queryDescribeDBProxyEndpointsCommand, } from "../protocols/Aws_query";
export class DescribeDBProxyEndpointsCommand extends $Command {
    constructor(input) {
        super();
        this.input = input;
    }
    static getEndpointParameterInstructions() {
        return {
            UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
            Endpoint: { type: "builtInParams", name: "endpoint" },
            Region: { type: "builtInParams", name: "region" },
            UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" },
        };
    }
    resolveMiddleware(clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        this.middlewareStack.use(getEndpointPlugin(configuration, DescribeDBProxyEndpointsCommand.getEndpointParameterInstructions()));
        const stack = clientStack.concat(this.middlewareStack);
        const { logger } = configuration;
        const clientName = "RDSClient";
        const commandName = "DescribeDBProxyEndpointsCommand";
        const handlerExecutionContext = {
            logger,
            clientName,
            commandName,
            inputFilterSensitiveLog: DescribeDBProxyEndpointsRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DescribeDBProxyEndpointsResponseFilterSensitiveLog,
        };
        const { requestHandler } = configuration;
        return stack.resolve((request) => requestHandler.handle(request.request, options || {}), handlerExecutionContext);
    }
    serialize(input, context) {
        return serializeAws_queryDescribeDBProxyEndpointsCommand(input, context);
    }
    deserialize(output, context) {
        return deserializeAws_queryDescribeDBProxyEndpointsCommand(output, context);
    }
}
