import { RDSServiceException as __BaseException } from "./RDSServiceException";
export var ActivityStreamMode;
(function (ActivityStreamMode) {
    ActivityStreamMode["async"] = "async";
    ActivityStreamMode["sync"] = "sync";
})(ActivityStreamMode || (ActivityStreamMode = {}));
export var ActivityStreamPolicyStatus;
(function (ActivityStreamPolicyStatus) {
    ActivityStreamPolicyStatus["locked"] = "locked";
    ActivityStreamPolicyStatus["locking_policy"] = "locking-policy";
    ActivityStreamPolicyStatus["unlocked"] = "unlocked";
    ActivityStreamPolicyStatus["unlocking_policy"] = "unlocking-policy";
})(ActivityStreamPolicyStatus || (ActivityStreamPolicyStatus = {}));
export var ActivityStreamStatus;
(function (ActivityStreamStatus) {
    ActivityStreamStatus["started"] = "started";
    ActivityStreamStatus["starting"] = "starting";
    ActivityStreamStatus["stopped"] = "stopped";
    ActivityStreamStatus["stopping"] = "stopping";
})(ActivityStreamStatus || (ActivityStreamStatus = {}));
export class DBClusterNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterNotFoundFault.prototype);
    }
}
export class DBClusterRoleAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterRoleAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterRoleAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterRoleAlreadyExistsFault.prototype);
    }
}
export class DBClusterRoleQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterRoleQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterRoleQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterRoleQuotaExceededFault.prototype);
    }
}
export class InvalidDBClusterStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterStateFault.prototype);
    }
}
export class DBInstanceNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceNotFoundFault.prototype);
    }
}
export class DBInstanceRoleAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceRoleAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceRoleAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceRoleAlreadyExistsFault.prototype);
    }
}
export class DBInstanceRoleQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceRoleQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceRoleQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceRoleQuotaExceededFault.prototype);
    }
}
export class InvalidDBInstanceStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBInstanceStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBInstanceStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBInstanceStateFault.prototype);
    }
}
export class SourceNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SourceNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SourceNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SourceNotFoundFault.prototype);
    }
}
export class SubscriptionNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionNotFoundFault.prototype);
    }
}
export class BlueGreenDeploymentNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "BlueGreenDeploymentNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "BlueGreenDeploymentNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, BlueGreenDeploymentNotFoundFault.prototype);
    }
}
export class DBProxyNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyNotFoundFault.prototype);
    }
}
export class DBProxyTargetGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyTargetGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyTargetGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyTargetGroupNotFoundFault.prototype);
    }
}
export class DBSnapshotNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSnapshotNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSnapshotNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSnapshotNotFoundFault.prototype);
    }
}
export class ResourceNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundFault.prototype);
    }
}
export class AuthorizationAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationAlreadyExistsFault.prototype);
    }
}
export class AuthorizationQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationQuotaExceededFault.prototype);
    }
}
export class DBSecurityGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupNotFoundFault.prototype);
    }
}
export class InvalidDBSecurityGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSecurityGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSecurityGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSecurityGroupStateFault.prototype);
    }
}
export var ExportSourceType;
(function (ExportSourceType) {
    ExportSourceType["CLUSTER"] = "CLUSTER";
    ExportSourceType["SNAPSHOT"] = "SNAPSHOT";
})(ExportSourceType || (ExportSourceType = {}));
export class ExportTaskNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "ExportTaskNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ExportTaskNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ExportTaskNotFoundFault.prototype);
    }
}
export class InvalidExportTaskStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidExportTaskStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidExportTaskStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidExportTaskStateFault.prototype);
    }
}
export class DBParameterGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBParameterGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBParameterGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBParameterGroupAlreadyExistsFault.prototype);
    }
}
export class DBParameterGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBParameterGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBParameterGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBParameterGroupNotFoundFault.prototype);
    }
}
export class DBParameterGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBParameterGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBParameterGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBParameterGroupQuotaExceededFault.prototype);
    }
}
export class DBClusterSnapshotAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterSnapshotAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterSnapshotAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterSnapshotAlreadyExistsFault.prototype);
    }
}
export class DBClusterSnapshotNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterSnapshotNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterSnapshotNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterSnapshotNotFoundFault.prototype);
    }
}
export class InvalidDBClusterSnapshotStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterSnapshotStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterSnapshotStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterSnapshotStateFault.prototype);
    }
}
export class KMSKeyNotAccessibleFault extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSKeyNotAccessibleFault",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSKeyNotAccessibleFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSKeyNotAccessibleFault.prototype);
    }
}
export class SnapshotQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SnapshotQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SnapshotQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SnapshotQuotaExceededFault.prototype);
    }
}
export class CustomAvailabilityZoneNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomAvailabilityZoneNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomAvailabilityZoneNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomAvailabilityZoneNotFoundFault.prototype);
    }
}
export class DBSnapshotAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSnapshotAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSnapshotAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSnapshotAlreadyExistsFault.prototype);
    }
}
export class InvalidDBSnapshotStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSnapshotStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSnapshotStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSnapshotStateFault.prototype);
    }
}
export class OptionGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "OptionGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "OptionGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptionGroupAlreadyExistsFault.prototype);
    }
}
export class OptionGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "OptionGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "OptionGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptionGroupNotFoundFault.prototype);
    }
}
export class OptionGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "OptionGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "OptionGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptionGroupQuotaExceededFault.prototype);
    }
}
export class BlueGreenDeploymentAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "BlueGreenDeploymentAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "BlueGreenDeploymentAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, BlueGreenDeploymentAlreadyExistsFault.prototype);
    }
}
export class DBClusterParameterGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterParameterGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterParameterGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterParameterGroupNotFoundFault.prototype);
    }
}
export class DBClusterQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterQuotaExceededFault.prototype);
    }
}
export class InstanceQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InstanceQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceQuotaExceededFault.prototype);
    }
}
export class SourceClusterNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SourceClusterNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SourceClusterNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SourceClusterNotSupportedFault.prototype);
    }
}
export class SourceDatabaseNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SourceDatabaseNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SourceDatabaseNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SourceDatabaseNotSupportedFault.prototype);
    }
}
export class CustomDBEngineVersionAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomDBEngineVersionAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomDBEngineVersionAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomDBEngineVersionAlreadyExistsFault.prototype);
    }
}
export class CustomDBEngineVersionQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomDBEngineVersionQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomDBEngineVersionQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomDBEngineVersionQuotaExceededFault.prototype);
    }
}
export var WriteForwardingStatus;
(function (WriteForwardingStatus) {
    WriteForwardingStatus["DISABLED"] = "disabled";
    WriteForwardingStatus["DISABLING"] = "disabling";
    WriteForwardingStatus["ENABLED"] = "enabled";
    WriteForwardingStatus["ENABLING"] = "enabling";
    WriteForwardingStatus["UNKNOWN"] = "unknown";
})(WriteForwardingStatus || (WriteForwardingStatus = {}));
export class DBClusterAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterAlreadyExistsFault.prototype);
    }
}
export class DBSubnetGroupDoesNotCoverEnoughAZs extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupDoesNotCoverEnoughAZs",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupDoesNotCoverEnoughAZs";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupDoesNotCoverEnoughAZs.prototype);
    }
}
export class DBSubnetGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupNotFoundFault.prototype);
    }
}
export class DomainNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DomainNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DomainNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DomainNotFoundFault.prototype);
    }
}
export class GlobalClusterNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "GlobalClusterNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "GlobalClusterNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, GlobalClusterNotFoundFault.prototype);
    }
}
export class InsufficientStorageClusterCapacityFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InsufficientStorageClusterCapacityFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InsufficientStorageClusterCapacityFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InsufficientStorageClusterCapacityFault.prototype);
    }
}
export class InvalidDBSubnetGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSubnetGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSubnetGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSubnetGroupStateFault.prototype);
    }
}
export class InvalidGlobalClusterStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidGlobalClusterStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidGlobalClusterStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidGlobalClusterStateFault.prototype);
    }
}
export class InvalidSubnet extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidSubnet",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSubnet";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSubnet.prototype);
    }
}
export class InvalidVPCNetworkStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidVPCNetworkStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidVPCNetworkStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidVPCNetworkStateFault.prototype);
    }
}
export class StorageQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "StorageQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "StorageQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, StorageQuotaExceededFault.prototype);
    }
}
export class DBClusterEndpointAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterEndpointAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterEndpointAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterEndpointAlreadyExistsFault.prototype);
    }
}
export class DBClusterEndpointQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterEndpointQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterEndpointQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterEndpointQuotaExceededFault.prototype);
    }
}
export class AuthorizationNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationNotFoundFault.prototype);
    }
}
export class BackupPolicyNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "BackupPolicyNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "BackupPolicyNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, BackupPolicyNotFoundFault.prototype);
    }
}
export var AutomationMode;
(function (AutomationMode) {
    AutomationMode["ALL_PAUSED"] = "all-paused";
    AutomationMode["FULL"] = "full";
})(AutomationMode || (AutomationMode = {}));
export var ReplicaMode;
(function (ReplicaMode) {
    ReplicaMode["MOUNTED"] = "mounted";
    ReplicaMode["OPEN_READ_ONLY"] = "open-read-only";
})(ReplicaMode || (ReplicaMode = {}));
export class DBInstanceAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceAlreadyExistsFault.prototype);
    }
}
export class InsufficientDBInstanceCapacityFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InsufficientDBInstanceCapacityFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InsufficientDBInstanceCapacityFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InsufficientDBInstanceCapacityFault.prototype);
    }
}
export class NetworkTypeNotSupported extends __BaseException {
    constructor(opts) {
        super({
            name: "NetworkTypeNotSupported",
            $fault: "client",
            ...opts,
        });
        this.name = "NetworkTypeNotSupported";
        this.$fault = "client";
        Object.setPrototypeOf(this, NetworkTypeNotSupported.prototype);
    }
}
export class ProvisionedIopsNotAvailableInAZFault extends __BaseException {
    constructor(opts) {
        super({
            name: "ProvisionedIopsNotAvailableInAZFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ProvisionedIopsNotAvailableInAZFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ProvisionedIopsNotAvailableInAZFault.prototype);
    }
}
export class StorageTypeNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "StorageTypeNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "StorageTypeNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, StorageTypeNotSupportedFault.prototype);
    }
}
export class DBSubnetGroupNotAllowedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupNotAllowedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupNotAllowedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupNotAllowedFault.prototype);
    }
}
export class InvalidDBSubnetGroupFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSubnetGroupFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSubnetGroupFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSubnetGroupFault.prototype);
    }
}
export var AuthScheme;
(function (AuthScheme) {
    AuthScheme["SECRETS"] = "SECRETS";
})(AuthScheme || (AuthScheme = {}));
export var ClientPasswordAuthType;
(function (ClientPasswordAuthType) {
    ClientPasswordAuthType["MYSQL_NATIVE_PASSWORD"] = "MYSQL_NATIVE_PASSWORD";
    ClientPasswordAuthType["POSTGRES_MD5"] = "POSTGRES_MD5";
    ClientPasswordAuthType["POSTGRES_SCRAM_SHA_256"] = "POSTGRES_SCRAM_SHA_256";
    ClientPasswordAuthType["SQL_SERVER_AUTHENTICATION"] = "SQL_SERVER_AUTHENTICATION";
})(ClientPasswordAuthType || (ClientPasswordAuthType = {}));
export var IAMAuthMode;
(function (IAMAuthMode) {
    IAMAuthMode["DISABLED"] = "DISABLED";
    IAMAuthMode["ENABLED"] = "ENABLED";
    IAMAuthMode["REQUIRED"] = "REQUIRED";
})(IAMAuthMode || (IAMAuthMode = {}));
export var EngineFamily;
(function (EngineFamily) {
    EngineFamily["MYSQL"] = "MYSQL";
    EngineFamily["POSTGRESQL"] = "POSTGRESQL";
    EngineFamily["SQLSERVER"] = "SQLSERVER";
})(EngineFamily || (EngineFamily = {}));
export var DBProxyStatus;
(function (DBProxyStatus) {
    DBProxyStatus["AVAILABLE"] = "available";
    DBProxyStatus["CREATING"] = "creating";
    DBProxyStatus["DELETING"] = "deleting";
    DBProxyStatus["INCOMPATIBLE_NETWORK"] = "incompatible-network";
    DBProxyStatus["INSUFFICIENT_RESOURCE_LIMITS"] = "insufficient-resource-limits";
    DBProxyStatus["MODIFYING"] = "modifying";
    DBProxyStatus["REACTIVATING"] = "reactivating";
    DBProxyStatus["SUSPENDED"] = "suspended";
    DBProxyStatus["SUSPENDING"] = "suspending";
})(DBProxyStatus || (DBProxyStatus = {}));
export class DBProxyAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyAlreadyExistsFault.prototype);
    }
}
export class DBProxyQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyQuotaExceededFault.prototype);
    }
}
export var DBProxyEndpointTargetRole;
(function (DBProxyEndpointTargetRole) {
    DBProxyEndpointTargetRole["READ_ONLY"] = "READ_ONLY";
    DBProxyEndpointTargetRole["READ_WRITE"] = "READ_WRITE";
})(DBProxyEndpointTargetRole || (DBProxyEndpointTargetRole = {}));
export var DBProxyEndpointStatus;
(function (DBProxyEndpointStatus) {
    DBProxyEndpointStatus["AVAILABLE"] = "available";
    DBProxyEndpointStatus["CREATING"] = "creating";
    DBProxyEndpointStatus["DELETING"] = "deleting";
    DBProxyEndpointStatus["INCOMPATIBLE_NETWORK"] = "incompatible-network";
    DBProxyEndpointStatus["INSUFFICIENT_RESOURCE_LIMITS"] = "insufficient-resource-limits";
    DBProxyEndpointStatus["MODIFYING"] = "modifying";
})(DBProxyEndpointStatus || (DBProxyEndpointStatus = {}));
export class DBProxyEndpointAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyEndpointAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyEndpointAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyEndpointAlreadyExistsFault.prototype);
    }
}
export class DBProxyEndpointQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyEndpointQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyEndpointQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyEndpointQuotaExceededFault.prototype);
    }
}
export class InvalidDBProxyStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBProxyStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBProxyStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBProxyStateFault.prototype);
    }
}
export class DBSecurityGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupAlreadyExistsFault.prototype);
    }
}
export class DBSecurityGroupNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupNotSupportedFault.prototype);
    }
}
export class DBSecurityGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupQuotaExceededFault.prototype);
    }
}
export class DBSubnetGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupAlreadyExistsFault.prototype);
    }
}
export class DBSubnetGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupQuotaExceededFault.prototype);
    }
}
export class DBSubnetQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetQuotaExceededFault.prototype);
    }
}
export class EventSubscriptionQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "EventSubscriptionQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "EventSubscriptionQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, EventSubscriptionQuotaExceededFault.prototype);
    }
}
export class SNSInvalidTopicFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SNSInvalidTopicFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SNSInvalidTopicFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SNSInvalidTopicFault.prototype);
    }
}
export class SNSNoAuthorizationFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SNSNoAuthorizationFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SNSNoAuthorizationFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SNSNoAuthorizationFault.prototype);
    }
}
export class SNSTopicArnNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SNSTopicArnNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SNSTopicArnNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SNSTopicArnNotFoundFault.prototype);
    }
}
export class SubscriptionAlreadyExistFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionAlreadyExistFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionAlreadyExistFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionAlreadyExistFault.prototype);
    }
}
export class SubscriptionCategoryNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionCategoryNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionCategoryNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionCategoryNotFoundFault.prototype);
    }
}
export var FailoverStatus;
(function (FailoverStatus) {
    FailoverStatus["CANCELLING"] = "cancelling";
    FailoverStatus["FAILING_OVER"] = "failing-over";
    FailoverStatus["PENDING"] = "pending";
})(FailoverStatus || (FailoverStatus = {}));
export class GlobalClusterAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "GlobalClusterAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "GlobalClusterAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, GlobalClusterAlreadyExistsFault.prototype);
    }
}
export class GlobalClusterQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "GlobalClusterQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "GlobalClusterQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, GlobalClusterQuotaExceededFault.prototype);
    }
}
export class InvalidBlueGreenDeploymentStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidBlueGreenDeploymentStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBlueGreenDeploymentStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBlueGreenDeploymentStateFault.prototype);
    }
}
export class CustomDBEngineVersionNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomDBEngineVersionNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomDBEngineVersionNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomDBEngineVersionNotFoundFault.prototype);
    }
}
export class InvalidCustomDBEngineVersionStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidCustomDBEngineVersionStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidCustomDBEngineVersionStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidCustomDBEngineVersionStateFault.prototype);
    }
}
export class DBClusterEndpointNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterEndpointNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterEndpointNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterEndpointNotFoundFault.prototype);
    }
}
export class InvalidDBClusterEndpointStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterEndpointStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterEndpointStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterEndpointStateFault.prototype);
    }
}
export class InvalidDBParameterGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBParameterGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBParameterGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBParameterGroupStateFault.prototype);
    }
}
export class DBInstanceAutomatedBackupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceAutomatedBackupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceAutomatedBackupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceAutomatedBackupQuotaExceededFault.prototype);
    }
}
export class DBInstanceAutomatedBackupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceAutomatedBackupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceAutomatedBackupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceAutomatedBackupNotFoundFault.prototype);
    }
}
export class InvalidDBInstanceAutomatedBackupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBInstanceAutomatedBackupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBInstanceAutomatedBackupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBInstanceAutomatedBackupStateFault.prototype);
    }
}
export class DBProxyEndpointNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyEndpointNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyEndpointNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyEndpointNotFoundFault.prototype);
    }
}
export class InvalidDBProxyEndpointStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBProxyEndpointStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBProxyEndpointStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBProxyEndpointStateFault.prototype);
    }
}
export class InvalidDBSubnetStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSubnetStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSubnetStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSubnetStateFault.prototype);
    }
}
export class InvalidEventSubscriptionStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidEventSubscriptionStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidEventSubscriptionStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidEventSubscriptionStateFault.prototype);
    }
}
export class InvalidOptionGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidOptionGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidOptionGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidOptionGroupStateFault.prototype);
    }
}
export class DBProxyTargetNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyTargetNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyTargetNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyTargetNotFoundFault.prototype);
    }
}
export class CertificateNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CertificateNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CertificateNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CertificateNotFoundFault.prototype);
    }
}
export class DBClusterBacktrackNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterBacktrackNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterBacktrackNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterBacktrackNotFoundFault.prototype);
    }
}
export var ApplyMethod;
(function (ApplyMethod) {
    ApplyMethod["immediate"] = "immediate";
    ApplyMethod["pending_reboot"] = "pending-reboot";
})(ApplyMethod || (ApplyMethod = {}));
export const AccountQuotaFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AccountAttributesMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AddRoleToDBClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AddRoleToDBInstanceMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AddSourceIdentifierToSubscriptionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EventSubscriptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AddSourceIdentifierToSubscriptionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AddTagsToResourceMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ApplyPendingMaintenanceActionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PendingMaintenanceActionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ResourcePendingMaintenanceActionsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ApplyPendingMaintenanceActionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AuthorizeDBSecurityGroupIngressMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EC2SecurityGroupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const IPRangeFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBSecurityGroupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AuthorizeDBSecurityGroupIngressResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const BacktrackDBClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterBacktrackFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CancelExportTaskMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ExportTaskFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBClusterParameterGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterParameterGroupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBClusterParameterGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBClusterSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterSnapshotFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBClusterSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBParameterGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBParameterGroupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBParameterGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ProcessorFeatureFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBSnapshotFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyDBSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyOptionGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBSecurityGroupMembershipFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OptionSettingFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const VpcSecurityGroupMembershipFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OptionGroupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyOptionGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateBlueGreenDeploymentRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SwitchoverDetailFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const BlueGreenDeploymentTaskFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const BlueGreenDeploymentFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateBlueGreenDeploymentResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateCustomDBEngineVersionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CharacterSetFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TimezoneFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpgradeTargetFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBEngineVersionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ScalingConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ServerlessV2ScalingConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterRoleFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterMemberFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterOptionGroupStatusFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DomainMembershipFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PendingCloudwatchLogsExportsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ClusterPendingModifiedValuesFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ScalingConfigurationInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ServerlessV2ScalingConfigurationInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterEndpointMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterEndpointFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterParameterGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterParameterGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBClusterSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBInstanceMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceRoleFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceAutomatedBackupsReplicationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBParameterGroupStatusFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AvailabilityZoneFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OutpostFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SubnetFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBSubnetGroupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EndpointFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const OptionGroupMembershipFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PendingModifiedValuesFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceStatusInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBInstanceResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBInstanceReadReplicaMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBInstanceReadReplicaResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBParameterGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBParameterGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UserAuthConfigFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBProxyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UserAuthConfigInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBProxyFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBProxyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBProxyEndpointRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBProxyEndpointFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBProxyEndpointResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBSecurityGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBSecurityGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBSubnetGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDBSubnetGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateEventSubscriptionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateEventSubscriptionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateGlobalClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const FailoverStateFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GlobalClusterMemberFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GlobalClusterFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateGlobalClusterResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateOptionGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateOptionGroupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteBlueGreenDeploymentRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteBlueGreenDeploymentResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteCustomDBEngineVersionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBClusterResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBClusterEndpointMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBClusterParameterGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBClusterSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBClusterSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBInstanceMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBInstanceResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBInstanceAutomatedBackupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RestoreWindowFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceAutomatedBackupFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBInstanceAutomatedBackupResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBParameterGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBProxyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBProxyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBProxyEndpointRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBProxyEndpointResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBSecurityGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDBSubnetGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteEventSubscriptionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteEventSubscriptionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteGlobalClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteGlobalClusterResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteOptionGroupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeregisterDBProxyTargetsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeregisterDBProxyTargetsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeAccountAttributesMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const FilterFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeBlueGreenDeploymentsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeBlueGreenDeploymentsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CertificateFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CertificateMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeCertificatesMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterBacktrackMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterBacktracksMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterEndpointMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterEndpointsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterParameterGroupsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterParameterGroupsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ParameterFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterParameterGroupDetailsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterParametersMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClustersMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterSnapshotAttributesMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterSnapshotAttributeFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterSnapshotAttributesResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterSnapshotAttributesResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBClusterSnapshotMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBClusterSnapshotsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBEngineVersionMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBEngineVersionsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceAutomatedBackupMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBInstanceAutomatedBackupsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBInstanceMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBInstancesMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBLogFilesMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBLogFilesDetailsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBLogFilesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBParameterGroupsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBParameterGroupsMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DBParameterGroupDetailsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBParametersMessageFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBProxiesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBProxiesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDBProxyEndpointsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
