import { DescribeOptionGroupOptionsCommand, } from "../commands/DescribeOptionGroupOptionsCommand";
import { RDS } from "../RDS";
import { RDSClient } from "../RDSClient";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new DescribeOptionGroupOptionsCommand(input), ...args);
};
const makePagedRequest = async (client, input, ...args) => {
    return await client.describeOptionGroupOptions(input, ...args);
};
export async function* paginateDescribeOptionGroupOptions(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.Marker = token;
        input["MaxRecords"] = config.pageSize;
        if (config.client instanceof RDS) {
            page = await makePagedRequest(config.client, input, ...additionalArguments);
        }
        else if (config.client instanceof RDSClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected RDS | RDSClient");
        }
        yield page;
        const prevToken = token;
        token = page.Marker;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
