import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import { AddRoleToDBInstanceMessage } from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface AddRoleToDBInstanceCommandInput
  extends AddRoleToDBInstanceMessage {}
export interface AddRoleToDBInstanceCommandOutput extends __MetadataBearer {}
export declare class AddRoleToDBInstanceCommand extends $Command<
  AddRoleToDBInstanceCommandInput,
  AddRoleToDBInstanceCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: AddRoleToDBInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AddRoleToDBInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<AddRoleToDBInstanceCommandInput, AddRoleToDBInstanceCommandOutput>;
  private serialize;
  private deserialize;
}
