import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  BacktrackDBClusterMessage,
  DBClusterBacktrack,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface BacktrackDBClusterCommandInput
  extends BacktrackDBClusterMessage {}
export interface BacktrackDBClusterCommandOutput
  extends DBClusterBacktrack,
    __MetadataBearer {}
export declare class BacktrackDBClusterCommand extends $Command<
  BacktrackDBClusterCommandInput,
  BacktrackDBClusterCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: BacktrackDBClusterCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BacktrackDBClusterCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<BacktrackDBClusterCommandInput, BacktrackDBClusterCommandOutput>;
  private serialize;
  private deserialize;
}
