import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CopyDBClusterParameterGroupMessage,
  CopyDBClusterParameterGroupResult,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CopyDBClusterParameterGroupCommandInput
  extends CopyDBClusterParameterGroupMessage {}
export interface CopyDBClusterParameterGroupCommandOutput
  extends CopyDBClusterParameterGroupResult,
    __MetadataBearer {}
export declare class CopyDBClusterParameterGroupCommand extends $Command<
  CopyDBClusterParameterGroupCommandInput,
  CopyDBClusterParameterGroupCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CopyDBClusterParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CopyDBClusterParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CopyDBClusterParameterGroupCommandInput,
    CopyDBClusterParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
