import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CopyDBClusterSnapshotMessage,
  CopyDBClusterSnapshotResult,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CopyDBClusterSnapshotCommandInput
  extends CopyDBClusterSnapshotMessage {}
export interface CopyDBClusterSnapshotCommandOutput
  extends CopyDBClusterSnapshotResult,
    __MetadataBearer {}
export declare class CopyDBClusterSnapshotCommand extends $Command<
  CopyDBClusterSnapshotCommandInput,
  CopyDBClusterSnapshotCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CopyDBClusterSnapshotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CopyDBClusterSnapshotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CopyDBClusterSnapshotCommandInput,
    CopyDBClusterSnapshotCommandOutput
  >;
  private serialize;
  private deserialize;
}
