import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CopyOptionGroupMessage,
  CopyOptionGroupResult,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CopyOptionGroupCommandInput extends CopyOptionGroupMessage {}
export interface CopyOptionGroupCommandOutput
  extends CopyOptionGroupResult,
    __MetadataBearer {}
export declare class CopyOptionGroupCommand extends $Command<
  CopyOptionGroupCommandInput,
  CopyOptionGroupCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CopyOptionGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CopyOptionGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CopyOptionGroupCommandInput, CopyOptionGroupCommandOutput>;
  private serialize;
  private deserialize;
}
