import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CreateBlueGreenDeploymentRequest,
  CreateBlueGreenDeploymentResponse,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CreateBlueGreenDeploymentCommandInput
  extends CreateBlueGreenDeploymentRequest {}
export interface CreateBlueGreenDeploymentCommandOutput
  extends CreateBlueGreenDeploymentResponse,
    __MetadataBearer {}
export declare class CreateBlueGreenDeploymentCommand extends $Command<
  CreateBlueGreenDeploymentCommandInput,
  CreateBlueGreenDeploymentCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CreateBlueGreenDeploymentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateBlueGreenDeploymentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateBlueGreenDeploymentCommandInput,
    CreateBlueGreenDeploymentCommandOutput
  >;
  private serialize;
  private deserialize;
}
