import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CreateCustomDBEngineVersionMessage,
  DBEngineVersion,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CreateCustomDBEngineVersionCommandInput
  extends CreateCustomDBEngineVersionMessage {}
export interface CreateCustomDBEngineVersionCommandOutput
  extends DBEngineVersion,
    __MetadataBearer {}
export declare class CreateCustomDBEngineVersionCommand extends $Command<
  CreateCustomDBEngineVersionCommandInput,
  CreateCustomDBEngineVersionCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CreateCustomDBEngineVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCustomDBEngineVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCustomDBEngineVersionCommandInput,
    CreateCustomDBEngineVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
