import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CreateDBClusterSnapshotMessage,
  CreateDBClusterSnapshotResult,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CreateDBClusterSnapshotCommandInput
  extends CreateDBClusterSnapshotMessage {}
export interface CreateDBClusterSnapshotCommandOutput
  extends CreateDBClusterSnapshotResult,
    __MetadataBearer {}
export declare class CreateDBClusterSnapshotCommand extends $Command<
  CreateDBClusterSnapshotCommandInput,
  CreateDBClusterSnapshotCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CreateDBClusterSnapshotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateDBClusterSnapshotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateDBClusterSnapshotCommandInput,
    CreateDBClusterSnapshotCommandOutput
  >;
  private serialize;
  private deserialize;
}
