import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CreateDBInstanceReadReplicaMessage,
  CreateDBInstanceReadReplicaResult,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface CreateDBInstanceReadReplicaCommandInput
  extends CreateDBInstanceReadReplicaMessage {}
export interface CreateDBInstanceReadReplicaCommandOutput
  extends CreateDBInstanceReadReplicaResult,
    __MetadataBearer {}
export declare class CreateDBInstanceReadReplicaCommand extends $Command<
  CreateDBInstanceReadReplicaCommandInput,
  CreateDBInstanceReadReplicaCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: CreateDBInstanceReadReplicaCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateDBInstanceReadReplicaCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateDBInstanceReadReplicaCommandInput,
    CreateDBInstanceReadReplicaCommandOutput
  >;
  private serialize;
  private deserialize;
}
