import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DeleteBlueGreenDeploymentRequest,
  DeleteBlueGreenDeploymentResponse,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DeleteBlueGreenDeploymentCommandInput
  extends DeleteBlueGreenDeploymentRequest {}
export interface DeleteBlueGreenDeploymentCommandOutput
  extends DeleteBlueGreenDeploymentResponse,
    __MetadataBearer {}
export declare class DeleteBlueGreenDeploymentCommand extends $Command<
  DeleteBlueGreenDeploymentCommandInput,
  DeleteBlueGreenDeploymentCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DeleteBlueGreenDeploymentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteBlueGreenDeploymentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteBlueGreenDeploymentCommandInput,
    DeleteBlueGreenDeploymentCommandOutput
  >;
  private serialize;
  private deserialize;
}
