import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBEngineVersion,
  DeleteCustomDBEngineVersionMessage,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DeleteCustomDBEngineVersionCommandInput
  extends DeleteCustomDBEngineVersionMessage {}
export interface DeleteCustomDBEngineVersionCommandOutput
  extends DBEngineVersion,
    __MetadataBearer {}
export declare class DeleteCustomDBEngineVersionCommand extends $Command<
  DeleteCustomDBEngineVersionCommandInput,
  DeleteCustomDBEngineVersionCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DeleteCustomDBEngineVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCustomDBEngineVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCustomDBEngineVersionCommandInput,
    DeleteCustomDBEngineVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
