import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DeleteDBProxyEndpointRequest,
  DeleteDBProxyEndpointResponse,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DeleteDBProxyEndpointCommandInput
  extends DeleteDBProxyEndpointRequest {}
export interface DeleteDBProxyEndpointCommandOutput
  extends DeleteDBProxyEndpointResponse,
    __MetadataBearer {}
export declare class DeleteDBProxyEndpointCommand extends $Command<
  DeleteDBProxyEndpointCommandInput,
  DeleteDBProxyEndpointCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DeleteDBProxyEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteDBProxyEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteDBProxyEndpointCommandInput,
    DeleteDBProxyEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
