import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DeleteEventSubscriptionMessage,
  DeleteEventSubscriptionResult,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DeleteEventSubscriptionCommandInput
  extends DeleteEventSubscriptionMessage {}
export interface DeleteEventSubscriptionCommandOutput
  extends DeleteEventSubscriptionResult,
    __MetadataBearer {}
export declare class DeleteEventSubscriptionCommand extends $Command<
  DeleteEventSubscriptionCommandInput,
  DeleteEventSubscriptionCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DeleteEventSubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteEventSubscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteEventSubscriptionCommandInput,
    DeleteEventSubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
