import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DeregisterDBProxyTargetsRequest,
  DeregisterDBProxyTargetsResponse,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DeregisterDBProxyTargetsCommandInput
  extends DeregisterDBProxyTargetsRequest {}
export interface DeregisterDBProxyTargetsCommandOutput
  extends DeregisterDBProxyTargetsResponse,
    __MetadataBearer {}
export declare class DeregisterDBProxyTargetsCommand extends $Command<
  DeregisterDBProxyTargetsCommandInput,
  DeregisterDBProxyTargetsCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DeregisterDBProxyTargetsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeregisterDBProxyTargetsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeregisterDBProxyTargetsCommandInput,
    DeregisterDBProxyTargetsCommandOutput
  >;
  private serialize;
  private deserialize;
}
