import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  AccountAttributesMessage,
  DescribeAccountAttributesMessage,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeAccountAttributesCommandInput
  extends DescribeAccountAttributesMessage {}
export interface DescribeAccountAttributesCommandOutput
  extends AccountAttributesMessage,
    __MetadataBearer {}
export declare class DescribeAccountAttributesCommand extends $Command<
  DescribeAccountAttributesCommandInput,
  DescribeAccountAttributesCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeAccountAttributesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAccountAttributesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAccountAttributesCommandInput,
    DescribeAccountAttributesCommandOutput
  >;
  private serialize;
  private deserialize;
}
