import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBClusterParameterGroupDetails,
  DescribeDBClusterParametersMessage,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeDBClusterParametersCommandInput
  extends DescribeDBClusterParametersMessage {}
export interface DescribeDBClusterParametersCommandOutput
  extends DBClusterParameterGroupDetails,
    __MetadataBearer {}
export declare class DescribeDBClusterParametersCommand extends $Command<
  DescribeDBClusterParametersCommandInput,
  DescribeDBClusterParametersCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeDBClusterParametersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDBClusterParametersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDBClusterParametersCommandInput,
    DescribeDBClusterParametersCommandOutput
  >;
  private serialize;
  private deserialize;
}
