import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBEngineVersionMessage,
  DescribeDBEngineVersionsMessage,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeDBEngineVersionsCommandInput
  extends DescribeDBEngineVersionsMessage {}
export interface DescribeDBEngineVersionsCommandOutput
  extends DBEngineVersionMessage,
    __MetadataBearer {}
export declare class DescribeDBEngineVersionsCommand extends $Command<
  DescribeDBEngineVersionsCommandInput,
  DescribeDBEngineVersionsCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeDBEngineVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDBEngineVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDBEngineVersionsCommandInput,
    DescribeDBEngineVersionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
