import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBParameterGroupsMessage,
  DescribeDBParameterGroupsMessage,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeDBParameterGroupsCommandInput
  extends DescribeDBParameterGroupsMessage {}
export interface DescribeDBParameterGroupsCommandOutput
  extends DBParameterGroupsMessage,
    __MetadataBearer {}
export declare class DescribeDBParameterGroupsCommand extends $Command<
  DescribeDBParameterGroupsCommandInput,
  DescribeDBParameterGroupsCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeDBParameterGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDBParameterGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDBParameterGroupsCommandInput,
    DescribeDBParameterGroupsCommandOutput
  >;
  private serialize;
  private deserialize;
}
