import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBParameterGroupDetails,
  DescribeDBParametersMessage,
} from "../models/models_0";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeDBParametersCommandInput
  extends DescribeDBParametersMessage {}
export interface DescribeDBParametersCommandOutput
  extends DBParameterGroupDetails,
    __MetadataBearer {}
export declare class DescribeDBParametersCommand extends $Command<
  DescribeDBParametersCommandInput,
  DescribeDBParametersCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeDBParametersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDBParametersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDBParametersCommandInput,
    DescribeDBParametersCommandOutput
  >;
  private serialize;
  private deserialize;
}
