import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import { DescribeDBProxyEndpointsRequest } from "../models/models_0";
import { DescribeDBProxyEndpointsResponse } from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeDBProxyEndpointsCommandInput
  extends DescribeDBProxyEndpointsRequest {}
export interface DescribeDBProxyEndpointsCommandOutput
  extends DescribeDBProxyEndpointsResponse,
    __MetadataBearer {}
export declare class DescribeDBProxyEndpointsCommand extends $Command<
  DescribeDBProxyEndpointsCommandInput,
  DescribeDBProxyEndpointsCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeDBProxyEndpointsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDBProxyEndpointsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDBProxyEndpointsCommandInput,
    DescribeDBProxyEndpointsCommandOutput
  >;
  private serialize;
  private deserialize;
}
