import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DescribeEventCategoriesMessage,
  EventCategoriesMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeEventCategoriesCommandInput
  extends DescribeEventCategoriesMessage {}
export interface DescribeEventCategoriesCommandOutput
  extends EventCategoriesMessage,
    __MetadataBearer {}
export declare class DescribeEventCategoriesCommand extends $Command<
  DescribeEventCategoriesCommandInput,
  DescribeEventCategoriesCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeEventCategoriesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeEventCategoriesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeEventCategoriesCommandInput,
    DescribeEventCategoriesCommandOutput
  >;
  private serialize;
  private deserialize;
}
