import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DescribeEventSubscriptionsMessage,
  EventSubscriptionsMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeEventSubscriptionsCommandInput
  extends DescribeEventSubscriptionsMessage {}
export interface DescribeEventSubscriptionsCommandOutput
  extends EventSubscriptionsMessage,
    __MetadataBearer {}
export declare class DescribeEventSubscriptionsCommand extends $Command<
  DescribeEventSubscriptionsCommandInput,
  DescribeEventSubscriptionsCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeEventSubscriptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeEventSubscriptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeEventSubscriptionsCommandInput,
    DescribeEventSubscriptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
