import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DescribeGlobalClustersMessage,
  GlobalClustersMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DescribeGlobalClustersCommandInput
  extends DescribeGlobalClustersMessage {}
export interface DescribeGlobalClustersCommandOutput
  extends GlobalClustersMessage,
    __MetadataBearer {}
export declare class DescribeGlobalClustersCommand extends $Command<
  DescribeGlobalClustersCommandInput,
  DescribeGlobalClustersCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DescribeGlobalClustersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeGlobalClustersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeGlobalClustersCommandInput,
    DescribeGlobalClustersCommandOutput
  >;
  private serialize;
  private deserialize;
}
