import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DownloadDBLogFilePortionDetails,
  DownloadDBLogFilePortionMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface DownloadDBLogFilePortionCommandInput
  extends DownloadDBLogFilePortionMessage {}
export interface DownloadDBLogFilePortionCommandOutput
  extends DownloadDBLogFilePortionDetails,
    __MetadataBearer {}
export declare class DownloadDBLogFilePortionCommand extends $Command<
  DownloadDBLogFilePortionCommandInput,
  DownloadDBLogFilePortionCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: DownloadDBLogFilePortionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DownloadDBLogFilePortionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DownloadDBLogFilePortionCommandInput,
    DownloadDBLogFilePortionCommandOutput
  >;
  private serialize;
  private deserialize;
}
