import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  FailoverGlobalClusterMessage,
  FailoverGlobalClusterResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface FailoverGlobalClusterCommandInput
  extends FailoverGlobalClusterMessage {}
export interface FailoverGlobalClusterCommandOutput
  extends FailoverGlobalClusterResult,
    __MetadataBearer {}
export declare class FailoverGlobalClusterCommand extends $Command<
  FailoverGlobalClusterCommandInput,
  FailoverGlobalClusterCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: FailoverGlobalClusterCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: FailoverGlobalClusterCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    FailoverGlobalClusterCommandInput,
    FailoverGlobalClusterCommandOutput
  >;
  private serialize;
  private deserialize;
}
