import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ModifyActivityStreamRequest,
  ModifyActivityStreamResponse,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyActivityStreamCommandInput
  extends ModifyActivityStreamRequest {}
export interface ModifyActivityStreamCommandOutput
  extends ModifyActivityStreamResponse,
    __MetadataBearer {}
export declare class ModifyActivityStreamCommand extends $Command<
  ModifyActivityStreamCommandInput,
  ModifyActivityStreamCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyActivityStreamCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyActivityStreamCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyActivityStreamCommandInput,
    ModifyActivityStreamCommandOutput
  >;
  private serialize;
  private deserialize;
}
