import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBClusterCapacityInfo,
  ModifyCurrentDBClusterCapacityMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyCurrentDBClusterCapacityCommandInput
  extends ModifyCurrentDBClusterCapacityMessage {}
export interface ModifyCurrentDBClusterCapacityCommandOutput
  extends DBClusterCapacityInfo,
    __MetadataBearer {}
export declare class ModifyCurrentDBClusterCapacityCommand extends $Command<
  ModifyCurrentDBClusterCapacityCommandInput,
  ModifyCurrentDBClusterCapacityCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyCurrentDBClusterCapacityCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyCurrentDBClusterCapacityCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyCurrentDBClusterCapacityCommandInput,
    ModifyCurrentDBClusterCapacityCommandOutput
  >;
  private serialize;
  private deserialize;
}
