import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import { DBEngineVersion } from "../models/models_0";
import { ModifyCustomDBEngineVersionMessage } from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyCustomDBEngineVersionCommandInput
  extends ModifyCustomDBEngineVersionMessage {}
export interface ModifyCustomDBEngineVersionCommandOutput
  extends DBEngineVersion,
    __MetadataBearer {}
export declare class ModifyCustomDBEngineVersionCommand extends $Command<
  ModifyCustomDBEngineVersionCommandInput,
  ModifyCustomDBEngineVersionCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyCustomDBEngineVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyCustomDBEngineVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyCustomDBEngineVersionCommandInput,
    ModifyCustomDBEngineVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
