import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBParameterGroupNameMessage,
  ModifyDBParameterGroupMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyDBParameterGroupCommandInput
  extends ModifyDBParameterGroupMessage {}
export interface ModifyDBParameterGroupCommandOutput
  extends DBParameterGroupNameMessage,
    __MetadataBearer {}
export declare class ModifyDBParameterGroupCommand extends $Command<
  ModifyDBParameterGroupCommandInput,
  ModifyDBParameterGroupCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyDBParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyDBParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyDBParameterGroupCommandInput,
    ModifyDBParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
