import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ModifyDBProxyTargetGroupRequest,
  ModifyDBProxyTargetGroupResponse,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyDBProxyTargetGroupCommandInput
  extends ModifyDBProxyTargetGroupRequest {}
export interface ModifyDBProxyTargetGroupCommandOutput
  extends ModifyDBProxyTargetGroupResponse,
    __MetadataBearer {}
export declare class ModifyDBProxyTargetGroupCommand extends $Command<
  ModifyDBProxyTargetGroupCommandInput,
  ModifyDBProxyTargetGroupCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyDBProxyTargetGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyDBProxyTargetGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyDBProxyTargetGroupCommandInput,
    ModifyDBProxyTargetGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
