import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ModifyDBSnapshotAttributeMessage,
  ModifyDBSnapshotAttributeResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyDBSnapshotAttributeCommandInput
  extends ModifyDBSnapshotAttributeMessage {}
export interface ModifyDBSnapshotAttributeCommandOutput
  extends ModifyDBSnapshotAttributeResult,
    __MetadataBearer {}
export declare class ModifyDBSnapshotAttributeCommand extends $Command<
  ModifyDBSnapshotAttributeCommandInput,
  ModifyDBSnapshotAttributeCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyDBSnapshotAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyDBSnapshotAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyDBSnapshotAttributeCommandInput,
    ModifyDBSnapshotAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
