import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ModifyEventSubscriptionMessage,
  ModifyEventSubscriptionResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ModifyEventSubscriptionCommandInput
  extends ModifyEventSubscriptionMessage {}
export interface ModifyEventSubscriptionCommandOutput
  extends ModifyEventSubscriptionResult,
    __MetadataBearer {}
export declare class ModifyEventSubscriptionCommand extends $Command<
  ModifyEventSubscriptionCommandInput,
  ModifyEventSubscriptionCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ModifyEventSubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyEventSubscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyEventSubscriptionCommandInput,
    ModifyEventSubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
