import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  PromoteReadReplicaMessage,
  PromoteReadReplicaResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface PromoteReadReplicaCommandInput
  extends PromoteReadReplicaMessage {}
export interface PromoteReadReplicaCommandOutput
  extends PromoteReadReplicaResult,
    __MetadataBearer {}
export declare class PromoteReadReplicaCommand extends $Command<
  PromoteReadReplicaCommandInput,
  PromoteReadReplicaCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: PromoteReadReplicaCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PromoteReadReplicaCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<PromoteReadReplicaCommandInput, PromoteReadReplicaCommandOutput>;
  private serialize;
  private deserialize;
}
