import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  PromoteReadReplicaDBClusterMessage,
  PromoteReadReplicaDBClusterResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface PromoteReadReplicaDBClusterCommandInput
  extends PromoteReadReplicaDBClusterMessage {}
export interface PromoteReadReplicaDBClusterCommandOutput
  extends PromoteReadReplicaDBClusterResult,
    __MetadataBearer {}
export declare class PromoteReadReplicaDBClusterCommand extends $Command<
  PromoteReadReplicaDBClusterCommandInput,
  PromoteReadReplicaDBClusterCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: PromoteReadReplicaDBClusterCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PromoteReadReplicaDBClusterCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PromoteReadReplicaDBClusterCommandInput,
    PromoteReadReplicaDBClusterCommandOutput
  >;
  private serialize;
  private deserialize;
}
