import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  RebootDBClusterMessage,
  RebootDBClusterResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RebootDBClusterCommandInput extends RebootDBClusterMessage {}
export interface RebootDBClusterCommandOutput
  extends RebootDBClusterResult,
    __MetadataBearer {}
export declare class RebootDBClusterCommand extends $Command<
  RebootDBClusterCommandInput,
  RebootDBClusterCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RebootDBClusterCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RebootDBClusterCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<RebootDBClusterCommandInput, RebootDBClusterCommandOutput>;
  private serialize;
  private deserialize;
}
