import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  RegisterDBProxyTargetsRequest,
  RegisterDBProxyTargetsResponse,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RegisterDBProxyTargetsCommandInput
  extends RegisterDBProxyTargetsRequest {}
export interface RegisterDBProxyTargetsCommandOutput
  extends RegisterDBProxyTargetsResponse,
    __MetadataBearer {}
export declare class RegisterDBProxyTargetsCommand extends $Command<
  RegisterDBProxyTargetsCommandInput,
  RegisterDBProxyTargetsCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RegisterDBProxyTargetsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RegisterDBProxyTargetsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RegisterDBProxyTargetsCommandInput,
    RegisterDBProxyTargetsCommandOutput
  >;
  private serialize;
  private deserialize;
}
