import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  RemoveFromGlobalClusterMessage,
  RemoveFromGlobalClusterResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RemoveFromGlobalClusterCommandInput
  extends RemoveFromGlobalClusterMessage {}
export interface RemoveFromGlobalClusterCommandOutput
  extends RemoveFromGlobalClusterResult,
    __MetadataBearer {}
export declare class RemoveFromGlobalClusterCommand extends $Command<
  RemoveFromGlobalClusterCommandInput,
  RemoveFromGlobalClusterCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RemoveFromGlobalClusterCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RemoveFromGlobalClusterCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RemoveFromGlobalClusterCommandInput,
    RemoveFromGlobalClusterCommandOutput
  >;
  private serialize;
  private deserialize;
}
