import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import { RemoveRoleFromDBInstanceMessage } from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RemoveRoleFromDBInstanceCommandInput
  extends RemoveRoleFromDBInstanceMessage {}
export interface RemoveRoleFromDBInstanceCommandOutput
  extends __MetadataBearer {}
export declare class RemoveRoleFromDBInstanceCommand extends $Command<
  RemoveRoleFromDBInstanceCommandInput,
  RemoveRoleFromDBInstanceCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RemoveRoleFromDBInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RemoveRoleFromDBInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RemoveRoleFromDBInstanceCommandInput,
    RemoveRoleFromDBInstanceCommandOutput
  >;
  private serialize;
  private deserialize;
}
