import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DBParameterGroupNameMessage,
  ResetDBParameterGroupMessage,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface ResetDBParameterGroupCommandInput
  extends ResetDBParameterGroupMessage {}
export interface ResetDBParameterGroupCommandOutput
  extends DBParameterGroupNameMessage,
    __MetadataBearer {}
export declare class ResetDBParameterGroupCommand extends $Command<
  ResetDBParameterGroupCommandInput,
  ResetDBParameterGroupCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: ResetDBParameterGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ResetDBParameterGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ResetDBParameterGroupCommandInput,
    ResetDBParameterGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
