import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  RestoreDBClusterFromS3Message,
  RestoreDBClusterFromS3Result,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RestoreDBClusterFromS3CommandInput
  extends RestoreDBClusterFromS3Message {}
export interface RestoreDBClusterFromS3CommandOutput
  extends RestoreDBClusterFromS3Result,
    __MetadataBearer {}
export declare class RestoreDBClusterFromS3Command extends $Command<
  RestoreDBClusterFromS3CommandInput,
  RestoreDBClusterFromS3CommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RestoreDBClusterFromS3CommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RestoreDBClusterFromS3CommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RestoreDBClusterFromS3CommandInput,
    RestoreDBClusterFromS3CommandOutput
  >;
  private serialize;
  private deserialize;
}
