import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  RestoreDBInstanceFromS3Message,
  RestoreDBInstanceFromS3Result,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RestoreDBInstanceFromS3CommandInput
  extends RestoreDBInstanceFromS3Message {}
export interface RestoreDBInstanceFromS3CommandOutput
  extends RestoreDBInstanceFromS3Result,
    __MetadataBearer {}
export declare class RestoreDBInstanceFromS3Command extends $Command<
  RestoreDBInstanceFromS3CommandInput,
  RestoreDBInstanceFromS3CommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RestoreDBInstanceFromS3CommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RestoreDBInstanceFromS3CommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RestoreDBInstanceFromS3CommandInput,
    RestoreDBInstanceFromS3CommandOutput
  >;
  private serialize;
  private deserialize;
}
