import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  RevokeDBSecurityGroupIngressMessage,
  RevokeDBSecurityGroupIngressResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface RevokeDBSecurityGroupIngressCommandInput
  extends RevokeDBSecurityGroupIngressMessage {}
export interface RevokeDBSecurityGroupIngressCommandOutput
  extends RevokeDBSecurityGroupIngressResult,
    __MetadataBearer {}
export declare class RevokeDBSecurityGroupIngressCommand extends $Command<
  RevokeDBSecurityGroupIngressCommandInput,
  RevokeDBSecurityGroupIngressCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: RevokeDBSecurityGroupIngressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RevokeDBSecurityGroupIngressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RevokeDBSecurityGroupIngressCommandInput,
    RevokeDBSecurityGroupIngressCommandOutput
  >;
  private serialize;
  private deserialize;
}
