import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  SwitchoverReadReplicaMessage,
  SwitchoverReadReplicaResult,
} from "../models/models_1";
import {
  RDSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../RDSClient";
export interface SwitchoverReadReplicaCommandInput
  extends SwitchoverReadReplicaMessage {}
export interface SwitchoverReadReplicaCommandOutput
  extends SwitchoverReadReplicaResult,
    __MetadataBearer {}
export declare class SwitchoverReadReplicaCommand extends $Command<
  SwitchoverReadReplicaCommandInput,
  SwitchoverReadReplicaCommandOutput,
  RDSClientResolvedConfig
> {
  readonly input: SwitchoverReadReplicaCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SwitchoverReadReplicaCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: RDSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SwitchoverReadReplicaCommandInput,
    SwitchoverReadReplicaCommandOutput
  >;
  private serialize;
  private deserialize;
}
