import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import {
  AddRoleToDBClusterCommandInput,
  AddRoleToDBClusterCommandOutput,
} from "../commands/AddRoleToDBClusterCommand";
import {
  AddRoleToDBInstanceCommandInput,
  AddRoleToDBInstanceCommandOutput,
} from "../commands/AddRoleToDBInstanceCommand";
import {
  AddSourceIdentifierToSubscriptionCommandInput,
  AddSourceIdentifierToSubscriptionCommandOutput,
} from "../commands/AddSourceIdentifierToSubscriptionCommand";
import {
  AddTagsToResourceCommandInput,
  AddTagsToResourceCommandOutput,
} from "../commands/AddTagsToResourceCommand";
import {
  ApplyPendingMaintenanceActionCommandInput,
  ApplyPendingMaintenanceActionCommandOutput,
} from "../commands/ApplyPendingMaintenanceActionCommand";
import {
  AuthorizeDBSecurityGroupIngressCommandInput,
  AuthorizeDBSecurityGroupIngressCommandOutput,
} from "../commands/AuthorizeDBSecurityGroupIngressCommand";
import {
  BacktrackDBClusterCommandInput,
  BacktrackDBClusterCommandOutput,
} from "../commands/BacktrackDBClusterCommand";
import {
  CancelExportTaskCommandInput,
  CancelExportTaskCommandOutput,
} from "../commands/CancelExportTaskCommand";
import {
  CopyDBClusterParameterGroupCommandInput,
  CopyDBClusterParameterGroupCommandOutput,
} from "../commands/CopyDBClusterParameterGroupCommand";
import {
  CopyDBClusterSnapshotCommandInput,
  CopyDBClusterSnapshotCommandOutput,
} from "../commands/CopyDBClusterSnapshotCommand";
import {
  CopyDBParameterGroupCommandInput,
  CopyDBParameterGroupCommandOutput,
} from "../commands/CopyDBParameterGroupCommand";
import {
  CopyDBSnapshotCommandInput,
  CopyDBSnapshotCommandOutput,
} from "../commands/CopyDBSnapshotCommand";
import {
  CopyOptionGroupCommandInput,
  CopyOptionGroupCommandOutput,
} from "../commands/CopyOptionGroupCommand";
import {
  CreateBlueGreenDeploymentCommandInput,
  CreateBlueGreenDeploymentCommandOutput,
} from "../commands/CreateBlueGreenDeploymentCommand";
import {
  CreateCustomDBEngineVersionCommandInput,
  CreateCustomDBEngineVersionCommandOutput,
} from "../commands/CreateCustomDBEngineVersionCommand";
import {
  CreateDBClusterCommandInput,
  CreateDBClusterCommandOutput,
} from "../commands/CreateDBClusterCommand";
import {
  CreateDBClusterEndpointCommandInput,
  CreateDBClusterEndpointCommandOutput,
} from "../commands/CreateDBClusterEndpointCommand";
import {
  CreateDBClusterParameterGroupCommandInput,
  CreateDBClusterParameterGroupCommandOutput,
} from "../commands/CreateDBClusterParameterGroupCommand";
import {
  CreateDBClusterSnapshotCommandInput,
  CreateDBClusterSnapshotCommandOutput,
} from "../commands/CreateDBClusterSnapshotCommand";
import {
  CreateDBInstanceCommandInput,
  CreateDBInstanceCommandOutput,
} from "../commands/CreateDBInstanceCommand";
import {
  CreateDBInstanceReadReplicaCommandInput,
  CreateDBInstanceReadReplicaCommandOutput,
} from "../commands/CreateDBInstanceReadReplicaCommand";
import {
  CreateDBParameterGroupCommandInput,
  CreateDBParameterGroupCommandOutput,
} from "../commands/CreateDBParameterGroupCommand";
import {
  CreateDBProxyCommandInput,
  CreateDBProxyCommandOutput,
} from "../commands/CreateDBProxyCommand";
import {
  CreateDBProxyEndpointCommandInput,
  CreateDBProxyEndpointCommandOutput,
} from "../commands/CreateDBProxyEndpointCommand";
import {
  CreateDBSecurityGroupCommandInput,
  CreateDBSecurityGroupCommandOutput,
} from "../commands/CreateDBSecurityGroupCommand";
import {
  CreateDBSnapshotCommandInput,
  CreateDBSnapshotCommandOutput,
} from "../commands/CreateDBSnapshotCommand";
import {
  CreateDBSubnetGroupCommandInput,
  CreateDBSubnetGroupCommandOutput,
} from "../commands/CreateDBSubnetGroupCommand";
import {
  CreateEventSubscriptionCommandInput,
  CreateEventSubscriptionCommandOutput,
} from "../commands/CreateEventSubscriptionCommand";
import {
  CreateGlobalClusterCommandInput,
  CreateGlobalClusterCommandOutput,
} from "../commands/CreateGlobalClusterCommand";
import {
  CreateOptionGroupCommandInput,
  CreateOptionGroupCommandOutput,
} from "../commands/CreateOptionGroupCommand";
import {
  DeleteBlueGreenDeploymentCommandInput,
  DeleteBlueGreenDeploymentCommandOutput,
} from "../commands/DeleteBlueGreenDeploymentCommand";
import {
  DeleteCustomDBEngineVersionCommandInput,
  DeleteCustomDBEngineVersionCommandOutput,
} from "../commands/DeleteCustomDBEngineVersionCommand";
import {
  DeleteDBClusterCommandInput,
  DeleteDBClusterCommandOutput,
} from "../commands/DeleteDBClusterCommand";
import {
  DeleteDBClusterEndpointCommandInput,
  DeleteDBClusterEndpointCommandOutput,
} from "../commands/DeleteDBClusterEndpointCommand";
import {
  DeleteDBClusterParameterGroupCommandInput,
  DeleteDBClusterParameterGroupCommandOutput,
} from "../commands/DeleteDBClusterParameterGroupCommand";
import {
  DeleteDBClusterSnapshotCommandInput,
  DeleteDBClusterSnapshotCommandOutput,
} from "../commands/DeleteDBClusterSnapshotCommand";
import {
  DeleteDBInstanceAutomatedBackupCommandInput,
  DeleteDBInstanceAutomatedBackupCommandOutput,
} from "../commands/DeleteDBInstanceAutomatedBackupCommand";
import {
  DeleteDBInstanceCommandInput,
  DeleteDBInstanceCommandOutput,
} from "../commands/DeleteDBInstanceCommand";
import {
  DeleteDBParameterGroupCommandInput,
  DeleteDBParameterGroupCommandOutput,
} from "../commands/DeleteDBParameterGroupCommand";
import {
  DeleteDBProxyCommandInput,
  DeleteDBProxyCommandOutput,
} from "../commands/DeleteDBProxyCommand";
import {
  DeleteDBProxyEndpointCommandInput,
  DeleteDBProxyEndpointCommandOutput,
} from "../commands/DeleteDBProxyEndpointCommand";
import {
  DeleteDBSecurityGroupCommandInput,
  DeleteDBSecurityGroupCommandOutput,
} from "../commands/DeleteDBSecurityGroupCommand";
import {
  DeleteDBSnapshotCommandInput,
  DeleteDBSnapshotCommandOutput,
} from "../commands/DeleteDBSnapshotCommand";
import {
  DeleteDBSubnetGroupCommandInput,
  DeleteDBSubnetGroupCommandOutput,
} from "../commands/DeleteDBSubnetGroupCommand";
import {
  DeleteEventSubscriptionCommandInput,
  DeleteEventSubscriptionCommandOutput,
} from "../commands/DeleteEventSubscriptionCommand";
import {
  DeleteGlobalClusterCommandInput,
  DeleteGlobalClusterCommandOutput,
} from "../commands/DeleteGlobalClusterCommand";
import {
  DeleteOptionGroupCommandInput,
  DeleteOptionGroupCommandOutput,
} from "../commands/DeleteOptionGroupCommand";
import {
  DeregisterDBProxyTargetsCommandInput,
  DeregisterDBProxyTargetsCommandOutput,
} from "../commands/DeregisterDBProxyTargetsCommand";
import {
  DescribeAccountAttributesCommandInput,
  DescribeAccountAttributesCommandOutput,
} from "../commands/DescribeAccountAttributesCommand";
import {
  DescribeBlueGreenDeploymentsCommandInput,
  DescribeBlueGreenDeploymentsCommandOutput,
} from "../commands/DescribeBlueGreenDeploymentsCommand";
import {
  DescribeCertificatesCommandInput,
  DescribeCertificatesCommandOutput,
} from "../commands/DescribeCertificatesCommand";
import {
  DescribeDBClusterBacktracksCommandInput,
  DescribeDBClusterBacktracksCommandOutput,
} from "../commands/DescribeDBClusterBacktracksCommand";
import {
  DescribeDBClusterEndpointsCommandInput,
  DescribeDBClusterEndpointsCommandOutput,
} from "../commands/DescribeDBClusterEndpointsCommand";
import {
  DescribeDBClusterParameterGroupsCommandInput,
  DescribeDBClusterParameterGroupsCommandOutput,
} from "../commands/DescribeDBClusterParameterGroupsCommand";
import {
  DescribeDBClusterParametersCommandInput,
  DescribeDBClusterParametersCommandOutput,
} from "../commands/DescribeDBClusterParametersCommand";
import {
  DescribeDBClustersCommandInput,
  DescribeDBClustersCommandOutput,
} from "../commands/DescribeDBClustersCommand";
import {
  DescribeDBClusterSnapshotAttributesCommandInput,
  DescribeDBClusterSnapshotAttributesCommandOutput,
} from "../commands/DescribeDBClusterSnapshotAttributesCommand";
import {
  DescribeDBClusterSnapshotsCommandInput,
  DescribeDBClusterSnapshotsCommandOutput,
} from "../commands/DescribeDBClusterSnapshotsCommand";
import {
  DescribeDBEngineVersionsCommandInput,
  DescribeDBEngineVersionsCommandOutput,
} from "../commands/DescribeDBEngineVersionsCommand";
import {
  DescribeDBInstanceAutomatedBackupsCommandInput,
  DescribeDBInstanceAutomatedBackupsCommandOutput,
} from "../commands/DescribeDBInstanceAutomatedBackupsCommand";
import {
  DescribeDBInstancesCommandInput,
  DescribeDBInstancesCommandOutput,
} from "../commands/DescribeDBInstancesCommand";
import {
  DescribeDBLogFilesCommandInput,
  DescribeDBLogFilesCommandOutput,
} from "../commands/DescribeDBLogFilesCommand";
import {
  DescribeDBParameterGroupsCommandInput,
  DescribeDBParameterGroupsCommandOutput,
} from "../commands/DescribeDBParameterGroupsCommand";
import {
  DescribeDBParametersCommandInput,
  DescribeDBParametersCommandOutput,
} from "../commands/DescribeDBParametersCommand";
import {
  DescribeDBProxiesCommandInput,
  DescribeDBProxiesCommandOutput,
} from "../commands/DescribeDBProxiesCommand";
import {
  DescribeDBProxyEndpointsCommandInput,
  DescribeDBProxyEndpointsCommandOutput,
} from "../commands/DescribeDBProxyEndpointsCommand";
import {
  DescribeDBProxyTargetGroupsCommandInput,
  DescribeDBProxyTargetGroupsCommandOutput,
} from "../commands/DescribeDBProxyTargetGroupsCommand";
import {
  DescribeDBProxyTargetsCommandInput,
  DescribeDBProxyTargetsCommandOutput,
} from "../commands/DescribeDBProxyTargetsCommand";
import {
  DescribeDBSecurityGroupsCommandInput,
  DescribeDBSecurityGroupsCommandOutput,
} from "../commands/DescribeDBSecurityGroupsCommand";
import {
  DescribeDBSnapshotAttributesCommandInput,
  DescribeDBSnapshotAttributesCommandOutput,
} from "../commands/DescribeDBSnapshotAttributesCommand";
import {
  DescribeDBSnapshotsCommandInput,
  DescribeDBSnapshotsCommandOutput,
} from "../commands/DescribeDBSnapshotsCommand";
import {
  DescribeDBSubnetGroupsCommandInput,
  DescribeDBSubnetGroupsCommandOutput,
} from "../commands/DescribeDBSubnetGroupsCommand";
import {
  DescribeEngineDefaultClusterParametersCommandInput,
  DescribeEngineDefaultClusterParametersCommandOutput,
} from "../commands/DescribeEngineDefaultClusterParametersCommand";
import {
  DescribeEngineDefaultParametersCommandInput,
  DescribeEngineDefaultParametersCommandOutput,
} from "../commands/DescribeEngineDefaultParametersCommand";
import {
  DescribeEventCategoriesCommandInput,
  DescribeEventCategoriesCommandOutput,
} from "../commands/DescribeEventCategoriesCommand";
import {
  DescribeEventsCommandInput,
  DescribeEventsCommandOutput,
} from "../commands/DescribeEventsCommand";
import {
  DescribeEventSubscriptionsCommandInput,
  DescribeEventSubscriptionsCommandOutput,
} from "../commands/DescribeEventSubscriptionsCommand";
import {
  DescribeExportTasksCommandInput,
  DescribeExportTasksCommandOutput,
} from "../commands/DescribeExportTasksCommand";
import {
  DescribeGlobalClustersCommandInput,
  DescribeGlobalClustersCommandOutput,
} from "../commands/DescribeGlobalClustersCommand";
import {
  DescribeOptionGroupOptionsCommandInput,
  DescribeOptionGroupOptionsCommandOutput,
} from "../commands/DescribeOptionGroupOptionsCommand";
import {
  DescribeOptionGroupsCommandInput,
  DescribeOptionGroupsCommandOutput,
} from "../commands/DescribeOptionGroupsCommand";
import {
  DescribeOrderableDBInstanceOptionsCommandInput,
  DescribeOrderableDBInstanceOptionsCommandOutput,
} from "../commands/DescribeOrderableDBInstanceOptionsCommand";
import {
  DescribePendingMaintenanceActionsCommandInput,
  DescribePendingMaintenanceActionsCommandOutput,
} from "../commands/DescribePendingMaintenanceActionsCommand";
import {
  DescribeReservedDBInstancesCommandInput,
  DescribeReservedDBInstancesCommandOutput,
} from "../commands/DescribeReservedDBInstancesCommand";
import {
  DescribeReservedDBInstancesOfferingsCommandInput,
  DescribeReservedDBInstancesOfferingsCommandOutput,
} from "../commands/DescribeReservedDBInstancesOfferingsCommand";
import {
  DescribeSourceRegionsCommandInput,
  DescribeSourceRegionsCommandOutput,
} from "../commands/DescribeSourceRegionsCommand";
import {
  DescribeValidDBInstanceModificationsCommandInput,
  DescribeValidDBInstanceModificationsCommandOutput,
} from "../commands/DescribeValidDBInstanceModificationsCommand";
import {
  DownloadDBLogFilePortionCommandInput,
  DownloadDBLogFilePortionCommandOutput,
} from "../commands/DownloadDBLogFilePortionCommand";
import {
  FailoverDBClusterCommandInput,
  FailoverDBClusterCommandOutput,
} from "../commands/FailoverDBClusterCommand";
import {
  FailoverGlobalClusterCommandInput,
  FailoverGlobalClusterCommandOutput,
} from "../commands/FailoverGlobalClusterCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ModifyActivityStreamCommandInput,
  ModifyActivityStreamCommandOutput,
} from "../commands/ModifyActivityStreamCommand";
import {
  ModifyCertificatesCommandInput,
  ModifyCertificatesCommandOutput,
} from "../commands/ModifyCertificatesCommand";
import {
  ModifyCurrentDBClusterCapacityCommandInput,
  ModifyCurrentDBClusterCapacityCommandOutput,
} from "../commands/ModifyCurrentDBClusterCapacityCommand";
import {
  ModifyCustomDBEngineVersionCommandInput,
  ModifyCustomDBEngineVersionCommandOutput,
} from "../commands/ModifyCustomDBEngineVersionCommand";
import {
  ModifyDBClusterCommandInput,
  ModifyDBClusterCommandOutput,
} from "../commands/ModifyDBClusterCommand";
import {
  ModifyDBClusterEndpointCommandInput,
  ModifyDBClusterEndpointCommandOutput,
} from "../commands/ModifyDBClusterEndpointCommand";
import {
  ModifyDBClusterParameterGroupCommandInput,
  ModifyDBClusterParameterGroupCommandOutput,
} from "../commands/ModifyDBClusterParameterGroupCommand";
import {
  ModifyDBClusterSnapshotAttributeCommandInput,
  ModifyDBClusterSnapshotAttributeCommandOutput,
} from "../commands/ModifyDBClusterSnapshotAttributeCommand";
import {
  ModifyDBInstanceCommandInput,
  ModifyDBInstanceCommandOutput,
} from "../commands/ModifyDBInstanceCommand";
import {
  ModifyDBParameterGroupCommandInput,
  ModifyDBParameterGroupCommandOutput,
} from "../commands/ModifyDBParameterGroupCommand";
import {
  ModifyDBProxyCommandInput,
  ModifyDBProxyCommandOutput,
} from "../commands/ModifyDBProxyCommand";
import {
  ModifyDBProxyEndpointCommandInput,
  ModifyDBProxyEndpointCommandOutput,
} from "../commands/ModifyDBProxyEndpointCommand";
import {
  ModifyDBProxyTargetGroupCommandInput,
  ModifyDBProxyTargetGroupCommandOutput,
} from "../commands/ModifyDBProxyTargetGroupCommand";
import {
  ModifyDBSnapshotAttributeCommandInput,
  ModifyDBSnapshotAttributeCommandOutput,
} from "../commands/ModifyDBSnapshotAttributeCommand";
import {
  ModifyDBSnapshotCommandInput,
  ModifyDBSnapshotCommandOutput,
} from "../commands/ModifyDBSnapshotCommand";
import {
  ModifyDBSubnetGroupCommandInput,
  ModifyDBSubnetGroupCommandOutput,
} from "../commands/ModifyDBSubnetGroupCommand";
import {
  ModifyEventSubscriptionCommandInput,
  ModifyEventSubscriptionCommandOutput,
} from "../commands/ModifyEventSubscriptionCommand";
import {
  ModifyGlobalClusterCommandInput,
  ModifyGlobalClusterCommandOutput,
} from "../commands/ModifyGlobalClusterCommand";
import {
  ModifyOptionGroupCommandInput,
  ModifyOptionGroupCommandOutput,
} from "../commands/ModifyOptionGroupCommand";
import {
  PromoteReadReplicaCommandInput,
  PromoteReadReplicaCommandOutput,
} from "../commands/PromoteReadReplicaCommand";
import {
  PromoteReadReplicaDBClusterCommandInput,
  PromoteReadReplicaDBClusterCommandOutput,
} from "../commands/PromoteReadReplicaDBClusterCommand";
import {
  PurchaseReservedDBInstancesOfferingCommandInput,
  PurchaseReservedDBInstancesOfferingCommandOutput,
} from "../commands/PurchaseReservedDBInstancesOfferingCommand";
import {
  RebootDBClusterCommandInput,
  RebootDBClusterCommandOutput,
} from "../commands/RebootDBClusterCommand";
import {
  RebootDBInstanceCommandInput,
  RebootDBInstanceCommandOutput,
} from "../commands/RebootDBInstanceCommand";
import {
  RegisterDBProxyTargetsCommandInput,
  RegisterDBProxyTargetsCommandOutput,
} from "../commands/RegisterDBProxyTargetsCommand";
import {
  RemoveFromGlobalClusterCommandInput,
  RemoveFromGlobalClusterCommandOutput,
} from "../commands/RemoveFromGlobalClusterCommand";
import {
  RemoveRoleFromDBClusterCommandInput,
  RemoveRoleFromDBClusterCommandOutput,
} from "../commands/RemoveRoleFromDBClusterCommand";
import {
  RemoveRoleFromDBInstanceCommandInput,
  RemoveRoleFromDBInstanceCommandOutput,
} from "../commands/RemoveRoleFromDBInstanceCommand";
import {
  RemoveSourceIdentifierFromSubscriptionCommandInput,
  RemoveSourceIdentifierFromSubscriptionCommandOutput,
} from "../commands/RemoveSourceIdentifierFromSubscriptionCommand";
import {
  RemoveTagsFromResourceCommandInput,
  RemoveTagsFromResourceCommandOutput,
} from "../commands/RemoveTagsFromResourceCommand";
import {
  ResetDBClusterParameterGroupCommandInput,
  ResetDBClusterParameterGroupCommandOutput,
} from "../commands/ResetDBClusterParameterGroupCommand";
import {
  ResetDBParameterGroupCommandInput,
  ResetDBParameterGroupCommandOutput,
} from "../commands/ResetDBParameterGroupCommand";
import {
  RestoreDBClusterFromS3CommandInput,
  RestoreDBClusterFromS3CommandOutput,
} from "../commands/RestoreDBClusterFromS3Command";
import {
  RestoreDBClusterFromSnapshotCommandInput,
  RestoreDBClusterFromSnapshotCommandOutput,
} from "../commands/RestoreDBClusterFromSnapshotCommand";
import {
  RestoreDBClusterToPointInTimeCommandInput,
  RestoreDBClusterToPointInTimeCommandOutput,
} from "../commands/RestoreDBClusterToPointInTimeCommand";
import {
  RestoreDBInstanceFromDBSnapshotCommandInput,
  RestoreDBInstanceFromDBSnapshotCommandOutput,
} from "../commands/RestoreDBInstanceFromDBSnapshotCommand";
import {
  RestoreDBInstanceFromS3CommandInput,
  RestoreDBInstanceFromS3CommandOutput,
} from "../commands/RestoreDBInstanceFromS3Command";
import {
  RestoreDBInstanceToPointInTimeCommandInput,
  RestoreDBInstanceToPointInTimeCommandOutput,
} from "../commands/RestoreDBInstanceToPointInTimeCommand";
import {
  RevokeDBSecurityGroupIngressCommandInput,
  RevokeDBSecurityGroupIngressCommandOutput,
} from "../commands/RevokeDBSecurityGroupIngressCommand";
import {
  StartActivityStreamCommandInput,
  StartActivityStreamCommandOutput,
} from "../commands/StartActivityStreamCommand";
import {
  StartDBClusterCommandInput,
  StartDBClusterCommandOutput,
} from "../commands/StartDBClusterCommand";
import {
  StartDBInstanceAutomatedBackupsReplicationCommandInput,
  StartDBInstanceAutomatedBackupsReplicationCommandOutput,
} from "../commands/StartDBInstanceAutomatedBackupsReplicationCommand";
import {
  StartDBInstanceCommandInput,
  StartDBInstanceCommandOutput,
} from "../commands/StartDBInstanceCommand";
import {
  StartExportTaskCommandInput,
  StartExportTaskCommandOutput,
} from "../commands/StartExportTaskCommand";
import {
  StopActivityStreamCommandInput,
  StopActivityStreamCommandOutput,
} from "../commands/StopActivityStreamCommand";
import {
  StopDBClusterCommandInput,
  StopDBClusterCommandOutput,
} from "../commands/StopDBClusterCommand";
import {
  StopDBInstanceAutomatedBackupsReplicationCommandInput,
  StopDBInstanceAutomatedBackupsReplicationCommandOutput,
} from "../commands/StopDBInstanceAutomatedBackupsReplicationCommand";
import {
  StopDBInstanceCommandInput,
  StopDBInstanceCommandOutput,
} from "../commands/StopDBInstanceCommand";
import {
  SwitchoverBlueGreenDeploymentCommandInput,
  SwitchoverBlueGreenDeploymentCommandOutput,
} from "../commands/SwitchoverBlueGreenDeploymentCommand";
import {
  SwitchoverReadReplicaCommandInput,
  SwitchoverReadReplicaCommandOutput,
} from "../commands/SwitchoverReadReplicaCommand";
export declare const serializeAws_queryAddRoleToDBClusterCommand: (
  input: AddRoleToDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAddRoleToDBInstanceCommand: (
  input: AddRoleToDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAddSourceIdentifierToSubscriptionCommand: (
  input: AddSourceIdentifierToSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAddTagsToResourceCommand: (
  input: AddTagsToResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryApplyPendingMaintenanceActionCommand: (
  input: ApplyPendingMaintenanceActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryAuthorizeDBSecurityGroupIngressCommand: (
  input: AuthorizeDBSecurityGroupIngressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryBacktrackDBClusterCommand: (
  input: BacktrackDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCancelExportTaskCommand: (
  input: CancelExportTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCopyDBClusterParameterGroupCommand: (
  input: CopyDBClusterParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCopyDBClusterSnapshotCommand: (
  input: CopyDBClusterSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCopyDBParameterGroupCommand: (
  input: CopyDBParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCopyDBSnapshotCommand: (
  input: CopyDBSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCopyOptionGroupCommand: (
  input: CopyOptionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateBlueGreenDeploymentCommand: (
  input: CreateBlueGreenDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateCustomDBEngineVersionCommand: (
  input: CreateCustomDBEngineVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBClusterCommand: (
  input: CreateDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBClusterEndpointCommand: (
  input: CreateDBClusterEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBClusterParameterGroupCommand: (
  input: CreateDBClusterParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBClusterSnapshotCommand: (
  input: CreateDBClusterSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBInstanceCommand: (
  input: CreateDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBInstanceReadReplicaCommand: (
  input: CreateDBInstanceReadReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBParameterGroupCommand: (
  input: CreateDBParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBProxyCommand: (
  input: CreateDBProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBProxyEndpointCommand: (
  input: CreateDBProxyEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBSecurityGroupCommand: (
  input: CreateDBSecurityGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBSnapshotCommand: (
  input: CreateDBSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateDBSubnetGroupCommand: (
  input: CreateDBSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateEventSubscriptionCommand: (
  input: CreateEventSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateGlobalClusterCommand: (
  input: CreateGlobalClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateOptionGroupCommand: (
  input: CreateOptionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteBlueGreenDeploymentCommand: (
  input: DeleteBlueGreenDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteCustomDBEngineVersionCommand: (
  input: DeleteCustomDBEngineVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBClusterCommand: (
  input: DeleteDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBClusterEndpointCommand: (
  input: DeleteDBClusterEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBClusterParameterGroupCommand: (
  input: DeleteDBClusterParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBClusterSnapshotCommand: (
  input: DeleteDBClusterSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBInstanceCommand: (
  input: DeleteDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBInstanceAutomatedBackupCommand: (
  input: DeleteDBInstanceAutomatedBackupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBParameterGroupCommand: (
  input: DeleteDBParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBProxyCommand: (
  input: DeleteDBProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBProxyEndpointCommand: (
  input: DeleteDBProxyEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBSecurityGroupCommand: (
  input: DeleteDBSecurityGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBSnapshotCommand: (
  input: DeleteDBSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteDBSubnetGroupCommand: (
  input: DeleteDBSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteEventSubscriptionCommand: (
  input: DeleteEventSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteGlobalClusterCommand: (
  input: DeleteGlobalClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteOptionGroupCommand: (
  input: DeleteOptionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeregisterDBProxyTargetsCommand: (
  input: DeregisterDBProxyTargetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeAccountAttributesCommand: (
  input: DescribeAccountAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeBlueGreenDeploymentsCommand: (
  input: DescribeBlueGreenDeploymentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeCertificatesCommand: (
  input: DescribeCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClusterBacktracksCommand: (
  input: DescribeDBClusterBacktracksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClusterEndpointsCommand: (
  input: DescribeDBClusterEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClusterParameterGroupsCommand: (
  input: DescribeDBClusterParameterGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClusterParametersCommand: (
  input: DescribeDBClusterParametersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClustersCommand: (
  input: DescribeDBClustersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClusterSnapshotAttributesCommand: (
  input: DescribeDBClusterSnapshotAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBClusterSnapshotsCommand: (
  input: DescribeDBClusterSnapshotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBEngineVersionsCommand: (
  input: DescribeDBEngineVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBInstanceAutomatedBackupsCommand: (
  input: DescribeDBInstanceAutomatedBackupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBInstancesCommand: (
  input: DescribeDBInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBLogFilesCommand: (
  input: DescribeDBLogFilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBParameterGroupsCommand: (
  input: DescribeDBParameterGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBParametersCommand: (
  input: DescribeDBParametersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBProxiesCommand: (
  input: DescribeDBProxiesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBProxyEndpointsCommand: (
  input: DescribeDBProxyEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBProxyTargetGroupsCommand: (
  input: DescribeDBProxyTargetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBProxyTargetsCommand: (
  input: DescribeDBProxyTargetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBSecurityGroupsCommand: (
  input: DescribeDBSecurityGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBSnapshotAttributesCommand: (
  input: DescribeDBSnapshotAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBSnapshotsCommand: (
  input: DescribeDBSnapshotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeDBSubnetGroupsCommand: (
  input: DescribeDBSubnetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeEngineDefaultClusterParametersCommand: (
  input: DescribeEngineDefaultClusterParametersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeEngineDefaultParametersCommand: (
  input: DescribeEngineDefaultParametersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeEventCategoriesCommand: (
  input: DescribeEventCategoriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeEventsCommand: (
  input: DescribeEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeEventSubscriptionsCommand: (
  input: DescribeEventSubscriptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeExportTasksCommand: (
  input: DescribeExportTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeGlobalClustersCommand: (
  input: DescribeGlobalClustersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeOptionGroupOptionsCommand: (
  input: DescribeOptionGroupOptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeOptionGroupsCommand: (
  input: DescribeOptionGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeOrderableDBInstanceOptionsCommand: (
  input: DescribeOrderableDBInstanceOptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribePendingMaintenanceActionsCommand: (
  input: DescribePendingMaintenanceActionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeReservedDBInstancesCommand: (
  input: DescribeReservedDBInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeReservedDBInstancesOfferingsCommand: (
  input: DescribeReservedDBInstancesOfferingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeSourceRegionsCommand: (
  input: DescribeSourceRegionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDescribeValidDBInstanceModificationsCommand: (
  input: DescribeValidDBInstanceModificationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryDownloadDBLogFilePortionCommand: (
  input: DownloadDBLogFilePortionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryFailoverDBClusterCommand: (
  input: FailoverDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryFailoverGlobalClusterCommand: (
  input: FailoverGlobalClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyActivityStreamCommand: (
  input: ModifyActivityStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyCertificatesCommand: (
  input: ModifyCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyCurrentDBClusterCapacityCommand: (
  input: ModifyCurrentDBClusterCapacityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyCustomDBEngineVersionCommand: (
  input: ModifyCustomDBEngineVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBClusterCommand: (
  input: ModifyDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBClusterEndpointCommand: (
  input: ModifyDBClusterEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBClusterParameterGroupCommand: (
  input: ModifyDBClusterParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBClusterSnapshotAttributeCommand: (
  input: ModifyDBClusterSnapshotAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBInstanceCommand: (
  input: ModifyDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBParameterGroupCommand: (
  input: ModifyDBParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBProxyCommand: (
  input: ModifyDBProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBProxyEndpointCommand: (
  input: ModifyDBProxyEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBProxyTargetGroupCommand: (
  input: ModifyDBProxyTargetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBSnapshotCommand: (
  input: ModifyDBSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBSnapshotAttributeCommand: (
  input: ModifyDBSnapshotAttributeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyDBSubnetGroupCommand: (
  input: ModifyDBSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyEventSubscriptionCommand: (
  input: ModifyEventSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyGlobalClusterCommand: (
  input: ModifyGlobalClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryModifyOptionGroupCommand: (
  input: ModifyOptionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPromoteReadReplicaCommand: (
  input: PromoteReadReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPromoteReadReplicaDBClusterCommand: (
  input: PromoteReadReplicaDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryPurchaseReservedDBInstancesOfferingCommand: (
  input: PurchaseReservedDBInstancesOfferingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRebootDBClusterCommand: (
  input: RebootDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRebootDBInstanceCommand: (
  input: RebootDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRegisterDBProxyTargetsCommand: (
  input: RegisterDBProxyTargetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveFromGlobalClusterCommand: (
  input: RemoveFromGlobalClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveRoleFromDBClusterCommand: (
  input: RemoveRoleFromDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveRoleFromDBInstanceCommand: (
  input: RemoveRoleFromDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveSourceIdentifierFromSubscriptionCommand: (
  input: RemoveSourceIdentifierFromSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemoveTagsFromResourceCommand: (
  input: RemoveTagsFromResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryResetDBClusterParameterGroupCommand: (
  input: ResetDBClusterParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryResetDBParameterGroupCommand: (
  input: ResetDBParameterGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRestoreDBClusterFromS3Command: (
  input: RestoreDBClusterFromS3CommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRestoreDBClusterFromSnapshotCommand: (
  input: RestoreDBClusterFromSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRestoreDBClusterToPointInTimeCommand: (
  input: RestoreDBClusterToPointInTimeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRestoreDBInstanceFromDBSnapshotCommand: (
  input: RestoreDBInstanceFromDBSnapshotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRestoreDBInstanceFromS3Command: (
  input: RestoreDBInstanceFromS3CommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRestoreDBInstanceToPointInTimeCommand: (
  input: RestoreDBInstanceToPointInTimeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryRevokeDBSecurityGroupIngressCommand: (
  input: RevokeDBSecurityGroupIngressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStartActivityStreamCommand: (
  input: StartActivityStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStartDBClusterCommand: (
  input: StartDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStartDBInstanceCommand: (
  input: StartDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStartDBInstanceAutomatedBackupsReplicationCommand: (
  input: StartDBInstanceAutomatedBackupsReplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStartExportTaskCommand: (
  input: StartExportTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStopActivityStreamCommand: (
  input: StopActivityStreamCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStopDBClusterCommand: (
  input: StopDBClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStopDBInstanceCommand: (
  input: StopDBInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_queryStopDBInstanceAutomatedBackupsReplicationCommand: (
  input: StopDBInstanceAutomatedBackupsReplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_querySwitchoverBlueGreenDeploymentCommand: (
  input: SwitchoverBlueGreenDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_querySwitchoverReadReplicaCommand: (
  input: SwitchoverReadReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const deserializeAws_queryAddRoleToDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddRoleToDBClusterCommandOutput>;
export declare const deserializeAws_queryAddRoleToDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddRoleToDBInstanceCommandOutput>;
export declare const deserializeAws_queryAddSourceIdentifierToSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddSourceIdentifierToSubscriptionCommandOutput>;
export declare const deserializeAws_queryAddTagsToResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddTagsToResourceCommandOutput>;
export declare const deserializeAws_queryApplyPendingMaintenanceActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ApplyPendingMaintenanceActionCommandOutput>;
export declare const deserializeAws_queryAuthorizeDBSecurityGroupIngressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AuthorizeDBSecurityGroupIngressCommandOutput>;
export declare const deserializeAws_queryBacktrackDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BacktrackDBClusterCommandOutput>;
export declare const deserializeAws_queryCancelExportTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelExportTaskCommandOutput>;
export declare const deserializeAws_queryCopyDBClusterParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyDBClusterParameterGroupCommandOutput>;
export declare const deserializeAws_queryCopyDBClusterSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyDBClusterSnapshotCommandOutput>;
export declare const deserializeAws_queryCopyDBParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyDBParameterGroupCommandOutput>;
export declare const deserializeAws_queryCopyDBSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyDBSnapshotCommandOutput>;
export declare const deserializeAws_queryCopyOptionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyOptionGroupCommandOutput>;
export declare const deserializeAws_queryCreateBlueGreenDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBlueGreenDeploymentCommandOutput>;
export declare const deserializeAws_queryCreateCustomDBEngineVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCustomDBEngineVersionCommandOutput>;
export declare const deserializeAws_queryCreateDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBClusterCommandOutput>;
export declare const deserializeAws_queryCreateDBClusterEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBClusterEndpointCommandOutput>;
export declare const deserializeAws_queryCreateDBClusterParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBClusterParameterGroupCommandOutput>;
export declare const deserializeAws_queryCreateDBClusterSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBClusterSnapshotCommandOutput>;
export declare const deserializeAws_queryCreateDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBInstanceCommandOutput>;
export declare const deserializeAws_queryCreateDBInstanceReadReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBInstanceReadReplicaCommandOutput>;
export declare const deserializeAws_queryCreateDBParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBParameterGroupCommandOutput>;
export declare const deserializeAws_queryCreateDBProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBProxyCommandOutput>;
export declare const deserializeAws_queryCreateDBProxyEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBProxyEndpointCommandOutput>;
export declare const deserializeAws_queryCreateDBSecurityGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBSecurityGroupCommandOutput>;
export declare const deserializeAws_queryCreateDBSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBSnapshotCommandOutput>;
export declare const deserializeAws_queryCreateDBSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDBSubnetGroupCommandOutput>;
export declare const deserializeAws_queryCreateEventSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateEventSubscriptionCommandOutput>;
export declare const deserializeAws_queryCreateGlobalClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateGlobalClusterCommandOutput>;
export declare const deserializeAws_queryCreateOptionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOptionGroupCommandOutput>;
export declare const deserializeAws_queryDeleteBlueGreenDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteBlueGreenDeploymentCommandOutput>;
export declare const deserializeAws_queryDeleteCustomDBEngineVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCustomDBEngineVersionCommandOutput>;
export declare const deserializeAws_queryDeleteDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBClusterCommandOutput>;
export declare const deserializeAws_queryDeleteDBClusterEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBClusterEndpointCommandOutput>;
export declare const deserializeAws_queryDeleteDBClusterParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBClusterParameterGroupCommandOutput>;
export declare const deserializeAws_queryDeleteDBClusterSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBClusterSnapshotCommandOutput>;
export declare const deserializeAws_queryDeleteDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBInstanceCommandOutput>;
export declare const deserializeAws_queryDeleteDBInstanceAutomatedBackupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBInstanceAutomatedBackupCommandOutput>;
export declare const deserializeAws_queryDeleteDBParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBParameterGroupCommandOutput>;
export declare const deserializeAws_queryDeleteDBProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBProxyCommandOutput>;
export declare const deserializeAws_queryDeleteDBProxyEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBProxyEndpointCommandOutput>;
export declare const deserializeAws_queryDeleteDBSecurityGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBSecurityGroupCommandOutput>;
export declare const deserializeAws_queryDeleteDBSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBSnapshotCommandOutput>;
export declare const deserializeAws_queryDeleteDBSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDBSubnetGroupCommandOutput>;
export declare const deserializeAws_queryDeleteEventSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEventSubscriptionCommandOutput>;
export declare const deserializeAws_queryDeleteGlobalClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGlobalClusterCommandOutput>;
export declare const deserializeAws_queryDeleteOptionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOptionGroupCommandOutput>;
export declare const deserializeAws_queryDeregisterDBProxyTargetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterDBProxyTargetsCommandOutput>;
export declare const deserializeAws_queryDescribeAccountAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAccountAttributesCommandOutput>;
export declare const deserializeAws_queryDescribeBlueGreenDeploymentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeBlueGreenDeploymentsCommandOutput>;
export declare const deserializeAws_queryDescribeCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCertificatesCommandOutput>;
export declare const deserializeAws_queryDescribeDBClusterBacktracksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClusterBacktracksCommandOutput>;
export declare const deserializeAws_queryDescribeDBClusterEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClusterEndpointsCommandOutput>;
export declare const deserializeAws_queryDescribeDBClusterParameterGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClusterParameterGroupsCommandOutput>;
export declare const deserializeAws_queryDescribeDBClusterParametersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClusterParametersCommandOutput>;
export declare const deserializeAws_queryDescribeDBClustersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClustersCommandOutput>;
export declare const deserializeAws_queryDescribeDBClusterSnapshotAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClusterSnapshotAttributesCommandOutput>;
export declare const deserializeAws_queryDescribeDBClusterSnapshotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBClusterSnapshotsCommandOutput>;
export declare const deserializeAws_queryDescribeDBEngineVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBEngineVersionsCommandOutput>;
export declare const deserializeAws_queryDescribeDBInstanceAutomatedBackupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBInstanceAutomatedBackupsCommandOutput>;
export declare const deserializeAws_queryDescribeDBInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBInstancesCommandOutput>;
export declare const deserializeAws_queryDescribeDBLogFilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBLogFilesCommandOutput>;
export declare const deserializeAws_queryDescribeDBParameterGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBParameterGroupsCommandOutput>;
export declare const deserializeAws_queryDescribeDBParametersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBParametersCommandOutput>;
export declare const deserializeAws_queryDescribeDBProxiesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBProxiesCommandOutput>;
export declare const deserializeAws_queryDescribeDBProxyEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBProxyEndpointsCommandOutput>;
export declare const deserializeAws_queryDescribeDBProxyTargetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBProxyTargetGroupsCommandOutput>;
export declare const deserializeAws_queryDescribeDBProxyTargetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBProxyTargetsCommandOutput>;
export declare const deserializeAws_queryDescribeDBSecurityGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBSecurityGroupsCommandOutput>;
export declare const deserializeAws_queryDescribeDBSnapshotAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBSnapshotAttributesCommandOutput>;
export declare const deserializeAws_queryDescribeDBSnapshotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBSnapshotsCommandOutput>;
export declare const deserializeAws_queryDescribeDBSubnetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDBSubnetGroupsCommandOutput>;
export declare const deserializeAws_queryDescribeEngineDefaultClusterParametersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEngineDefaultClusterParametersCommandOutput>;
export declare const deserializeAws_queryDescribeEngineDefaultParametersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEngineDefaultParametersCommandOutput>;
export declare const deserializeAws_queryDescribeEventCategoriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventCategoriesCommandOutput>;
export declare const deserializeAws_queryDescribeEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventsCommandOutput>;
export declare const deserializeAws_queryDescribeEventSubscriptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventSubscriptionsCommandOutput>;
export declare const deserializeAws_queryDescribeExportTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeExportTasksCommandOutput>;
export declare const deserializeAws_queryDescribeGlobalClustersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeGlobalClustersCommandOutput>;
export declare const deserializeAws_queryDescribeOptionGroupOptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOptionGroupOptionsCommandOutput>;
export declare const deserializeAws_queryDescribeOptionGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOptionGroupsCommandOutput>;
export declare const deserializeAws_queryDescribeOrderableDBInstanceOptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrderableDBInstanceOptionsCommandOutput>;
export declare const deserializeAws_queryDescribePendingMaintenanceActionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePendingMaintenanceActionsCommandOutput>;
export declare const deserializeAws_queryDescribeReservedDBInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReservedDBInstancesCommandOutput>;
export declare const deserializeAws_queryDescribeReservedDBInstancesOfferingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReservedDBInstancesOfferingsCommandOutput>;
export declare const deserializeAws_queryDescribeSourceRegionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSourceRegionsCommandOutput>;
export declare const deserializeAws_queryDescribeValidDBInstanceModificationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeValidDBInstanceModificationsCommandOutput>;
export declare const deserializeAws_queryDownloadDBLogFilePortionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DownloadDBLogFilePortionCommandOutput>;
export declare const deserializeAws_queryFailoverDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<FailoverDBClusterCommandOutput>;
export declare const deserializeAws_queryFailoverGlobalClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<FailoverGlobalClusterCommandOutput>;
export declare const deserializeAws_queryListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_queryModifyActivityStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyActivityStreamCommandOutput>;
export declare const deserializeAws_queryModifyCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyCertificatesCommandOutput>;
export declare const deserializeAws_queryModifyCurrentDBClusterCapacityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyCurrentDBClusterCapacityCommandOutput>;
export declare const deserializeAws_queryModifyCustomDBEngineVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyCustomDBEngineVersionCommandOutput>;
export declare const deserializeAws_queryModifyDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBClusterCommandOutput>;
export declare const deserializeAws_queryModifyDBClusterEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBClusterEndpointCommandOutput>;
export declare const deserializeAws_queryModifyDBClusterParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBClusterParameterGroupCommandOutput>;
export declare const deserializeAws_queryModifyDBClusterSnapshotAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBClusterSnapshotAttributeCommandOutput>;
export declare const deserializeAws_queryModifyDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBInstanceCommandOutput>;
export declare const deserializeAws_queryModifyDBParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBParameterGroupCommandOutput>;
export declare const deserializeAws_queryModifyDBProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBProxyCommandOutput>;
export declare const deserializeAws_queryModifyDBProxyEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBProxyEndpointCommandOutput>;
export declare const deserializeAws_queryModifyDBProxyTargetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBProxyTargetGroupCommandOutput>;
export declare const deserializeAws_queryModifyDBSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBSnapshotCommandOutput>;
export declare const deserializeAws_queryModifyDBSnapshotAttributeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBSnapshotAttributeCommandOutput>;
export declare const deserializeAws_queryModifyDBSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDBSubnetGroupCommandOutput>;
export declare const deserializeAws_queryModifyEventSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyEventSubscriptionCommandOutput>;
export declare const deserializeAws_queryModifyGlobalClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyGlobalClusterCommandOutput>;
export declare const deserializeAws_queryModifyOptionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyOptionGroupCommandOutput>;
export declare const deserializeAws_queryPromoteReadReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PromoteReadReplicaCommandOutput>;
export declare const deserializeAws_queryPromoteReadReplicaDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PromoteReadReplicaDBClusterCommandOutput>;
export declare const deserializeAws_queryPurchaseReservedDBInstancesOfferingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PurchaseReservedDBInstancesOfferingCommandOutput>;
export declare const deserializeAws_queryRebootDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RebootDBClusterCommandOutput>;
export declare const deserializeAws_queryRebootDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RebootDBInstanceCommandOutput>;
export declare const deserializeAws_queryRegisterDBProxyTargetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterDBProxyTargetsCommandOutput>;
export declare const deserializeAws_queryRemoveFromGlobalClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveFromGlobalClusterCommandOutput>;
export declare const deserializeAws_queryRemoveRoleFromDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveRoleFromDBClusterCommandOutput>;
export declare const deserializeAws_queryRemoveRoleFromDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveRoleFromDBInstanceCommandOutput>;
export declare const deserializeAws_queryRemoveSourceIdentifierFromSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveSourceIdentifierFromSubscriptionCommandOutput>;
export declare const deserializeAws_queryRemoveTagsFromResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveTagsFromResourceCommandOutput>;
export declare const deserializeAws_queryResetDBClusterParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResetDBClusterParameterGroupCommandOutput>;
export declare const deserializeAws_queryResetDBParameterGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResetDBParameterGroupCommandOutput>;
export declare const deserializeAws_queryRestoreDBClusterFromS3Command: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreDBClusterFromS3CommandOutput>;
export declare const deserializeAws_queryRestoreDBClusterFromSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreDBClusterFromSnapshotCommandOutput>;
export declare const deserializeAws_queryRestoreDBClusterToPointInTimeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreDBClusterToPointInTimeCommandOutput>;
export declare const deserializeAws_queryRestoreDBInstanceFromDBSnapshotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreDBInstanceFromDBSnapshotCommandOutput>;
export declare const deserializeAws_queryRestoreDBInstanceFromS3Command: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreDBInstanceFromS3CommandOutput>;
export declare const deserializeAws_queryRestoreDBInstanceToPointInTimeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreDBInstanceToPointInTimeCommandOutput>;
export declare const deserializeAws_queryRevokeDBSecurityGroupIngressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RevokeDBSecurityGroupIngressCommandOutput>;
export declare const deserializeAws_queryStartActivityStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartActivityStreamCommandOutput>;
export declare const deserializeAws_queryStartDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartDBClusterCommandOutput>;
export declare const deserializeAws_queryStartDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartDBInstanceCommandOutput>;
export declare const deserializeAws_queryStartDBInstanceAutomatedBackupsReplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartDBInstanceAutomatedBackupsReplicationCommandOutput>;
export declare const deserializeAws_queryStartExportTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartExportTaskCommandOutput>;
export declare const deserializeAws_queryStopActivityStreamCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopActivityStreamCommandOutput>;
export declare const deserializeAws_queryStopDBClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopDBClusterCommandOutput>;
export declare const deserializeAws_queryStopDBInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopDBInstanceCommandOutput>;
export declare const deserializeAws_queryStopDBInstanceAutomatedBackupsReplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopDBInstanceAutomatedBackupsReplicationCommandOutput>;
export declare const deserializeAws_querySwitchoverBlueGreenDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SwitchoverBlueGreenDeploymentCommandOutput>;
export declare const deserializeAws_querySwitchoverReadReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SwitchoverReadReplicaCommandOutput>;
