import { HttpRequest as __HttpRequest } from "@smithy/protocol-http";
import { collectBody, decorateServiceException as __decorateServiceException, expectNonNull as __expectNonNull, expectString as __expectString, extendedEncodeURIComponent as __extendedEncodeURIComponent, getArrayIfSingleItem as __getArrayIfSingleItem, getValueFromTextNode as __getValueFromTextNode, parseBoolean as __parseBoolean, parseRfc3339DateTimeWithOffset as __parseRfc3339DateTimeWithOffset, strictParseFloat as __strictParseFloat, strictParseInt32 as __strictParseInt32, withBaseException, } from "@smithy/smithy-client";
import { XMLParser } from "fast-xml-parser";
import { ElastiCacheServiceException as __BaseException } from "../models/ElastiCacheServiceException";
import { APICallRateForCustomerExceededFault, AuthorizationAlreadyExistsFault, AuthorizationNotFoundFault, CacheClusterAlreadyExistsFault, CacheClusterNotFoundFault, CacheParameterGroupAlreadyExistsFault, CacheParameterGroupNotFoundFault, CacheParameterGroupQuotaExceededFault, CacheSecurityGroupAlreadyExistsFault, CacheSecurityGroupNotFoundFault, CacheSecurityGroupQuotaExceededFault, CacheSubnetGroupAlreadyExistsFault, CacheSubnetGroupInUse, CacheSubnetGroupNotFoundFault, CacheSubnetGroupQuotaExceededFault, CacheSubnetQuotaExceededFault, ClusterQuotaForCustomerExceededFault, DefaultUserAssociatedToUserGroupFault, DefaultUserRequired, DuplicateUserNameFault, GlobalReplicationGroupAlreadyExistsFault, GlobalReplicationGroupNotFoundFault, InsufficientCacheClusterCapacityFault, InvalidARNFault, InvalidCacheClusterStateFault, InvalidCacheParameterGroupStateFault, InvalidCacheSecurityGroupStateFault, InvalidGlobalReplicationGroupStateFault, InvalidKMSKeyFault, InvalidParameterCombinationException, InvalidParameterValueException, InvalidReplicationGroupStateFault, InvalidSnapshotStateFault, InvalidSubnet, InvalidUserGroupStateFault, InvalidUserStateFault, InvalidVPCNetworkStateFault, NodeGroupNotFoundFault, NodeGroupsPerReplicationGroupQuotaExceededFault, NodeQuotaForClusterExceededFault, NodeQuotaForCustomerExceededFault, NoOperationFault, ReplicationGroupAlreadyExistsFault, ReplicationGroupAlreadyUnderMigrationFault, ReplicationGroupNotFoundFault, ReplicationGroupNotUnderMigrationFault, ReservedCacheNodeAlreadyExistsFault, ReservedCacheNodeNotFoundFault, ReservedCacheNodeQuotaExceededFault, ReservedCacheNodesOfferingNotFoundFault, ServiceLinkedRoleNotFoundFault, ServiceUpdateNotFoundFault, SnapshotAlreadyExistsFault, SnapshotFeatureNotSupportedFault, SnapshotNotFoundFault, SnapshotQuotaExceededFault, SubnetInUse, SubnetNotAllowedFault, TagNotFoundFault, TagQuotaPerResourceExceeded, TestFailoverNotAvailableFault, UserAlreadyExistsFault, UserGroupAlreadyExistsFault, UserGroupNotFoundFault, UserGroupQuotaExceededFault, UserNotFoundFault, UserQuotaExceededFault, } from "../models/models_0";
export const se_AddTagsToResourceCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_AddTagsToResourceMessage(input, context),
        Action: "AddTagsToResource",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_AuthorizeCacheSecurityGroupIngressCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_AuthorizeCacheSecurityGroupIngressMessage(input, context),
        Action: "AuthorizeCacheSecurityGroupIngress",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_BatchApplyUpdateActionCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_BatchApplyUpdateActionMessage(input, context),
        Action: "BatchApplyUpdateAction",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_BatchStopUpdateActionCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_BatchStopUpdateActionMessage(input, context),
        Action: "BatchStopUpdateAction",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CompleteMigrationCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CompleteMigrationMessage(input, context),
        Action: "CompleteMigration",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CopySnapshotCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CopySnapshotMessage(input, context),
        Action: "CopySnapshot",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateCacheClusterCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateCacheClusterMessage(input, context),
        Action: "CreateCacheCluster",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateCacheParameterGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateCacheParameterGroupMessage(input, context),
        Action: "CreateCacheParameterGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateCacheSecurityGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateCacheSecurityGroupMessage(input, context),
        Action: "CreateCacheSecurityGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateCacheSubnetGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateCacheSubnetGroupMessage(input, context),
        Action: "CreateCacheSubnetGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateGlobalReplicationGroupMessage(input, context),
        Action: "CreateGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateReplicationGroupMessage(input, context),
        Action: "CreateReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateSnapshotCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateSnapshotMessage(input, context),
        Action: "CreateSnapshot",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateUserCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateUserMessage(input, context),
        Action: "CreateUser",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_CreateUserGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_CreateUserGroupMessage(input, context),
        Action: "CreateUserGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DecreaseNodeGroupsInGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DecreaseNodeGroupsInGlobalReplicationGroupMessage(input, context),
        Action: "DecreaseNodeGroupsInGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DecreaseReplicaCountCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DecreaseReplicaCountMessage(input, context),
        Action: "DecreaseReplicaCount",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteCacheClusterCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteCacheClusterMessage(input, context),
        Action: "DeleteCacheCluster",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteCacheParameterGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteCacheParameterGroupMessage(input, context),
        Action: "DeleteCacheParameterGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteCacheSecurityGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteCacheSecurityGroupMessage(input, context),
        Action: "DeleteCacheSecurityGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteCacheSubnetGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteCacheSubnetGroupMessage(input, context),
        Action: "DeleteCacheSubnetGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteGlobalReplicationGroupMessage(input, context),
        Action: "DeleteGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteReplicationGroupMessage(input, context),
        Action: "DeleteReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteSnapshotCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteSnapshotMessage(input, context),
        Action: "DeleteSnapshot",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteUserCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteUserMessage(input, context),
        Action: "DeleteUser",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DeleteUserGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DeleteUserGroupMessage(input, context),
        Action: "DeleteUserGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeCacheClustersCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeCacheClustersMessage(input, context),
        Action: "DescribeCacheClusters",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeCacheEngineVersionsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeCacheEngineVersionsMessage(input, context),
        Action: "DescribeCacheEngineVersions",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeCacheParameterGroupsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeCacheParameterGroupsMessage(input, context),
        Action: "DescribeCacheParameterGroups",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeCacheParametersCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeCacheParametersMessage(input, context),
        Action: "DescribeCacheParameters",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeCacheSecurityGroupsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeCacheSecurityGroupsMessage(input, context),
        Action: "DescribeCacheSecurityGroups",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeCacheSubnetGroupsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeCacheSubnetGroupsMessage(input, context),
        Action: "DescribeCacheSubnetGroups",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeEngineDefaultParametersCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeEngineDefaultParametersMessage(input, context),
        Action: "DescribeEngineDefaultParameters",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeEventsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeEventsMessage(input, context),
        Action: "DescribeEvents",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeGlobalReplicationGroupsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeGlobalReplicationGroupsMessage(input, context),
        Action: "DescribeGlobalReplicationGroups",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeReplicationGroupsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeReplicationGroupsMessage(input, context),
        Action: "DescribeReplicationGroups",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeReservedCacheNodesCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeReservedCacheNodesMessage(input, context),
        Action: "DescribeReservedCacheNodes",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeReservedCacheNodesOfferingsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeReservedCacheNodesOfferingsMessage(input, context),
        Action: "DescribeReservedCacheNodesOfferings",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeServiceUpdatesCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeServiceUpdatesMessage(input, context),
        Action: "DescribeServiceUpdates",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeSnapshotsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeSnapshotsMessage(input, context),
        Action: "DescribeSnapshots",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeUpdateActionsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeUpdateActionsMessage(input, context),
        Action: "DescribeUpdateActions",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeUserGroupsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeUserGroupsMessage(input, context),
        Action: "DescribeUserGroups",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DescribeUsersCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DescribeUsersMessage(input, context),
        Action: "DescribeUsers",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_DisassociateGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_DisassociateGlobalReplicationGroupMessage(input, context),
        Action: "DisassociateGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_FailoverGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_FailoverGlobalReplicationGroupMessage(input, context),
        Action: "FailoverGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_IncreaseNodeGroupsInGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_IncreaseNodeGroupsInGlobalReplicationGroupMessage(input, context),
        Action: "IncreaseNodeGroupsInGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_IncreaseReplicaCountCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_IncreaseReplicaCountMessage(input, context),
        Action: "IncreaseReplicaCount",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ListAllowedNodeTypeModificationsCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ListAllowedNodeTypeModificationsMessage(input, context),
        Action: "ListAllowedNodeTypeModifications",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ListTagsForResourceCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ListTagsForResourceMessage(input, context),
        Action: "ListTagsForResource",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyCacheClusterCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyCacheClusterMessage(input, context),
        Action: "ModifyCacheCluster",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyCacheParameterGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyCacheParameterGroupMessage(input, context),
        Action: "ModifyCacheParameterGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyCacheSubnetGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyCacheSubnetGroupMessage(input, context),
        Action: "ModifyCacheSubnetGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyGlobalReplicationGroupMessage(input, context),
        Action: "ModifyGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyReplicationGroupMessage(input, context),
        Action: "ModifyReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyReplicationGroupShardConfigurationCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyReplicationGroupShardConfigurationMessage(input, context),
        Action: "ModifyReplicationGroupShardConfiguration",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyUserCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyUserMessage(input, context),
        Action: "ModifyUser",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ModifyUserGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ModifyUserGroupMessage(input, context),
        Action: "ModifyUserGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_PurchaseReservedCacheNodesOfferingCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_PurchaseReservedCacheNodesOfferingMessage(input, context),
        Action: "PurchaseReservedCacheNodesOffering",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_RebalanceSlotsInGlobalReplicationGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_RebalanceSlotsInGlobalReplicationGroupMessage(input, context),
        Action: "RebalanceSlotsInGlobalReplicationGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_RebootCacheClusterCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_RebootCacheClusterMessage(input, context),
        Action: "RebootCacheCluster",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_RemoveTagsFromResourceCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_RemoveTagsFromResourceMessage(input, context),
        Action: "RemoveTagsFromResource",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_ResetCacheParameterGroupCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_ResetCacheParameterGroupMessage(input, context),
        Action: "ResetCacheParameterGroup",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_RevokeCacheSecurityGroupIngressCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_RevokeCacheSecurityGroupIngressMessage(input, context),
        Action: "RevokeCacheSecurityGroupIngress",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_StartMigrationCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_StartMigrationMessage(input, context),
        Action: "StartMigration",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_TestFailoverCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_TestFailoverMessage(input, context),
        Action: "TestFailover",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const se_TestMigrationCommand = async (input, context) => {
    const headers = SHARED_HEADERS;
    let body;
    body = buildFormUrlencodedString({
        ...se_TestMigrationMessage(input, context),
        Action: "TestMigration",
        Version: "2015-02-02",
    });
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const de_AddTagsToResourceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_AddTagsToResourceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_TagListMessage(data.AddTagsToResourceResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_AddTagsToResourceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidARN":
        case "com.amazonaws.elasticache#InvalidARNFault":
            throw await de_InvalidARNFaultRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "ReservedCacheNodeNotFound":
        case "com.amazonaws.elasticache#ReservedCacheNodeNotFoundFault":
            throw await de_ReservedCacheNodeNotFoundFaultRes(parsedOutput, context);
        case "SnapshotNotFoundFault":
        case "com.amazonaws.elasticache#SnapshotNotFoundFault":
            throw await de_SnapshotNotFoundFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_AuthorizeCacheSecurityGroupIngressCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_AuthorizeCacheSecurityGroupIngressCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_AuthorizeCacheSecurityGroupIngressResult(data.AuthorizeCacheSecurityGroupIngressResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_AuthorizeCacheSecurityGroupIngressCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AuthorizationAlreadyExists":
        case "com.amazonaws.elasticache#AuthorizationAlreadyExistsFault":
            throw await de_AuthorizationAlreadyExistsFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheSecurityGroupState":
        case "com.amazonaws.elasticache#InvalidCacheSecurityGroupStateFault":
            throw await de_InvalidCacheSecurityGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_BatchApplyUpdateActionCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_BatchApplyUpdateActionCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_UpdateActionResultsMessage(data.BatchApplyUpdateActionResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_BatchApplyUpdateActionCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ServiceUpdateNotFoundFault":
        case "com.amazonaws.elasticache#ServiceUpdateNotFoundFault":
            throw await de_ServiceUpdateNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_BatchStopUpdateActionCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_BatchStopUpdateActionCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_UpdateActionResultsMessage(data.BatchStopUpdateActionResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_BatchStopUpdateActionCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ServiceUpdateNotFoundFault":
        case "com.amazonaws.elasticache#ServiceUpdateNotFoundFault":
            throw await de_ServiceUpdateNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CompleteMigrationCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CompleteMigrationCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CompleteMigrationResponse(data.CompleteMigrationResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CompleteMigrationCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "ReplicationGroupNotUnderMigrationFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotUnderMigrationFault":
            throw await de_ReplicationGroupNotUnderMigrationFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CopySnapshotCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CopySnapshotCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CopySnapshotResult(data.CopySnapshotResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CopySnapshotCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidSnapshotState":
        case "com.amazonaws.elasticache#InvalidSnapshotStateFault":
            throw await de_InvalidSnapshotStateFaultRes(parsedOutput, context);
        case "SnapshotAlreadyExistsFault":
        case "com.amazonaws.elasticache#SnapshotAlreadyExistsFault":
            throw await de_SnapshotAlreadyExistsFaultRes(parsedOutput, context);
        case "SnapshotNotFoundFault":
        case "com.amazonaws.elasticache#SnapshotNotFoundFault":
            throw await de_SnapshotNotFoundFaultRes(parsedOutput, context);
        case "SnapshotQuotaExceededFault":
        case "com.amazonaws.elasticache#SnapshotQuotaExceededFault":
            throw await de_SnapshotQuotaExceededFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateCacheClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateCacheClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateCacheClusterResult(data.CreateCacheClusterResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateCacheClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterAlreadyExists":
        case "com.amazonaws.elasticache#CacheClusterAlreadyExistsFault":
            throw await de_CacheClusterAlreadyExistsFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        case "ClusterQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#ClusterQuotaForCustomerExceededFault":
            throw await de_ClusterQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NodeQuotaForClusterExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForClusterExceededFault":
            throw await de_NodeQuotaForClusterExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateCacheParameterGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateCacheParameterGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateCacheParameterGroupResult(data.CreateCacheParameterGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateCacheParameterGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheParameterGroupAlreadyExists":
        case "com.amazonaws.elasticache#CacheParameterGroupAlreadyExistsFault":
            throw await de_CacheParameterGroupAlreadyExistsFaultRes(parsedOutput, context);
        case "CacheParameterGroupQuotaExceeded":
        case "com.amazonaws.elasticache#CacheParameterGroupQuotaExceededFault":
            throw await de_CacheParameterGroupQuotaExceededFaultRes(parsedOutput, context);
        case "InvalidCacheParameterGroupState":
        case "com.amazonaws.elasticache#InvalidCacheParameterGroupStateFault":
            throw await de_InvalidCacheParameterGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateCacheSecurityGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateCacheSecurityGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateCacheSecurityGroupResult(data.CreateCacheSecurityGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateCacheSecurityGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSecurityGroupAlreadyExists":
        case "com.amazonaws.elasticache#CacheSecurityGroupAlreadyExistsFault":
            throw await de_CacheSecurityGroupAlreadyExistsFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "QuotaExceeded.CacheSecurityGroup":
        case "com.amazonaws.elasticache#CacheSecurityGroupQuotaExceededFault":
            throw await de_CacheSecurityGroupQuotaExceededFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateCacheSubnetGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateCacheSubnetGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateCacheSubnetGroupResult(data.CreateCacheSubnetGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateCacheSubnetGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSubnetGroupAlreadyExists":
        case "com.amazonaws.elasticache#CacheSubnetGroupAlreadyExistsFault":
            throw await de_CacheSubnetGroupAlreadyExistsFaultRes(parsedOutput, context);
        case "CacheSubnetGroupQuotaExceeded":
        case "com.amazonaws.elasticache#CacheSubnetGroupQuotaExceededFault":
            throw await de_CacheSubnetGroupQuotaExceededFaultRes(parsedOutput, context);
        case "CacheSubnetQuotaExceededFault":
        case "com.amazonaws.elasticache#CacheSubnetQuotaExceededFault":
            throw await de_CacheSubnetQuotaExceededFaultRes(parsedOutput, context);
        case "InvalidSubnet":
        case "com.amazonaws.elasticache#InvalidSubnet":
            throw await de_InvalidSubnetRes(parsedOutput, context);
        case "SubnetNotAllowedFault":
        case "com.amazonaws.elasticache#SubnetNotAllowedFault":
            throw await de_SubnetNotAllowedFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateGlobalReplicationGroupResult(data.CreateGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupAlreadyExistsFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupAlreadyExistsFault":
            throw await de_GlobalReplicationGroupAlreadyExistsFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateReplicationGroupResult(data.CreateReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        case "ClusterQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#ClusterQuotaForCustomerExceededFault":
            throw await de_ClusterQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidUserGroupState":
        case "com.amazonaws.elasticache#InvalidUserGroupStateFault":
            throw await de_InvalidUserGroupStateFaultRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NodeGroupsPerReplicationGroupQuotaExceeded":
        case "com.amazonaws.elasticache#NodeGroupsPerReplicationGroupQuotaExceededFault":
            throw await de_NodeGroupsPerReplicationGroupQuotaExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForClusterExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForClusterExceededFault":
            throw await de_NodeQuotaForClusterExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "ReplicationGroupAlreadyExists":
        case "com.amazonaws.elasticache#ReplicationGroupAlreadyExistsFault":
            throw await de_ReplicationGroupAlreadyExistsFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateSnapshotCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateSnapshotCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CreateSnapshotResult(data.CreateSnapshotResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateSnapshotCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "SnapshotAlreadyExistsFault":
        case "com.amazonaws.elasticache#SnapshotAlreadyExistsFault":
            throw await de_SnapshotAlreadyExistsFaultRes(parsedOutput, context);
        case "SnapshotFeatureNotSupportedFault":
        case "com.amazonaws.elasticache#SnapshotFeatureNotSupportedFault":
            throw await de_SnapshotFeatureNotSupportedFaultRes(parsedOutput, context);
        case "SnapshotQuotaExceededFault":
        case "com.amazonaws.elasticache#SnapshotQuotaExceededFault":
            throw await de_SnapshotQuotaExceededFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateUserCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateUserCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_User(data.CreateUserResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateUserCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "DuplicateUserName":
        case "com.amazonaws.elasticache#DuplicateUserNameFault":
            throw await de_DuplicateUserNameFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        case "UserAlreadyExists":
        case "com.amazonaws.elasticache#UserAlreadyExistsFault":
            throw await de_UserAlreadyExistsFaultRes(parsedOutput, context);
        case "UserQuotaExceeded":
        case "com.amazonaws.elasticache#UserQuotaExceededFault":
            throw await de_UserQuotaExceededFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_CreateUserGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_CreateUserGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_UserGroup(data.CreateUserGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_CreateUserGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "DefaultUserRequired":
        case "com.amazonaws.elasticache#DefaultUserRequired":
            throw await de_DefaultUserRequiredRes(parsedOutput, context);
        case "DuplicateUserName":
        case "com.amazonaws.elasticache#DuplicateUserNameFault":
            throw await de_DuplicateUserNameFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        case "UserGroupAlreadyExists":
        case "com.amazonaws.elasticache#UserGroupAlreadyExistsFault":
            throw await de_UserGroupAlreadyExistsFaultRes(parsedOutput, context);
        case "UserGroupQuotaExceeded":
        case "com.amazonaws.elasticache#UserGroupQuotaExceededFault":
            throw await de_UserGroupQuotaExceededFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DecreaseNodeGroupsInGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DecreaseNodeGroupsInGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DecreaseNodeGroupsInGlobalReplicationGroupResult(data.DecreaseNodeGroupsInGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DecreaseNodeGroupsInGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DecreaseReplicaCountCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DecreaseReplicaCountCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DecreaseReplicaCountResult(data.DecreaseReplicaCountResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DecreaseReplicaCountCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClusterQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#ClusterQuotaForCustomerExceededFault":
            throw await de_ClusterQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NoOperationFault":
        case "com.amazonaws.elasticache#NoOperationFault":
            throw await de_NoOperationFaultRes(parsedOutput, context);
        case "NodeGroupsPerReplicationGroupQuotaExceeded":
        case "com.amazonaws.elasticache#NodeGroupsPerReplicationGroupQuotaExceededFault":
            throw await de_NodeGroupsPerReplicationGroupQuotaExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteCacheClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteCacheClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DeleteCacheClusterResult(data.DeleteCacheClusterResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DeleteCacheClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "SnapshotAlreadyExistsFault":
        case "com.amazonaws.elasticache#SnapshotAlreadyExistsFault":
            throw await de_SnapshotAlreadyExistsFaultRes(parsedOutput, context);
        case "SnapshotFeatureNotSupportedFault":
        case "com.amazonaws.elasticache#SnapshotFeatureNotSupportedFault":
            throw await de_SnapshotFeatureNotSupportedFaultRes(parsedOutput, context);
        case "SnapshotQuotaExceededFault":
        case "com.amazonaws.elasticache#SnapshotQuotaExceededFault":
            throw await de_SnapshotQuotaExceededFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteCacheParameterGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteCacheParameterGroupCommandError(output, context);
    }
    await collectBody(output.body, context);
    const response = {
        $metadata: deserializeMetadata(output),
    };
    return response;
};
const de_DeleteCacheParameterGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheParameterGroupState":
        case "com.amazonaws.elasticache#InvalidCacheParameterGroupStateFault":
            throw await de_InvalidCacheParameterGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteCacheSecurityGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteCacheSecurityGroupCommandError(output, context);
    }
    await collectBody(output.body, context);
    const response = {
        $metadata: deserializeMetadata(output),
    };
    return response;
};
const de_DeleteCacheSecurityGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheSecurityGroupState":
        case "com.amazonaws.elasticache#InvalidCacheSecurityGroupStateFault":
            throw await de_InvalidCacheSecurityGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteCacheSubnetGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteCacheSubnetGroupCommandError(output, context);
    }
    await collectBody(output.body, context);
    const response = {
        $metadata: deserializeMetadata(output),
    };
    return response;
};
const de_DeleteCacheSubnetGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSubnetGroupInUse":
        case "com.amazonaws.elasticache#CacheSubnetGroupInUse":
            throw await de_CacheSubnetGroupInUseRes(parsedOutput, context);
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DeleteGlobalReplicationGroupResult(data.DeleteGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DeleteGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DeleteReplicationGroupResult(data.DeleteReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DeleteReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "SnapshotAlreadyExistsFault":
        case "com.amazonaws.elasticache#SnapshotAlreadyExistsFault":
            throw await de_SnapshotAlreadyExistsFaultRes(parsedOutput, context);
        case "SnapshotFeatureNotSupportedFault":
        case "com.amazonaws.elasticache#SnapshotFeatureNotSupportedFault":
            throw await de_SnapshotFeatureNotSupportedFaultRes(parsedOutput, context);
        case "SnapshotQuotaExceededFault":
        case "com.amazonaws.elasticache#SnapshotQuotaExceededFault":
            throw await de_SnapshotQuotaExceededFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteSnapshotCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteSnapshotCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DeleteSnapshotResult(data.DeleteSnapshotResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DeleteSnapshotCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidSnapshotState":
        case "com.amazonaws.elasticache#InvalidSnapshotStateFault":
            throw await de_InvalidSnapshotStateFaultRes(parsedOutput, context);
        case "SnapshotNotFoundFault":
        case "com.amazonaws.elasticache#SnapshotNotFoundFault":
            throw await de_SnapshotNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteUserCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteUserCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_User(data.DeleteUserResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DeleteUserCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "DefaultUserAssociatedToUserGroup":
        case "com.amazonaws.elasticache#DefaultUserAssociatedToUserGroupFault":
            throw await de_DefaultUserAssociatedToUserGroupFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidUserState":
        case "com.amazonaws.elasticache#InvalidUserStateFault":
            throw await de_InvalidUserStateFaultRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DeleteUserGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DeleteUserGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_UserGroup(data.DeleteUserGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DeleteUserGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidUserGroupState":
        case "com.amazonaws.elasticache#InvalidUserGroupStateFault":
            throw await de_InvalidUserGroupStateFaultRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeCacheClustersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeCacheClustersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheClusterMessage(data.DescribeCacheClustersResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeCacheClustersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeCacheEngineVersionsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeCacheEngineVersionsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheEngineVersionMessage(data.DescribeCacheEngineVersionsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeCacheEngineVersionsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    const parsedBody = parsedOutput.body;
    return throwDefaultError({
        output,
        parsedBody: parsedBody.Error,
        errorCode,
    });
};
export const de_DescribeCacheParameterGroupsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeCacheParameterGroupsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheParameterGroupsMessage(data.DescribeCacheParameterGroupsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeCacheParameterGroupsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeCacheParametersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeCacheParametersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheParameterGroupDetails(data.DescribeCacheParametersResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeCacheParametersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeCacheSecurityGroupsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeCacheSecurityGroupsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheSecurityGroupMessage(data.DescribeCacheSecurityGroupsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeCacheSecurityGroupsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeCacheSubnetGroupsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeCacheSubnetGroupsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheSubnetGroupMessage(data.DescribeCacheSubnetGroupsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeCacheSubnetGroupsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeEngineDefaultParametersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeEngineDefaultParametersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DescribeEngineDefaultParametersResult(data.DescribeEngineDefaultParametersResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeEngineDefaultParametersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeEventsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeEventsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_EventsMessage(data.DescribeEventsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeEventsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeGlobalReplicationGroupsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeGlobalReplicationGroupsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DescribeGlobalReplicationGroupsResult(data.DescribeGlobalReplicationGroupsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeGlobalReplicationGroupsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeReplicationGroupsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeReplicationGroupsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ReplicationGroupMessage(data.DescribeReplicationGroupsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeReplicationGroupsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeReservedCacheNodesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeReservedCacheNodesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ReservedCacheNodeMessage(data.DescribeReservedCacheNodesResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeReservedCacheNodesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ReservedCacheNodeNotFound":
        case "com.amazonaws.elasticache#ReservedCacheNodeNotFoundFault":
            throw await de_ReservedCacheNodeNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeReservedCacheNodesOfferingsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeReservedCacheNodesOfferingsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ReservedCacheNodesOfferingMessage(data.DescribeReservedCacheNodesOfferingsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeReservedCacheNodesOfferingsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ReservedCacheNodesOfferingNotFound":
        case "com.amazonaws.elasticache#ReservedCacheNodesOfferingNotFoundFault":
            throw await de_ReservedCacheNodesOfferingNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeServiceUpdatesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeServiceUpdatesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ServiceUpdatesMessage(data.DescribeServiceUpdatesResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeServiceUpdatesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ServiceUpdateNotFoundFault":
        case "com.amazonaws.elasticache#ServiceUpdateNotFoundFault":
            throw await de_ServiceUpdateNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeSnapshotsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeSnapshotsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DescribeSnapshotsListMessage(data.DescribeSnapshotsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeSnapshotsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "SnapshotNotFoundFault":
        case "com.amazonaws.elasticache#SnapshotNotFoundFault":
            throw await de_SnapshotNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeUpdateActionsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeUpdateActionsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_UpdateActionsMessage(data.DescribeUpdateActionsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeUpdateActionsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeUserGroupsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeUserGroupsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DescribeUserGroupsResult(data.DescribeUserGroupsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeUserGroupsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DescribeUsersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DescribeUsersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DescribeUsersResult(data.DescribeUsersResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DescribeUsersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_DisassociateGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_DisassociateGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_DisassociateGlobalReplicationGroupResult(data.DisassociateGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_DisassociateGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_FailoverGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_FailoverGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_FailoverGlobalReplicationGroupResult(data.FailoverGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_FailoverGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_IncreaseNodeGroupsInGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_IncreaseNodeGroupsInGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_IncreaseNodeGroupsInGlobalReplicationGroupResult(data.IncreaseNodeGroupsInGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_IncreaseNodeGroupsInGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_IncreaseReplicaCountCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_IncreaseReplicaCountCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_IncreaseReplicaCountResult(data.IncreaseReplicaCountResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_IncreaseReplicaCountCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClusterQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#ClusterQuotaForCustomerExceededFault":
            throw await de_ClusterQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidKMSKeyFault":
        case "com.amazonaws.elasticache#InvalidKMSKeyFault":
            throw await de_InvalidKMSKeyFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NoOperationFault":
        case "com.amazonaws.elasticache#NoOperationFault":
            throw await de_NoOperationFaultRes(parsedOutput, context);
        case "NodeGroupsPerReplicationGroupQuotaExceeded":
        case "com.amazonaws.elasticache#NodeGroupsPerReplicationGroupQuotaExceededFault":
            throw await de_NodeGroupsPerReplicationGroupQuotaExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ListAllowedNodeTypeModificationsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ListAllowedNodeTypeModificationsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_AllowedNodeTypeModificationsMessage(data.ListAllowedNodeTypeModificationsResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ListAllowedNodeTypeModificationsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ListTagsForResourceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ListTagsForResourceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_TagListMessage(data.ListTagsForResourceResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ListTagsForResourceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidARN":
        case "com.amazonaws.elasticache#InvalidARNFault":
            throw await de_InvalidARNFaultRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "ReservedCacheNodeNotFound":
        case "com.amazonaws.elasticache#ReservedCacheNodeNotFoundFault":
            throw await de_ReservedCacheNodeNotFoundFaultRes(parsedOutput, context);
        case "SnapshotNotFoundFault":
        case "com.amazonaws.elasticache#SnapshotNotFoundFault":
            throw await de_SnapshotNotFoundFaultRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyCacheClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyCacheClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ModifyCacheClusterResult(data.ModifyCacheClusterResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyCacheClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidCacheSecurityGroupState":
        case "com.amazonaws.elasticache#InvalidCacheSecurityGroupStateFault":
            throw await de_InvalidCacheSecurityGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NodeQuotaForClusterExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForClusterExceededFault":
            throw await de_NodeQuotaForClusterExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyCacheParameterGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyCacheParameterGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheParameterGroupNameMessage(data.ModifyCacheParameterGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyCacheParameterGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheParameterGroupState":
        case "com.amazonaws.elasticache#InvalidCacheParameterGroupStateFault":
            throw await de_InvalidCacheParameterGroupStateFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyCacheSubnetGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyCacheSubnetGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ModifyCacheSubnetGroupResult(data.ModifyCacheSubnetGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyCacheSubnetGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSubnetQuotaExceededFault":
        case "com.amazonaws.elasticache#CacheSubnetQuotaExceededFault":
            throw await de_CacheSubnetQuotaExceededFaultRes(parsedOutput, context);
        case "InvalidSubnet":
        case "com.amazonaws.elasticache#InvalidSubnet":
            throw await de_InvalidSubnetRes(parsedOutput, context);
        case "SubnetInUse":
        case "com.amazonaws.elasticache#SubnetInUse":
            throw await de_SubnetInUseRes(parsedOutput, context);
        case "SubnetNotAllowedFault":
        case "com.amazonaws.elasticache#SubnetNotAllowedFault":
            throw await de_SubnetNotAllowedFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ModifyGlobalReplicationGroupResult(data.ModifyGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ModifyReplicationGroupResult(data.ModifyReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidCacheSecurityGroupState":
        case "com.amazonaws.elasticache#InvalidCacheSecurityGroupStateFault":
            throw await de_InvalidCacheSecurityGroupStateFaultRes(parsedOutput, context);
        case "InvalidKMSKeyFault":
        case "com.amazonaws.elasticache#InvalidKMSKeyFault":
            throw await de_InvalidKMSKeyFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidUserGroupState":
        case "com.amazonaws.elasticache#InvalidUserGroupStateFault":
            throw await de_InvalidUserGroupStateFaultRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NodeQuotaForClusterExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForClusterExceededFault":
            throw await de_NodeQuotaForClusterExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyReplicationGroupShardConfigurationCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyReplicationGroupShardConfigurationCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_ModifyReplicationGroupShardConfigurationResult(data.ModifyReplicationGroupShardConfigurationResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyReplicationGroupShardConfigurationCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InsufficientCacheClusterCapacity":
        case "com.amazonaws.elasticache#InsufficientCacheClusterCapacityFault":
            throw await de_InsufficientCacheClusterCapacityFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidKMSKeyFault":
        case "com.amazonaws.elasticache#InvalidKMSKeyFault":
            throw await de_InvalidKMSKeyFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidVPCNetworkStateFault":
        case "com.amazonaws.elasticache#InvalidVPCNetworkStateFault":
            throw await de_InvalidVPCNetworkStateFaultRes(parsedOutput, context);
        case "NodeGroupsPerReplicationGroupQuotaExceeded":
        case "com.amazonaws.elasticache#NodeGroupsPerReplicationGroupQuotaExceededFault":
            throw await de_NodeGroupsPerReplicationGroupQuotaExceededFaultRes(parsedOutput, context);
        case "NodeQuotaForCustomerExceeded":
        case "com.amazonaws.elasticache#NodeQuotaForCustomerExceededFault":
            throw await de_NodeQuotaForCustomerExceededFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyUserCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyUserCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_User(data.ModifyUserResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyUserCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidUserState":
        case "com.amazonaws.elasticache#InvalidUserStateFault":
            throw await de_InvalidUserStateFaultRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ModifyUserGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ModifyUserGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_UserGroup(data.ModifyUserGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ModifyUserGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "DefaultUserRequired":
        case "com.amazonaws.elasticache#DefaultUserRequired":
            throw await de_DefaultUserRequiredRes(parsedOutput, context);
        case "DuplicateUserName":
        case "com.amazonaws.elasticache#DuplicateUserNameFault":
            throw await de_DuplicateUserNameFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidUserGroupState":
        case "com.amazonaws.elasticache#InvalidUserGroupStateFault":
            throw await de_InvalidUserGroupStateFaultRes(parsedOutput, context);
        case "ServiceLinkedRoleNotFoundFault":
        case "com.amazonaws.elasticache#ServiceLinkedRoleNotFoundFault":
            throw await de_ServiceLinkedRoleNotFoundFaultRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_PurchaseReservedCacheNodesOfferingCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_PurchaseReservedCacheNodesOfferingCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_PurchaseReservedCacheNodesOfferingResult(data.PurchaseReservedCacheNodesOfferingResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_PurchaseReservedCacheNodesOfferingCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "ReservedCacheNodeAlreadyExists":
        case "com.amazonaws.elasticache#ReservedCacheNodeAlreadyExistsFault":
            throw await de_ReservedCacheNodeAlreadyExistsFaultRes(parsedOutput, context);
        case "ReservedCacheNodeQuotaExceeded":
        case "com.amazonaws.elasticache#ReservedCacheNodeQuotaExceededFault":
            throw await de_ReservedCacheNodeQuotaExceededFaultRes(parsedOutput, context);
        case "ReservedCacheNodesOfferingNotFound":
        case "com.amazonaws.elasticache#ReservedCacheNodesOfferingNotFoundFault":
            throw await de_ReservedCacheNodesOfferingNotFoundFaultRes(parsedOutput, context);
        case "TagQuotaPerResourceExceeded":
        case "com.amazonaws.elasticache#TagQuotaPerResourceExceeded":
            throw await de_TagQuotaPerResourceExceededRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_RebalanceSlotsInGlobalReplicationGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_RebalanceSlotsInGlobalReplicationGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_RebalanceSlotsInGlobalReplicationGroupResult(data.RebalanceSlotsInGlobalReplicationGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_RebalanceSlotsInGlobalReplicationGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "GlobalReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#GlobalReplicationGroupNotFoundFault":
            throw await de_GlobalReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_RebootCacheClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_RebootCacheClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_RebootCacheClusterResult(data.RebootCacheClusterResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_RebootCacheClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_RemoveTagsFromResourceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_RemoveTagsFromResourceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_TagListMessage(data.RemoveTagsFromResourceResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_RemoveTagsFromResourceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheClusterNotFound":
        case "com.amazonaws.elasticache#CacheClusterNotFoundFault":
            throw await de_CacheClusterNotFoundFaultRes(parsedOutput, context);
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "CacheSubnetGroupNotFoundFault":
        case "com.amazonaws.elasticache#CacheSubnetGroupNotFoundFault":
            throw await de_CacheSubnetGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidARN":
        case "com.amazonaws.elasticache#InvalidARNFault":
            throw await de_InvalidARNFaultRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "ReservedCacheNodeNotFound":
        case "com.amazonaws.elasticache#ReservedCacheNodeNotFoundFault":
            throw await de_ReservedCacheNodeNotFoundFaultRes(parsedOutput, context);
        case "SnapshotNotFoundFault":
        case "com.amazonaws.elasticache#SnapshotNotFoundFault":
            throw await de_SnapshotNotFoundFaultRes(parsedOutput, context);
        case "TagNotFound":
        case "com.amazonaws.elasticache#TagNotFoundFault":
            throw await de_TagNotFoundFaultRes(parsedOutput, context);
        case "UserGroupNotFound":
        case "com.amazonaws.elasticache#UserGroupNotFoundFault":
            throw await de_UserGroupNotFoundFaultRes(parsedOutput, context);
        case "UserNotFound":
        case "com.amazonaws.elasticache#UserNotFoundFault":
            throw await de_UserNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_ResetCacheParameterGroupCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_ResetCacheParameterGroupCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_CacheParameterGroupNameMessage(data.ResetCacheParameterGroupResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_ResetCacheParameterGroupCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "CacheParameterGroupNotFound":
        case "com.amazonaws.elasticache#CacheParameterGroupNotFoundFault":
            throw await de_CacheParameterGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheParameterGroupState":
        case "com.amazonaws.elasticache#InvalidCacheParameterGroupStateFault":
            throw await de_InvalidCacheParameterGroupStateFaultRes(parsedOutput, context);
        case "InvalidGlobalReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidGlobalReplicationGroupStateFault":
            throw await de_InvalidGlobalReplicationGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_RevokeCacheSecurityGroupIngressCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_RevokeCacheSecurityGroupIngressCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_RevokeCacheSecurityGroupIngressResult(data.RevokeCacheSecurityGroupIngressResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_RevokeCacheSecurityGroupIngressCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AuthorizationNotFound":
        case "com.amazonaws.elasticache#AuthorizationNotFoundFault":
            throw await de_AuthorizationNotFoundFaultRes(parsedOutput, context);
        case "CacheSecurityGroupNotFound":
        case "com.amazonaws.elasticache#CacheSecurityGroupNotFoundFault":
            throw await de_CacheSecurityGroupNotFoundFaultRes(parsedOutput, context);
        case "InvalidCacheSecurityGroupState":
        case "com.amazonaws.elasticache#InvalidCacheSecurityGroupStateFault":
            throw await de_InvalidCacheSecurityGroupStateFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_StartMigrationCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_StartMigrationCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_StartMigrationResponse(data.StartMigrationResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_StartMigrationCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupAlreadyUnderMigrationFault":
        case "com.amazonaws.elasticache#ReplicationGroupAlreadyUnderMigrationFault":
            throw await de_ReplicationGroupAlreadyUnderMigrationFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_TestFailoverCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_TestFailoverCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_TestFailoverResult(data.TestFailoverResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_TestFailoverCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "APICallRateForCustomerExceeded":
        case "com.amazonaws.elasticache#APICallRateForCustomerExceededFault":
            throw await de_APICallRateForCustomerExceededFaultRes(parsedOutput, context);
        case "InvalidCacheClusterState":
        case "com.amazonaws.elasticache#InvalidCacheClusterStateFault":
            throw await de_InvalidCacheClusterStateFaultRes(parsedOutput, context);
        case "InvalidKMSKeyFault":
        case "com.amazonaws.elasticache#InvalidKMSKeyFault":
            throw await de_InvalidKMSKeyFaultRes(parsedOutput, context);
        case "InvalidParameterCombination":
        case "com.amazonaws.elasticache#InvalidParameterCombinationException":
            throw await de_InvalidParameterCombinationExceptionRes(parsedOutput, context);
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "NodeGroupNotFoundFault":
        case "com.amazonaws.elasticache#NodeGroupNotFoundFault":
            throw await de_NodeGroupNotFoundFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        case "TestFailoverNotAvailableFault":
        case "com.amazonaws.elasticache#TestFailoverNotAvailableFault":
            throw await de_TestFailoverNotAvailableFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
export const de_TestMigrationCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return de_TestMigrationCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = de_TestMigrationResponse(data.TestMigrationResult, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return response;
};
const de_TestMigrationCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadQueryErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "InvalidParameterValue":
        case "com.amazonaws.elasticache#InvalidParameterValueException":
            throw await de_InvalidParameterValueExceptionRes(parsedOutput, context);
        case "InvalidReplicationGroupState":
        case "com.amazonaws.elasticache#InvalidReplicationGroupStateFault":
            throw await de_InvalidReplicationGroupStateFaultRes(parsedOutput, context);
        case "ReplicationGroupAlreadyUnderMigrationFault":
        case "com.amazonaws.elasticache#ReplicationGroupAlreadyUnderMigrationFault":
            throw await de_ReplicationGroupAlreadyUnderMigrationFaultRes(parsedOutput, context);
        case "ReplicationGroupNotFoundFault":
        case "com.amazonaws.elasticache#ReplicationGroupNotFoundFault":
            throw await de_ReplicationGroupNotFoundFaultRes(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            return throwDefaultError({
                output,
                parsedBody: parsedBody.Error,
                errorCode,
            });
    }
};
const de_APICallRateForCustomerExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_APICallRateForCustomerExceededFault(body.Error, context);
    const exception = new APICallRateForCustomerExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_AuthorizationAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_AuthorizationAlreadyExistsFault(body.Error, context);
    const exception = new AuthorizationAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_AuthorizationNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_AuthorizationNotFoundFault(body.Error, context);
    const exception = new AuthorizationNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheClusterAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheClusterAlreadyExistsFault(body.Error, context);
    const exception = new CacheClusterAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheClusterNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheClusterNotFoundFault(body.Error, context);
    const exception = new CacheClusterNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheParameterGroupAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheParameterGroupAlreadyExistsFault(body.Error, context);
    const exception = new CacheParameterGroupAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheParameterGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheParameterGroupNotFoundFault(body.Error, context);
    const exception = new CacheParameterGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheParameterGroupQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheParameterGroupQuotaExceededFault(body.Error, context);
    const exception = new CacheParameterGroupQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSecurityGroupAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSecurityGroupAlreadyExistsFault(body.Error, context);
    const exception = new CacheSecurityGroupAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSecurityGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSecurityGroupNotFoundFault(body.Error, context);
    const exception = new CacheSecurityGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSecurityGroupQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSecurityGroupQuotaExceededFault(body.Error, context);
    const exception = new CacheSecurityGroupQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSubnetGroupAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSubnetGroupAlreadyExistsFault(body.Error, context);
    const exception = new CacheSubnetGroupAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSubnetGroupInUseRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSubnetGroupInUse(body.Error, context);
    const exception = new CacheSubnetGroupInUse({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSubnetGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSubnetGroupNotFoundFault(body.Error, context);
    const exception = new CacheSubnetGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSubnetGroupQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSubnetGroupQuotaExceededFault(body.Error, context);
    const exception = new CacheSubnetGroupQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_CacheSubnetQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_CacheSubnetQuotaExceededFault(body.Error, context);
    const exception = new CacheSubnetQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ClusterQuotaForCustomerExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ClusterQuotaForCustomerExceededFault(body.Error, context);
    const exception = new ClusterQuotaForCustomerExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_DefaultUserAssociatedToUserGroupFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_DefaultUserAssociatedToUserGroupFault(body.Error, context);
    const exception = new DefaultUserAssociatedToUserGroupFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_DefaultUserRequiredRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_DefaultUserRequired(body.Error, context);
    const exception = new DefaultUserRequired({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_DuplicateUserNameFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_DuplicateUserNameFault(body.Error, context);
    const exception = new DuplicateUserNameFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_GlobalReplicationGroupAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_GlobalReplicationGroupAlreadyExistsFault(body.Error, context);
    const exception = new GlobalReplicationGroupAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_GlobalReplicationGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_GlobalReplicationGroupNotFoundFault(body.Error, context);
    const exception = new GlobalReplicationGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InsufficientCacheClusterCapacityFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InsufficientCacheClusterCapacityFault(body.Error, context);
    const exception = new InsufficientCacheClusterCapacityFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidARNFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidARNFault(body.Error, context);
    const exception = new InvalidARNFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidCacheClusterStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidCacheClusterStateFault(body.Error, context);
    const exception = new InvalidCacheClusterStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidCacheParameterGroupStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidCacheParameterGroupStateFault(body.Error, context);
    const exception = new InvalidCacheParameterGroupStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidCacheSecurityGroupStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidCacheSecurityGroupStateFault(body.Error, context);
    const exception = new InvalidCacheSecurityGroupStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidGlobalReplicationGroupStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidGlobalReplicationGroupStateFault(body.Error, context);
    const exception = new InvalidGlobalReplicationGroupStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidKMSKeyFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidKMSKeyFault(body.Error, context);
    const exception = new InvalidKMSKeyFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidParameterCombinationExceptionRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidParameterCombinationException(body.Error, context);
    const exception = new InvalidParameterCombinationException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidParameterValueExceptionRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidParameterValueException(body.Error, context);
    const exception = new InvalidParameterValueException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidReplicationGroupStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidReplicationGroupStateFault(body.Error, context);
    const exception = new InvalidReplicationGroupStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidSnapshotStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidSnapshotStateFault(body.Error, context);
    const exception = new InvalidSnapshotStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidSubnetRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidSubnet(body.Error, context);
    const exception = new InvalidSubnet({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidUserGroupStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidUserGroupStateFault(body.Error, context);
    const exception = new InvalidUserGroupStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidUserStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidUserStateFault(body.Error, context);
    const exception = new InvalidUserStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_InvalidVPCNetworkStateFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_InvalidVPCNetworkStateFault(body.Error, context);
    const exception = new InvalidVPCNetworkStateFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_NodeGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_NodeGroupNotFoundFault(body.Error, context);
    const exception = new NodeGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_NodeGroupsPerReplicationGroupQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_NodeGroupsPerReplicationGroupQuotaExceededFault(body.Error, context);
    const exception = new NodeGroupsPerReplicationGroupQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_NodeQuotaForClusterExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_NodeQuotaForClusterExceededFault(body.Error, context);
    const exception = new NodeQuotaForClusterExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_NodeQuotaForCustomerExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_NodeQuotaForCustomerExceededFault(body.Error, context);
    const exception = new NodeQuotaForCustomerExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_NoOperationFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_NoOperationFault(body.Error, context);
    const exception = new NoOperationFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReplicationGroupAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReplicationGroupAlreadyExistsFault(body.Error, context);
    const exception = new ReplicationGroupAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReplicationGroupAlreadyUnderMigrationFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReplicationGroupAlreadyUnderMigrationFault(body.Error, context);
    const exception = new ReplicationGroupAlreadyUnderMigrationFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReplicationGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReplicationGroupNotFoundFault(body.Error, context);
    const exception = new ReplicationGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReplicationGroupNotUnderMigrationFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReplicationGroupNotUnderMigrationFault(body.Error, context);
    const exception = new ReplicationGroupNotUnderMigrationFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReservedCacheNodeAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReservedCacheNodeAlreadyExistsFault(body.Error, context);
    const exception = new ReservedCacheNodeAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReservedCacheNodeNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReservedCacheNodeNotFoundFault(body.Error, context);
    const exception = new ReservedCacheNodeNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReservedCacheNodeQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReservedCacheNodeQuotaExceededFault(body.Error, context);
    const exception = new ReservedCacheNodeQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ReservedCacheNodesOfferingNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ReservedCacheNodesOfferingNotFoundFault(body.Error, context);
    const exception = new ReservedCacheNodesOfferingNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ServiceLinkedRoleNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ServiceLinkedRoleNotFoundFault(body.Error, context);
    const exception = new ServiceLinkedRoleNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_ServiceUpdateNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_ServiceUpdateNotFoundFault(body.Error, context);
    const exception = new ServiceUpdateNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_SnapshotAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_SnapshotAlreadyExistsFault(body.Error, context);
    const exception = new SnapshotAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_SnapshotFeatureNotSupportedFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_SnapshotFeatureNotSupportedFault(body.Error, context);
    const exception = new SnapshotFeatureNotSupportedFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_SnapshotNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_SnapshotNotFoundFault(body.Error, context);
    const exception = new SnapshotNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_SnapshotQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_SnapshotQuotaExceededFault(body.Error, context);
    const exception = new SnapshotQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_SubnetInUseRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_SubnetInUse(body.Error, context);
    const exception = new SubnetInUse({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_SubnetNotAllowedFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_SubnetNotAllowedFault(body.Error, context);
    const exception = new SubnetNotAllowedFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_TagNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_TagNotFoundFault(body.Error, context);
    const exception = new TagNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_TagQuotaPerResourceExceededRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_TagQuotaPerResourceExceeded(body.Error, context);
    const exception = new TagQuotaPerResourceExceeded({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_TestFailoverNotAvailableFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_TestFailoverNotAvailableFault(body.Error, context);
    const exception = new TestFailoverNotAvailableFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_UserAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_UserAlreadyExistsFault(body.Error, context);
    const exception = new UserAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_UserGroupAlreadyExistsFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_UserGroupAlreadyExistsFault(body.Error, context);
    const exception = new UserGroupAlreadyExistsFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_UserGroupNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_UserGroupNotFoundFault(body.Error, context);
    const exception = new UserGroupNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_UserGroupQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_UserGroupQuotaExceededFault(body.Error, context);
    const exception = new UserGroupQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_UserNotFoundFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_UserNotFoundFault(body.Error, context);
    const exception = new UserNotFoundFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const de_UserQuotaExceededFaultRes = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = de_UserQuotaExceededFault(body.Error, context);
    const exception = new UserQuotaExceededFault({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const se_AddTagsToResourceMessage = (input, context) => {
    const entries = {};
    if (input.ResourceName != null) {
        entries["ResourceName"] = input.ResourceName;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_AuthenticationMode = (input, context) => {
    const entries = {};
    if (input.Type != null) {
        entries["Type"] = input.Type;
    }
    if (input.Passwords != null) {
        const memberEntries = se_PasswordListInput(input.Passwords, context);
        if (input.Passwords?.length === 0) {
            entries.Passwords = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Passwords.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_AuthorizeCacheSecurityGroupIngressMessage = (input, context) => {
    const entries = {};
    if (input.CacheSecurityGroupName != null) {
        entries["CacheSecurityGroupName"] = input.CacheSecurityGroupName;
    }
    if (input.EC2SecurityGroupName != null) {
        entries["EC2SecurityGroupName"] = input.EC2SecurityGroupName;
    }
    if (input.EC2SecurityGroupOwnerId != null) {
        entries["EC2SecurityGroupOwnerId"] = input.EC2SecurityGroupOwnerId;
    }
    return entries;
};
const se_AvailabilityZonesList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`AvailabilityZone.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_BatchApplyUpdateActionMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupIds != null) {
        const memberEntries = se_ReplicationGroupIdList(input.ReplicationGroupIds, context);
        if (input.ReplicationGroupIds?.length === 0) {
            entries.ReplicationGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicationGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.CacheClusterIds != null) {
        const memberEntries = se_CacheClusterIdList(input.CacheClusterIds, context);
        if (input.CacheClusterIds?.length === 0) {
            entries.CacheClusterIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheClusterIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ServiceUpdateName != null) {
        entries["ServiceUpdateName"] = input.ServiceUpdateName;
    }
    return entries;
};
const se_BatchStopUpdateActionMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupIds != null) {
        const memberEntries = se_ReplicationGroupIdList(input.ReplicationGroupIds, context);
        if (input.ReplicationGroupIds?.length === 0) {
            entries.ReplicationGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicationGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.CacheClusterIds != null) {
        const memberEntries = se_CacheClusterIdList(input.CacheClusterIds, context);
        if (input.CacheClusterIds?.length === 0) {
            entries.CacheClusterIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheClusterIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ServiceUpdateName != null) {
        entries["ServiceUpdateName"] = input.ServiceUpdateName;
    }
    return entries;
};
const se_CacheClusterIdList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_CacheNodeIdsList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`CacheNodeId.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_CacheSecurityGroupNameList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`CacheSecurityGroupName.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_CloudWatchLogsDestinationDetails = (input, context) => {
    const entries = {};
    if (input.LogGroup != null) {
        entries["LogGroup"] = input.LogGroup;
    }
    return entries;
};
const se_CompleteMigrationMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.Force != null) {
        entries["Force"] = input.Force;
    }
    return entries;
};
const se_ConfigureShard = (input, context) => {
    const entries = {};
    if (input.NodeGroupId != null) {
        entries["NodeGroupId"] = input.NodeGroupId;
    }
    if (input.NewReplicaCount != null) {
        entries["NewReplicaCount"] = input.NewReplicaCount;
    }
    if (input.PreferredAvailabilityZones != null) {
        const memberEntries = se_PreferredAvailabilityZoneList(input.PreferredAvailabilityZones, context);
        if (input.PreferredAvailabilityZones?.length === 0) {
            entries.PreferredAvailabilityZones = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `PreferredAvailabilityZones.${key}`;
            entries[loc] = value;
        });
    }
    if (input.PreferredOutpostArns != null) {
        const memberEntries = se_PreferredOutpostArnList(input.PreferredOutpostArns, context);
        if (input.PreferredOutpostArns?.length === 0) {
            entries.PreferredOutpostArns = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `PreferredOutpostArns.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CopySnapshotMessage = (input, context) => {
    const entries = {};
    if (input.SourceSnapshotName != null) {
        entries["SourceSnapshotName"] = input.SourceSnapshotName;
    }
    if (input.TargetSnapshotName != null) {
        entries["TargetSnapshotName"] = input.TargetSnapshotName;
    }
    if (input.TargetBucket != null) {
        entries["TargetBucket"] = input.TargetBucket;
    }
    if (input.KmsKeyId != null) {
        entries["KmsKeyId"] = input.KmsKeyId;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CreateCacheClusterMessage = (input, context) => {
    const entries = {};
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.AZMode != null) {
        entries["AZMode"] = input.AZMode;
    }
    if (input.PreferredAvailabilityZone != null) {
        entries["PreferredAvailabilityZone"] = input.PreferredAvailabilityZone;
    }
    if (input.PreferredAvailabilityZones != null) {
        const memberEntries = se_PreferredAvailabilityZoneList(input.PreferredAvailabilityZones, context);
        if (input.PreferredAvailabilityZones?.length === 0) {
            entries.PreferredAvailabilityZones = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `PreferredAvailabilityZones.${key}`;
            entries[loc] = value;
        });
    }
    if (input.NumCacheNodes != null) {
        entries["NumCacheNodes"] = input.NumCacheNodes;
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.EngineVersion != null) {
        entries["EngineVersion"] = input.EngineVersion;
    }
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.CacheSubnetGroupName != null) {
        entries["CacheSubnetGroupName"] = input.CacheSubnetGroupName;
    }
    if (input.CacheSecurityGroupNames != null) {
        const memberEntries = se_CacheSecurityGroupNameList(input.CacheSecurityGroupNames, context);
        if (input.CacheSecurityGroupNames?.length === 0) {
            entries.CacheSecurityGroupNames = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheSecurityGroupNames.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SecurityGroupIds != null) {
        const memberEntries = se_SecurityGroupIdsList(input.SecurityGroupIds, context);
        if (input.SecurityGroupIds?.length === 0) {
            entries.SecurityGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SecurityGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SnapshotArns != null) {
        const memberEntries = se_SnapshotArnsList(input.SnapshotArns, context);
        if (input.SnapshotArns?.length === 0) {
            entries.SnapshotArns = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SnapshotArns.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SnapshotName != null) {
        entries["SnapshotName"] = input.SnapshotName;
    }
    if (input.PreferredMaintenanceWindow != null) {
        entries["PreferredMaintenanceWindow"] = input.PreferredMaintenanceWindow;
    }
    if (input.Port != null) {
        entries["Port"] = input.Port;
    }
    if (input.NotificationTopicArn != null) {
        entries["NotificationTopicArn"] = input.NotificationTopicArn;
    }
    if (input.AutoMinorVersionUpgrade != null) {
        entries["AutoMinorVersionUpgrade"] = input.AutoMinorVersionUpgrade;
    }
    if (input.SnapshotRetentionLimit != null) {
        entries["SnapshotRetentionLimit"] = input.SnapshotRetentionLimit;
    }
    if (input.SnapshotWindow != null) {
        entries["SnapshotWindow"] = input.SnapshotWindow;
    }
    if (input.AuthToken != null) {
        entries["AuthToken"] = input.AuthToken;
    }
    if (input.OutpostMode != null) {
        entries["OutpostMode"] = input.OutpostMode;
    }
    if (input.PreferredOutpostArn != null) {
        entries["PreferredOutpostArn"] = input.PreferredOutpostArn;
    }
    if (input.PreferredOutpostArns != null) {
        const memberEntries = se_PreferredOutpostArnList(input.PreferredOutpostArns, context);
        if (input.PreferredOutpostArns?.length === 0) {
            entries.PreferredOutpostArns = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `PreferredOutpostArns.${key}`;
            entries[loc] = value;
        });
    }
    if (input.LogDeliveryConfigurations != null) {
        const memberEntries = se_LogDeliveryConfigurationRequestList(input.LogDeliveryConfigurations, context);
        if (input.LogDeliveryConfigurations?.length === 0) {
            entries.LogDeliveryConfigurations = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `LogDeliveryConfigurations.${key}`;
            entries[loc] = value;
        });
    }
    if (input.TransitEncryptionEnabled != null) {
        entries["TransitEncryptionEnabled"] = input.TransitEncryptionEnabled;
    }
    if (input.NetworkType != null) {
        entries["NetworkType"] = input.NetworkType;
    }
    if (input.IpDiscovery != null) {
        entries["IpDiscovery"] = input.IpDiscovery;
    }
    return entries;
};
const se_CreateCacheParameterGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.CacheParameterGroupFamily != null) {
        entries["CacheParameterGroupFamily"] = input.CacheParameterGroupFamily;
    }
    if (input.Description != null) {
        entries["Description"] = input.Description;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CreateCacheSecurityGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheSecurityGroupName != null) {
        entries["CacheSecurityGroupName"] = input.CacheSecurityGroupName;
    }
    if (input.Description != null) {
        entries["Description"] = input.Description;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CreateCacheSubnetGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheSubnetGroupName != null) {
        entries["CacheSubnetGroupName"] = input.CacheSubnetGroupName;
    }
    if (input.CacheSubnetGroupDescription != null) {
        entries["CacheSubnetGroupDescription"] = input.CacheSubnetGroupDescription;
    }
    if (input.SubnetIds != null) {
        const memberEntries = se_SubnetIdentifierList(input.SubnetIds, context);
        if (input.SubnetIds?.length === 0) {
            entries.SubnetIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SubnetIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CreateGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupIdSuffix != null) {
        entries["GlobalReplicationGroupIdSuffix"] = input.GlobalReplicationGroupIdSuffix;
    }
    if (input.GlobalReplicationGroupDescription != null) {
        entries["GlobalReplicationGroupDescription"] = input.GlobalReplicationGroupDescription;
    }
    if (input.PrimaryReplicationGroupId != null) {
        entries["PrimaryReplicationGroupId"] = input.PrimaryReplicationGroupId;
    }
    return entries;
};
const se_CreateReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.ReplicationGroupDescription != null) {
        entries["ReplicationGroupDescription"] = input.ReplicationGroupDescription;
    }
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.PrimaryClusterId != null) {
        entries["PrimaryClusterId"] = input.PrimaryClusterId;
    }
    if (input.AutomaticFailoverEnabled != null) {
        entries["AutomaticFailoverEnabled"] = input.AutomaticFailoverEnabled;
    }
    if (input.MultiAZEnabled != null) {
        entries["MultiAZEnabled"] = input.MultiAZEnabled;
    }
    if (input.NumCacheClusters != null) {
        entries["NumCacheClusters"] = input.NumCacheClusters;
    }
    if (input.PreferredCacheClusterAZs != null) {
        const memberEntries = se_AvailabilityZonesList(input.PreferredCacheClusterAZs, context);
        if (input.PreferredCacheClusterAZs?.length === 0) {
            entries.PreferredCacheClusterAZs = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `PreferredCacheClusterAZs.${key}`;
            entries[loc] = value;
        });
    }
    if (input.NumNodeGroups != null) {
        entries["NumNodeGroups"] = input.NumNodeGroups;
    }
    if (input.ReplicasPerNodeGroup != null) {
        entries["ReplicasPerNodeGroup"] = input.ReplicasPerNodeGroup;
    }
    if (input.NodeGroupConfiguration != null) {
        const memberEntries = se_NodeGroupConfigurationList(input.NodeGroupConfiguration, context);
        if (input.NodeGroupConfiguration?.length === 0) {
            entries.NodeGroupConfiguration = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `NodeGroupConfiguration.${key}`;
            entries[loc] = value;
        });
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.EngineVersion != null) {
        entries["EngineVersion"] = input.EngineVersion;
    }
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.CacheSubnetGroupName != null) {
        entries["CacheSubnetGroupName"] = input.CacheSubnetGroupName;
    }
    if (input.CacheSecurityGroupNames != null) {
        const memberEntries = se_CacheSecurityGroupNameList(input.CacheSecurityGroupNames, context);
        if (input.CacheSecurityGroupNames?.length === 0) {
            entries.CacheSecurityGroupNames = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheSecurityGroupNames.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SecurityGroupIds != null) {
        const memberEntries = se_SecurityGroupIdsList(input.SecurityGroupIds, context);
        if (input.SecurityGroupIds?.length === 0) {
            entries.SecurityGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SecurityGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SnapshotArns != null) {
        const memberEntries = se_SnapshotArnsList(input.SnapshotArns, context);
        if (input.SnapshotArns?.length === 0) {
            entries.SnapshotArns = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SnapshotArns.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SnapshotName != null) {
        entries["SnapshotName"] = input.SnapshotName;
    }
    if (input.PreferredMaintenanceWindow != null) {
        entries["PreferredMaintenanceWindow"] = input.PreferredMaintenanceWindow;
    }
    if (input.Port != null) {
        entries["Port"] = input.Port;
    }
    if (input.NotificationTopicArn != null) {
        entries["NotificationTopicArn"] = input.NotificationTopicArn;
    }
    if (input.AutoMinorVersionUpgrade != null) {
        entries["AutoMinorVersionUpgrade"] = input.AutoMinorVersionUpgrade;
    }
    if (input.SnapshotRetentionLimit != null) {
        entries["SnapshotRetentionLimit"] = input.SnapshotRetentionLimit;
    }
    if (input.SnapshotWindow != null) {
        entries["SnapshotWindow"] = input.SnapshotWindow;
    }
    if (input.AuthToken != null) {
        entries["AuthToken"] = input.AuthToken;
    }
    if (input.TransitEncryptionEnabled != null) {
        entries["TransitEncryptionEnabled"] = input.TransitEncryptionEnabled;
    }
    if (input.AtRestEncryptionEnabled != null) {
        entries["AtRestEncryptionEnabled"] = input.AtRestEncryptionEnabled;
    }
    if (input.KmsKeyId != null) {
        entries["KmsKeyId"] = input.KmsKeyId;
    }
    if (input.UserGroupIds != null) {
        const memberEntries = se_UserGroupIdListInput(input.UserGroupIds, context);
        if (input.UserGroupIds?.length === 0) {
            entries.UserGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UserGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.LogDeliveryConfigurations != null) {
        const memberEntries = se_LogDeliveryConfigurationRequestList(input.LogDeliveryConfigurations, context);
        if (input.LogDeliveryConfigurations?.length === 0) {
            entries.LogDeliveryConfigurations = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `LogDeliveryConfigurations.${key}`;
            entries[loc] = value;
        });
    }
    if (input.DataTieringEnabled != null) {
        entries["DataTieringEnabled"] = input.DataTieringEnabled;
    }
    if (input.NetworkType != null) {
        entries["NetworkType"] = input.NetworkType;
    }
    if (input.IpDiscovery != null) {
        entries["IpDiscovery"] = input.IpDiscovery;
    }
    if (input.TransitEncryptionMode != null) {
        entries["TransitEncryptionMode"] = input.TransitEncryptionMode;
    }
    if (input.ClusterMode != null) {
        entries["ClusterMode"] = input.ClusterMode;
    }
    return entries;
};
const se_CreateSnapshotMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.SnapshotName != null) {
        entries["SnapshotName"] = input.SnapshotName;
    }
    if (input.KmsKeyId != null) {
        entries["KmsKeyId"] = input.KmsKeyId;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CreateUserGroupMessage = (input, context) => {
    const entries = {};
    if (input.UserGroupId != null) {
        entries["UserGroupId"] = input.UserGroupId;
    }
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.UserIds != null) {
        const memberEntries = se_UserIdListInput(input.UserIds, context);
        if (input.UserIds?.length === 0) {
            entries.UserIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UserIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CreateUserMessage = (input, context) => {
    const entries = {};
    if (input.UserId != null) {
        entries["UserId"] = input.UserId;
    }
    if (input.UserName != null) {
        entries["UserName"] = input.UserName;
    }
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.Passwords != null) {
        const memberEntries = se_PasswordListInput(input.Passwords, context);
        if (input.Passwords?.length === 0) {
            entries.Passwords = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Passwords.${key}`;
            entries[loc] = value;
        });
    }
    if (input.AccessString != null) {
        entries["AccessString"] = input.AccessString;
    }
    if (input.NoPasswordRequired != null) {
        entries["NoPasswordRequired"] = input.NoPasswordRequired;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    if (input.AuthenticationMode != null) {
        const memberEntries = se_AuthenticationMode(input.AuthenticationMode, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `AuthenticationMode.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_CustomerNodeEndpoint = (input, context) => {
    const entries = {};
    if (input.Address != null) {
        entries["Address"] = input.Address;
    }
    if (input.Port != null) {
        entries["Port"] = input.Port;
    }
    return entries;
};
const se_CustomerNodeEndpointList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_CustomerNodeEndpoint(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`member.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_DecreaseNodeGroupsInGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.NodeGroupCount != null) {
        entries["NodeGroupCount"] = input.NodeGroupCount;
    }
    if (input.GlobalNodeGroupsToRemove != null) {
        const memberEntries = se_GlobalNodeGroupIdList(input.GlobalNodeGroupsToRemove, context);
        if (input.GlobalNodeGroupsToRemove?.length === 0) {
            entries.GlobalNodeGroupsToRemove = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `GlobalNodeGroupsToRemove.${key}`;
            entries[loc] = value;
        });
    }
    if (input.GlobalNodeGroupsToRetain != null) {
        const memberEntries = se_GlobalNodeGroupIdList(input.GlobalNodeGroupsToRetain, context);
        if (input.GlobalNodeGroupsToRetain?.length === 0) {
            entries.GlobalNodeGroupsToRetain = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `GlobalNodeGroupsToRetain.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    return entries;
};
const se_DecreaseReplicaCountMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.NewReplicaCount != null) {
        entries["NewReplicaCount"] = input.NewReplicaCount;
    }
    if (input.ReplicaConfiguration != null) {
        const memberEntries = se_ReplicaConfigurationList(input.ReplicaConfiguration, context);
        if (input.ReplicaConfiguration?.length === 0) {
            entries.ReplicaConfiguration = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicaConfiguration.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ReplicasToRemove != null) {
        const memberEntries = se_RemoveReplicasList(input.ReplicasToRemove, context);
        if (input.ReplicasToRemove?.length === 0) {
            entries.ReplicasToRemove = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicasToRemove.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    return entries;
};
const se_DeleteCacheClusterMessage = (input, context) => {
    const entries = {};
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.FinalSnapshotIdentifier != null) {
        entries["FinalSnapshotIdentifier"] = input.FinalSnapshotIdentifier;
    }
    return entries;
};
const se_DeleteCacheParameterGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    return entries;
};
const se_DeleteCacheSecurityGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheSecurityGroupName != null) {
        entries["CacheSecurityGroupName"] = input.CacheSecurityGroupName;
    }
    return entries;
};
const se_DeleteCacheSubnetGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheSubnetGroupName != null) {
        entries["CacheSubnetGroupName"] = input.CacheSubnetGroupName;
    }
    return entries;
};
const se_DeleteGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.RetainPrimaryReplicationGroup != null) {
        entries["RetainPrimaryReplicationGroup"] = input.RetainPrimaryReplicationGroup;
    }
    return entries;
};
const se_DeleteReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.RetainPrimaryCluster != null) {
        entries["RetainPrimaryCluster"] = input.RetainPrimaryCluster;
    }
    if (input.FinalSnapshotIdentifier != null) {
        entries["FinalSnapshotIdentifier"] = input.FinalSnapshotIdentifier;
    }
    return entries;
};
const se_DeleteSnapshotMessage = (input, context) => {
    const entries = {};
    if (input.SnapshotName != null) {
        entries["SnapshotName"] = input.SnapshotName;
    }
    return entries;
};
const se_DeleteUserGroupMessage = (input, context) => {
    const entries = {};
    if (input.UserGroupId != null) {
        entries["UserGroupId"] = input.UserGroupId;
    }
    return entries;
};
const se_DeleteUserMessage = (input, context) => {
    const entries = {};
    if (input.UserId != null) {
        entries["UserId"] = input.UserId;
    }
    return entries;
};
const se_DescribeCacheClustersMessage = (input, context) => {
    const entries = {};
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    if (input.ShowCacheNodeInfo != null) {
        entries["ShowCacheNodeInfo"] = input.ShowCacheNodeInfo;
    }
    if (input.ShowCacheClustersNotInReplicationGroups != null) {
        entries["ShowCacheClustersNotInReplicationGroups"] = input.ShowCacheClustersNotInReplicationGroups;
    }
    return entries;
};
const se_DescribeCacheEngineVersionsMessage = (input, context) => {
    const entries = {};
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.EngineVersion != null) {
        entries["EngineVersion"] = input.EngineVersion;
    }
    if (input.CacheParameterGroupFamily != null) {
        entries["CacheParameterGroupFamily"] = input.CacheParameterGroupFamily;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    if (input.DefaultOnly != null) {
        entries["DefaultOnly"] = input.DefaultOnly;
    }
    return entries;
};
const se_DescribeCacheParameterGroupsMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeCacheParametersMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.Source != null) {
        entries["Source"] = input.Source;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeCacheSecurityGroupsMessage = (input, context) => {
    const entries = {};
    if (input.CacheSecurityGroupName != null) {
        entries["CacheSecurityGroupName"] = input.CacheSecurityGroupName;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeCacheSubnetGroupsMessage = (input, context) => {
    const entries = {};
    if (input.CacheSubnetGroupName != null) {
        entries["CacheSubnetGroupName"] = input.CacheSubnetGroupName;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeEngineDefaultParametersMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupFamily != null) {
        entries["CacheParameterGroupFamily"] = input.CacheParameterGroupFamily;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeEventsMessage = (input, context) => {
    const entries = {};
    if (input.SourceIdentifier != null) {
        entries["SourceIdentifier"] = input.SourceIdentifier;
    }
    if (input.SourceType != null) {
        entries["SourceType"] = input.SourceType;
    }
    if (input.StartTime != null) {
        entries["StartTime"] = input.StartTime.toISOString().split(".")[0] + "Z";
    }
    if (input.EndTime != null) {
        entries["EndTime"] = input.EndTime.toISOString().split(".")[0] + "Z";
    }
    if (input.Duration != null) {
        entries["Duration"] = input.Duration;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeGlobalReplicationGroupsMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    if (input.ShowMemberInfo != null) {
        entries["ShowMemberInfo"] = input.ShowMemberInfo;
    }
    return entries;
};
const se_DescribeReplicationGroupsMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeReservedCacheNodesMessage = (input, context) => {
    const entries = {};
    if (input.ReservedCacheNodeId != null) {
        entries["ReservedCacheNodeId"] = input.ReservedCacheNodeId;
    }
    if (input.ReservedCacheNodesOfferingId != null) {
        entries["ReservedCacheNodesOfferingId"] = input.ReservedCacheNodesOfferingId;
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.Duration != null) {
        entries["Duration"] = input.Duration;
    }
    if (input.ProductDescription != null) {
        entries["ProductDescription"] = input.ProductDescription;
    }
    if (input.OfferingType != null) {
        entries["OfferingType"] = input.OfferingType;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeReservedCacheNodesOfferingsMessage = (input, context) => {
    const entries = {};
    if (input.ReservedCacheNodesOfferingId != null) {
        entries["ReservedCacheNodesOfferingId"] = input.ReservedCacheNodesOfferingId;
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.Duration != null) {
        entries["Duration"] = input.Duration;
    }
    if (input.ProductDescription != null) {
        entries["ProductDescription"] = input.ProductDescription;
    }
    if (input.OfferingType != null) {
        entries["OfferingType"] = input.OfferingType;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeServiceUpdatesMessage = (input, context) => {
    const entries = {};
    if (input.ServiceUpdateName != null) {
        entries["ServiceUpdateName"] = input.ServiceUpdateName;
    }
    if (input.ServiceUpdateStatus != null) {
        const memberEntries = se_ServiceUpdateStatusList(input.ServiceUpdateStatus, context);
        if (input.ServiceUpdateStatus?.length === 0) {
            entries.ServiceUpdateStatus = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ServiceUpdateStatus.${key}`;
            entries[loc] = value;
        });
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeSnapshotsMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.SnapshotName != null) {
        entries["SnapshotName"] = input.SnapshotName;
    }
    if (input.SnapshotSource != null) {
        entries["SnapshotSource"] = input.SnapshotSource;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.ShowNodeGroupConfig != null) {
        entries["ShowNodeGroupConfig"] = input.ShowNodeGroupConfig;
    }
    return entries;
};
const se_DescribeUpdateActionsMessage = (input, context) => {
    const entries = {};
    if (input.ServiceUpdateName != null) {
        entries["ServiceUpdateName"] = input.ServiceUpdateName;
    }
    if (input.ReplicationGroupIds != null) {
        const memberEntries = se_ReplicationGroupIdList(input.ReplicationGroupIds, context);
        if (input.ReplicationGroupIds?.length === 0) {
            entries.ReplicationGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicationGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.CacheClusterIds != null) {
        const memberEntries = se_CacheClusterIdList(input.CacheClusterIds, context);
        if (input.CacheClusterIds?.length === 0) {
            entries.CacheClusterIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheClusterIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.ServiceUpdateStatus != null) {
        const memberEntries = se_ServiceUpdateStatusList(input.ServiceUpdateStatus, context);
        if (input.ServiceUpdateStatus?.length === 0) {
            entries.ServiceUpdateStatus = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ServiceUpdateStatus.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ServiceUpdateTimeRange != null) {
        const memberEntries = se_TimeRangeFilter(input.ServiceUpdateTimeRange, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ServiceUpdateTimeRange.${key}`;
            entries[loc] = value;
        });
    }
    if (input.UpdateActionStatus != null) {
        const memberEntries = se_UpdateActionStatusList(input.UpdateActionStatus, context);
        if (input.UpdateActionStatus?.length === 0) {
            entries.UpdateActionStatus = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UpdateActionStatus.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ShowNodeLevelUpdateStatus != null) {
        entries["ShowNodeLevelUpdateStatus"] = input.ShowNodeLevelUpdateStatus;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeUserGroupsMessage = (input, context) => {
    const entries = {};
    if (input.UserGroupId != null) {
        entries["UserGroupId"] = input.UserGroupId;
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DescribeUsersMessage = (input, context) => {
    const entries = {};
    if (input.Engine != null) {
        entries["Engine"] = input.Engine;
    }
    if (input.UserId != null) {
        entries["UserId"] = input.UserId;
    }
    if (input.Filters != null) {
        const memberEntries = se_FilterList(input.Filters, context);
        if (input.Filters?.length === 0) {
            entries.Filters = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Filters.${key}`;
            entries[loc] = value;
        });
    }
    if (input.MaxRecords != null) {
        entries["MaxRecords"] = input.MaxRecords;
    }
    if (input.Marker != null) {
        entries["Marker"] = input.Marker;
    }
    return entries;
};
const se_DestinationDetails = (input, context) => {
    const entries = {};
    if (input.CloudWatchLogsDetails != null) {
        const memberEntries = se_CloudWatchLogsDestinationDetails(input.CloudWatchLogsDetails, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CloudWatchLogsDetails.${key}`;
            entries[loc] = value;
        });
    }
    if (input.KinesisFirehoseDetails != null) {
        const memberEntries = se_KinesisFirehoseDestinationDetails(input.KinesisFirehoseDetails, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `KinesisFirehoseDetails.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_DisassociateGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.ReplicationGroupRegion != null) {
        entries["ReplicationGroupRegion"] = input.ReplicationGroupRegion;
    }
    return entries;
};
const se_FailoverGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.PrimaryRegion != null) {
        entries["PrimaryRegion"] = input.PrimaryRegion;
    }
    if (input.PrimaryReplicationGroupId != null) {
        entries["PrimaryReplicationGroupId"] = input.PrimaryReplicationGroupId;
    }
    return entries;
};
const se_Filter = (input, context) => {
    const entries = {};
    if (input.Name != null) {
        entries["Name"] = input.Name;
    }
    if (input.Values != null) {
        const memberEntries = se_FilterValueList(input.Values, context);
        if (input.Values?.length === 0) {
            entries.Values = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Values.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_FilterList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_Filter(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`member.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_FilterValueList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_GlobalNodeGroupIdList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`GlobalNodeGroupId.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_IncreaseNodeGroupsInGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.NodeGroupCount != null) {
        entries["NodeGroupCount"] = input.NodeGroupCount;
    }
    if (input.RegionalConfigurations != null) {
        const memberEntries = se_RegionalConfigurationList(input.RegionalConfigurations, context);
        if (input.RegionalConfigurations?.length === 0) {
            entries.RegionalConfigurations = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `RegionalConfigurations.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    return entries;
};
const se_IncreaseReplicaCountMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.NewReplicaCount != null) {
        entries["NewReplicaCount"] = input.NewReplicaCount;
    }
    if (input.ReplicaConfiguration != null) {
        const memberEntries = se_ReplicaConfigurationList(input.ReplicaConfiguration, context);
        if (input.ReplicaConfiguration?.length === 0) {
            entries.ReplicaConfiguration = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicaConfiguration.${key}`;
            entries[loc] = value;
        });
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    return entries;
};
const se_KeyList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_KinesisFirehoseDestinationDetails = (input, context) => {
    const entries = {};
    if (input.DeliveryStream != null) {
        entries["DeliveryStream"] = input.DeliveryStream;
    }
    return entries;
};
const se_ListAllowedNodeTypeModificationsMessage = (input, context) => {
    const entries = {};
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    return entries;
};
const se_ListTagsForResourceMessage = (input, context) => {
    const entries = {};
    if (input.ResourceName != null) {
        entries["ResourceName"] = input.ResourceName;
    }
    return entries;
};
const se_LogDeliveryConfigurationRequest = (input, context) => {
    const entries = {};
    if (input.LogType != null) {
        entries["LogType"] = input.LogType;
    }
    if (input.DestinationType != null) {
        entries["DestinationType"] = input.DestinationType;
    }
    if (input.DestinationDetails != null) {
        const memberEntries = se_DestinationDetails(input.DestinationDetails, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `DestinationDetails.${key}`;
            entries[loc] = value;
        });
    }
    if (input.LogFormat != null) {
        entries["LogFormat"] = input.LogFormat;
    }
    if (input.Enabled != null) {
        entries["Enabled"] = input.Enabled;
    }
    return entries;
};
const se_LogDeliveryConfigurationRequestList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_LogDeliveryConfigurationRequest(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`LogDeliveryConfigurationRequest.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_ModifyCacheClusterMessage = (input, context) => {
    const entries = {};
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.NumCacheNodes != null) {
        entries["NumCacheNodes"] = input.NumCacheNodes;
    }
    if (input.CacheNodeIdsToRemove != null) {
        const memberEntries = se_CacheNodeIdsList(input.CacheNodeIdsToRemove, context);
        if (input.CacheNodeIdsToRemove?.length === 0) {
            entries.CacheNodeIdsToRemove = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheNodeIdsToRemove.${key}`;
            entries[loc] = value;
        });
    }
    if (input.AZMode != null) {
        entries["AZMode"] = input.AZMode;
    }
    if (input.NewAvailabilityZones != null) {
        const memberEntries = se_PreferredAvailabilityZoneList(input.NewAvailabilityZones, context);
        if (input.NewAvailabilityZones?.length === 0) {
            entries.NewAvailabilityZones = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `NewAvailabilityZones.${key}`;
            entries[loc] = value;
        });
    }
    if (input.CacheSecurityGroupNames != null) {
        const memberEntries = se_CacheSecurityGroupNameList(input.CacheSecurityGroupNames, context);
        if (input.CacheSecurityGroupNames?.length === 0) {
            entries.CacheSecurityGroupNames = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheSecurityGroupNames.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SecurityGroupIds != null) {
        const memberEntries = se_SecurityGroupIdsList(input.SecurityGroupIds, context);
        if (input.SecurityGroupIds?.length === 0) {
            entries.SecurityGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SecurityGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.PreferredMaintenanceWindow != null) {
        entries["PreferredMaintenanceWindow"] = input.PreferredMaintenanceWindow;
    }
    if (input.NotificationTopicArn != null) {
        entries["NotificationTopicArn"] = input.NotificationTopicArn;
    }
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.NotificationTopicStatus != null) {
        entries["NotificationTopicStatus"] = input.NotificationTopicStatus;
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    if (input.EngineVersion != null) {
        entries["EngineVersion"] = input.EngineVersion;
    }
    if (input.AutoMinorVersionUpgrade != null) {
        entries["AutoMinorVersionUpgrade"] = input.AutoMinorVersionUpgrade;
    }
    if (input.SnapshotRetentionLimit != null) {
        entries["SnapshotRetentionLimit"] = input.SnapshotRetentionLimit;
    }
    if (input.SnapshotWindow != null) {
        entries["SnapshotWindow"] = input.SnapshotWindow;
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.AuthToken != null) {
        entries["AuthToken"] = input.AuthToken;
    }
    if (input.AuthTokenUpdateStrategy != null) {
        entries["AuthTokenUpdateStrategy"] = input.AuthTokenUpdateStrategy;
    }
    if (input.LogDeliveryConfigurations != null) {
        const memberEntries = se_LogDeliveryConfigurationRequestList(input.LogDeliveryConfigurations, context);
        if (input.LogDeliveryConfigurations?.length === 0) {
            entries.LogDeliveryConfigurations = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `LogDeliveryConfigurations.${key}`;
            entries[loc] = value;
        });
    }
    if (input.IpDiscovery != null) {
        entries["IpDiscovery"] = input.IpDiscovery;
    }
    return entries;
};
const se_ModifyCacheParameterGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.ParameterNameValues != null) {
        const memberEntries = se_ParameterNameValueList(input.ParameterNameValues, context);
        if (input.ParameterNameValues?.length === 0) {
            entries.ParameterNameValues = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ParameterNameValues.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ModifyCacheSubnetGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheSubnetGroupName != null) {
        entries["CacheSubnetGroupName"] = input.CacheSubnetGroupName;
    }
    if (input.CacheSubnetGroupDescription != null) {
        entries["CacheSubnetGroupDescription"] = input.CacheSubnetGroupDescription;
    }
    if (input.SubnetIds != null) {
        const memberEntries = se_SubnetIdentifierList(input.SubnetIds, context);
        if (input.SubnetIds?.length === 0) {
            entries.SubnetIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SubnetIds.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ModifyGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.EngineVersion != null) {
        entries["EngineVersion"] = input.EngineVersion;
    }
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.GlobalReplicationGroupDescription != null) {
        entries["GlobalReplicationGroupDescription"] = input.GlobalReplicationGroupDescription;
    }
    if (input.AutomaticFailoverEnabled != null) {
        entries["AutomaticFailoverEnabled"] = input.AutomaticFailoverEnabled;
    }
    return entries;
};
const se_ModifyReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.ReplicationGroupDescription != null) {
        entries["ReplicationGroupDescription"] = input.ReplicationGroupDescription;
    }
    if (input.PrimaryClusterId != null) {
        entries["PrimaryClusterId"] = input.PrimaryClusterId;
    }
    if (input.SnapshottingClusterId != null) {
        entries["SnapshottingClusterId"] = input.SnapshottingClusterId;
    }
    if (input.AutomaticFailoverEnabled != null) {
        entries["AutomaticFailoverEnabled"] = input.AutomaticFailoverEnabled;
    }
    if (input.MultiAZEnabled != null) {
        entries["MultiAZEnabled"] = input.MultiAZEnabled;
    }
    if (input.NodeGroupId != null) {
        entries["NodeGroupId"] = input.NodeGroupId;
    }
    if (input.CacheSecurityGroupNames != null) {
        const memberEntries = se_CacheSecurityGroupNameList(input.CacheSecurityGroupNames, context);
        if (input.CacheSecurityGroupNames?.length === 0) {
            entries.CacheSecurityGroupNames = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheSecurityGroupNames.${key}`;
            entries[loc] = value;
        });
    }
    if (input.SecurityGroupIds != null) {
        const memberEntries = se_SecurityGroupIdsList(input.SecurityGroupIds, context);
        if (input.SecurityGroupIds?.length === 0) {
            entries.SecurityGroupIds = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `SecurityGroupIds.${key}`;
            entries[loc] = value;
        });
    }
    if (input.PreferredMaintenanceWindow != null) {
        entries["PreferredMaintenanceWindow"] = input.PreferredMaintenanceWindow;
    }
    if (input.NotificationTopicArn != null) {
        entries["NotificationTopicArn"] = input.NotificationTopicArn;
    }
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.NotificationTopicStatus != null) {
        entries["NotificationTopicStatus"] = input.NotificationTopicStatus;
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    if (input.EngineVersion != null) {
        entries["EngineVersion"] = input.EngineVersion;
    }
    if (input.AutoMinorVersionUpgrade != null) {
        entries["AutoMinorVersionUpgrade"] = input.AutoMinorVersionUpgrade;
    }
    if (input.SnapshotRetentionLimit != null) {
        entries["SnapshotRetentionLimit"] = input.SnapshotRetentionLimit;
    }
    if (input.SnapshotWindow != null) {
        entries["SnapshotWindow"] = input.SnapshotWindow;
    }
    if (input.CacheNodeType != null) {
        entries["CacheNodeType"] = input.CacheNodeType;
    }
    if (input.AuthToken != null) {
        entries["AuthToken"] = input.AuthToken;
    }
    if (input.AuthTokenUpdateStrategy != null) {
        entries["AuthTokenUpdateStrategy"] = input.AuthTokenUpdateStrategy;
    }
    if (input.UserGroupIdsToAdd != null) {
        const memberEntries = se_UserGroupIdList(input.UserGroupIdsToAdd, context);
        if (input.UserGroupIdsToAdd?.length === 0) {
            entries.UserGroupIdsToAdd = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UserGroupIdsToAdd.${key}`;
            entries[loc] = value;
        });
    }
    if (input.UserGroupIdsToRemove != null) {
        const memberEntries = se_UserGroupIdList(input.UserGroupIdsToRemove, context);
        if (input.UserGroupIdsToRemove?.length === 0) {
            entries.UserGroupIdsToRemove = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UserGroupIdsToRemove.${key}`;
            entries[loc] = value;
        });
    }
    if (input.RemoveUserGroups != null) {
        entries["RemoveUserGroups"] = input.RemoveUserGroups;
    }
    if (input.LogDeliveryConfigurations != null) {
        const memberEntries = se_LogDeliveryConfigurationRequestList(input.LogDeliveryConfigurations, context);
        if (input.LogDeliveryConfigurations?.length === 0) {
            entries.LogDeliveryConfigurations = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `LogDeliveryConfigurations.${key}`;
            entries[loc] = value;
        });
    }
    if (input.IpDiscovery != null) {
        entries["IpDiscovery"] = input.IpDiscovery;
    }
    if (input.TransitEncryptionEnabled != null) {
        entries["TransitEncryptionEnabled"] = input.TransitEncryptionEnabled;
    }
    if (input.TransitEncryptionMode != null) {
        entries["TransitEncryptionMode"] = input.TransitEncryptionMode;
    }
    if (input.ClusterMode != null) {
        entries["ClusterMode"] = input.ClusterMode;
    }
    return entries;
};
const se_ModifyReplicationGroupShardConfigurationMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.NodeGroupCount != null) {
        entries["NodeGroupCount"] = input.NodeGroupCount;
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    if (input.ReshardingConfiguration != null) {
        const memberEntries = se_ReshardingConfigurationList(input.ReshardingConfiguration, context);
        if (input.ReshardingConfiguration?.length === 0) {
            entries.ReshardingConfiguration = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReshardingConfiguration.${key}`;
            entries[loc] = value;
        });
    }
    if (input.NodeGroupsToRemove != null) {
        const memberEntries = se_NodeGroupsToRemoveList(input.NodeGroupsToRemove, context);
        if (input.NodeGroupsToRemove?.length === 0) {
            entries.NodeGroupsToRemove = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `NodeGroupsToRemove.${key}`;
            entries[loc] = value;
        });
    }
    if (input.NodeGroupsToRetain != null) {
        const memberEntries = se_NodeGroupsToRetainList(input.NodeGroupsToRetain, context);
        if (input.NodeGroupsToRetain?.length === 0) {
            entries.NodeGroupsToRetain = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `NodeGroupsToRetain.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ModifyUserGroupMessage = (input, context) => {
    const entries = {};
    if (input.UserGroupId != null) {
        entries["UserGroupId"] = input.UserGroupId;
    }
    if (input.UserIdsToAdd != null) {
        const memberEntries = se_UserIdListInput(input.UserIdsToAdd, context);
        if (input.UserIdsToAdd?.length === 0) {
            entries.UserIdsToAdd = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UserIdsToAdd.${key}`;
            entries[loc] = value;
        });
    }
    if (input.UserIdsToRemove != null) {
        const memberEntries = se_UserIdListInput(input.UserIdsToRemove, context);
        if (input.UserIdsToRemove?.length === 0) {
            entries.UserIdsToRemove = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `UserIdsToRemove.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ModifyUserMessage = (input, context) => {
    const entries = {};
    if (input.UserId != null) {
        entries["UserId"] = input.UserId;
    }
    if (input.AccessString != null) {
        entries["AccessString"] = input.AccessString;
    }
    if (input.AppendAccessString != null) {
        entries["AppendAccessString"] = input.AppendAccessString;
    }
    if (input.Passwords != null) {
        const memberEntries = se_PasswordListInput(input.Passwords, context);
        if (input.Passwords?.length === 0) {
            entries.Passwords = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Passwords.${key}`;
            entries[loc] = value;
        });
    }
    if (input.NoPasswordRequired != null) {
        entries["NoPasswordRequired"] = input.NoPasswordRequired;
    }
    if (input.AuthenticationMode != null) {
        const memberEntries = se_AuthenticationMode(input.AuthenticationMode, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `AuthenticationMode.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_NodeGroupConfiguration = (input, context) => {
    const entries = {};
    if (input.NodeGroupId != null) {
        entries["NodeGroupId"] = input.NodeGroupId;
    }
    if (input.Slots != null) {
        entries["Slots"] = input.Slots;
    }
    if (input.ReplicaCount != null) {
        entries["ReplicaCount"] = input.ReplicaCount;
    }
    if (input.PrimaryAvailabilityZone != null) {
        entries["PrimaryAvailabilityZone"] = input.PrimaryAvailabilityZone;
    }
    if (input.ReplicaAvailabilityZones != null) {
        const memberEntries = se_AvailabilityZonesList(input.ReplicaAvailabilityZones, context);
        if (input.ReplicaAvailabilityZones?.length === 0) {
            entries.ReplicaAvailabilityZones = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicaAvailabilityZones.${key}`;
            entries[loc] = value;
        });
    }
    if (input.PrimaryOutpostArn != null) {
        entries["PrimaryOutpostArn"] = input.PrimaryOutpostArn;
    }
    if (input.ReplicaOutpostArns != null) {
        const memberEntries = se_OutpostArnsList(input.ReplicaOutpostArns, context);
        if (input.ReplicaOutpostArns?.length === 0) {
            entries.ReplicaOutpostArns = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReplicaOutpostArns.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_NodeGroupConfigurationList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_NodeGroupConfiguration(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`NodeGroupConfiguration.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_NodeGroupsToRemoveList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`NodeGroupToRemove.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_NodeGroupsToRetainList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`NodeGroupToRetain.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_OutpostArnsList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`OutpostArn.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_ParameterNameValue = (input, context) => {
    const entries = {};
    if (input.ParameterName != null) {
        entries["ParameterName"] = input.ParameterName;
    }
    if (input.ParameterValue != null) {
        entries["ParameterValue"] = input.ParameterValue;
    }
    return entries;
};
const se_ParameterNameValueList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_ParameterNameValue(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`ParameterNameValue.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_PasswordListInput = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_PreferredAvailabilityZoneList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`PreferredAvailabilityZone.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_PreferredOutpostArnList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`PreferredOutpostArn.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_PurchaseReservedCacheNodesOfferingMessage = (input, context) => {
    const entries = {};
    if (input.ReservedCacheNodesOfferingId != null) {
        entries["ReservedCacheNodesOfferingId"] = input.ReservedCacheNodesOfferingId;
    }
    if (input.ReservedCacheNodeId != null) {
        entries["ReservedCacheNodeId"] = input.ReservedCacheNodeId;
    }
    if (input.CacheNodeCount != null) {
        entries["CacheNodeCount"] = input.CacheNodeCount;
    }
    if (input.Tags != null) {
        const memberEntries = se_TagList(input.Tags, context);
        if (input.Tags?.length === 0) {
            entries.Tags = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `Tags.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_RebalanceSlotsInGlobalReplicationGroupMessage = (input, context) => {
    const entries = {};
    if (input.GlobalReplicationGroupId != null) {
        entries["GlobalReplicationGroupId"] = input.GlobalReplicationGroupId;
    }
    if (input.ApplyImmediately != null) {
        entries["ApplyImmediately"] = input.ApplyImmediately;
    }
    return entries;
};
const se_RebootCacheClusterMessage = (input, context) => {
    const entries = {};
    if (input.CacheClusterId != null) {
        entries["CacheClusterId"] = input.CacheClusterId;
    }
    if (input.CacheNodeIdsToReboot != null) {
        const memberEntries = se_CacheNodeIdsList(input.CacheNodeIdsToReboot, context);
        if (input.CacheNodeIdsToReboot?.length === 0) {
            entries.CacheNodeIdsToReboot = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CacheNodeIdsToReboot.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_RegionalConfiguration = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.ReplicationGroupRegion != null) {
        entries["ReplicationGroupRegion"] = input.ReplicationGroupRegion;
    }
    if (input.ReshardingConfiguration != null) {
        const memberEntries = se_ReshardingConfigurationList(input.ReshardingConfiguration, context);
        if (input.ReshardingConfiguration?.length === 0) {
            entries.ReshardingConfiguration = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ReshardingConfiguration.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_RegionalConfigurationList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_RegionalConfiguration(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`RegionalConfiguration.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_RemoveReplicasList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_RemoveTagsFromResourceMessage = (input, context) => {
    const entries = {};
    if (input.ResourceName != null) {
        entries["ResourceName"] = input.ResourceName;
    }
    if (input.TagKeys != null) {
        const memberEntries = se_KeyList(input.TagKeys, context);
        if (input.TagKeys?.length === 0) {
            entries.TagKeys = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `TagKeys.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ReplicaConfigurationList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_ConfigureShard(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`ConfigureShard.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_ReplicationGroupIdList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_ResetCacheParameterGroupMessage = (input, context) => {
    const entries = {};
    if (input.CacheParameterGroupName != null) {
        entries["CacheParameterGroupName"] = input.CacheParameterGroupName;
    }
    if (input.ResetAllParameters != null) {
        entries["ResetAllParameters"] = input.ResetAllParameters;
    }
    if (input.ParameterNameValues != null) {
        const memberEntries = se_ParameterNameValueList(input.ParameterNameValues, context);
        if (input.ParameterNameValues?.length === 0) {
            entries.ParameterNameValues = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `ParameterNameValues.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ReshardingConfiguration = (input, context) => {
    const entries = {};
    if (input.NodeGroupId != null) {
        entries["NodeGroupId"] = input.NodeGroupId;
    }
    if (input.PreferredAvailabilityZones != null) {
        const memberEntries = se_AvailabilityZonesList(input.PreferredAvailabilityZones, context);
        if (input.PreferredAvailabilityZones?.length === 0) {
            entries.PreferredAvailabilityZones = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `PreferredAvailabilityZones.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_ReshardingConfigurationList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_ReshardingConfiguration(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`ReshardingConfiguration.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_RevokeCacheSecurityGroupIngressMessage = (input, context) => {
    const entries = {};
    if (input.CacheSecurityGroupName != null) {
        entries["CacheSecurityGroupName"] = input.CacheSecurityGroupName;
    }
    if (input.EC2SecurityGroupName != null) {
        entries["EC2SecurityGroupName"] = input.EC2SecurityGroupName;
    }
    if (input.EC2SecurityGroupOwnerId != null) {
        entries["EC2SecurityGroupOwnerId"] = input.EC2SecurityGroupOwnerId;
    }
    return entries;
};
const se_SecurityGroupIdsList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`SecurityGroupId.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_ServiceUpdateStatusList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_SnapshotArnsList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`SnapshotArn.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_StartMigrationMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.CustomerNodeEndpointList != null) {
        const memberEntries = se_CustomerNodeEndpointList(input.CustomerNodeEndpointList, context);
        if (input.CustomerNodeEndpointList?.length === 0) {
            entries.CustomerNodeEndpointList = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CustomerNodeEndpointList.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_SubnetIdentifierList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`SubnetIdentifier.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_Tag = (input, context) => {
    const entries = {};
    if (input.Key != null) {
        entries["Key"] = input.Key;
    }
    if (input.Value != null) {
        entries["Value"] = input.Value;
    }
    return entries;
};
const se_TagList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        const memberEntries = se_Tag(entry, context);
        Object.entries(memberEntries).forEach(([key, value]) => {
            entries[`Tag.${counter}.${key}`] = value;
        });
        counter++;
    }
    return entries;
};
const se_TestFailoverMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.NodeGroupId != null) {
        entries["NodeGroupId"] = input.NodeGroupId;
    }
    return entries;
};
const se_TestMigrationMessage = (input, context) => {
    const entries = {};
    if (input.ReplicationGroupId != null) {
        entries["ReplicationGroupId"] = input.ReplicationGroupId;
    }
    if (input.CustomerNodeEndpointList != null) {
        const memberEntries = se_CustomerNodeEndpointList(input.CustomerNodeEndpointList, context);
        if (input.CustomerNodeEndpointList?.length === 0) {
            entries.CustomerNodeEndpointList = [];
        }
        Object.entries(memberEntries).forEach(([key, value]) => {
            const loc = `CustomerNodeEndpointList.${key}`;
            entries[loc] = value;
        });
    }
    return entries;
};
const se_TimeRangeFilter = (input, context) => {
    const entries = {};
    if (input.StartTime != null) {
        entries["StartTime"] = input.StartTime.toISOString().split(".")[0] + "Z";
    }
    if (input.EndTime != null) {
        entries["EndTime"] = input.EndTime.toISOString().split(".")[0] + "Z";
    }
    return entries;
};
const se_UpdateActionStatusList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_UserGroupIdList = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_UserGroupIdListInput = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const se_UserIdListInput = (input, context) => {
    const entries = {};
    let counter = 1;
    for (const entry of input) {
        if (entry === null) {
            continue;
        }
        entries[`member.${counter}`] = entry;
        counter++;
    }
    return entries;
};
const de_AllowedNodeTypeModificationsMessage = (output, context) => {
    const contents = {};
    if (output.ScaleUpModifications === "") {
        contents.ScaleUpModifications = [];
    }
    else if (output["ScaleUpModifications"] !== undefined && output["ScaleUpModifications"]["member"] !== undefined) {
        contents.ScaleUpModifications = de_NodeTypeList(__getArrayIfSingleItem(output["ScaleUpModifications"]["member"]), context);
    }
    if (output.ScaleDownModifications === "") {
        contents.ScaleDownModifications = [];
    }
    else if (output["ScaleDownModifications"] !== undefined &&
        output["ScaleDownModifications"]["member"] !== undefined) {
        contents.ScaleDownModifications = de_NodeTypeList(__getArrayIfSingleItem(output["ScaleDownModifications"]["member"]), context);
    }
    return contents;
};
const de_APICallRateForCustomerExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_Authentication = (output, context) => {
    const contents = {};
    if (output["Type"] !== undefined) {
        contents.Type = __expectString(output["Type"]);
    }
    if (output["PasswordCount"] !== undefined) {
        contents.PasswordCount = __strictParseInt32(output["PasswordCount"]);
    }
    return contents;
};
const de_AuthorizationAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_AuthorizationNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_AuthorizeCacheSecurityGroupIngressResult = (output, context) => {
    const contents = {};
    if (output["CacheSecurityGroup"] !== undefined) {
        contents.CacheSecurityGroup = de_CacheSecurityGroup(output["CacheSecurityGroup"], context);
    }
    return contents;
};
const de_AvailabilityZone = (output, context) => {
    const contents = {};
    if (output["Name"] !== undefined) {
        contents.Name = __expectString(output["Name"]);
    }
    return contents;
};
const de_AvailabilityZonesList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_CacheCluster = (output, context) => {
    const contents = {};
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["ConfigurationEndpoint"] !== undefined) {
        contents.ConfigurationEndpoint = de_Endpoint(output["ConfigurationEndpoint"], context);
    }
    if (output["ClientDownloadLandingPage"] !== undefined) {
        contents.ClientDownloadLandingPage = __expectString(output["ClientDownloadLandingPage"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output["EngineVersion"] !== undefined) {
        contents.EngineVersion = __expectString(output["EngineVersion"]);
    }
    if (output["CacheClusterStatus"] !== undefined) {
        contents.CacheClusterStatus = __expectString(output["CacheClusterStatus"]);
    }
    if (output["NumCacheNodes"] !== undefined) {
        contents.NumCacheNodes = __strictParseInt32(output["NumCacheNodes"]);
    }
    if (output["PreferredAvailabilityZone"] !== undefined) {
        contents.PreferredAvailabilityZone = __expectString(output["PreferredAvailabilityZone"]);
    }
    if (output["PreferredOutpostArn"] !== undefined) {
        contents.PreferredOutpostArn = __expectString(output["PreferredOutpostArn"]);
    }
    if (output["CacheClusterCreateTime"] !== undefined) {
        contents.CacheClusterCreateTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["CacheClusterCreateTime"]));
    }
    if (output["PreferredMaintenanceWindow"] !== undefined) {
        contents.PreferredMaintenanceWindow = __expectString(output["PreferredMaintenanceWindow"]);
    }
    if (output["PendingModifiedValues"] !== undefined) {
        contents.PendingModifiedValues = de_PendingModifiedValues(output["PendingModifiedValues"], context);
    }
    if (output["NotificationConfiguration"] !== undefined) {
        contents.NotificationConfiguration = de_NotificationConfiguration(output["NotificationConfiguration"], context);
    }
    if (output.CacheSecurityGroups === "") {
        contents.CacheSecurityGroups = [];
    }
    else if (output["CacheSecurityGroups"] !== undefined &&
        output["CacheSecurityGroups"]["CacheSecurityGroup"] !== undefined) {
        contents.CacheSecurityGroups = de_CacheSecurityGroupMembershipList(__getArrayIfSingleItem(output["CacheSecurityGroups"]["CacheSecurityGroup"]), context);
    }
    if (output["CacheParameterGroup"] !== undefined) {
        contents.CacheParameterGroup = de_CacheParameterGroupStatus(output["CacheParameterGroup"], context);
    }
    if (output["CacheSubnetGroupName"] !== undefined) {
        contents.CacheSubnetGroupName = __expectString(output["CacheSubnetGroupName"]);
    }
    if (output.CacheNodes === "") {
        contents.CacheNodes = [];
    }
    else if (output["CacheNodes"] !== undefined && output["CacheNodes"]["CacheNode"] !== undefined) {
        contents.CacheNodes = de_CacheNodeList(__getArrayIfSingleItem(output["CacheNodes"]["CacheNode"]), context);
    }
    if (output["AutoMinorVersionUpgrade"] !== undefined) {
        contents.AutoMinorVersionUpgrade = __parseBoolean(output["AutoMinorVersionUpgrade"]);
    }
    if (output.SecurityGroups === "") {
        contents.SecurityGroups = [];
    }
    else if (output["SecurityGroups"] !== undefined && output["SecurityGroups"]["member"] !== undefined) {
        contents.SecurityGroups = de_SecurityGroupMembershipList(__getArrayIfSingleItem(output["SecurityGroups"]["member"]), context);
    }
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["SnapshotRetentionLimit"] !== undefined) {
        contents.SnapshotRetentionLimit = __strictParseInt32(output["SnapshotRetentionLimit"]);
    }
    if (output["SnapshotWindow"] !== undefined) {
        contents.SnapshotWindow = __expectString(output["SnapshotWindow"]);
    }
    if (output["AuthTokenEnabled"] !== undefined) {
        contents.AuthTokenEnabled = __parseBoolean(output["AuthTokenEnabled"]);
    }
    if (output["AuthTokenLastModifiedDate"] !== undefined) {
        contents.AuthTokenLastModifiedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["AuthTokenLastModifiedDate"]));
    }
    if (output["TransitEncryptionEnabled"] !== undefined) {
        contents.TransitEncryptionEnabled = __parseBoolean(output["TransitEncryptionEnabled"]);
    }
    if (output["AtRestEncryptionEnabled"] !== undefined) {
        contents.AtRestEncryptionEnabled = __parseBoolean(output["AtRestEncryptionEnabled"]);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    if (output["ReplicationGroupLogDeliveryEnabled"] !== undefined) {
        contents.ReplicationGroupLogDeliveryEnabled = __parseBoolean(output["ReplicationGroupLogDeliveryEnabled"]);
    }
    if (output.LogDeliveryConfigurations === "") {
        contents.LogDeliveryConfigurations = [];
    }
    else if (output["LogDeliveryConfigurations"] !== undefined &&
        output["LogDeliveryConfigurations"]["LogDeliveryConfiguration"] !== undefined) {
        contents.LogDeliveryConfigurations = de_LogDeliveryConfigurationList(__getArrayIfSingleItem(output["LogDeliveryConfigurations"]["LogDeliveryConfiguration"]), context);
    }
    if (output["NetworkType"] !== undefined) {
        contents.NetworkType = __expectString(output["NetworkType"]);
    }
    if (output["IpDiscovery"] !== undefined) {
        contents.IpDiscovery = __expectString(output["IpDiscovery"]);
    }
    if (output["TransitEncryptionMode"] !== undefined) {
        contents.TransitEncryptionMode = __expectString(output["TransitEncryptionMode"]);
    }
    return contents;
};
const de_CacheClusterAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheClusterList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheCluster(entry, context);
    });
};
const de_CacheClusterMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.CacheClusters === "") {
        contents.CacheClusters = [];
    }
    else if (output["CacheClusters"] !== undefined && output["CacheClusters"]["CacheCluster"] !== undefined) {
        contents.CacheClusters = de_CacheClusterList(__getArrayIfSingleItem(output["CacheClusters"]["CacheCluster"]), context);
    }
    return contents;
};
const de_CacheClusterNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheEngineVersion = (output, context) => {
    const contents = {};
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output["EngineVersion"] !== undefined) {
        contents.EngineVersion = __expectString(output["EngineVersion"]);
    }
    if (output["CacheParameterGroupFamily"] !== undefined) {
        contents.CacheParameterGroupFamily = __expectString(output["CacheParameterGroupFamily"]);
    }
    if (output["CacheEngineDescription"] !== undefined) {
        contents.CacheEngineDescription = __expectString(output["CacheEngineDescription"]);
    }
    if (output["CacheEngineVersionDescription"] !== undefined) {
        contents.CacheEngineVersionDescription = __expectString(output["CacheEngineVersionDescription"]);
    }
    return contents;
};
const de_CacheEngineVersionList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheEngineVersion(entry, context);
    });
};
const de_CacheEngineVersionMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.CacheEngineVersions === "") {
        contents.CacheEngineVersions = [];
    }
    else if (output["CacheEngineVersions"] !== undefined &&
        output["CacheEngineVersions"]["CacheEngineVersion"] !== undefined) {
        contents.CacheEngineVersions = de_CacheEngineVersionList(__getArrayIfSingleItem(output["CacheEngineVersions"]["CacheEngineVersion"]), context);
    }
    return contents;
};
const de_CacheNode = (output, context) => {
    const contents = {};
    if (output["CacheNodeId"] !== undefined) {
        contents.CacheNodeId = __expectString(output["CacheNodeId"]);
    }
    if (output["CacheNodeStatus"] !== undefined) {
        contents.CacheNodeStatus = __expectString(output["CacheNodeStatus"]);
    }
    if (output["CacheNodeCreateTime"] !== undefined) {
        contents.CacheNodeCreateTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["CacheNodeCreateTime"]));
    }
    if (output["Endpoint"] !== undefined) {
        contents.Endpoint = de_Endpoint(output["Endpoint"], context);
    }
    if (output["ParameterGroupStatus"] !== undefined) {
        contents.ParameterGroupStatus = __expectString(output["ParameterGroupStatus"]);
    }
    if (output["SourceCacheNodeId"] !== undefined) {
        contents.SourceCacheNodeId = __expectString(output["SourceCacheNodeId"]);
    }
    if (output["CustomerAvailabilityZone"] !== undefined) {
        contents.CustomerAvailabilityZone = __expectString(output["CustomerAvailabilityZone"]);
    }
    if (output["CustomerOutpostArn"] !== undefined) {
        contents.CustomerOutpostArn = __expectString(output["CustomerOutpostArn"]);
    }
    return contents;
};
const de_CacheNodeIdsList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_CacheNodeList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheNode(entry, context);
    });
};
const de_CacheNodeTypeSpecificParameter = (output, context) => {
    const contents = {};
    if (output["ParameterName"] !== undefined) {
        contents.ParameterName = __expectString(output["ParameterName"]);
    }
    if (output["Description"] !== undefined) {
        contents.Description = __expectString(output["Description"]);
    }
    if (output["Source"] !== undefined) {
        contents.Source = __expectString(output["Source"]);
    }
    if (output["DataType"] !== undefined) {
        contents.DataType = __expectString(output["DataType"]);
    }
    if (output["AllowedValues"] !== undefined) {
        contents.AllowedValues = __expectString(output["AllowedValues"]);
    }
    if (output["IsModifiable"] !== undefined) {
        contents.IsModifiable = __parseBoolean(output["IsModifiable"]);
    }
    if (output["MinimumEngineVersion"] !== undefined) {
        contents.MinimumEngineVersion = __expectString(output["MinimumEngineVersion"]);
    }
    if (output.CacheNodeTypeSpecificValues === "") {
        contents.CacheNodeTypeSpecificValues = [];
    }
    else if (output["CacheNodeTypeSpecificValues"] !== undefined &&
        output["CacheNodeTypeSpecificValues"]["CacheNodeTypeSpecificValue"] !== undefined) {
        contents.CacheNodeTypeSpecificValues = de_CacheNodeTypeSpecificValueList(__getArrayIfSingleItem(output["CacheNodeTypeSpecificValues"]["CacheNodeTypeSpecificValue"]), context);
    }
    if (output["ChangeType"] !== undefined) {
        contents.ChangeType = __expectString(output["ChangeType"]);
    }
    return contents;
};
const de_CacheNodeTypeSpecificParametersList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheNodeTypeSpecificParameter(entry, context);
    });
};
const de_CacheNodeTypeSpecificValue = (output, context) => {
    const contents = {};
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["Value"] !== undefined) {
        contents.Value = __expectString(output["Value"]);
    }
    return contents;
};
const de_CacheNodeTypeSpecificValueList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheNodeTypeSpecificValue(entry, context);
    });
};
const de_CacheNodeUpdateStatus = (output, context) => {
    const contents = {};
    if (output["CacheNodeId"] !== undefined) {
        contents.CacheNodeId = __expectString(output["CacheNodeId"]);
    }
    if (output["NodeUpdateStatus"] !== undefined) {
        contents.NodeUpdateStatus = __expectString(output["NodeUpdateStatus"]);
    }
    if (output["NodeDeletionDate"] !== undefined) {
        contents.NodeDeletionDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeDeletionDate"]));
    }
    if (output["NodeUpdateStartDate"] !== undefined) {
        contents.NodeUpdateStartDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateStartDate"]));
    }
    if (output["NodeUpdateEndDate"] !== undefined) {
        contents.NodeUpdateEndDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateEndDate"]));
    }
    if (output["NodeUpdateInitiatedBy"] !== undefined) {
        contents.NodeUpdateInitiatedBy = __expectString(output["NodeUpdateInitiatedBy"]);
    }
    if (output["NodeUpdateInitiatedDate"] !== undefined) {
        contents.NodeUpdateInitiatedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateInitiatedDate"]));
    }
    if (output["NodeUpdateStatusModifiedDate"] !== undefined) {
        contents.NodeUpdateStatusModifiedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateStatusModifiedDate"]));
    }
    return contents;
};
const de_CacheNodeUpdateStatusList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheNodeUpdateStatus(entry, context);
    });
};
const de_CacheParameterGroup = (output, context) => {
    const contents = {};
    if (output["CacheParameterGroupName"] !== undefined) {
        contents.CacheParameterGroupName = __expectString(output["CacheParameterGroupName"]);
    }
    if (output["CacheParameterGroupFamily"] !== undefined) {
        contents.CacheParameterGroupFamily = __expectString(output["CacheParameterGroupFamily"]);
    }
    if (output["Description"] !== undefined) {
        contents.Description = __expectString(output["Description"]);
    }
    if (output["IsGlobal"] !== undefined) {
        contents.IsGlobal = __parseBoolean(output["IsGlobal"]);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    return contents;
};
const de_CacheParameterGroupAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheParameterGroupDetails = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.Parameters === "") {
        contents.Parameters = [];
    }
    else if (output["Parameters"] !== undefined && output["Parameters"]["Parameter"] !== undefined) {
        contents.Parameters = de_ParametersList(__getArrayIfSingleItem(output["Parameters"]["Parameter"]), context);
    }
    if (output.CacheNodeTypeSpecificParameters === "") {
        contents.CacheNodeTypeSpecificParameters = [];
    }
    else if (output["CacheNodeTypeSpecificParameters"] !== undefined &&
        output["CacheNodeTypeSpecificParameters"]["CacheNodeTypeSpecificParameter"] !== undefined) {
        contents.CacheNodeTypeSpecificParameters = de_CacheNodeTypeSpecificParametersList(__getArrayIfSingleItem(output["CacheNodeTypeSpecificParameters"]["CacheNodeTypeSpecificParameter"]), context);
    }
    return contents;
};
const de_CacheParameterGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheParameterGroup(entry, context);
    });
};
const de_CacheParameterGroupNameMessage = (output, context) => {
    const contents = {};
    if (output["CacheParameterGroupName"] !== undefined) {
        contents.CacheParameterGroupName = __expectString(output["CacheParameterGroupName"]);
    }
    return contents;
};
const de_CacheParameterGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheParameterGroupQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheParameterGroupsMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.CacheParameterGroups === "") {
        contents.CacheParameterGroups = [];
    }
    else if (output["CacheParameterGroups"] !== undefined &&
        output["CacheParameterGroups"]["CacheParameterGroup"] !== undefined) {
        contents.CacheParameterGroups = de_CacheParameterGroupList(__getArrayIfSingleItem(output["CacheParameterGroups"]["CacheParameterGroup"]), context);
    }
    return contents;
};
const de_CacheParameterGroupStatus = (output, context) => {
    const contents = {};
    if (output["CacheParameterGroupName"] !== undefined) {
        contents.CacheParameterGroupName = __expectString(output["CacheParameterGroupName"]);
    }
    if (output["ParameterApplyStatus"] !== undefined) {
        contents.ParameterApplyStatus = __expectString(output["ParameterApplyStatus"]);
    }
    if (output.CacheNodeIdsToReboot === "") {
        contents.CacheNodeIdsToReboot = [];
    }
    else if (output["CacheNodeIdsToReboot"] !== undefined &&
        output["CacheNodeIdsToReboot"]["CacheNodeId"] !== undefined) {
        contents.CacheNodeIdsToReboot = de_CacheNodeIdsList(__getArrayIfSingleItem(output["CacheNodeIdsToReboot"]["CacheNodeId"]), context);
    }
    return contents;
};
const de_CacheSecurityGroup = (output, context) => {
    const contents = {};
    if (output["OwnerId"] !== undefined) {
        contents.OwnerId = __expectString(output["OwnerId"]);
    }
    if (output["CacheSecurityGroupName"] !== undefined) {
        contents.CacheSecurityGroupName = __expectString(output["CacheSecurityGroupName"]);
    }
    if (output["Description"] !== undefined) {
        contents.Description = __expectString(output["Description"]);
    }
    if (output.EC2SecurityGroups === "") {
        contents.EC2SecurityGroups = [];
    }
    else if (output["EC2SecurityGroups"] !== undefined &&
        output["EC2SecurityGroups"]["EC2SecurityGroup"] !== undefined) {
        contents.EC2SecurityGroups = de_EC2SecurityGroupList(__getArrayIfSingleItem(output["EC2SecurityGroups"]["EC2SecurityGroup"]), context);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    return contents;
};
const de_CacheSecurityGroupAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSecurityGroupMembership = (output, context) => {
    const contents = {};
    if (output["CacheSecurityGroupName"] !== undefined) {
        contents.CacheSecurityGroupName = __expectString(output["CacheSecurityGroupName"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    return contents;
};
const de_CacheSecurityGroupMembershipList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheSecurityGroupMembership(entry, context);
    });
};
const de_CacheSecurityGroupMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.CacheSecurityGroups === "") {
        contents.CacheSecurityGroups = [];
    }
    else if (output["CacheSecurityGroups"] !== undefined &&
        output["CacheSecurityGroups"]["CacheSecurityGroup"] !== undefined) {
        contents.CacheSecurityGroups = de_CacheSecurityGroups(__getArrayIfSingleItem(output["CacheSecurityGroups"]["CacheSecurityGroup"]), context);
    }
    return contents;
};
const de_CacheSecurityGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSecurityGroupQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSecurityGroups = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheSecurityGroup(entry, context);
    });
};
const de_CacheSubnetGroup = (output, context) => {
    const contents = {};
    if (output["CacheSubnetGroupName"] !== undefined) {
        contents.CacheSubnetGroupName = __expectString(output["CacheSubnetGroupName"]);
    }
    if (output["CacheSubnetGroupDescription"] !== undefined) {
        contents.CacheSubnetGroupDescription = __expectString(output["CacheSubnetGroupDescription"]);
    }
    if (output["VpcId"] !== undefined) {
        contents.VpcId = __expectString(output["VpcId"]);
    }
    if (output.Subnets === "") {
        contents.Subnets = [];
    }
    else if (output["Subnets"] !== undefined && output["Subnets"]["Subnet"] !== undefined) {
        contents.Subnets = de_SubnetList(__getArrayIfSingleItem(output["Subnets"]["Subnet"]), context);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    if (output.SupportedNetworkTypes === "") {
        contents.SupportedNetworkTypes = [];
    }
    else if (output["SupportedNetworkTypes"] !== undefined && output["SupportedNetworkTypes"]["member"] !== undefined) {
        contents.SupportedNetworkTypes = de_NetworkTypeList(__getArrayIfSingleItem(output["SupportedNetworkTypes"]["member"]), context);
    }
    return contents;
};
const de_CacheSubnetGroupAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSubnetGroupInUse = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSubnetGroupMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.CacheSubnetGroups === "") {
        contents.CacheSubnetGroups = [];
    }
    else if (output["CacheSubnetGroups"] !== undefined &&
        output["CacheSubnetGroups"]["CacheSubnetGroup"] !== undefined) {
        contents.CacheSubnetGroups = de_CacheSubnetGroups(__getArrayIfSingleItem(output["CacheSubnetGroups"]["CacheSubnetGroup"]), context);
    }
    return contents;
};
const de_CacheSubnetGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSubnetGroupQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CacheSubnetGroups = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_CacheSubnetGroup(entry, context);
    });
};
const de_CacheSubnetQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CloudWatchLogsDestinationDetails = (output, context) => {
    const contents = {};
    if (output["LogGroup"] !== undefined) {
        contents.LogGroup = __expectString(output["LogGroup"]);
    }
    return contents;
};
const de_ClusterIdList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_ClusterQuotaForCustomerExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_CompleteMigrationResponse = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_CopySnapshotResult = (output, context) => {
    const contents = {};
    if (output["Snapshot"] !== undefined) {
        contents.Snapshot = de_Snapshot(output["Snapshot"], context);
    }
    return contents;
};
const de_CreateCacheClusterResult = (output, context) => {
    const contents = {};
    if (output["CacheCluster"] !== undefined) {
        contents.CacheCluster = de_CacheCluster(output["CacheCluster"], context);
    }
    return contents;
};
const de_CreateCacheParameterGroupResult = (output, context) => {
    const contents = {};
    if (output["CacheParameterGroup"] !== undefined) {
        contents.CacheParameterGroup = de_CacheParameterGroup(output["CacheParameterGroup"], context);
    }
    return contents;
};
const de_CreateCacheSecurityGroupResult = (output, context) => {
    const contents = {};
    if (output["CacheSecurityGroup"] !== undefined) {
        contents.CacheSecurityGroup = de_CacheSecurityGroup(output["CacheSecurityGroup"], context);
    }
    return contents;
};
const de_CreateCacheSubnetGroupResult = (output, context) => {
    const contents = {};
    if (output["CacheSubnetGroup"] !== undefined) {
        contents.CacheSubnetGroup = de_CacheSubnetGroup(output["CacheSubnetGroup"], context);
    }
    return contents;
};
const de_CreateGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_CreateReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_CreateSnapshotResult = (output, context) => {
    const contents = {};
    if (output["Snapshot"] !== undefined) {
        contents.Snapshot = de_Snapshot(output["Snapshot"], context);
    }
    return contents;
};
const de_DecreaseNodeGroupsInGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_DecreaseReplicaCountResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_DefaultUserAssociatedToUserGroupFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_DefaultUserRequired = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_DeleteCacheClusterResult = (output, context) => {
    const contents = {};
    if (output["CacheCluster"] !== undefined) {
        contents.CacheCluster = de_CacheCluster(output["CacheCluster"], context);
    }
    return contents;
};
const de_DeleteGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_DeleteReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_DeleteSnapshotResult = (output, context) => {
    const contents = {};
    if (output["Snapshot"] !== undefined) {
        contents.Snapshot = de_Snapshot(output["Snapshot"], context);
    }
    return contents;
};
const de_DescribeEngineDefaultParametersResult = (output, context) => {
    const contents = {};
    if (output["EngineDefaults"] !== undefined) {
        contents.EngineDefaults = de_EngineDefaults(output["EngineDefaults"], context);
    }
    return contents;
};
const de_DescribeGlobalReplicationGroupsResult = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.GlobalReplicationGroups === "") {
        contents.GlobalReplicationGroups = [];
    }
    else if (output["GlobalReplicationGroups"] !== undefined &&
        output["GlobalReplicationGroups"]["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroups = de_GlobalReplicationGroupList(__getArrayIfSingleItem(output["GlobalReplicationGroups"]["GlobalReplicationGroup"]), context);
    }
    return contents;
};
const de_DescribeSnapshotsListMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.Snapshots === "") {
        contents.Snapshots = [];
    }
    else if (output["Snapshots"] !== undefined && output["Snapshots"]["Snapshot"] !== undefined) {
        contents.Snapshots = de_SnapshotList(__getArrayIfSingleItem(output["Snapshots"]["Snapshot"]), context);
    }
    return contents;
};
const de_DescribeUserGroupsResult = (output, context) => {
    const contents = {};
    if (output.UserGroups === "") {
        contents.UserGroups = [];
    }
    else if (output["UserGroups"] !== undefined && output["UserGroups"]["member"] !== undefined) {
        contents.UserGroups = de_UserGroupList(__getArrayIfSingleItem(output["UserGroups"]["member"]), context);
    }
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    return contents;
};
const de_DescribeUsersResult = (output, context) => {
    const contents = {};
    if (output.Users === "") {
        contents.Users = [];
    }
    else if (output["Users"] !== undefined && output["Users"]["member"] !== undefined) {
        contents.Users = de_UserList(__getArrayIfSingleItem(output["Users"]["member"]), context);
    }
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    return contents;
};
const de_DestinationDetails = (output, context) => {
    const contents = {};
    if (output["CloudWatchLogsDetails"] !== undefined) {
        contents.CloudWatchLogsDetails = de_CloudWatchLogsDestinationDetails(output["CloudWatchLogsDetails"], context);
    }
    if (output["KinesisFirehoseDetails"] !== undefined) {
        contents.KinesisFirehoseDetails = de_KinesisFirehoseDestinationDetails(output["KinesisFirehoseDetails"], context);
    }
    return contents;
};
const de_DisassociateGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_DuplicateUserNameFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_EC2SecurityGroup = (output, context) => {
    const contents = {};
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["EC2SecurityGroupName"] !== undefined) {
        contents.EC2SecurityGroupName = __expectString(output["EC2SecurityGroupName"]);
    }
    if (output["EC2SecurityGroupOwnerId"] !== undefined) {
        contents.EC2SecurityGroupOwnerId = __expectString(output["EC2SecurityGroupOwnerId"]);
    }
    return contents;
};
const de_EC2SecurityGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_EC2SecurityGroup(entry, context);
    });
};
const de_Endpoint = (output, context) => {
    const contents = {};
    if (output["Address"] !== undefined) {
        contents.Address = __expectString(output["Address"]);
    }
    if (output["Port"] !== undefined) {
        contents.Port = __strictParseInt32(output["Port"]);
    }
    return contents;
};
const de_EngineDefaults = (output, context) => {
    const contents = {};
    if (output["CacheParameterGroupFamily"] !== undefined) {
        contents.CacheParameterGroupFamily = __expectString(output["CacheParameterGroupFamily"]);
    }
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.Parameters === "") {
        contents.Parameters = [];
    }
    else if (output["Parameters"] !== undefined && output["Parameters"]["Parameter"] !== undefined) {
        contents.Parameters = de_ParametersList(__getArrayIfSingleItem(output["Parameters"]["Parameter"]), context);
    }
    if (output.CacheNodeTypeSpecificParameters === "") {
        contents.CacheNodeTypeSpecificParameters = [];
    }
    else if (output["CacheNodeTypeSpecificParameters"] !== undefined &&
        output["CacheNodeTypeSpecificParameters"]["CacheNodeTypeSpecificParameter"] !== undefined) {
        contents.CacheNodeTypeSpecificParameters = de_CacheNodeTypeSpecificParametersList(__getArrayIfSingleItem(output["CacheNodeTypeSpecificParameters"]["CacheNodeTypeSpecificParameter"]), context);
    }
    return contents;
};
const de_Event = (output, context) => {
    const contents = {};
    if (output["SourceIdentifier"] !== undefined) {
        contents.SourceIdentifier = __expectString(output["SourceIdentifier"]);
    }
    if (output["SourceType"] !== undefined) {
        contents.SourceType = __expectString(output["SourceType"]);
    }
    if (output["Message"] !== undefined) {
        contents.Message = __expectString(output["Message"]);
    }
    if (output["Date"] !== undefined) {
        contents.Date = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["Date"]));
    }
    return contents;
};
const de_EventList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_Event(entry, context);
    });
};
const de_EventsMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.Events === "") {
        contents.Events = [];
    }
    else if (output["Events"] !== undefined && output["Events"]["Event"] !== undefined) {
        contents.Events = de_EventList(__getArrayIfSingleItem(output["Events"]["Event"]), context);
    }
    return contents;
};
const de_FailoverGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_GlobalNodeGroup = (output, context) => {
    const contents = {};
    if (output["GlobalNodeGroupId"] !== undefined) {
        contents.GlobalNodeGroupId = __expectString(output["GlobalNodeGroupId"]);
    }
    if (output["Slots"] !== undefined) {
        contents.Slots = __expectString(output["Slots"]);
    }
    return contents;
};
const de_GlobalNodeGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_GlobalNodeGroup(entry, context);
    });
};
const de_GlobalReplicationGroup = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroupId"] !== undefined) {
        contents.GlobalReplicationGroupId = __expectString(output["GlobalReplicationGroupId"]);
    }
    if (output["GlobalReplicationGroupDescription"] !== undefined) {
        contents.GlobalReplicationGroupDescription = __expectString(output["GlobalReplicationGroupDescription"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output["EngineVersion"] !== undefined) {
        contents.EngineVersion = __expectString(output["EngineVersion"]);
    }
    if (output.Members === "") {
        contents.Members = [];
    }
    else if (output["Members"] !== undefined && output["Members"]["GlobalReplicationGroupMember"] !== undefined) {
        contents.Members = de_GlobalReplicationGroupMemberList(__getArrayIfSingleItem(output["Members"]["GlobalReplicationGroupMember"]), context);
    }
    if (output["ClusterEnabled"] !== undefined) {
        contents.ClusterEnabled = __parseBoolean(output["ClusterEnabled"]);
    }
    if (output.GlobalNodeGroups === "") {
        contents.GlobalNodeGroups = [];
    }
    else if (output["GlobalNodeGroups"] !== undefined && output["GlobalNodeGroups"]["GlobalNodeGroup"] !== undefined) {
        contents.GlobalNodeGroups = de_GlobalNodeGroupList(__getArrayIfSingleItem(output["GlobalNodeGroups"]["GlobalNodeGroup"]), context);
    }
    if (output["AuthTokenEnabled"] !== undefined) {
        contents.AuthTokenEnabled = __parseBoolean(output["AuthTokenEnabled"]);
    }
    if (output["TransitEncryptionEnabled"] !== undefined) {
        contents.TransitEncryptionEnabled = __parseBoolean(output["TransitEncryptionEnabled"]);
    }
    if (output["AtRestEncryptionEnabled"] !== undefined) {
        contents.AtRestEncryptionEnabled = __parseBoolean(output["AtRestEncryptionEnabled"]);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    return contents;
};
const de_GlobalReplicationGroupAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_GlobalReplicationGroupInfo = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroupId"] !== undefined) {
        contents.GlobalReplicationGroupId = __expectString(output["GlobalReplicationGroupId"]);
    }
    if (output["GlobalReplicationGroupMemberRole"] !== undefined) {
        contents.GlobalReplicationGroupMemberRole = __expectString(output["GlobalReplicationGroupMemberRole"]);
    }
    return contents;
};
const de_GlobalReplicationGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_GlobalReplicationGroup(entry, context);
    });
};
const de_GlobalReplicationGroupMember = (output, context) => {
    const contents = {};
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["ReplicationGroupRegion"] !== undefined) {
        contents.ReplicationGroupRegion = __expectString(output["ReplicationGroupRegion"]);
    }
    if (output["Role"] !== undefined) {
        contents.Role = __expectString(output["Role"]);
    }
    if (output["AutomaticFailover"] !== undefined) {
        contents.AutomaticFailover = __expectString(output["AutomaticFailover"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    return contents;
};
const de_GlobalReplicationGroupMemberList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_GlobalReplicationGroupMember(entry, context);
    });
};
const de_GlobalReplicationGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_IncreaseNodeGroupsInGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_IncreaseReplicaCountResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_InsufficientCacheClusterCapacityFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidARNFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidCacheClusterStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidCacheParameterGroupStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidCacheSecurityGroupStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidGlobalReplicationGroupStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidKMSKeyFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidParameterCombinationException = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidParameterValueException = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidReplicationGroupStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidSnapshotStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidSubnet = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidUserGroupStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidUserStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_InvalidVPCNetworkStateFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_KinesisFirehoseDestinationDetails = (output, context) => {
    const contents = {};
    if (output["DeliveryStream"] !== undefined) {
        contents.DeliveryStream = __expectString(output["DeliveryStream"]);
    }
    return contents;
};
const de_LogDeliveryConfiguration = (output, context) => {
    const contents = {};
    if (output["LogType"] !== undefined) {
        contents.LogType = __expectString(output["LogType"]);
    }
    if (output["DestinationType"] !== undefined) {
        contents.DestinationType = __expectString(output["DestinationType"]);
    }
    if (output["DestinationDetails"] !== undefined) {
        contents.DestinationDetails = de_DestinationDetails(output["DestinationDetails"], context);
    }
    if (output["LogFormat"] !== undefined) {
        contents.LogFormat = __expectString(output["LogFormat"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["Message"] !== undefined) {
        contents.Message = __expectString(output["Message"]);
    }
    return contents;
};
const de_LogDeliveryConfigurationList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_LogDeliveryConfiguration(entry, context);
    });
};
const de_ModifyCacheClusterResult = (output, context) => {
    const contents = {};
    if (output["CacheCluster"] !== undefined) {
        contents.CacheCluster = de_CacheCluster(output["CacheCluster"], context);
    }
    return contents;
};
const de_ModifyCacheSubnetGroupResult = (output, context) => {
    const contents = {};
    if (output["CacheSubnetGroup"] !== undefined) {
        contents.CacheSubnetGroup = de_CacheSubnetGroup(output["CacheSubnetGroup"], context);
    }
    return contents;
};
const de_ModifyGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_ModifyReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_ModifyReplicationGroupShardConfigurationResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_NetworkTypeList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_NodeGroup = (output, context) => {
    const contents = {};
    if (output["NodeGroupId"] !== undefined) {
        contents.NodeGroupId = __expectString(output["NodeGroupId"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["PrimaryEndpoint"] !== undefined) {
        contents.PrimaryEndpoint = de_Endpoint(output["PrimaryEndpoint"], context);
    }
    if (output["ReaderEndpoint"] !== undefined) {
        contents.ReaderEndpoint = de_Endpoint(output["ReaderEndpoint"], context);
    }
    if (output["Slots"] !== undefined) {
        contents.Slots = __expectString(output["Slots"]);
    }
    if (output.NodeGroupMembers === "") {
        contents.NodeGroupMembers = [];
    }
    else if (output["NodeGroupMembers"] !== undefined && output["NodeGroupMembers"]["NodeGroupMember"] !== undefined) {
        contents.NodeGroupMembers = de_NodeGroupMemberList(__getArrayIfSingleItem(output["NodeGroupMembers"]["NodeGroupMember"]), context);
    }
    return contents;
};
const de_NodeGroupConfiguration = (output, context) => {
    const contents = {};
    if (output["NodeGroupId"] !== undefined) {
        contents.NodeGroupId = __expectString(output["NodeGroupId"]);
    }
    if (output["Slots"] !== undefined) {
        contents.Slots = __expectString(output["Slots"]);
    }
    if (output["ReplicaCount"] !== undefined) {
        contents.ReplicaCount = __strictParseInt32(output["ReplicaCount"]);
    }
    if (output["PrimaryAvailabilityZone"] !== undefined) {
        contents.PrimaryAvailabilityZone = __expectString(output["PrimaryAvailabilityZone"]);
    }
    if (output.ReplicaAvailabilityZones === "") {
        contents.ReplicaAvailabilityZones = [];
    }
    else if (output["ReplicaAvailabilityZones"] !== undefined &&
        output["ReplicaAvailabilityZones"]["AvailabilityZone"] !== undefined) {
        contents.ReplicaAvailabilityZones = de_AvailabilityZonesList(__getArrayIfSingleItem(output["ReplicaAvailabilityZones"]["AvailabilityZone"]), context);
    }
    if (output["PrimaryOutpostArn"] !== undefined) {
        contents.PrimaryOutpostArn = __expectString(output["PrimaryOutpostArn"]);
    }
    if (output.ReplicaOutpostArns === "") {
        contents.ReplicaOutpostArns = [];
    }
    else if (output["ReplicaOutpostArns"] !== undefined && output["ReplicaOutpostArns"]["OutpostArn"] !== undefined) {
        contents.ReplicaOutpostArns = de_OutpostArnsList(__getArrayIfSingleItem(output["ReplicaOutpostArns"]["OutpostArn"]), context);
    }
    return contents;
};
const de_NodeGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_NodeGroup(entry, context);
    });
};
const de_NodeGroupMember = (output, context) => {
    const contents = {};
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["CacheNodeId"] !== undefined) {
        contents.CacheNodeId = __expectString(output["CacheNodeId"]);
    }
    if (output["ReadEndpoint"] !== undefined) {
        contents.ReadEndpoint = de_Endpoint(output["ReadEndpoint"], context);
    }
    if (output["PreferredAvailabilityZone"] !== undefined) {
        contents.PreferredAvailabilityZone = __expectString(output["PreferredAvailabilityZone"]);
    }
    if (output["PreferredOutpostArn"] !== undefined) {
        contents.PreferredOutpostArn = __expectString(output["PreferredOutpostArn"]);
    }
    if (output["CurrentRole"] !== undefined) {
        contents.CurrentRole = __expectString(output["CurrentRole"]);
    }
    return contents;
};
const de_NodeGroupMemberList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_NodeGroupMember(entry, context);
    });
};
const de_NodeGroupMemberUpdateStatus = (output, context) => {
    const contents = {};
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["CacheNodeId"] !== undefined) {
        contents.CacheNodeId = __expectString(output["CacheNodeId"]);
    }
    if (output["NodeUpdateStatus"] !== undefined) {
        contents.NodeUpdateStatus = __expectString(output["NodeUpdateStatus"]);
    }
    if (output["NodeDeletionDate"] !== undefined) {
        contents.NodeDeletionDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeDeletionDate"]));
    }
    if (output["NodeUpdateStartDate"] !== undefined) {
        contents.NodeUpdateStartDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateStartDate"]));
    }
    if (output["NodeUpdateEndDate"] !== undefined) {
        contents.NodeUpdateEndDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateEndDate"]));
    }
    if (output["NodeUpdateInitiatedBy"] !== undefined) {
        contents.NodeUpdateInitiatedBy = __expectString(output["NodeUpdateInitiatedBy"]);
    }
    if (output["NodeUpdateInitiatedDate"] !== undefined) {
        contents.NodeUpdateInitiatedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateInitiatedDate"]));
    }
    if (output["NodeUpdateStatusModifiedDate"] !== undefined) {
        contents.NodeUpdateStatusModifiedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["NodeUpdateStatusModifiedDate"]));
    }
    return contents;
};
const de_NodeGroupMemberUpdateStatusList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_NodeGroupMemberUpdateStatus(entry, context);
    });
};
const de_NodeGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_NodeGroupsPerReplicationGroupQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_NodeGroupUpdateStatus = (output, context) => {
    const contents = {};
    if (output["NodeGroupId"] !== undefined) {
        contents.NodeGroupId = __expectString(output["NodeGroupId"]);
    }
    if (output.NodeGroupMemberUpdateStatus === "") {
        contents.NodeGroupMemberUpdateStatus = [];
    }
    else if (output["NodeGroupMemberUpdateStatus"] !== undefined &&
        output["NodeGroupMemberUpdateStatus"]["NodeGroupMemberUpdateStatus"] !== undefined) {
        contents.NodeGroupMemberUpdateStatus = de_NodeGroupMemberUpdateStatusList(__getArrayIfSingleItem(output["NodeGroupMemberUpdateStatus"]["NodeGroupMemberUpdateStatus"]), context);
    }
    return contents;
};
const de_NodeGroupUpdateStatusList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_NodeGroupUpdateStatus(entry, context);
    });
};
const de_NodeQuotaForClusterExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_NodeQuotaForCustomerExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_NodeSnapshot = (output, context) => {
    const contents = {};
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["NodeGroupId"] !== undefined) {
        contents.NodeGroupId = __expectString(output["NodeGroupId"]);
    }
    if (output["CacheNodeId"] !== undefined) {
        contents.CacheNodeId = __expectString(output["CacheNodeId"]);
    }
    if (output["NodeGroupConfiguration"] !== undefined) {
        contents.NodeGroupConfiguration = de_NodeGroupConfiguration(output["NodeGroupConfiguration"], context);
    }
    if (output["CacheSize"] !== undefined) {
        contents.CacheSize = __expectString(output["CacheSize"]);
    }
    if (output["CacheNodeCreateTime"] !== undefined) {
        contents.CacheNodeCreateTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["CacheNodeCreateTime"]));
    }
    if (output["SnapshotCreateTime"] !== undefined) {
        contents.SnapshotCreateTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["SnapshotCreateTime"]));
    }
    return contents;
};
const de_NodeSnapshotList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_NodeSnapshot(entry, context);
    });
};
const de_NodeTypeList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_NoOperationFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_NotificationConfiguration = (output, context) => {
    const contents = {};
    if (output["TopicArn"] !== undefined) {
        contents.TopicArn = __expectString(output["TopicArn"]);
    }
    if (output["TopicStatus"] !== undefined) {
        contents.TopicStatus = __expectString(output["TopicStatus"]);
    }
    return contents;
};
const de_OutpostArnsList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_Parameter = (output, context) => {
    const contents = {};
    if (output["ParameterName"] !== undefined) {
        contents.ParameterName = __expectString(output["ParameterName"]);
    }
    if (output["ParameterValue"] !== undefined) {
        contents.ParameterValue = __expectString(output["ParameterValue"]);
    }
    if (output["Description"] !== undefined) {
        contents.Description = __expectString(output["Description"]);
    }
    if (output["Source"] !== undefined) {
        contents.Source = __expectString(output["Source"]);
    }
    if (output["DataType"] !== undefined) {
        contents.DataType = __expectString(output["DataType"]);
    }
    if (output["AllowedValues"] !== undefined) {
        contents.AllowedValues = __expectString(output["AllowedValues"]);
    }
    if (output["IsModifiable"] !== undefined) {
        contents.IsModifiable = __parseBoolean(output["IsModifiable"]);
    }
    if (output["MinimumEngineVersion"] !== undefined) {
        contents.MinimumEngineVersion = __expectString(output["MinimumEngineVersion"]);
    }
    if (output["ChangeType"] !== undefined) {
        contents.ChangeType = __expectString(output["ChangeType"]);
    }
    return contents;
};
const de_ParametersList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_Parameter(entry, context);
    });
};
const de_PendingLogDeliveryConfiguration = (output, context) => {
    const contents = {};
    if (output["LogType"] !== undefined) {
        contents.LogType = __expectString(output["LogType"]);
    }
    if (output["DestinationType"] !== undefined) {
        contents.DestinationType = __expectString(output["DestinationType"]);
    }
    if (output["DestinationDetails"] !== undefined) {
        contents.DestinationDetails = de_DestinationDetails(output["DestinationDetails"], context);
    }
    if (output["LogFormat"] !== undefined) {
        contents.LogFormat = __expectString(output["LogFormat"]);
    }
    return contents;
};
const de_PendingLogDeliveryConfigurationList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_PendingLogDeliveryConfiguration(entry, context);
    });
};
const de_PendingModifiedValues = (output, context) => {
    const contents = {};
    if (output["NumCacheNodes"] !== undefined) {
        contents.NumCacheNodes = __strictParseInt32(output["NumCacheNodes"]);
    }
    if (output.CacheNodeIdsToRemove === "") {
        contents.CacheNodeIdsToRemove = [];
    }
    else if (output["CacheNodeIdsToRemove"] !== undefined &&
        output["CacheNodeIdsToRemove"]["CacheNodeId"] !== undefined) {
        contents.CacheNodeIdsToRemove = de_CacheNodeIdsList(__getArrayIfSingleItem(output["CacheNodeIdsToRemove"]["CacheNodeId"]), context);
    }
    if (output["EngineVersion"] !== undefined) {
        contents.EngineVersion = __expectString(output["EngineVersion"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["AuthTokenStatus"] !== undefined) {
        contents.AuthTokenStatus = __expectString(output["AuthTokenStatus"]);
    }
    if (output.LogDeliveryConfigurations === "") {
        contents.LogDeliveryConfigurations = [];
    }
    else if (output["LogDeliveryConfigurations"] !== undefined &&
        output["LogDeliveryConfigurations"]["member"] !== undefined) {
        contents.LogDeliveryConfigurations = de_PendingLogDeliveryConfigurationList(__getArrayIfSingleItem(output["LogDeliveryConfigurations"]["member"]), context);
    }
    if (output["TransitEncryptionEnabled"] !== undefined) {
        contents.TransitEncryptionEnabled = __parseBoolean(output["TransitEncryptionEnabled"]);
    }
    if (output["TransitEncryptionMode"] !== undefined) {
        contents.TransitEncryptionMode = __expectString(output["TransitEncryptionMode"]);
    }
    return contents;
};
const de_ProcessedUpdateAction = (output, context) => {
    const contents = {};
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["ServiceUpdateName"] !== undefined) {
        contents.ServiceUpdateName = __expectString(output["ServiceUpdateName"]);
    }
    if (output["UpdateActionStatus"] !== undefined) {
        contents.UpdateActionStatus = __expectString(output["UpdateActionStatus"]);
    }
    return contents;
};
const de_ProcessedUpdateActionList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_ProcessedUpdateAction(entry, context);
    });
};
const de_PurchaseReservedCacheNodesOfferingResult = (output, context) => {
    const contents = {};
    if (output["ReservedCacheNode"] !== undefined) {
        contents.ReservedCacheNode = de_ReservedCacheNode(output["ReservedCacheNode"], context);
    }
    return contents;
};
const de_RebalanceSlotsInGlobalReplicationGroupResult = (output, context) => {
    const contents = {};
    if (output["GlobalReplicationGroup"] !== undefined) {
        contents.GlobalReplicationGroup = de_GlobalReplicationGroup(output["GlobalReplicationGroup"], context);
    }
    return contents;
};
const de_RebootCacheClusterResult = (output, context) => {
    const contents = {};
    if (output["CacheCluster"] !== undefined) {
        contents.CacheCluster = de_CacheCluster(output["CacheCluster"], context);
    }
    return contents;
};
const de_RecurringCharge = (output, context) => {
    const contents = {};
    if (output["RecurringChargeAmount"] !== undefined) {
        contents.RecurringChargeAmount = __strictParseFloat(output["RecurringChargeAmount"]);
    }
    if (output["RecurringChargeFrequency"] !== undefined) {
        contents.RecurringChargeFrequency = __expectString(output["RecurringChargeFrequency"]);
    }
    return contents;
};
const de_RecurringChargeList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_RecurringCharge(entry, context);
    });
};
const de_ReplicationGroup = (output, context) => {
    const contents = {};
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["Description"] !== undefined) {
        contents.Description = __expectString(output["Description"]);
    }
    if (output["GlobalReplicationGroupInfo"] !== undefined) {
        contents.GlobalReplicationGroupInfo = de_GlobalReplicationGroupInfo(output["GlobalReplicationGroupInfo"], context);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["PendingModifiedValues"] !== undefined) {
        contents.PendingModifiedValues = de_ReplicationGroupPendingModifiedValues(output["PendingModifiedValues"], context);
    }
    if (output.MemberClusters === "") {
        contents.MemberClusters = [];
    }
    else if (output["MemberClusters"] !== undefined && output["MemberClusters"]["ClusterId"] !== undefined) {
        contents.MemberClusters = de_ClusterIdList(__getArrayIfSingleItem(output["MemberClusters"]["ClusterId"]), context);
    }
    if (output.NodeGroups === "") {
        contents.NodeGroups = [];
    }
    else if (output["NodeGroups"] !== undefined && output["NodeGroups"]["NodeGroup"] !== undefined) {
        contents.NodeGroups = de_NodeGroupList(__getArrayIfSingleItem(output["NodeGroups"]["NodeGroup"]), context);
    }
    if (output["SnapshottingClusterId"] !== undefined) {
        contents.SnapshottingClusterId = __expectString(output["SnapshottingClusterId"]);
    }
    if (output["AutomaticFailover"] !== undefined) {
        contents.AutomaticFailover = __expectString(output["AutomaticFailover"]);
    }
    if (output["MultiAZ"] !== undefined) {
        contents.MultiAZ = __expectString(output["MultiAZ"]);
    }
    if (output["ConfigurationEndpoint"] !== undefined) {
        contents.ConfigurationEndpoint = de_Endpoint(output["ConfigurationEndpoint"], context);
    }
    if (output["SnapshotRetentionLimit"] !== undefined) {
        contents.SnapshotRetentionLimit = __strictParseInt32(output["SnapshotRetentionLimit"]);
    }
    if (output["SnapshotWindow"] !== undefined) {
        contents.SnapshotWindow = __expectString(output["SnapshotWindow"]);
    }
    if (output["ClusterEnabled"] !== undefined) {
        contents.ClusterEnabled = __parseBoolean(output["ClusterEnabled"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["AuthTokenEnabled"] !== undefined) {
        contents.AuthTokenEnabled = __parseBoolean(output["AuthTokenEnabled"]);
    }
    if (output["AuthTokenLastModifiedDate"] !== undefined) {
        contents.AuthTokenLastModifiedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["AuthTokenLastModifiedDate"]));
    }
    if (output["TransitEncryptionEnabled"] !== undefined) {
        contents.TransitEncryptionEnabled = __parseBoolean(output["TransitEncryptionEnabled"]);
    }
    if (output["AtRestEncryptionEnabled"] !== undefined) {
        contents.AtRestEncryptionEnabled = __parseBoolean(output["AtRestEncryptionEnabled"]);
    }
    if (output.MemberClustersOutpostArns === "") {
        contents.MemberClustersOutpostArns = [];
    }
    else if (output["MemberClustersOutpostArns"] !== undefined &&
        output["MemberClustersOutpostArns"]["ReplicationGroupOutpostArn"] !== undefined) {
        contents.MemberClustersOutpostArns = de_ReplicationGroupOutpostArnList(__getArrayIfSingleItem(output["MemberClustersOutpostArns"]["ReplicationGroupOutpostArn"]), context);
    }
    if (output["KmsKeyId"] !== undefined) {
        contents.KmsKeyId = __expectString(output["KmsKeyId"]);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    if (output.UserGroupIds === "") {
        contents.UserGroupIds = [];
    }
    else if (output["UserGroupIds"] !== undefined && output["UserGroupIds"]["member"] !== undefined) {
        contents.UserGroupIds = de_UserGroupIdList(__getArrayIfSingleItem(output["UserGroupIds"]["member"]), context);
    }
    if (output.LogDeliveryConfigurations === "") {
        contents.LogDeliveryConfigurations = [];
    }
    else if (output["LogDeliveryConfigurations"] !== undefined &&
        output["LogDeliveryConfigurations"]["LogDeliveryConfiguration"] !== undefined) {
        contents.LogDeliveryConfigurations = de_LogDeliveryConfigurationList(__getArrayIfSingleItem(output["LogDeliveryConfigurations"]["LogDeliveryConfiguration"]), context);
    }
    if (output["ReplicationGroupCreateTime"] !== undefined) {
        contents.ReplicationGroupCreateTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["ReplicationGroupCreateTime"]));
    }
    if (output["DataTiering"] !== undefined) {
        contents.DataTiering = __expectString(output["DataTiering"]);
    }
    if (output["AutoMinorVersionUpgrade"] !== undefined) {
        contents.AutoMinorVersionUpgrade = __parseBoolean(output["AutoMinorVersionUpgrade"]);
    }
    if (output["NetworkType"] !== undefined) {
        contents.NetworkType = __expectString(output["NetworkType"]);
    }
    if (output["IpDiscovery"] !== undefined) {
        contents.IpDiscovery = __expectString(output["IpDiscovery"]);
    }
    if (output["TransitEncryptionMode"] !== undefined) {
        contents.TransitEncryptionMode = __expectString(output["TransitEncryptionMode"]);
    }
    if (output["ClusterMode"] !== undefined) {
        contents.ClusterMode = __expectString(output["ClusterMode"]);
    }
    return contents;
};
const de_ReplicationGroupAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReplicationGroupAlreadyUnderMigrationFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReplicationGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_ReplicationGroup(entry, context);
    });
};
const de_ReplicationGroupMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.ReplicationGroups === "") {
        contents.ReplicationGroups = [];
    }
    else if (output["ReplicationGroups"] !== undefined &&
        output["ReplicationGroups"]["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroups = de_ReplicationGroupList(__getArrayIfSingleItem(output["ReplicationGroups"]["ReplicationGroup"]), context);
    }
    return contents;
};
const de_ReplicationGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReplicationGroupNotUnderMigrationFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReplicationGroupOutpostArnList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_ReplicationGroupPendingModifiedValues = (output, context) => {
    const contents = {};
    if (output["PrimaryClusterId"] !== undefined) {
        contents.PrimaryClusterId = __expectString(output["PrimaryClusterId"]);
    }
    if (output["AutomaticFailoverStatus"] !== undefined) {
        contents.AutomaticFailoverStatus = __expectString(output["AutomaticFailoverStatus"]);
    }
    if (output["Resharding"] !== undefined) {
        contents.Resharding = de_ReshardingStatus(output["Resharding"], context);
    }
    if (output["AuthTokenStatus"] !== undefined) {
        contents.AuthTokenStatus = __expectString(output["AuthTokenStatus"]);
    }
    if (output["UserGroups"] !== undefined) {
        contents.UserGroups = de_UserGroupsUpdateStatus(output["UserGroups"], context);
    }
    if (output.LogDeliveryConfigurations === "") {
        contents.LogDeliveryConfigurations = [];
    }
    else if (output["LogDeliveryConfigurations"] !== undefined &&
        output["LogDeliveryConfigurations"]["member"] !== undefined) {
        contents.LogDeliveryConfigurations = de_PendingLogDeliveryConfigurationList(__getArrayIfSingleItem(output["LogDeliveryConfigurations"]["member"]), context);
    }
    if (output["TransitEncryptionEnabled"] !== undefined) {
        contents.TransitEncryptionEnabled = __parseBoolean(output["TransitEncryptionEnabled"]);
    }
    if (output["TransitEncryptionMode"] !== undefined) {
        contents.TransitEncryptionMode = __expectString(output["TransitEncryptionMode"]);
    }
    if (output["ClusterMode"] !== undefined) {
        contents.ClusterMode = __expectString(output["ClusterMode"]);
    }
    return contents;
};
const de_ReservedCacheNode = (output, context) => {
    const contents = {};
    if (output["ReservedCacheNodeId"] !== undefined) {
        contents.ReservedCacheNodeId = __expectString(output["ReservedCacheNodeId"]);
    }
    if (output["ReservedCacheNodesOfferingId"] !== undefined) {
        contents.ReservedCacheNodesOfferingId = __expectString(output["ReservedCacheNodesOfferingId"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["StartTime"] !== undefined) {
        contents.StartTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["StartTime"]));
    }
    if (output["Duration"] !== undefined) {
        contents.Duration = __strictParseInt32(output["Duration"]);
    }
    if (output["FixedPrice"] !== undefined) {
        contents.FixedPrice = __strictParseFloat(output["FixedPrice"]);
    }
    if (output["UsagePrice"] !== undefined) {
        contents.UsagePrice = __strictParseFloat(output["UsagePrice"]);
    }
    if (output["CacheNodeCount"] !== undefined) {
        contents.CacheNodeCount = __strictParseInt32(output["CacheNodeCount"]);
    }
    if (output["ProductDescription"] !== undefined) {
        contents.ProductDescription = __expectString(output["ProductDescription"]);
    }
    if (output["OfferingType"] !== undefined) {
        contents.OfferingType = __expectString(output["OfferingType"]);
    }
    if (output["State"] !== undefined) {
        contents.State = __expectString(output["State"]);
    }
    if (output.RecurringCharges === "") {
        contents.RecurringCharges = [];
    }
    else if (output["RecurringCharges"] !== undefined && output["RecurringCharges"]["RecurringCharge"] !== undefined) {
        contents.RecurringCharges = de_RecurringChargeList(__getArrayIfSingleItem(output["RecurringCharges"]["RecurringCharge"]), context);
    }
    if (output["ReservationARN"] !== undefined) {
        contents.ReservationARN = __expectString(output["ReservationARN"]);
    }
    return contents;
};
const de_ReservedCacheNodeAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReservedCacheNodeList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_ReservedCacheNode(entry, context);
    });
};
const de_ReservedCacheNodeMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.ReservedCacheNodes === "") {
        contents.ReservedCacheNodes = [];
    }
    else if (output["ReservedCacheNodes"] !== undefined &&
        output["ReservedCacheNodes"]["ReservedCacheNode"] !== undefined) {
        contents.ReservedCacheNodes = de_ReservedCacheNodeList(__getArrayIfSingleItem(output["ReservedCacheNodes"]["ReservedCacheNode"]), context);
    }
    return contents;
};
const de_ReservedCacheNodeNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReservedCacheNodeQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReservedCacheNodesOffering = (output, context) => {
    const contents = {};
    if (output["ReservedCacheNodesOfferingId"] !== undefined) {
        contents.ReservedCacheNodesOfferingId = __expectString(output["ReservedCacheNodesOfferingId"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["Duration"] !== undefined) {
        contents.Duration = __strictParseInt32(output["Duration"]);
    }
    if (output["FixedPrice"] !== undefined) {
        contents.FixedPrice = __strictParseFloat(output["FixedPrice"]);
    }
    if (output["UsagePrice"] !== undefined) {
        contents.UsagePrice = __strictParseFloat(output["UsagePrice"]);
    }
    if (output["ProductDescription"] !== undefined) {
        contents.ProductDescription = __expectString(output["ProductDescription"]);
    }
    if (output["OfferingType"] !== undefined) {
        contents.OfferingType = __expectString(output["OfferingType"]);
    }
    if (output.RecurringCharges === "") {
        contents.RecurringCharges = [];
    }
    else if (output["RecurringCharges"] !== undefined && output["RecurringCharges"]["RecurringCharge"] !== undefined) {
        contents.RecurringCharges = de_RecurringChargeList(__getArrayIfSingleItem(output["RecurringCharges"]["RecurringCharge"]), context);
    }
    return contents;
};
const de_ReservedCacheNodesOfferingList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_ReservedCacheNodesOffering(entry, context);
    });
};
const de_ReservedCacheNodesOfferingMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.ReservedCacheNodesOfferings === "") {
        contents.ReservedCacheNodesOfferings = [];
    }
    else if (output["ReservedCacheNodesOfferings"] !== undefined &&
        output["ReservedCacheNodesOfferings"]["ReservedCacheNodesOffering"] !== undefined) {
        contents.ReservedCacheNodesOfferings = de_ReservedCacheNodesOfferingList(__getArrayIfSingleItem(output["ReservedCacheNodesOfferings"]["ReservedCacheNodesOffering"]), context);
    }
    return contents;
};
const de_ReservedCacheNodesOfferingNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ReshardingStatus = (output, context) => {
    const contents = {};
    if (output["SlotMigration"] !== undefined) {
        contents.SlotMigration = de_SlotMigration(output["SlotMigration"], context);
    }
    return contents;
};
const de_RevokeCacheSecurityGroupIngressResult = (output, context) => {
    const contents = {};
    if (output["CacheSecurityGroup"] !== undefined) {
        contents.CacheSecurityGroup = de_CacheSecurityGroup(output["CacheSecurityGroup"], context);
    }
    return contents;
};
const de_SecurityGroupMembership = (output, context) => {
    const contents = {};
    if (output["SecurityGroupId"] !== undefined) {
        contents.SecurityGroupId = __expectString(output["SecurityGroupId"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    return contents;
};
const de_SecurityGroupMembershipList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_SecurityGroupMembership(entry, context);
    });
};
const de_ServiceLinkedRoleNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ServiceUpdate = (output, context) => {
    const contents = {};
    if (output["ServiceUpdateName"] !== undefined) {
        contents.ServiceUpdateName = __expectString(output["ServiceUpdateName"]);
    }
    if (output["ServiceUpdateReleaseDate"] !== undefined) {
        contents.ServiceUpdateReleaseDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["ServiceUpdateReleaseDate"]));
    }
    if (output["ServiceUpdateEndDate"] !== undefined) {
        contents.ServiceUpdateEndDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["ServiceUpdateEndDate"]));
    }
    if (output["ServiceUpdateSeverity"] !== undefined) {
        contents.ServiceUpdateSeverity = __expectString(output["ServiceUpdateSeverity"]);
    }
    if (output["ServiceUpdateRecommendedApplyByDate"] !== undefined) {
        contents.ServiceUpdateRecommendedApplyByDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["ServiceUpdateRecommendedApplyByDate"]));
    }
    if (output["ServiceUpdateStatus"] !== undefined) {
        contents.ServiceUpdateStatus = __expectString(output["ServiceUpdateStatus"]);
    }
    if (output["ServiceUpdateDescription"] !== undefined) {
        contents.ServiceUpdateDescription = __expectString(output["ServiceUpdateDescription"]);
    }
    if (output["ServiceUpdateType"] !== undefined) {
        contents.ServiceUpdateType = __expectString(output["ServiceUpdateType"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output["EngineVersion"] !== undefined) {
        contents.EngineVersion = __expectString(output["EngineVersion"]);
    }
    if (output["AutoUpdateAfterRecommendedApplyByDate"] !== undefined) {
        contents.AutoUpdateAfterRecommendedApplyByDate = __parseBoolean(output["AutoUpdateAfterRecommendedApplyByDate"]);
    }
    if (output["EstimatedUpdateTime"] !== undefined) {
        contents.EstimatedUpdateTime = __expectString(output["EstimatedUpdateTime"]);
    }
    return contents;
};
const de_ServiceUpdateList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_ServiceUpdate(entry, context);
    });
};
const de_ServiceUpdateNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_ServiceUpdatesMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.ServiceUpdates === "") {
        contents.ServiceUpdates = [];
    }
    else if (output["ServiceUpdates"] !== undefined && output["ServiceUpdates"]["ServiceUpdate"] !== undefined) {
        contents.ServiceUpdates = de_ServiceUpdateList(__getArrayIfSingleItem(output["ServiceUpdates"]["ServiceUpdate"]), context);
    }
    return contents;
};
const de_SlotMigration = (output, context) => {
    const contents = {};
    if (output["ProgressPercentage"] !== undefined) {
        contents.ProgressPercentage = __strictParseFloat(output["ProgressPercentage"]);
    }
    return contents;
};
const de_Snapshot = (output, context) => {
    const contents = {};
    if (output["SnapshotName"] !== undefined) {
        contents.SnapshotName = __expectString(output["SnapshotName"]);
    }
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["ReplicationGroupDescription"] !== undefined) {
        contents.ReplicationGroupDescription = __expectString(output["ReplicationGroupDescription"]);
    }
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["SnapshotStatus"] !== undefined) {
        contents.SnapshotStatus = __expectString(output["SnapshotStatus"]);
    }
    if (output["SnapshotSource"] !== undefined) {
        contents.SnapshotSource = __expectString(output["SnapshotSource"]);
    }
    if (output["CacheNodeType"] !== undefined) {
        contents.CacheNodeType = __expectString(output["CacheNodeType"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output["EngineVersion"] !== undefined) {
        contents.EngineVersion = __expectString(output["EngineVersion"]);
    }
    if (output["NumCacheNodes"] !== undefined) {
        contents.NumCacheNodes = __strictParseInt32(output["NumCacheNodes"]);
    }
    if (output["PreferredAvailabilityZone"] !== undefined) {
        contents.PreferredAvailabilityZone = __expectString(output["PreferredAvailabilityZone"]);
    }
    if (output["PreferredOutpostArn"] !== undefined) {
        contents.PreferredOutpostArn = __expectString(output["PreferredOutpostArn"]);
    }
    if (output["CacheClusterCreateTime"] !== undefined) {
        contents.CacheClusterCreateTime = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["CacheClusterCreateTime"]));
    }
    if (output["PreferredMaintenanceWindow"] !== undefined) {
        contents.PreferredMaintenanceWindow = __expectString(output["PreferredMaintenanceWindow"]);
    }
    if (output["TopicArn"] !== undefined) {
        contents.TopicArn = __expectString(output["TopicArn"]);
    }
    if (output["Port"] !== undefined) {
        contents.Port = __strictParseInt32(output["Port"]);
    }
    if (output["CacheParameterGroupName"] !== undefined) {
        contents.CacheParameterGroupName = __expectString(output["CacheParameterGroupName"]);
    }
    if (output["CacheSubnetGroupName"] !== undefined) {
        contents.CacheSubnetGroupName = __expectString(output["CacheSubnetGroupName"]);
    }
    if (output["VpcId"] !== undefined) {
        contents.VpcId = __expectString(output["VpcId"]);
    }
    if (output["AutoMinorVersionUpgrade"] !== undefined) {
        contents.AutoMinorVersionUpgrade = __parseBoolean(output["AutoMinorVersionUpgrade"]);
    }
    if (output["SnapshotRetentionLimit"] !== undefined) {
        contents.SnapshotRetentionLimit = __strictParseInt32(output["SnapshotRetentionLimit"]);
    }
    if (output["SnapshotWindow"] !== undefined) {
        contents.SnapshotWindow = __expectString(output["SnapshotWindow"]);
    }
    if (output["NumNodeGroups"] !== undefined) {
        contents.NumNodeGroups = __strictParseInt32(output["NumNodeGroups"]);
    }
    if (output["AutomaticFailover"] !== undefined) {
        contents.AutomaticFailover = __expectString(output["AutomaticFailover"]);
    }
    if (output.NodeSnapshots === "") {
        contents.NodeSnapshots = [];
    }
    else if (output["NodeSnapshots"] !== undefined && output["NodeSnapshots"]["NodeSnapshot"] !== undefined) {
        contents.NodeSnapshots = de_NodeSnapshotList(__getArrayIfSingleItem(output["NodeSnapshots"]["NodeSnapshot"]), context);
    }
    if (output["KmsKeyId"] !== undefined) {
        contents.KmsKeyId = __expectString(output["KmsKeyId"]);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    if (output["DataTiering"] !== undefined) {
        contents.DataTiering = __expectString(output["DataTiering"]);
    }
    return contents;
};
const de_SnapshotAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_SnapshotFeatureNotSupportedFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_SnapshotList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_Snapshot(entry, context);
    });
};
const de_SnapshotNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_SnapshotQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_StartMigrationResponse = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_Subnet = (output, context) => {
    const contents = {};
    if (output["SubnetIdentifier"] !== undefined) {
        contents.SubnetIdentifier = __expectString(output["SubnetIdentifier"]);
    }
    if (output["SubnetAvailabilityZone"] !== undefined) {
        contents.SubnetAvailabilityZone = de_AvailabilityZone(output["SubnetAvailabilityZone"], context);
    }
    if (output["SubnetOutpost"] !== undefined) {
        contents.SubnetOutpost = de_SubnetOutpost(output["SubnetOutpost"], context);
    }
    if (output.SupportedNetworkTypes === "") {
        contents.SupportedNetworkTypes = [];
    }
    else if (output["SupportedNetworkTypes"] !== undefined && output["SupportedNetworkTypes"]["member"] !== undefined) {
        contents.SupportedNetworkTypes = de_NetworkTypeList(__getArrayIfSingleItem(output["SupportedNetworkTypes"]["member"]), context);
    }
    return contents;
};
const de_SubnetInUse = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_SubnetList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_Subnet(entry, context);
    });
};
const de_SubnetNotAllowedFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_SubnetOutpost = (output, context) => {
    const contents = {};
    if (output["SubnetOutpostArn"] !== undefined) {
        contents.SubnetOutpostArn = __expectString(output["SubnetOutpostArn"]);
    }
    return contents;
};
const de_Tag = (output, context) => {
    const contents = {};
    if (output["Key"] !== undefined) {
        contents.Key = __expectString(output["Key"]);
    }
    if (output["Value"] !== undefined) {
        contents.Value = __expectString(output["Value"]);
    }
    return contents;
};
const de_TagList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_Tag(entry, context);
    });
};
const de_TagListMessage = (output, context) => {
    const contents = {};
    if (output.TagList === "") {
        contents.TagList = [];
    }
    else if (output["TagList"] !== undefined && output["TagList"]["Tag"] !== undefined) {
        contents.TagList = de_TagList(__getArrayIfSingleItem(output["TagList"]["Tag"]), context);
    }
    return contents;
};
const de_TagNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_TagQuotaPerResourceExceeded = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_TestFailoverNotAvailableFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_TestFailoverResult = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_TestMigrationResponse = (output, context) => {
    const contents = {};
    if (output["ReplicationGroup"] !== undefined) {
        contents.ReplicationGroup = de_ReplicationGroup(output["ReplicationGroup"], context);
    }
    return contents;
};
const de_UGReplicationGroupIdList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_UnprocessedUpdateAction = (output, context) => {
    const contents = {};
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["ServiceUpdateName"] !== undefined) {
        contents.ServiceUpdateName = __expectString(output["ServiceUpdateName"]);
    }
    if (output["ErrorType"] !== undefined) {
        contents.ErrorType = __expectString(output["ErrorType"]);
    }
    if (output["ErrorMessage"] !== undefined) {
        contents.ErrorMessage = __expectString(output["ErrorMessage"]);
    }
    return contents;
};
const de_UnprocessedUpdateActionList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_UnprocessedUpdateAction(entry, context);
    });
};
const de_UpdateAction = (output, context) => {
    const contents = {};
    if (output["ReplicationGroupId"] !== undefined) {
        contents.ReplicationGroupId = __expectString(output["ReplicationGroupId"]);
    }
    if (output["CacheClusterId"] !== undefined) {
        contents.CacheClusterId = __expectString(output["CacheClusterId"]);
    }
    if (output["ServiceUpdateName"] !== undefined) {
        contents.ServiceUpdateName = __expectString(output["ServiceUpdateName"]);
    }
    if (output["ServiceUpdateReleaseDate"] !== undefined) {
        contents.ServiceUpdateReleaseDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["ServiceUpdateReleaseDate"]));
    }
    if (output["ServiceUpdateSeverity"] !== undefined) {
        contents.ServiceUpdateSeverity = __expectString(output["ServiceUpdateSeverity"]);
    }
    if (output["ServiceUpdateStatus"] !== undefined) {
        contents.ServiceUpdateStatus = __expectString(output["ServiceUpdateStatus"]);
    }
    if (output["ServiceUpdateRecommendedApplyByDate"] !== undefined) {
        contents.ServiceUpdateRecommendedApplyByDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["ServiceUpdateRecommendedApplyByDate"]));
    }
    if (output["ServiceUpdateType"] !== undefined) {
        contents.ServiceUpdateType = __expectString(output["ServiceUpdateType"]);
    }
    if (output["UpdateActionAvailableDate"] !== undefined) {
        contents.UpdateActionAvailableDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["UpdateActionAvailableDate"]));
    }
    if (output["UpdateActionStatus"] !== undefined) {
        contents.UpdateActionStatus = __expectString(output["UpdateActionStatus"]);
    }
    if (output["NodesUpdated"] !== undefined) {
        contents.NodesUpdated = __expectString(output["NodesUpdated"]);
    }
    if (output["UpdateActionStatusModifiedDate"] !== undefined) {
        contents.UpdateActionStatusModifiedDate = __expectNonNull(__parseRfc3339DateTimeWithOffset(output["UpdateActionStatusModifiedDate"]));
    }
    if (output["SlaMet"] !== undefined) {
        contents.SlaMet = __expectString(output["SlaMet"]);
    }
    if (output.NodeGroupUpdateStatus === "") {
        contents.NodeGroupUpdateStatus = [];
    }
    else if (output["NodeGroupUpdateStatus"] !== undefined &&
        output["NodeGroupUpdateStatus"]["NodeGroupUpdateStatus"] !== undefined) {
        contents.NodeGroupUpdateStatus = de_NodeGroupUpdateStatusList(__getArrayIfSingleItem(output["NodeGroupUpdateStatus"]["NodeGroupUpdateStatus"]), context);
    }
    if (output.CacheNodeUpdateStatus === "") {
        contents.CacheNodeUpdateStatus = [];
    }
    else if (output["CacheNodeUpdateStatus"] !== undefined &&
        output["CacheNodeUpdateStatus"]["CacheNodeUpdateStatus"] !== undefined) {
        contents.CacheNodeUpdateStatus = de_CacheNodeUpdateStatusList(__getArrayIfSingleItem(output["CacheNodeUpdateStatus"]["CacheNodeUpdateStatus"]), context);
    }
    if (output["EstimatedUpdateTime"] !== undefined) {
        contents.EstimatedUpdateTime = __expectString(output["EstimatedUpdateTime"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    return contents;
};
const de_UpdateActionList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_UpdateAction(entry, context);
    });
};
const de_UpdateActionResultsMessage = (output, context) => {
    const contents = {};
    if (output.ProcessedUpdateActions === "") {
        contents.ProcessedUpdateActions = [];
    }
    else if (output["ProcessedUpdateActions"] !== undefined &&
        output["ProcessedUpdateActions"]["ProcessedUpdateAction"] !== undefined) {
        contents.ProcessedUpdateActions = de_ProcessedUpdateActionList(__getArrayIfSingleItem(output["ProcessedUpdateActions"]["ProcessedUpdateAction"]), context);
    }
    if (output.UnprocessedUpdateActions === "") {
        contents.UnprocessedUpdateActions = [];
    }
    else if (output["UnprocessedUpdateActions"] !== undefined &&
        output["UnprocessedUpdateActions"]["UnprocessedUpdateAction"] !== undefined) {
        contents.UnprocessedUpdateActions = de_UnprocessedUpdateActionList(__getArrayIfSingleItem(output["UnprocessedUpdateActions"]["UnprocessedUpdateAction"]), context);
    }
    return contents;
};
const de_UpdateActionsMessage = (output, context) => {
    const contents = {};
    if (output["Marker"] !== undefined) {
        contents.Marker = __expectString(output["Marker"]);
    }
    if (output.UpdateActions === "") {
        contents.UpdateActions = [];
    }
    else if (output["UpdateActions"] !== undefined && output["UpdateActions"]["UpdateAction"] !== undefined) {
        contents.UpdateActions = de_UpdateActionList(__getArrayIfSingleItem(output["UpdateActions"]["UpdateAction"]), context);
    }
    return contents;
};
const de_User = (output, context) => {
    const contents = {};
    if (output["UserId"] !== undefined) {
        contents.UserId = __expectString(output["UserId"]);
    }
    if (output["UserName"] !== undefined) {
        contents.UserName = __expectString(output["UserName"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output["MinimumEngineVersion"] !== undefined) {
        contents.MinimumEngineVersion = __expectString(output["MinimumEngineVersion"]);
    }
    if (output["AccessString"] !== undefined) {
        contents.AccessString = __expectString(output["AccessString"]);
    }
    if (output.UserGroupIds === "") {
        contents.UserGroupIds = [];
    }
    else if (output["UserGroupIds"] !== undefined && output["UserGroupIds"]["member"] !== undefined) {
        contents.UserGroupIds = de_UserGroupIdList(__getArrayIfSingleItem(output["UserGroupIds"]["member"]), context);
    }
    if (output["Authentication"] !== undefined) {
        contents.Authentication = de_Authentication(output["Authentication"], context);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    return contents;
};
const de_UserAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_UserGroup = (output, context) => {
    const contents = {};
    if (output["UserGroupId"] !== undefined) {
        contents.UserGroupId = __expectString(output["UserGroupId"]);
    }
    if (output["Status"] !== undefined) {
        contents.Status = __expectString(output["Status"]);
    }
    if (output["Engine"] !== undefined) {
        contents.Engine = __expectString(output["Engine"]);
    }
    if (output.UserIds === "") {
        contents.UserIds = [];
    }
    else if (output["UserIds"] !== undefined && output["UserIds"]["member"] !== undefined) {
        contents.UserIds = de_UserIdList(__getArrayIfSingleItem(output["UserIds"]["member"]), context);
    }
    if (output["MinimumEngineVersion"] !== undefined) {
        contents.MinimumEngineVersion = __expectString(output["MinimumEngineVersion"]);
    }
    if (output["PendingChanges"] !== undefined) {
        contents.PendingChanges = de_UserGroupPendingChanges(output["PendingChanges"], context);
    }
    if (output.ReplicationGroups === "") {
        contents.ReplicationGroups = [];
    }
    else if (output["ReplicationGroups"] !== undefined && output["ReplicationGroups"]["member"] !== undefined) {
        contents.ReplicationGroups = de_UGReplicationGroupIdList(__getArrayIfSingleItem(output["ReplicationGroups"]["member"]), context);
    }
    if (output["ARN"] !== undefined) {
        contents.ARN = __expectString(output["ARN"]);
    }
    return contents;
};
const de_UserGroupAlreadyExistsFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_UserGroupIdList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_UserGroupList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_UserGroup(entry, context);
    });
};
const de_UserGroupNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_UserGroupPendingChanges = (output, context) => {
    const contents = {};
    if (output.UserIdsToRemove === "") {
        contents.UserIdsToRemove = [];
    }
    else if (output["UserIdsToRemove"] !== undefined && output["UserIdsToRemove"]["member"] !== undefined) {
        contents.UserIdsToRemove = de_UserIdList(__getArrayIfSingleItem(output["UserIdsToRemove"]["member"]), context);
    }
    if (output.UserIdsToAdd === "") {
        contents.UserIdsToAdd = [];
    }
    else if (output["UserIdsToAdd"] !== undefined && output["UserIdsToAdd"]["member"] !== undefined) {
        contents.UserIdsToAdd = de_UserIdList(__getArrayIfSingleItem(output["UserIdsToAdd"]["member"]), context);
    }
    return contents;
};
const de_UserGroupQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_UserGroupsUpdateStatus = (output, context) => {
    const contents = {};
    if (output.UserGroupIdsToAdd === "") {
        contents.UserGroupIdsToAdd = [];
    }
    else if (output["UserGroupIdsToAdd"] !== undefined && output["UserGroupIdsToAdd"]["member"] !== undefined) {
        contents.UserGroupIdsToAdd = de_UserGroupIdList(__getArrayIfSingleItem(output["UserGroupIdsToAdd"]["member"]), context);
    }
    if (output.UserGroupIdsToRemove === "") {
        contents.UserGroupIdsToRemove = [];
    }
    else if (output["UserGroupIdsToRemove"] !== undefined && output["UserGroupIdsToRemove"]["member"] !== undefined) {
        contents.UserGroupIdsToRemove = de_UserGroupIdList(__getArrayIfSingleItem(output["UserGroupIdsToRemove"]["member"]), context);
    }
    return contents;
};
const de_UserIdList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return __expectString(entry);
    });
};
const de_UserList = (output, context) => {
    return (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        return de_User(entry, context);
    });
};
const de_UserNotFoundFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const de_UserQuotaExceededFault = (output, context) => {
    const contents = {};
    if (output["message"] !== undefined) {
        contents.message = __expectString(output["message"]);
    }
    return contents;
};
const deserializeMetadata = (output) => ({
    httpStatusCode: output.statusCode,
    requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
    extendedRequestId: output.headers["x-amz-id-2"],
    cfId: output.headers["x-amz-cf-id"],
});
const collectBodyString = (streamBody, context) => collectBody(streamBody, context).then((body) => context.utf8Encoder(body));
const throwDefaultError = withBaseException(__BaseException);
const buildHttpRpcRequest = async (context, headers, path, resolvedHostname, body) => {
    const { hostname, protocol = "https", port, path: basePath } = await context.endpoint();
    const contents = {
        protocol,
        hostname,
        port,
        method: "POST",
        path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
        headers,
    };
    if (resolvedHostname !== undefined) {
        contents.hostname = resolvedHostname;
    }
    if (body !== undefined) {
        contents.body = body;
    }
    return new __HttpRequest(contents);
};
const SHARED_HEADERS = {
    "content-type": "application/x-www-form-urlencoded",
};
const parseBody = (streamBody, context) => collectBodyString(streamBody, context).then((encoded) => {
    if (encoded.length) {
        const parser = new XMLParser({
            attributeNamePrefix: "",
            htmlEntities: true,
            ignoreAttributes: false,
            ignoreDeclaration: true,
            parseTagValue: false,
            trimValues: false,
            tagValueProcessor: (_, val) => (val.trim() === "" && val.includes("\n") ? "" : undefined),
        });
        parser.addEntity("#xD", "\r");
        parser.addEntity("#10", "\n");
        const parsedObj = parser.parse(encoded);
        const textNodeName = "#text";
        const key = Object.keys(parsedObj)[0];
        const parsedObjToReturn = parsedObj[key];
        if (parsedObjToReturn[textNodeName]) {
            parsedObjToReturn[key] = parsedObjToReturn[textNodeName];
            delete parsedObjToReturn[textNodeName];
        }
        return __getValueFromTextNode(parsedObjToReturn);
    }
    return {};
});
const parseErrorBody = async (errorBody, context) => {
    const value = await parseBody(errorBody, context);
    if (value.Error) {
        value.Error.message = value.Error.message ?? value.Error.Message;
    }
    return value;
};
const buildFormUrlencodedString = (formEntries) => Object.entries(formEntries)
    .map(([key, value]) => __extendedEncodeURIComponent(key) + "=" + __extendedEncodeURIComponent(value))
    .join("&");
const loadQueryErrorCode = (output, data) => {
    if (data.Error?.Code !== undefined) {
        return data.Error.Code;
    }
    if (output.statusCode == 404) {
        return "NotFound";
    }
};
